%include  "../../../include/setup.inc";

%setup( work, hhfmtlib, FORMATLIB.SAS );

proc catalog cat=hhfmtlib.formats kill;
run;
   
proc format library=hhfmtlib;
   /*----------------------------------------------------------------------*/
   /*  BUKU1 formats                                                       */                                
   /*----------------------------------------------------------------------*/
   value C1B1_
      1 = "Completed"
      2 = "Partially completed"
      3 = "Not completed"
   ;
   value C2B1_
      1 = "Resnot at home/did not found"
      2 = "Reswas seriously ill"
      3 = "Resrefused"
      5 = "Other"
      9 = "Missing"
   ;
   value C4AB1_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value C4BB1_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value C4CB1_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value CK1B1_
      0 = "Indonesian"
      1 = "Javanese"
      2 = "Sundanese"
      3 = "Balinese"
      4 = "Batak"
      5 = "Bugis"
      6 = "Chinese"
      7 = "Maduranese"
      8 = "Sasak"
      9 = "Minang"
      10 = "Banjar"
      11 = "Bima"
      12 = "Makasar"
      13 = "Nias"
      14 = "Palembang"
      15 = "Sumbawa"
      16 = "Toraja"
      17 = "Lahat"
      18 = "Other South Sumatra"
      19 = "Betawi"
      20 = "Lampung"
      95 = "Other"
      96 = "No other"
      99 = "Missing"
   ;
   value CK2B1_
      0 = "Indonesian"
      1 = "Javanese"
      2 = "Sundanese"
      3 = "Balinese"
      4 = "Batak"
      5 = "Bugis"
      6 = "Chinese"
      7 = "Maduranese"
      8 = "Sasak"
      9 = "Minang"
      10 = "Banjar"
      11 = "Bima"
      12 = "Makasar"
      13 = "Nias"
      14 = "Palembang"
      15 = "Sumbawa"
      16 = "Toraja"
      17 = "Lahat"
      18 = "Other South Sumatra"
      19 = "Betawi"
      20 = "Lampung"
      95 = "Other"
      96 = "No other"
      99 = "Missing"
   ;
   value COV00B1_
      1 = "Interviewed"
      3 = "Not interviewed"
   ;
   value COV1B1_
      1 = "Head of household"
      2 = "Spouse of head"
      3 = "Other HH member"
   ;
   value PID1_
      96 = "Non-household member"
   ;
   value US21_
      1 = "White"
      3 = "Blue"
      5 = "A Little blue"
      6 = "Not Applicable"
      9 = "Missing"
   ;
   value $CP1B1_
      'A' = "No one"
      'B' = "Children 5 or under"
      'C' = "Children older than 5"
      'D' = "Husband/wife"
      'E' = "An Adult"
      'F' = "An Adult"
      'Z' = "Missing"
   ;
   value CP2B1_
      1 = "Excellent"
      2 = "Good"
      3 = "Fair"
      4 = "Not so good"
      5 = "Very bad"
      9 = "Missing"
   ;
   value CP3B1_
      1 = "Excellent"
      2 = "Good"
      3 = "Fair"
      4 = "Not so good"
      5 = "Very bad"
      9 = "Missing"
   ;
   value IC01B1_
      1 = "I have furnished the information"
      3 = "I have not furnished the information"
   ;
   value IC02B1_
      1 = "I agree"
      3 = "I don't agree"
   ;
   value IC_MTHB1_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
   ;
   value B1_MOVER_
      0 = "CANCEL"
      1 = "Cover"
      2 = "KS1 (KS02 - KS03)"
      3 = "KS2 (KS02A - KS04B)"
      4 = "KS3 (KS06 - KS07A)"
      5 = "KS4 (KS08 - KS12B)"
      6 = "KS5 (KS13A - KS16)"
      7 = "KSR1 (KSR17 - KSR23)"
      8 = "KSR2 (KSR24 - KSR37)"
      9 = "KSR3 (KSR38 - KSR46)"
      10 = "KSR4 (KSR47 - KSR50)"
      11 = "PP (PP2 - PP6)"
      12 = "CP (Interviewer notes)"
   ;
   value $DUMMY_KS4TYPE_
      'A' = "Rice"
      'C' = "Fish"
      'E' = "Cooking oil"
      'F' = "Granulated Sugar"
      'H1' = "Kangkung"
      'H3' = "Spinach"
      'K' = "Kerosene"
      'L' = "Vehicle fuel"
      'M' = "Beef"
      'N' = "Chicken"
      'W' = "NO PURCHASE IN 1 MONTH LAST"
   ;
   value $DUMMY_KSR17_
      'A' = "Program Kompensasi Pengurangan Subsidi BBM (BLT 2008)"
      'B' = "Program Bantuan Tunai Bersyarat (Keluarga Harapan)"
      'C' = "Bantuan Langsung Sementara Masyarakat (BLSM)"
   ;
   value $DUMMY_KSR24_
      'A' = "Raskin"
      'B' = "Operasi Pasar"
   ;
   value $DUMMY_KSR38_
      'B' = "Rice"
      'D' = "Granulated Sugar"
      'J' = "Cooking oil"
      'K' = "Kerosene"
      'W' = "NO PURCHASE OF OPERATION MARKET"
   ;
   value $DUMMY_KSR47_
      'A' = "Cash"
      'B' = "Goods"
      'W' = "No help"
   ;
   value $DUMMY_PP2_
      'A' = "Public Hospital (General or Specify)"
      'B' = "Private Hospital"
      'C' = "Public Health Center/Auxiliary Center"
      'D' = "Private Clinic"
      'E' = "Private Physician"
      'F1' = "Midwife (Private or village Midwife)"
      'F2' = "Nurse/Paramedic"
      'G1' = "Traditional Birth Attendant"
      'G2' = "Traditional Practitioner (Shamans"
      'H' = "Pharmacy"
      'I1' = "Posyandu"
      'I2' = "Posyandu for Elderly"
      'Y' = "Don�t know"
   ;
   value INTRO_KS1_
      1 = "Interview continues"
      9 = "Skip to the next section"
   ;
   value INTRO_KS2_
      1 = "Interview continues"
      9 = "Skip to the next section"
   ;
   value INTRO_KS3_
      1 = "Interview continues"
      9 = "Skip to the next section"
   ;
   value INTRO_KS4_
      1 = "Interview continues"
      9 = "Skip to the next section"
   ;
   value INTRO_KS5_
      1 = "Interview continues"
      9 = "Skip to the next section"
   ;
   value INTRO_KSR1_
      1 = "Interview continues"
      9 = "Skip to the next section"
   ;
   value INTRO_KSR2_
      1 = "Interview continues"
      9 = "Skip to the next section"
   ;
   value INTRO_KSR3_
      1 = "Interview continues"
      9 = "Skip to the next section"
   ;
   value INTRO_KSR4_
      1 = "Interview continues"
      9 = "Skip to the next section"
   ;
   value INTRO_PP1_
      1 = "Interview continues"
      9 = "Skip to the next section"
   ;
   value $KS1TYPE_
      'A' = "Rice"
      'AA' = "Granulated sugar"
      'B' = "Corn"
      'BA' = "Coffee"
      'C' = "Sago"
      'CA' = "Tea"
      'D' = "Cassava"
      'DA' = "Cocoa"
      'E' = "Other staple foods"
      'EA' = "Soft drink like fanta"
      'F' = "Kangkung"
      'FA' = "Alcoholic beverages like beer"
      'G' = "Beans like mung-beans"
      'GA' = "Betel nut(for chewing)"
      'H' = "Fruits like papaya"
      'HA' = "Cigarettes"
      'I' = "Noodles"
      'IA' = "Snacks(eaten at home)"
      'IB' = "Meals eaten away from home"
      'J' = "Cookies"
      'K' = "Beef"
      'L' = "Chicken"
      'M' = "Fresh fish"
      'N' = "Salted fish"
      'OA' = "Jerky"
      'OB' = "Tofu"
      'P' = "Eggs"
      'Q' = "Fresh milk"
      'R' = "Sweet and salty soy sauce"
      'S' = "Salt"
      'T' = "Shrimp paste"
      'U' = "Chili sauce"
      'V' = "Shallot"
      'W' = "Javanese (brown) sugar"
      'X' = "Butter"
      'Y' = "Cooking oil like coconut oil"
      'Z' = "Drinking water"
   ;
   value $KS2TYPE_
      'A1' = "Electricity"
      'A2' = "Water"
      'A3' = "Household fuel"
      'A4' = "Telephone"
      'B' = "Personal toiletries"
      'B1' = "Bath soap"
      'B2' = "Toothpaste"
      'B3' = "Facial soap"
      'B4' = "Shaving suplies"
      'B5' = "Cosmetics"
      'B6' = "Other"
      'B7' = "Other"
      'B8' = "Other"
      'C' = "Houshold items"
      'C0' = "CLaundry soap"
      'C1' = "Domestic service and servant's wages"
      'C2' = "Cleaning tools"
      'C3' = "Insect repellent"
      'C4' = "Other"
      'C5' = "Other"
      'C6' = "Other"
      'D' = "Recreation and entertainment"
      'E' = "Transportation"
      'E1' = "Cost of bus"
      'E2' = "Taxi"
      'E3' = "The cost of repair/ Servicing vehicles"
      'E4' = "Vehicle fuel"
      'E5' = "Other"
      'E6' = "Other"
      'E7' = "Other"
      'F1' = "Sweeptakes"
      'F2' = "Arisan"
      'G' = "Value of non food items given to others outside HH"
      'G1' = "Installment loans made each month"
      'G2' = "Other"
   ;
   value $KS3TYPE_
      'A' = "Clothing"
      'B' = "Household supplies and furniture"
      'C' = "Medical costs"
      'D' = "Ritual ceremonies"
      'E' = "Taxes"
      'F' = "Other expenditures not specified above"
      'G' = "Value of non food items given to others outside the HH"
   ;
   value KS13A_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value KS14_
      1 = "Kg -> KS15"
      2 = "Liter -> KS15"
      3 = "Bunch"
      4 = "Bottle"
      5 = "Bag"
      6 = "Bamboo scoop"
      7 = "Tail"
      9 = "Ounce"
      95 = "Other"
      98 = "Don't know"
      99 = "Missing"
   ;
   value KS14B_
      1 = "Kilograms"
      2 = "Liters"
      98 = "Don't Know"
      99 = "Missing"
   ;
   value KS16_
      1 = "High/Fresh fish/premium gasoline"
      2 = "Medium/average/briny fish/pertamax gasoline"
      3 = "Low/sardines"
      4 = "Import quality"
      5 = "Local quality"
      8 = "Don't know"
      9 = "Missing"
   ;
   value $KS4TYPE_
      'A' = "Rice"
      'C' = "Fish"
      'E' = "Cooking oil"
      'F' = "Granulated Sugar"
      'H1' = "Kangkung"
      'H3' = "Spinach"
      'K' = "Kerosene"
      'L' = "Vehicle fuel"
      'M' = "Beef"
      'N' = "Chicken"
   ;
   value KSR17_
      1 = "Yes"
      3 = "No -> the next column"
      6 = "No Program -> the next column"
      9 = "Missing"
   ;
   value KSR18M_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "Missing"
   ;
   value KSR18Y_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value KSR21X_
      6 = "Did not receive in the last 1 year"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KSR22M_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "Missing"
   ;
   value KSR22Y_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value KSR23X_
      8 = "Don't know"
      9 = "Missing"
   ;
   value $KSR3TYPE_
      'A' = "Program Kompensasi Penurunan Subsidi BBM-Bantuan Langsung Tunai"
      'B' = "Program Bantuan Tunai Bersyarat (Keluarga Harapan) (CCT)"
      'C' = "Bantuan Langsung Tunai Bersyarat (UCT)"
   ;
   value $KSR24A_
      'A' = "Yes, bought RASKIN rice"
      'B' = "Yes, received money from RASKIN"
      'C' = "No"
      'W' = "Don't know/No Program"
      'Z' = "Missing"
   ;
   value KSR25B_
      99 = "Missing"
   ;
   value $KSR26BX_
      'A' = "Total quantity rice bought"
      'B' = "Total money received"
      'Y' = "Don't know"
      'Z' = "Missing"
   ;
   value $KSR27BX_
      'A' = "Total quantity rice bought"
      'B' = "Total money received"
      'Y' = "Don't know"
      'Z' = "Missing"
   ;
   value KSR28M_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "Missing"
   ;
   value KSR28X_
      1 = "Month/Year"
      6 = "Don't buy Raskin -> KSR34"
      9 = "Missing"
   ;
   value KSR28Y_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value KSR29AX_
      1 = "The amount of rupiah"
      6 = "Don't accept money from raskin -> KSR34"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KSR29BX_
      1 = "The amount of kilograms"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KSR29X_
      1 = "Yes"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KSR30X_
      1 = "Yes"
      6 = "No maximum"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KSR31X_
      1 = "Yes"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KSR32X_
      1 = "Yes"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KSR34X_
      1 = "Yes"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KSR35_
      1 = "High"
      2 = "Medium"
      3 = "Low"
      6 = "NA/ Don't buy Raskin"
      9 = "Missing"
   ;
   value KSR36_
      1 = "Yes"
      3 = "No ->KSR38"
      6 = "NA -> KSR38"
      9 = "Missing"
   ;
   value KSR37_
      1 = "Have no money"
      2 = "The rice's quality is low"
      3 = "Have no time"
      4 = "Too far"
      5 = "Someone else need it more"
      6 = "No eligible"
      7 = "Don't have coupon for the program"
      8 = "Out of rice"
      9 = "Missing"
   ;
   value $KSR2TYPE_
      'B' = "Rice"
      'D' = "Sugar"
      'J' = "Cooking oil"
      'K' = "Kerosene"
   ;
   value KSR38_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value $KSR39_
      'A' = "Central Government"
      'B' = "Regional Government"
      'C' = "Non-government"
      'Y' = "Don't know"
      'Z' = "Missing"
   ;
   value KSR40_
      99 = "Missing"
   ;
   value KSR40X_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KSR41M_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "Missing"
   ;
   value KSR41Y_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value KSR42X_
      1 = "Yes"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KSR43X_
      1 = "Yes"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KSR44_
      1 = "Kg"
      2 = "Liter"
      9 = "Missing"
   ;
   value KSR45X_
      1 = "Yes"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KSR46_
      1 = "Kg"
      2 = "Liter"
      9 = "Missing"
   ;
   value KSR47_
      1 = "Yes"
      3 = "No -> the next row"
      9 = "Missing"
   ;
   value $KSR48_
      'A' = "Religious Organization"
      'B' = "Politic Organization"
      'C' = "Local LSM"
      'D' = "Individual"
      'E' = "Company"
      'F' = "Foreign government/foreign LSM/donor"
      'Z' = "Missing"
   ;
   value KSR49M_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "Missing"
   ;
   value KSR49X_
      1 = "Yes"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KSR49Y_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value KSR50X_
      1 = "Enter ammount/ yes"
      6 = "NOT RECEIVED WITHIN 4 WEEKS"
      8 = "Don't know"
      9 = "Missing"
   ;
   value $KSR5TYPE_
      'A' = "Cash"
      'B' = "In-kind (food and non-food)"
   ;
   value PP2_
      1 = "Yes"
      3 = "No -> the next row"
      9 = "Missing"
   ;
   value PP3X_
      1 = "Yes"
      8 = "Don't know"
      9 = "Missing"
   ;
   value PP4ADDRX_
      1 = "Yes"
      8 = "Don't know"
      9 = "Missing"
   ;
   value PP4AX_
      1 = "Desa/Kel known"
      3 = "Same"
      8 = "Don't know"
      9 = "Missing"
   ;
   value PP4BX_
      1 = "Kecamatan known"
      3 = "Same"
      8 = "Don't know"
      9 = "Missing"
   ;
   value PP4CX_
      1 = "Kabupten known"
      3 = "Same"
      8 = "Don't know"
      9 = "Missing"
   ;
   value PP4DX_
      1 = "Province known"
      3 = "Same"
      8 = "Don't know"
      9 = "Missing"
   ;
   value PP4LOCX_
      1 = "Yes"
      8 = "Don't know"
      9 = "Missing"
   ;
   value PP5_
      99 = "Missing"
   ;
   value PP5X_
      1 = "Minutes"
      2 = "Hours"
      3 = "Days"
      98 = "Don't know"
      99 = "Missing"
   ;
   value PP6X_
      1 = "Estimate of cost"
      3 = "Walk"
      5 = "Use own transportation"
      8 = "Don't know"
      9 = "Missing"
   ;
   value $PPTYPE_
      'A' = "Public Hospital (General or Specify)"
      'B' = "Private Hospital"
      'C' = "Public Health Center/Auxiliary Center"
      'D' = "Private Clinic"
      'E' = "Private Physician"
      'F1' = "Midwife (Private or village Midwife)"
      'F2' = "Nurse/Paramedic"
      'G1' = "Traditional Birth Attendant"
      'G2' = "Traditional Practitioner (Shamans"
      'H' = "Pharmacy"
      'I1' = "Posyandu"
      'I2' = "Posyandu for Elderly"
   ;
   value MODE_1_
      1 = "Entry"
      2 = "Modification"
      3 = "Verification"
      4 = "Partial save"
   ;
   value PARTIAL_B1_
      0 = "###"
      1 = "Partial save"
      2 = "Complete"
   ;
   /*----------------------------------------------------------------------*/
   /*  BUKU2 formats                                                       */                                
   /*----------------------------------------------------------------------*/
   value BH00_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value $BH01_
      'A' = "Private commercial bank"
      'B' = "Cooperative bank"
      'C' = "Government/Semi government bank"
      'D' = "Agricultural bank"
      'E' = "Employer"
      'F' = "Landlord"
      'G' = "Shopkeeper"
      'H' = "Non-government organization"
      'I' = "Neighborhood association"
      'J' = "Arisan"
      'K' = "Small farmers group"
      'L' = "Money lender"
      'M' = "Office"
      'N' = "Pawnshop"
      'O' = "Non Bank financial institution"
      'V' = "Other"
      'Y' = "Don't know"
      'Z' = "Missing"
   ;
   value BH02_
      1 = "Yes"
      3 = "No => BH27"
      9 = "Missing"
   ;
   value $BH03_
      'A' = "Responden"
      'B' = "Wife/husband"
      'C' = "Respondent's biological children and wife/husband"
      'D' = "Respondent's parents"
      'E' = "Respondent's parent's in law"
      'F' = "Respondent's siblings"
      'G' = "Respondent's brother/sister in law"
      'I' = "Grandchild"
      'J' = "Grandparent"
      'K' = "Uncle/aunt"
      'L' = "Nephew/niece"
      'M' = "Cousin"
      'P' = "Non family"
      'Q' = "Adopted child"
      'R' = "Family of spouse"
      'U' = "Ex-spouse"
      'V' = "Others"
      'Z' = "Missing"
   ;
   value BH04_
      1 = "Yes"
      3 = "No =>BH07"
      9 = "Missing"
   ;
   value $BH05_
      'A' = "Responden"
      'B' = "Wife/husband"
      'C' = "Respondent's biological children and wife/husband"
      'D' = "Respondent's parents"
      'E' = "Respondent's parent's in law"
      'F' = "Respondent's siblings"
      'G' = "Respondent's brother/sister in law"
      'I' = "Grandchild"
      'J' = "Grandparent"
      'K' = "Uncle/aunt"
      'L' = "Nephew/niece"
      'M' = "Cousin"
      'P' = "Non family"
      'Q' = "Adopted child"
      'R' = "Family of spouse"
      'U' = "Ex-spouse"
      'V' = "Others"
      'Z' = "Missing"
   ;
   value $BH06_
      'A' = "Private commercial bank"
      'B' = "Cooperative bank"
      'C' = "Government/Semi government bank"
      'D' = "Agricultural bank"
      'E' = "Employer"
      'F' = "Landlord"
      'G' = "Shopkeeper"
      'H' = "Non-government organization"
      'I' = "Neighborhood association"
      'J' = "Arisan"
      'K' = "Small farmers group"
      'L' = "Money lender"
      'M' = "Office"
      'N' = "Pawnshop"
      'O' = "Non Bank financial institution"
      'V' = "Other"
      'Y' = "Don't know"
      'Z' = "Missing"
   ;
   value BH07_
      1 = "Yes"
      3 = "No =>BH27"
      9 = "Missing"
   ;
   value $BH08_
      'A' = "Responden"
      'B' = "Wife/husband"
      'C' = "Respondent's biological children and wife/husband"
      'D' = "Respondent's parents"
      'E' = "Respondent's parent's in law"
      'F' = "Respondent's siblings"
      'G' = "Respondent's brother/sister in law"
      'I' = "Grandchild"
      'J' = "Grandparent"
      'K' = "Uncle/aunt"
      'L' = "Nephew/niece"
      'M' = "Cousin"
      'P' = "Non family"
      'Q' = "Adopted child"
      'R' = "Family of spouse"
      'U' = "Ex-spouse"
      'V' = "Others"
      'Z' = "Missing"
   ;
   value BH10X_
      1 = "Borrow money"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BH27X_
      1 = "Rupiah"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BH28X_
      1 = "Rupiah"
      8 = "Don't know"
      9 = "Missing"
   ;
   value C1B2_
      1 = "Completed"
      2 = "Partially completed"
      3 = "Not completed"
   ;
   value C2B2_
      1 = "Resnot at home"
      2 = "Reswas ill"
      3 = "Resrefused"
      5 = "Other"
   ;
   value C4AB2_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value C4BB2_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value C4CB2_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value CK1B2_
      0 = "Indonesian"
      1 = "Javanese"
      2 = "Sundanese"
      3 = "Balinese"
      4 = "Batak"
      5 = "Bugis"
      6 = "Chinese"
      7 = "Maduranese"
      8 = "Sasak"
      9 = "Minang"
      10 = "Banjar"
      11 = "Bima"
      12 = "Makasar"
      13 = "Nias"
      14 = "Palembang"
      15 = "Sumbawa"
      16 = "Toraja"
      17 = "Lahat"
      18 = "Other South Sumatra"
      19 = "Betawi"
      20 = "Lampung"
      95 = "Other"
      96 = "No other"
      99 = "Missing"
   ;
   value CK2B2_
      0 = "Indonesian"
      1 = "Javanese"
      2 = "Sundanese"
      3 = "Balinese"
      4 = "Batak"
      5 = "Bugis"
      6 = "Chinese"
      7 = "Maduranese"
      8 = "Sasak"
      9 = "Minang"
      10 = "Banjar"
      11 = "Bima"
      12 = "Makasar"
      13 = "Nias"
      14 = "Palembang"
      15 = "Sumbawa"
      16 = "Toraja"
      17 = "Lahat"
      18 = "Other South Sumatra"
      19 = "Betawi"
      20 = "Lampung"
      95 = "Other"
      96 = "No other"
      99 = "Missing"
   ;
   value COV00B2_
      1 = "Interviewed"
      3 = "Not interviewed"
   ;
   value COV1B2_
      1 = "Head of household"
      2 = "Spouse of head"
      3 = "Other HH member"
      9 = "Missing"
   ;
   value PID2_
      96 = "Non-household member"
   ;
   value $CP21_
      'A' = "No one"
      'B' = "Children 5 or under"
      'C' = "Children older than 5"
      'D' = "Husband/wife"
      'E' = "An Adult"
      'F' = "An Adult"
      'Z' = "Missing"
   ;
   value CP22_
      1 = "Excellent"
      2 = "Good"
      3 = "Fair"
      4 = "Not so good"
      5 = "Very bad"
   ;
   value CP23_
      1 = "Excellent"
      2 = "Good"
      3 = "Fair"
      4 = "Not so good"
      5 = "Very bad"
   ;
   value B2_MOVER_
      0 = "CANCEL"
      1 = "IVWNAME2"
      2 = "KR03"
      3 = "UT00A"
      4 = "UT07XA"
      5 = "UT07AA"
      6 = "UT09Q"
      7 = "NT01"
      8 = "HRTYPE"
      9 = "HR2TYPE"
      10 = "HI2TYPE"
      11 = "ND01"
      12 = "BH00"
      13 = "CK1B2"
   ;
   value INTRO_BH1_
      1 = "Interview continues"
      9 = "Skip to the next section"
   ;
   value INTRO_HI_
      1 = "Interview continues"
      9 = "Skip to the next section"
   ;
   value INTRO_HR1_
      1 = "Interview continues"
      9 = "Skip to the next section"
   ;
   value INTRO_KR_
      1 = "Interview continues"
      9 = "Skip to the next section"
   ;
   value INTRO_ND1_
      1 = "Interview continues"
      9 = "Skip to the next section"
   ;
   value INTRO_NT1_
      1 = "Interview continues"
      9 = "Skip to the next section"
   ;
   value INTRO_UT1_
      1 = "Interview continues"
      9 = "Skip to the next section"
   ;
   value INTRO_UT2_
      1 = "Interview continues"
      9 = "Skip to the next section"
   ;
   value INTRO_UT3_
      1 = "Interview continues"
      9 = "Skip to the next section"
   ;
   value INTRO_UT4_
      1 = "Interview continues"
      9 = "Skip to the next section"
   ;
   value HI214X_
      1 = "Given"
      3 = "Did not receive"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value $HI2TYPE_
      'A' = "Retirement"
      'B1' = "Government scholarship"
      'B2' = "Private Scholarship"
      'C' = "Insurance money"
      'D1' = "Winings/lottery"
   ;
   value HR201_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value HR202P1_
      11 = "<100 mil/ 50 mil/ 20mil/6 mil"
      12 = ">= 100 mil/ 50 mil/ 20mil/6 mil"
      13 = ">100 mil/ 50 mil/ 20mil/6 mil"
      18 = "Don't know"
      21 = "<50 mil/ 25mil/ 10 mil/ 4mil"
      22 = ">= 50 mil/ 25mil/ 10 mil/ 4mil"
      23 = ">50 mil/ 25mil/ 10 mil/ 4mil"
      28 = "Don't know"
      99 = "Missing"
   ;
   value HR202P2_
      111 = "<50 mil/ 25mil/ 10 mil/ 4mil"
      112 = ">= 50 mil/ 25mil/ 10 mil/ 4mil"
      113 = ">50 mil/ 25mil/ 10 mil/ 4mil"
      118 = "1Don't know"
      131 = "00mil / 100mil / 40mil / 10mil"
      132 = ">=200mil / 100mil / 40mil / 10mil"
      133 = ">200mil / 100mil / 40mil / 10mil"
      138 = "Don't know"
      231 = "<100 mil/ 50 mil/ 20 mil/ 6mil"
      232 = ">=100 mil/ 50 mil/ 20 mil/ 6mil"
      233 = ">100 mil/ 50 mil/ 20 mil/ 6mil"
      238 = "Don't know"
      999 = "Missing"
   ;
   value HR202P3_
      2331 = "00mil / 100mil / 40mil / 10mil"
      2332 = ">=200mil / 100mil / 40mil / 10mil"
      2333 = ">200mil / 100mil / 40mil / 10mil"
      2338 = "Don't know"
      9999 = "Missing"
   ;
   value HR202X_
      1 = "Enter amount"
      7 = "Unwilling to answer"
      8 = "Don't know"
      9 = "Missing"
   ;
   value HR205X_
      1 = "Given"
      3 = "Don't have"
      7 = "Unwilling to answer"
      8 = "Don't know"
      9 = "Missing"
   ;
   value HR206_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value $HR208_
      'B' = "Spouse"
      'C' = "Child"
      'D' = "Parent"
      'E' = "Parent-in-law"
      'F' = "Sibling"
      'G' = "Sibling-in-law"
      'I' = "Grandkid"
      'J' = "Grandparent"
      'K' = "Uncle/aunt"
      'L' = "Nephew/niece"
      'M' = "Cousin"
      'P' = "Non Family"
      'Q' = "Step/adopted kid"
      'R' = "Family of spouse"
      'U' = "Ex spouse"
      'V' = "Others"
      'Z' = "Missing"
   ;
   value $HR210_
      'A' = "Respondent"
      'B' = "Spouse"
      'C' = "Child"
      'D' = "Parent"
      'E' = "Parent-in-law"
      'F' = "Sibling"
      'G' = "Sibling-in-law"
      'I' = "Grandkid"
      'J' = "Grandparent"
      'K' = "Uncle/aunt"
      'L' = "Nephew/niece"
      'M' = "Cousin"
      'P' = "Non Family"
      'Q' = "Step/adopted kid"
      'R' = "Family of spouse"
      'U' = "Ex spouse"
      'V' = "Others"
      'Z' = "Missing"
   ;
   value HR212X_
      1 = "Enter percentage"
      6 = "Neither A nor B"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value $HRTYPE_
      'A' = "House occupied by this HH"
      'B' = "Other house/building"
      'C' = "Land outside farm land"
      'D1' = "Livestock/fish pound"
      'D2' = "poultry"
      'D3' = "Tanaman Keras"
      'E' = "Vehicles(car)"
      'F' = "HH appliances(radio, TV)"
      'G' = "Savings/certificate of deposit/stocks"
      'H' = "Receivables"
      'J' = "Jewelry"
      'K1' = "HH furniture and Utensils"
      'K2' = "Other assets"
   ;
   value HR216X_
      1 = "Given"
      3 = "No purchase"
      7 = "Unwilling to answer"
      8 = "Don't know"
      9 = "Missing"
   ;
   value HR217X_
      1 = "Given"
      3 = "No sales"
      7 = "Unwilling to answer"
      8 = "Don't know"
      9 = "Missing"
   ;
   value $HR2TYPE_
      'A' = "House occupied by this Household"
      'B' = "Other house/building"
      'C' = "Land (not used for farm business)"
      'E' = "Vehicles ( cars"
      'J' = "Jewelry"
      'V' = "Other assets outside those for farm or nonfarm activities"
   ;
   value IC01B2_
      1 = "I have furnished the data"
      3 = "I don't give information"
   ;
   value IC02B2_
      1 = "I agree"
      3 = "I don't agree"
   ;
   value IC_MTHB2_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
   ;
   value KR03_
      1  = "Self owned => KR05a"
      2  = "Occupying  => KR05a"
      5  = "Rented/contracted"
      95 = "Other  => KR05a"
      99 = "Missing"
   ;
   value KR04AX_
      1 = "Rupiah / year"
      2 = "Rupiah / month"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KR05AX_
      1 = "Rupiah / year"
      2 = "Rupiah / month"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KR11_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value KR13_
      1 = "Pipe water"
      2 = "Well water w/pump"
      3 = "Well water (no pump)"
      4 = "Spring water"
      5 = "Rain water"
      6 = "River or creek water"
      7 = "Pond"
      8 = "Watr collction basin"
      10 = "Aqua/Air mineral"
      95 = "Other"
      99 = "Missing"
   ;
   value KR13A_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value KR13B_
      1 = "Yes"
      2 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value KR14_
      1 = "Inside the house =>KR16"
      3 = "Outside the house"
      9 = "Missing"
   ;
   value KR16_
      1 = "Yes =>KR20"
      3 = "No"
      9 = "Missing"
   ;
   value KR17_
      1 = "Piped water"
      2 = "Well water /pump"
      3 = "Well water (no pump)"
      4 = "Spring water"
      5 = "Rain water"
      6 = "River or creek water"
      7 = "Pond"
      8 = "Watr collction basin"
      95 = "Other"
      99 = "Missing"
   ;
   value KR17B_
      1 = "Yes"
      2 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value KR18_
      1 = "Inside the house =>KR20"
      3 = "Outside the house"
      9 = "Missing"
   ;
   value KR20_
      1 = "Own toilet with septic tank"
      2 = "Own toilet without sepic tank"
      3 = "Communal toilet"
      4 = "Public toilet"
      5 = "Creek/river/ditch"
      6 = "Yard or field"
      7 = "Sewer"
      9 = "Pond"
      10 = "Animal stable"
      11 = "Sea"
      95 = "Other"
      99 = "Missing"
   ;
   value KR21_
      1 = "Drainage ditch (flowing)"
      2 = "Drainage ditch (stagnant)"
      3 = "Permanent pit"
      4 = "Disposed into river"
      5 = "Disposed of in yard"
      7 = "Pond"
      8 = "Hole"
      9 = "Paddy field"
      11 = "Sea"
      95 = "Other"
      99 = "Missing"
   ;
   value KR22_
      1 = "Disposed in trash can"
      2 = "Burned"
      3 = "Diposed into river/creek"
      4 = "Disposed in yard and let decomposed"
      5 = "Disposed in pit"
      7 = "Forest"
      8 = "Sea"
      9 = "Paddy field"
      95 = "Other"
      99 = "Missing"
   ;
   value KR23_
      1 = "Yes"
      3 = "No"
      6 = "Don't have refrigerator"
      9 = "Missing"
   ;
   value KR24_
      1 = "Electricity"
      2 = "Gas"
      3 = "Kerosene stove"
      4 = "Firewood"
      5 = "Charcoal"
      7 = "Don't cook"
      95 = "Other"
      99 = "Missing"
   ;
   value KR24A_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value KR24B1_
      1 = "Yes, because of disaster"
      2 = "Yes, renovated"
      3 = "No"
      9 = "Missing"
   ;
   value KR24B2_
      1 = "Yes, because of disaster"
      2 = "Yes, renovated"
      3 = "No"
      9 = "Missing"
   ;
   value KR24B3_
      1 = "Yes, because of disaster"
      2 = "Yes, renovated"
      3 = "No"
      9 = "Missing"
   ;
   value KR24B4_
      1 = "Yes, because of disaster"
      2 = "Yes, renovated"
      3 = "No"
      9 = "Missing"
   ;
   value KR24B5_
      1 = "Yes, because of disaster"
      2 = "Yes, renovated"
      3 = "No"
      9 = "Missing"
   ;
   value KR24B6_
      1 = "Yes, because of disaster"
      2 = "Yes, renovated"
      3 = "No"
      9 = "Missing"
   ;
   value KR24B7_
      1 = "Yes, because of disaster"
      2 = "Yes, renovated"
      3 = "No"
      9 = "Missing"
   ;
   value KR24B8_
      1 = "Yes, because of disaster"
      2 = "Yes, renovated"
      3 = "No"
      9 = "Missing"
   ;
   value KR24B9_
      1 = "Yes, because of disaster"
      2 = "Yes, renovated"
      3 = "No"
      9 = "Missing"
   ;
   value KR24CX_
      1 = "Given"
      6 = "NA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KR25_
      1 = "Javanese"
      2 = "Sundanese"
      3 = "Balinese"
      4 = "Batak"
      5 = "Bugis"
      6 = "Chinese"
      7 = "Maduranese"
      8 = "Sasak"
      9 = "Minang"
      10 = "Banjar"
      11 = "Bima"
      12 = "Makasar"
      13 = "Nias"
      14 = "Palembang"
      15 = "Sumbawa"
      16 = "Toraja"
      17 = "Lahat"
      18 = "Other South Sumatra"
      19 = "Betawi"
      20 = "Lampung"
      95 = "Other"
      96 = "No other"
      99 = "Missing"
   ;
   value KR26_
      1 = "Yes"
      3 = "No =>KR27"
      9 = "Missing"
   ;
   value KR26AX_
      1 = "All household members"
      2 = "Only head of household"
      3 = "Persons"
      9 = "Missing"
   ;
   value KR27_
      1 = "Yes"
      3 = "No"
      6 = "No program"
      9 = "Missing"
   ;
   value KR27A_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KR27B_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KR27D_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KR27E_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KR27F_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KR27G_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KR27H_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KR27I_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KR27J1A_
      96 = "Non-household member"
   ;
   value KR27J1B_
      96 = "Non-household member"
   ;
   value KR27J1C_
      96 = "Non-household member"
   ;
   value KR27J1D_
      96 = "Non-household member"
   ;
   value KR27J1E_
      96 = "Non-household member"
   ;
   value KR27J1X_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value KR27J2A_
      96 = "Non-household member"
   ;
   value KR27J2B_
      96 = "Non-household member"
   ;
   value KR27J2C_
      96 = "Non-household member"
   ;
   value KR27J2D_
      96 = "Non-household member"
   ;
   value KR27J2E_
      96 = "Non-household member"
   ;
   value KR27J2X_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value KR27J3A_
      96 = "Non-household member"
   ;
   value KR27J3B_
      96 = "Non-household member"
   ;
   value KR27J3C_
      96 = "Non-household member"
   ;
   value KR27J3D_
      96 = "Non-household member"
   ;
   value KR27J3E_
      96 = "Non-household member"
   ;
   value KR27J3X_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value KR27J4A_
      96 = "Non-household member"
   ;
   value KR27J4B_
      96 = "Non-household member"
   ;
   value KR27J4C_
      96 = "Non-household member"
   ;
   value KR27J4D_
      96 = "Non-household member"
   ;
   value KR27J4E_
      96 = "Non-household member"
   ;
   value KR27J4X_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value KR27K_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value KR28_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value KR28TYPE_
      1 = "Car"
      2 = "Ship"
      3 = "motor boat"
      4 = "motorcycle"
      5 = "Bicycle"
      6 = "Boat"
      7 = "Refrigerator"
      8 = "Gas cylinder 12 kg or more"
      9 = "Handphone"
   ;
   value $ND01_
      'A' = "Flood"
      'B' = "Landslide"
      'C' = "Mud overflow"
      'D' = "Earthquake"
      'E' = "Volcanic eruption"
      'F' = "Tsunami"
      'G' = "Windstorm"
      'H' = "Forest fire"
      'I' = "Fire"
      'J' = "Civil srife"
      'S' = "Drought"
      'W' = "No disaster =>ND02a"
      'Z' = "Missing"
   ;
   value ND02_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value $ND02A_
      'K' = "Death Head of Household / Income Home Seekers"
      'L' = "Death Other Household Members"
      'M' = "Serious illness suffered by the Head of Household / main breadwinner who require hospital care or periodic treatment"
      'N' = "Serious illness suffered by other Household Members requiring hospital treatment or periodic treatment"
      'O' = "Loss of Employment or Business Failures experienced by Household Members"
      'Q' = "failed Harvest"
      'R' = "The fall in income due to decline in production and the rate of price decline"
      'W' = "No disaster"
      'Z' = "Missing"
   ;
   value ND05M_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "Missing"
   ;
   value ND05Y_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value $ND06_
      'A' = "Flood"
      'B' = "Landsilde"
      'C' = "Mud overflow"
      'D' = "Earthquake"
      'E' = "Volcanic eruption"
      'F' = "Tsunami"
      'G' = "Windstorm"
      'H' = "Forest fire"
      'I' = "Fire"
      'J' = "Civil srife"
      'K' = "Death Head of Household / Income Home Seekers"
      'L' = "Death Other Household Members"
      'M' = "Serious illness suffered by the Head of Household / main breadwinner who require hospital care or periodic treatment"
      'N' = "Serious illness suffered by other Household Members requiring hospital treatment or periodic treatment"
      'O' = "Loss of Employment or Business Failures experienced by Household Members"
      'Q' = "failed Harvest"
      'R' = "The fall in income due to decline in production and the rate of price decline"
      'S' = "Drought"
      'W' = "No disaster"
      'Z' = "Missing"
   ;
   value ND07X_
      1 = "Enter amount =>ND09"
      6 = "No HH business =>ND09"
      7 = "Refused to answer"
      8 = "Don't know"
      9 = "Missing"
   ;
   /*
   value ND08A_
      11 = "<6mil"
      12 = ">= 6mil"
      13 = "> 6mil"
      18 = "Don't know"
      21 = "< 4mil"
      22 = ">= 4mil"
      23 = "> 4mil"
      28 = "Don't know"
      99 = "Missing"
   ;
   value ND08B_
      111 = "< 4mil"
      112 = ">= 4mil"
      113 = ">4mil"
      118 = "1Don't know"
      131 = "<10mil"
      132 = ">= 10mil"
      133 = ">10mil"
      138 = "Don't know"
      231 = "<6mil"
      232 = ">=6mil"
      233 = ">6mil"
      238 = "Don't know"
      999 = "Missing"
   ;
   value ND08C_
      2331 = "<10mil"
      2332 = ">= 10mil"
      2333 = ">10mil"
      2338 = "Don't know"
      9999 = "Missing"
   ;
   */
   value ND09X_
      1 = "Enter amount"
      7 = "Refused to answer"
      8 = "Don't know"
      9 = "Missing"
   ;
   value ND10A_
      1 = "Yes => ND04 next column/ Section BH"
      3 = "No"
      9 = "Missing"
   ;
   value ND11X_
      1 = "Yes"
      6 = "Not applicable"
      9 = "Missing"
   ;
   
   value ND12X_
      1 = "Yes"
      6 = "Not applicable"
      9 = "Missing"
   ;
   value ND14_
      1 = "Lightly damage"
      2 = "Heavily damage"
      3 = "Destroyed"
      6 = "Not damaged =>ND16"
   ;
   value ND15_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value $ND16_
      'A' = "Central government"
      'B' = "Regional government"
      'C' = "Religious groups"
      'D' = "Political organizations"
      'E' = "Other domestic NGO"
      'F' = "Private donors"
      'G' = "Firms/corporations"
      'H' = "Foreign government/NGO/donors"
      'W' = "Not received assisteance"
      'Z' = "Missing"
   ;
   value ND18_
      1 = "Yes"
      3 = "No =>ND04 next column/ Section BH"
      9 = "Missing"
   ;
   value $ND19_
      'A' = "Private home-family"
      'B' = "Private home-friend or neighbor"
      'C' = "Private home-other"
      'D' = "Place of worship"
      'E' = "Offices/schools"
      'F' = "Camp site"
      'G' = "Barracks"
      'H' = "Tent outside the camp site"
      'I' = "Open space"
      'Z' = "Missing"
   ;
   value ND20X_
      1 = "Enter"
      6 = "Still living there"
      9 = "Missing"
   ;
   value ND20XX_
      1 = "Days"
      2 = "Weeks"
      3 = "Months"
      4 = "Years"
      9 = "Missing"
   ;
   value ND21_
      1 = "Yes"
      2 = "No"
      3 = "No"
      9 = "Missing"
   ;
   value $NDTYPE_
      'A' = "Flood"
      'B' = "Landslide"
      'C' = "Mud overflow"
      'D' = "Earthquake"
      'E' = "Volcanic eruption"
      'F' = "Tsunami"
      'G' = "Windstorm"
      'H' = "Forest fire"
      'I' = "Fire"
      'J' = "Civil srife"
      'K' = "Death Head of Household / Income Home Seekers"
      'L' = "Death Other Household Members"
      'M' = "Serious illness suffered by the Head of Household / main breadwinner who require hospital care or periodic treatment"
      'N' = "Serious illness suffered by other Household Members requiring hospital treatment or periodic treatment"
      'O' = "Loss of Employment or Business Failures experienced by Household Members"
      'Q' = "failed Harvest"
      'R' = "The fall in income due to decline in production and the rate of price decline"
      'S' = "Drought"
      'W' = "No disaster"
   ;
   value NT01_
      1 = "Yes"
      3 = "No =>SECTION HR"
      9 = "Missing"
   ;
   value NT02_
      1 = "Yes =>NT05"
      3 = "No"
      9 = "Missing"
   ;
   value $NT04_
      'B' = "Spouse"
      'C' = "Child/ law"
      'D' = "Parents"
      'E' = "Parents in law"
      'F' = "Sibling"
      'G' = "Brother/sister in law"
      'I' = "Grand child"
      'J' = "Grand parent"
      'K' = "Uncle/aunt"
      'L' = "Nephew/niece"
      'M' = "Cousin"
      'P' = "Non family"
      'Q' = "Step/adopted child"
      'R' = "Family of spouse"
      'U' = "Ex spouse"
      'V' = "Other"
      'Z' = "Missing"
   ;
   value $NT05_
      'A' = "Respondent"
      'B' = "Spouse"
      'C' = "Child"
      'D' = "Parents"
      'E' = "Parents in law"
      'F' = "Sibling"
      'G' = "Brother/sister in law"
      'I' = "Grand child"
      'J' = "Grand parent"
      'K' = "Uncle/aunt"
      'L' = "Nephew/niece"
      'M' = "Cousin"
      'P' = "Non family"
      'Q' = "Step/adopted child"
      'R' = "Family of spouse"
      'U' = "Ex spouse"
      'V' = "Other"
      'Z' = "Missing"
   ;
   value NT05B_
      1 = "Yes"
      2 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value NT05C_
      1 = "Agriculture"
      2 = "Sales"
      4 = "Electricity"
      5 = "Construction"
      7 = "Transportation and communication"
      8 = "Finance"
      21 = "Restaurant"
      22 = "Industrial: food"
      23 = "Industrial: garment"
      24 = "Industrial: other"
      25 = "Store: outside of food"
      31 = "Service: Government"
      32 = "Service: Teacher"
      33 = "Service: Proffesional staff"
      34 = "Service: Transportation"
      35 = "Service: Other"
      95 = "Other"
      99 = "Missing"
   ;
   value NT05E_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value NT05F_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value NT07X_
      1 = "Given =>NT08"
      7 = "Unwilling to answer"
      8 = "Don't know"
      9 = "Missing"
   ;
   value NT07X_2_
      1 = "Given => NT08"
      7 = "Unwilling to answer"
      8 = "Don't know"
      9 = "Missing"
   ;
   value NT08X_
      1 = "Given =>NT09b"
      7 = "Unwilling to answer"
      8 = "Don't know"
      9 = "Missing"
   ;
   value NT08X_2_
      1 = "Given => NT09b"
      7 = "Unwilling to answer"
      8 = "Don't know"
      9 = "Missing"
   ;
   value NT09BX_
      1 = "Given => NT09d"
      7 = "Unwilling to answer"
      8 = "Don't know"
      9 = "Missing"
   ;
   value NT09BX_2_
      1 = "Given"
      7 = "Unwilling to answer"
      8 = "Don't know"
      9 = "Missing"
   ;
   value NT09DX_
      1 = "Given =>NT09f"
      7 = "Unwilling to answer"
      8 = "Don't know"
      9 = "Missing"
   ;
   value NT09DX_2_
      1 = "Given =>NT09f"
      7 = "Unwilling to answer"
      8 = "Don't know"
      9 = "Missing"
   ;
   value NT09FX_
      1 = "Given =>NT10"
      7 = "Unwilling to answer"
      8 = "Don't know"
      9 = "Missing"
   ;
   value NT09FX_2_
      1 = "Given =>NT10"
      7 = "Unwilling to answer"
      8 = "Don't know"
      9 = "Missing"
   ;
   value NT09X_
      1 = "Given =>NT09b"
      3 = "Given minus =>NT09b"
      7 = "Unwiling to answer"
      8 = "Don't know"
      9 = "Missing"
   ;
   value NT09X_2_
      1 = "Given =>NT09b"
      3 = "Given minus  =>NT09b"
      7 = "Unwiling to answer"
      8 = "Don't know"
      9 = "Missing"
   ;
   value NT10AX_
      1 = "Given"
      3 = "None"
      7 = "Unwilling to Answer"
      8 = "Don't know"
      9 = "Missing"
   ;
   value NT10BX_
      1 = "Given"
      3 = "None"
      7 = "Unwilling to Answer"
      8 = "Don't know"
      9 = "Missing"
   ;
   value NT10C1X_
      1 = "Given"
      3 = "None"
      7 = "Unwilling to Answer"
      8 = "Don't know"
      9 = "Missing"
   ;
   value NT10C4X_
      1 = "Given"
      3 = "None"
      7 = "Unwilling to Answer"
      8 = "Don't know"
      9 = "Missing"
   ;
   value NT10HX_
      1 = "Given"
      3 = "None"
      7 = "Unwilling to Answer"
      8 = "Don't know"
      9 = "Missing"
   ;
   value NT15M_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "Missing"
   ;
   value NT15X_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value NT15Y_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value NT16X_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value NT17AX_
      1 = "Given"
      6 = "NA =>NT18"
      8 = "Don't know"
      9 = "Missing"
   ;
   value $NT17B_
      'A' = "Household saving"
      'B' = "Family"
      'C' = "Other owners/partners"
      'D' = "Loans from bank"
      'E' = "Loans from others"
      'Z' = "Missing"
   ;
   value NT17X_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value NT18_
      1 = "Yes =>NT22"
      3 = "No"
      9 = "Missing"
   ;
   value NT19M_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "Missing"
   ;
   value NT19X_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value NT19Y_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value NT20X_
      1 = "Given"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value NT21X_
      1 = "Given =>NT09"
      8 = "Don't Know =>NT09"
      9 = "Missing"
   ;
   value NT22X_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value NT23X_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value NT24X_
      1 = "Given"
      3 = "None"
      7 = "Unwilling to Answer"
      8 = "Don't know"
      9 = "Missing"
   ;
   value NT25X_
      1 = "Given"
      3 = "None"
      7 = "Unwilling to Answer"
      8 = "Don't know"
      9 = "Missing"
   ;
   value NT26X_
      1 = "Given"
      3 = "None"
      7 = "Unwilling to Answer"
      8 = "Don't know"
      9 = "Missing"
   ;
   value MODE_B2_
      1 = "Entry"
      2 = "Modification"
      3 = "Verification"
   ;
   value PARTIAL_B2_
      0 = "###"
      1 = "Partial save"
      2 = "Complete"
   ;
   value UT00A_
      1 = "Yes"
      3 = "No =>UT01"
      9 = "Missing"
   ;
   value UT00BX_
      1 = "Given in hectares"
      2 = "Given in square meters"
      8 = "Don'tknow"
      9 = "Missing"
   ;
   value UT00DX_
      1 = "Given in hectares"
      2 = "Given in square meters"
      8 = "Don'tknow"
      9 = "Missing"
   ;
   value UT00E_
      1 = "Patok D =>UT00g"
      2 = "Letter C =>UT00g"
      3 = "Title of ownership"
      5 = "Other =>UT00g"
      6 = "No Document =>UT00g"
      9 = "Missing"
   ;
   value UT00FM_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "Missing"
   ;
   value UT00FX_
      1 = "Yes"
      8 = "Don't know"
      9 = "Missing"
   ;
   value UT00FY_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value UT00GX_
      1 = "Given in hectares"
      2 = "Given in square meters"
      6 = "Not applicable"
      8 = "Don'tknow"
      9 = "Missing"
   ;
   value UT00HX_
      1 = "Given in hectares"
      2 = "Given in square meters"
      6 = "Not applicable"
      8 = "Don'tknow"
      9 = "Missing"
   ;
   value UT01_
      1 = "Yes"
      3 = "No =>UT01c"
      9 = "Missing"
   ;
   value UT01AX_
      1 = "Given in hectares"
      2 = "Given in square meters"
      6 = "NA"
      8 = "Don'tknow"
      9 = "Missing"
   ;
   value UT01BX_
      1 = "Given in hectares"
      2 = "Given in square meters"
      6 = "NA"
      8 = "Don'tknow"
      9 = "Missing"
   ;
   value UT01C_
      1 = "UT01=3 & UT00A=1 =>UT10"
      2 = "UT01=3 & UT00A=3 => SEKSI NT"
      3 = "UT01=1"
   ;
   value UT01EX_
      1 = "Given in hectares"
      2 = "Given in square meters"
      6 = "NA"
      8 = "Don'tknow"
      9 = "Missing"
   ;
   value UT01FX_
      1 = "Given in hectares"
      2 = "Given in square meters"
      6 = "NA"
      8 = "Don'tknow"
      9 = "Missing"
   ;
   value UT05AX_
      1 = "Given"
      6 = "Not applicable"
      9 = "Missing"
   ;
   value UT07A_
      1 = "Cassava"
      2 = "Other tuber"
      3 = "Groundnuts"
      4 = "Cashews and other nuts"
      5 = "Soybean"
      6 = "Corn"
      7 = "Chili"
      8 = "Garlic"
      9 = "Coconut"
      10 = "Bananas trees"
      11 = "Spice"
      12 = "Coffe"
      13 = "Sugarcane"
      14 = "Tobacco"
      15 = "Rubber"
      16 = "Wood"
      17 = "Chickens"
      18 = "Fish"
      19 = "Pigs"
      20 = "Goats"
      21 = "Cattle"
      22 = "Other vegetables"
      23 = "Other Fruits"
      90 = "Rice"
      95 = "Other"
      96 = "No other crop/livestock"
   ;
   value UT07AA_
      1 = "Yes"
      3 = "No =>UT07"
      9 = "Missing"
   ;
   value UT07AB_
      1 = "Ya"
      3 = "Tidak =>UT07ag"
      9 = "Missing"
   ;
   value UT07AC_
      1 = "Ya"
      3 = "Tidak =>UT07ag"
      9 = "Missing"
   ;
   value UT07AD_
      1 = "Boats with motors in> 100 GT"
      2 = "Boats with motors in 30-100 GT"
      3 = "Boats with motors in 5-30 GT"
      4 = "Boats with motors in < 5 GT"
      5 = "motorboats outside"
      6 = "No motorized boats - small (catamarans)"
      7 = "No motorized boats - being"
      8 = "No motorized boats - large"
      9 = "Missing"
   ;
   value UT07AI_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value UT07AX_
      1 = "Given"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value UT07B_
      1 = "Cassava"
      2 = "Other tuber"
      3 = "Groundnuts"
      4 = "Cashews and other nuts"
      5 = "Soybean"
      6 = "Corn"
      7 = "Chili"
      8 = "Garlic"
      9 = "Coconut"
      10 = "Bananas trees"
      11 = "Spice"
      12 = "Coffe"
      13 = "Sugarcane"
      14 = "Tobacco"
      15 = "Rubber"
      16 = "Wood"
      17 = "Chickens"
      18 = "Fish"
      19 = "Pigs"
      20 = "Goats"
      21 = "Cattle"
      22 = "Other vegetables"
      23 = "Other Fruits"
      90 = "Rice"
      95 = "Other"
      96 = "No other crop/livestock"
   ;
   value UT07BX_
      1 = "Given"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value $UT07C_
      'A' = "Cassava"
      'A1' = "No other crop/livestock"
      'A2' = "Other vegetables"
      'B' = "Other tuber"
      'C' = "Groundnuts"
      'D' = "Cashews and other nuts"
      'E' = "Soybean"
      'F' = "Corn"
      'G' = "Chili"
      'H' = "Garlic"
      'I' = "Coconut"
      'J' = "Bananas trees"
      'K' = "Spice"
      'L' = "Coffe"
      'M' = "Sugarcane"
      'N' = "Tobacco"
      'O' = "Rubber"
      'P' = "Wood"
      'Q' = "Chickens"
      'R' = "Fish"
      'S' = "Pigs"
      'T' = "Goats"
      'U' = "Cattle"
      'V' = "Other"
      'W' = "Other fruits"
      'Y' = "Rice"
      'Z' = "Missing"
   ;
   value UT07C1_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value UT07D_
      1 = "IF UT07a=90 OR UT07b=90 OR UT07c=Y =>UT07xa"
      3 = "IF UT07a<>90 AND UT07b<>90 AND UT07c<>Y =>UT07aa"
      9 = "Missing"
   ;
   value UT07P1_
      11 = "<6 million"
      12 = "roughly equal to 6 million"
      13 = ">6 million"
      18 = "Don't know"
      21 = "<4 million"
      22 = "roughly equal to 4 million"
      23 = ">4 million"
      28 = "Don't know"
      99 = "MIssing"
   ;
   value UT07P2_
      111 = "<4 million"
      112 = "1roughly equal to 4 million"
      113 = ">4 million"
      118 = "1Don't know"
      131 = "<10 million"
      132 = "roughly equal to 10 million"
      133 = ">10 million"
      138 = "Don't know"
      231 = "<6 million"
      232 = "roughly equal to 6 million"
      233 = ">6 million"
      238 = "Don't know"
      999 = "MIssing"
   ;
   value UT07P3_
      2331 = "<10 million"
      2332 = "roughly equal to 10 million"
      2333 = ">10 million"
      2338 = "Don't know"
      9999 = "Missing"
   ;
   value UT07X_
      1 = "Enter total rupiah =>UT08"
      7 = "Unwilling to answer"
      8 = "Don't know"
      9 = "Missing"
   ;
   value UT08P1_
      11 = "<6 million"
      12 = "roughly equal to 6 million"
      13 = ">6 million"
      18 = "Don't know"
      21 = "<4 million"
      22 = "roughly equal to 4 million"
      23 = ">4 million"
      28 = "Don't know"
      99 = "MIssing"
   ;
   value UT08P2_
      111 = "<4 million"
      112 = "1roughly equal to 4 million"
      113 = ">4 million"
      118 = "Don't know"
      131 = "<10 million"
      132 = "roughly equal to 10 million"
      133 = ">10 million"
      138 = "Don't know"
      231 = "<6 million"
      232 = "roughly equal to 6 million"
      233 = ">6 million"
      238 = "Don't know"
      999 = "MIssing"
   ;
   value UT08P3_
      2331 = "<10 million"
      2332 = "roughly equal to 10 million"
      2333 = ">10 million"
      2338 = "Don't know"
      9999 = "Missing"
   ;
   value UT08X_
      1 = "Enter total rupiah =>UT09q"
      7 = "Unwilling to answer"
      8 = "Don't know"
      9 = "Missing"
   ;
   value UT09P1_
      11 = "<6 million"
      12 = "roughly equal to 6 million"
      13 = ">6 million"
      18 = "Don't know"
      21 = "<4 million"
      22 = "roughly equal to 4 million"
      23 = ">4 million"
      28 = "Don't know"
      99 = "MIssing"
   ;
   value UT09P2_
      111 = "<4 million"
      112 = "1roughly equal to 4 million"
      113 = ">4 million"
      118 = "Don't know"
      131 = "<10 million"
      132 = "roughly equal to 10 million"
      133 = ">10 million"
      138 = "Don't know"
      231 = "<6 million"
      232 = "roughly equal to 6 million"
      233 = ">6 million"
      238 = "Don't know"
      999 = "MIssing"
   ;
   value UT09P3_
      2331 = "<10 million"
      2332 = "roughly equal to 10 million"
      2333 = ">10 million"
      2338 = "Don't know"
      9999 = "Missing"
   ;
   value UT09Q_
      1 = "Yes"
      3 = "No =>UT10"
      6 = "No crops/not yet harvested =>UT10"
      9 = "Missing"
   ;
   value UT09X_
      1 = "Profit  =>UT09q"
      3 = "Loss  =>UT09q"
      7 = "Unwilling to answer"
      8 = "Don't know"
      9 = "Missing"
   ;
   value UT07EM_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "Missing"
   ;
   value UT07EX_
      1 = "Given date"
      6 = "Not Harvested"
      8 = "Don't know"
      9 = "Missing"
   ;
   value UT07EY_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value UT07FM_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "Missing"
   ;
   value UT07FX_
      1 = "Given date"
      8 = "Don't know"
      9 = "Missing"
   ;
   value UT07FY_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value UT07GX_
      1 = "Given in hectares"
      2 = "Given in square meters"
      8 = "Don'tknow"
      9 = "Missing"
   ;
   value UT07H_
      1 = "Rain"
      2 = "Irigation"
      3 = "Well/pump"
      5 = "Other"
      9 = "Missing"
   ;
   value UT07I_
      1 = "Cianjur Kepala"
      2 = "Cianjur Slyp"
      3 = "Setra"
      4 = "Saigon Bondung"
      5 = "Muncil I"
      6 = "IR64"
      7 = "IR42"
      8 = "Ketan Putih"
      9 = "Ketan Hitam"
      95 = "Other"
      99 = "Missing"
   ;
   value UT07JX_
      1 = "Given in hectares"
      2 = "Given in square meters"
      8 = "Don'tknow"
      9 = "Missing"
   ;
   value UT07KX_
      1 = "Given in hectares"
      2 = "Given in square meters"
      6 = "NA"
      8 = "Don'tknow"
      9 = "Missing"
   ;
   value UT07LX_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value UT07LXX_
      1 = "Unhusked =>UT07n"
      2 = "Husked"
      9 = "Missing"
   ;
   value UT07MX_
      1 = "kg GKP"
      8 = "Don't know"
      9 = "Missing"
   ;
   value UT07NX_
      1 = "Rp"
      8 = "Don't know"
      9 = "Missing"
   ;
   value UT07OX_
      1 = "Rp"
      8 = "Don't know"
      9 = "Missing"
   ;
   value UT07PX_
      1 = "kilogram"
      8 = "Don't know"
      9 = "Missing"
   ;
   value UT07QX_
      1 = "Rp"
      8 = "Don't know"
      9 = "Missing"
   ;
   value UT07RX_
      1 = "kg GKP"
      6 = "No share cropping arrangement"
      8 = "Don't know"
      9 = "Missing"
   ;
   value UT09R_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value UT09SM_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "Missing"
   ;
   value UT09SX_
      1 = "Given"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value UT09SY_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value UT09TX_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value $UT3TYPE_
      'C1' = "CDrought/lact water"
      'C2' = "CFlood"
      'C3' = "CPestilence/Rodents"
      'C4' = "CDisease"
      'C5' = "COther"
   ;
   value UT10_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value UT11X_
      1 = "Enter amount"
      7 = "Unwilling to answer"
      8 = "Don't know"
      9 = "Missing"
   ;
   value UT12X_
      1 = "Enter amount"
      3 = "None (no purchase)"
      7 = "Unwilling to answer"
      8 = "Don't know"
      9 = "Missing"
   ;
   value UT13X_
      1 = "Enter amount"
      3 = "None"
      7 = "Unwilling to answer"
      8 = "Don't know"
      9 = "Missing"
   ;
   value UT14X_
      1 = "Enter amount"
      3 = "None"
      7 = "Unwilling to answer"
      8 = "Don't know"
      9 = "Missing"
   ;
   value $UTTYPE_
      'A' = "Farm land"
      'B' = "Hard stem plants (ex:coconut palm)"
      'C' = "House/building"
      'D1' = "Poultry"
      'D2' = "Livestock/fish pond"
      'E' = "Vehicles (bicycle)"
      'E1' = "Boat"
      'F' = "Tractor"
      'F1' = "Irrigation Equipment"
      'G' = "Heavy equipment"
      'H' = "Small tools (ex:chainsaw)"
      'H1' = "Small fishing tools (nets)"
      'I' = "Other beside A-H"
      'J' = "Other assets beside land"
   ;
   /*----------------------------------------------------------------------*/
   /*  BUKU3A formats                                                       */                                
   /*----------------------------------------------------------------------*/
   value BR300XA_
      1 = "Male (COV5)"
      2 = "Panel respondent for BOOK IV (AR01h=1)"
      3 = "Less than 50 (COV3) and female (COV5)"
      4 = "More than 49 (COV3) and was  not respondent for book IV"
      5 = "LESS THAN 50 YEARS (C0V3) , FEMALE (COV5) AND HAS EVER MARRIED"
   ;
   value BR301_
      1 = "Yes"
      3 = "No"
      9 = "MISSING"
   ;
   value BR302_
      1 = "Yes"
      3 = "No"
      9 = "MISSING"
   ;
   value BR305_
      1 = "Yes"
      3 = "No"
      9 = "MISSING"
   ;
   value BR308_
      1 = "Yes"
      3 = "No"
      9 = "MISSING"
   ;
   value BR311_
      1 = "Yes"
      3 = "No"
      9 = "MISSING"
   ;
   value BR313_
      1 = "Yes"
      3 = "No"
      9 = "MISSING"
   ;
   value BR315X_
      1 = "Yes"
      3 = "No (revise BR01-BR10)"
   ;
   value BR316X_
      1 = "Yes"
      3 = "No (revise BR12-BR14)"
   ;
   value C13A_
      1 = "Completed"
      2 = "Partially completed"
      3 = "Not completed"
   ;
   value C23A_
      1 = "Respondent was not at home/not available"
      2 = "Respondent was seriously ill"
      3 = "Respondent refused (to be interviewed)"
      5 = "Other"
   ;
   value C4A3A_
      1 = "Yes"
      3 = "No"
   ;
   value C4B3A_
      1 = "Yes"
      3 = "No"
   ;
   value C4C3A_
      1 = "Yes"
      3 = "No"
   ;
   value CK13A_
      0 = "Indonesian"
      1 = "Javanese"
      2 = "Sundanese"
      3 = "Balinese"
      4 = "Batak"
      5 = "Bugis"
      6 = "Chinese"
      7 = "Maduranese"
      8 = "Sasak"
      9 = "Minang"
      10 = "Banjar"
      11 = "Bima"
      12 = "Makasar"
      13 = "Nias"
      14 = "Palembang"
      15 = "Sumbawa"
      16 = "Toraja"
      17 = "Lahat"
      18 = "Other South Sumatra"
      19 = "Betawi"
      20 = "Lampung"
      95 = "Other"
      99 = "MISSING"
   ;
   value CK23A_
      0 = "Indonesian"
      1 = "Javanese"
      2 = "Sundanese"
      3 = "Balinese"
      4 = "Batak"
      5 = "Bugis"
      6 = "Chinese"
      7 = "Maduranese"
      8 = "Sasak"
      9 = "Minang"
      10 = "Banjar"
      11 = "Bima"
      12 = "Makasar"
      13 = "Nias"
      14 = "Palembang"
      15 = "Sumbawa"
      16 = "Toraja"
      17 = "Lahat"
      18 = "Other South Sumatra"
      19 = "Betawi"
      20 = "Lampung"
      95 = "Other"
      96 = "No other"
      99 = "MISSING"
   ;
   value COV003A_
      1 = "Yes"
      3 = "No"
   ;
   value COV103A_
      1 = "Expensive"
      2 = "Didn't know how to get one"
      3 = "Not important"
      4 = "Too far"
      5 = "Didn't know it was required"
      6 = "Didn't know it was required"
      7 = "Cannot show if asked /misplaced birth certificae"
      9 = "Missing"
   ;
   value COV10P3A_
      1 = "Spouse"
      2 = "Child"
      4 = "Parent"
      5 = "Brother/sister"
      6 = "Son in law"
      95 = "Others"
   ;
   value COV113A_
      1 = "Agreed to have picture taken"
      3 = "Not Agreed to have picture taken"
      9 = "Missing"
   ;
   value COV11P3A_
      1 = "Too old"
      2 = "Deaf/mute"
      3 = "Severely ill"
      4 = "Responden not found/not at home/away"
      5 = "Mental disability"
      6 = "Others"
   ;
   value COV13A_
      1 = "Head of household"
      2 = "Spouse of head"
      3 = "Other HH member"
   ;
   value COV23A_
      1 = "Panel"
      3 = "New"
   ;
   value COV33A_
      998 = "Don't Know"
      999 = "MISSING"
   ;
   value COV43A_
      1 = "Not yet married"
      2 = "Married"
      3 = "Separated"
      4 = "Divorced"
      5 = "Widowed"
      6 = "Cohabitate"
      9 = "MISSING"
   ;
   value COV53A_
      1 = "Male"
      3 = "Female"
   ;
   value COV6D3A_
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value COV6M3A_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value COV6Y3A_
      9998 = "Don't Know"
      9999 = "MISSING"
   ;
   value COV73A_
      1 = "RANDOM A"
      2 = "RANDOM B"
   ;
   value COV7A3A_
      1 = "LIST A"
      2 = "LIST B"
      3 = "LIST C"
      4 = "LIST D"
   ;
   value COV83A_
      1 = "Yes"
      2 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value COV93A_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value PIDPROX3A_
      96 = "Proxy not a HHM"
   ;
   value PROXY3A_
      1 = "Book Proxy"
      3 = "Not Book Proxy"
   ;
   value $CP13A_
      'A' = "TIDAK ADA"
      'B' = "ANAK BERUMUR 5 TAHUN ATAU KURANG"
      'C' = "ANAK BERUMUR LEBIH DARI 5 TAHUN"
      'D' = "SUAMI / ISTRI"
      'E' = "ORANG DEWASA ANGGOTA RUMAH TANGGA"
      'F' = "ORANG DEWASA BUKAN ANGGOTA RUMAH TANGGA"
   ;
   value CP23A_
      1 = "Excellent"
      2 = "Good"
      3 = "Fair"
      4 = "Not so good"
      5 = "Very bad"
   ;
   value CP33A_
      1 = "Excellent"
      2 = "Good"
      3 = "Fair"
      4 = "Not so good"
      5 = "Very bad"
   ;
   value $DL01A_
      'A' = "Jawa"
      'B' = "Sunda"
      'C' = "Madura"
      'D' = "Bali"
      'E' = "Sasak"
      'F' = "Minang"
      'G' = "Batak"
      'H' = "Bugis"
      'I' = "Cina"
      'J' = "Banjar"
      'L' = "Bima"
      'M' = "Makasar"
      'N' = "Nias"
      'O' = "Palembang"
      'P' = "Sumbawa"
      'Q' = "Toraja"
      'R' = "Lahat"
      'S' = "Sumatera sel. Lainnya"
      'T' = "Betawi"
      'U' = "Lampung"
      'V' = "lainnya"
      'W' = "Indonesian"
      'Z' = "Missing"
   ;
   value DL01E_
      1 = "Javanese"
      2 = "Sundanese"
      3 = "Balinese"
      4 = "Batak"
      5 = "Bugis"
      6 = "Tionghoa"
      7 = "Maduranese"
      8 = "Sasak"
      9 = "Minang"
      10 = "Banjar"
      11 = "Bima-Dompu"
      12 = "Makassar"
      13 = "Nias"
      14 = "Palembang"
      15 = "Sumbawa"
      16 = "Toraja"
      17 = "Betawi"
      18 = "Dayak"
      19 = "Melayu-Deli"
      20 = "Komering"
      21 = "Ambon"
      22 = "Menado"
      23 = "Aceh"
      24 = "Other South Sumatera"
      25 = "Banten"
      26 = "Cirebon"
      27 = "Gorontalo"
      28 = "Kutai"
      95 = "Other"
      96 = "None"
      99 = "MISSING"
   ;
   value $DL01F_
      'A' = "Jawa"
      'A1' = "Menado"
      'B' = "Sunda"
      'B1' = "Aceh"
      'C' = "Bali"
      'C1' = "Sumatera Sel. Lainnya"
      'D' = "Batak"
      'D1' = "Banten"
      'E' = "Bugis"
      'E1' = "Cirebon"
      'F' = "Tionghoa"
      'F1' = "Gorontalo"
      'G' = "Madura"
      'G1' = "Kuai"
      'H' = "Sasak"
      'I' = "Minang"
      'J' = "Banjar"
      'K' = "Bima-Dompu"
      'L' = "Makasar"
      'M' = "Nias"
      'N' = "Palembang"
      'O' = "Sumbawa"
      'P' = "Toraja"
      'Q' = "Betawi"
      'R' = "Dayak"
      'S' = "Melayu"
      'T' = "Komering"
      'U' = "Ambon"
      'V' = "Lainnya"
      'Z' = "Missing"
   ;
   value $DL01G_
      'A' = "Jawa"
      'A1' = "Menado"
      'B' = "Sunda"
      'B1' = "Aceh"
      'C' = "Bali"
      'C1' = "Sumatera Sel. Lainnya"
      'D' = "Batak"
      'D1' = "Banten"
      'E' = "Bugis"
      'E1' = "Cirebon"
      'F' = "Tionghoa"
      'F1' = "Gorontalo"
      'G' = "Madura"
      'G1' = "Kuai"
      'H' = "Sasak"
      'I' = "Minang"
      'J' = "Banjar"
      'K' = "Bima-Dompu"
      'L' = "Makasar"
      'M' = "Nias"
      'N' = "Palembang"
      'O' = "Sumbawa"
      'P' = "Toraja"
      'Q' = "Betawi"
      'R' = "Dayak"
      'S' = "Melayu"
      'T' = "Komering"
      'U' = "Ambon"
      'V' = "Lainnya"
      'Z' = "Missing"
   ;
   value $DL01H_
      'A' = "Jawa"
      'A1' = "Menado"
      'B' = "Sunda"
      'B1' = "Aceh"
      'C' = "Bali"
      'C1' = "Sumatera Sel. Lainnya"
      'D' = "Batak"
      'D1' = "Banten"
      'E' = "Bugis"
      'E1' = "Cirebon"
      'F' = "Tionghoa"
      'F1' = "Gorontalo"
      'G' = "Madura"
      'G1' = "Kuai"
      'H' = "Sasak"
      'I' = "Minang"
      'J' = "Banjar"
      'K' = "Bima-Dompu"
      'L' = "Makasar"
      'M' = "Nias"
      'N' = "Palembang"
      'O' = "Sumbawa"
      'P' = "Toraja"
      'Q' = "Betawi"
      'R' = "Dayak"
      'S' = "Melayu"
      'T' = "Komering"
      'U' = "Ambon"
      'V' = "Lainnya"
      'Z' = "Missing"
   ;
   value DL02_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value DL02A_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value DL03_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value DL03A_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value DL03B_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value $DL03C_
      'A' = "Berbicara di telepon untuk urusan pribadi"
      'B' = "Berbicara di telepon untuk urusan usaha/pekerjaan"
      'C' = "SMS / Pesan Teks"
      'D' = "Email"
      'E' = "Sosial Media ( Chatting, facebook, Twitter )"
      'F' = "Mobile Banking"
      'G' = "Transfer Pulsa"
      'H' = "Hiburan / Multimedia ( Games, Ringtone, TV, Radio, MP3 )"
      'I' = "Internet (browsing dan mencari informasi)"
      'Z' = "Missing"
   ;
   value DL03D_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value $DL03E_
      'A' = "Komputer di rumah"
      'B' = "Komputer di sekolah"
      'C' = "Komputer di tempat kerja"
      'D' = "Komputer di warnet/cafe/mall/tempat umum"
      'E' = "Melalui Handphone"
      'V' = "Lainnya"
      'Z' = "Missing"
   ;
   value DL04_
      1 = "Yes"
      3 = "No"
      8 = "MISSING"
      9 = "Don't Know"
   ;
   value DL05_
      1 = ">= 50 YEARS OLD"
      3 = "< 50 YEARS OLD"
   ;
   value DL05A_
      96 = "Not Applicable"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value DL05B_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value DL05C_
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value DL05F_
      1 = "Yes"
      3 = "No"
      9 = "MISSING"
   ;
   value DL06_
      2 = "Elementary school"
      3 = "Junior high general"
      4 = "Junior high vocational"
      5 = "Senior high general"
      6 = "Senior high vocational"
      11 = "Adult education A"
      12 = "Adult education B"
      13 = "Open university"
      14 = "Islamic School (pesantren)"
      15 = "Adult education C"
      17 = "School for Disabled"
      60 = "College (D1,D2,D3)"
      61 = "University S1"
      62 = "University S2"
      63 = "University S3"
      72 = "Islamic Elementary School (Madrasah Ibtidaiyah)"
      73 = "Islamic Junior/High School (Madrasah Tsanawiyah)"
      74 = "Islamic Senior/High School (Madrasah Tsanawiyah)"
      90 = "Kindergarten"
      95 = "Other"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value DL06X_
      1 = "Yes"
      3 = "No"
      9 = "MISSING"
   ;
   value DL07_
      0 = "Did not complete first grade at that level"
      7 = "Graduated"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value DL07A_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value DL07AA_
      99 = "MISSING"
   ;
   value DL07BMTH_
      1 = "January"
      2 = "Pebruary"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value DL07BYR_
      9998 = "Don't Know"
      9999 = "MISSING"
   ;
   value DL07D_
      1 = "Yes"
      3 = "No"
   ;
   value DL07E_
      1 = "Before June 2000"
      3 = "June 2000 or after"
   ;
   value DL07X_
      1 = "Panel respondent"
      3 = "New respondent"
   ;
   value $DL08A_
      'A' = "SD"
      'B' = "SMP"
      'C' = "SMU"
      'D' = "D1, D2, D3, UNIVERSITAS"
      'Z' = "Missing"
   ;
   value DL08B_
      1 = "Elementary"
      2 = "Junior high"
      3 = "Senior high"
      4 = "D1"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value DL09A_
      9 = "MISSING"
   ;
   value DL09B_
      8 = "Don't Know"
      9 = "Missing"
   ;
   value DL16XB_
      1 = "Panel Respondent (AR01g=1)"
      2 = "New Respondent >= 30"
      3 = "New Respondent <30"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value DL16XD_
      1 = "Panel Respondent in school since June 2007"
      2 = "New respondent"
      3 = "Panel Respondent left school before June 2007"
   ;
   value DL30_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value DL31C_
      1 = "DL07A = 1"
      3 = "DL07A = 3"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value $DL40_
      'A' = "Ya, Untuk diri sendiri"
      'B' = "Ya, Untuk Bersama"
      'C' = "Tidak"
      'Z' = "Missing"
   ;
   value DL41_
      1 = "Yes"
      3 = "No"
      9 = "MISSING"
   ;
   value DL42_
      1 = "Yes"
      3 = "No"
      9 = "MISSING"
   ;
   value $DL43_
      'A' = "GNOTA"
      'C1' = "Pemerintah ( Selain dana BOS ): BSM (Bantuan Siswa Miskin )"
      'C2' = "Pemerintah ( Selain dana BOS ): Bidik Misi"
      'C3' = "Pemerintah ( Selain dana BOS ): Bantuan Pemerintah lainnya"
      'D' = "Perkumpulan Masyarakat"
      'E' = "Perkumpulan Agama"
      'F' = "Keluarga"
      'I' = "Komite Sekolah"
      'J' = "Dana BOS / BKM"
      'K' = "Pemerintah / Yayasan / Perorangan dari Luar Negeri"
      'L' = "Non Pemerintah dalam Negeri"
      'T' = "Total"
      'Z' = "Missing"
   ;
   value DLP07AAX_
      1 = "Know"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value NUMCOLL_
      9 = "Missing"
   ;
   value DL10_
      2 = "Elementary school"
      3 = "Junior high general"
      4 = "Junior high vocational"
      5 = "Senior high general"
      6 = "Senior high vocational"
      11 = "Adult education A"
      12 = "Adult education B"
      13 = "Open university"
      15 = "Adult education C"
      17 = "School for Disabled"
      60 = "College (D1,D2,D3)"
      61 = "University S1"
      62 = "University S2"
      63 = "University S3"
      72 = "Islamic Elementary School (Madrasah Ibtidaiyah)"
      73 = "Islamic Junior/High School (Madrasah Tsanawiyah)"
      74 = "Islamic Senior/High School (Madrasah Tsanawiyah)"
      95 = "Other"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value DL11_
      1 = "Public non-religious"
      2 = "Public religious"
      3 = "Private non-religious"
      4 = "Private islam"
      5 = "Private catholic"
      6 = "Private christiant"
      8 = "Private Buddhist"
      95 = "Other"
      99 = "MISSING"
   ;
   value DL16FADDX_
      1 = "Specify"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value DL16FAX_
      1 = "Desa/Kel given"
      3 = "Same Desa Kel"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value DL16FBX_
      1 = "Kecamatan given"
      3 = "Same Kecamatan"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value DL16FCX_
      1 = "Kabupaten given"
      3 = "Same Kabupaten"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value DL16FDX_
      1 = "Province given"
      3 = "Same province"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value DL16FLOX_
      1 = "Specify"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value DL16FNMX_
      1 = "Specify"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value $DL16F_A_
      'A' = "Indonesia"
      'B' = "Inggris"
      'C' = "Mandarin"
      'D' = "Daerah"
      'Z' = "MISSING"
   ;
   value DL16J_
      999 = "MISSING"
   ;
   value DL16JA_
      1 = "Minutes"
      2 = "Hours"
      9 = "MISSING"
   ;
   value DL16JX_
      1 = "Given"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value DL16XA_
      1 = "Yes"
      3 = "No"
      9 = "MISSING"
   ;
   value DL2TYPE_
      1 = "Elementary"
      2 = "Junior high"
      3 = "Senior high"
      4 = "D1"
   ;
   value DL16A_
      1 = "EBTANAS"
      2 = "UAN/UN"
      3 = "No"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value DL16B_
      1 = "Yes"
      3 = "No"
      9 = "MISSING"
   ;
   value DL16C1_
      1 = "EBTANAS"
      2 = "UAN/UN"
      9 = "MISSING"
   ;
   value DL16C2_
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value DL16CMTH_
      1 = "January"
      2 = "Pebruary"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value DL16CX_
      1 = "Month/year"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value DL16CYR_
      9998 = "Don't Know"
      9999 = "MISSING"
   ;
   value DL16DB_
      98.998 = "Don't Know"
      99.999 = "MISSING"
   ;
   value DL16DBX_
      1 = "Fill"
      6 = "NA"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value DL16DC_
      98.998 = "Don't Know"
      99.999 = "MISSING"
   ;
   value DL16DCX_
      1 = "Fill"
      6 = "NA"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value DL16DD_
      98.998 = "Don't Know"
      99.999 = "MISSING"
   ;
   value DL16DDX_
      1 = "Fill"
      6 = "NA"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value DL16EX_
      1 = "Fill"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value DL16G_
      96 = "Doing thesis"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value DL16I_
      998 = "Don't Know"
      999 = "MISSING"
   ;
   value DL16IX_
      1 = "People given"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value DL3TYPE_
      1 = "Elementary"
      2 = "Junior high"
      3 = "Senior high"
      4 = "D1"
   ;
   value DL11A_
      9998 = "DK"
      9999 = "MISSING"
   ;
   value DL11AX_
      1 = "Tahun"
      8 = "DK"
      9 = "MISSING"
   ;
   value DL11B_
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value DL11C_
      1 = "First"
      2 = "Second"
      3 = "Third"
      4 = "Fourth"
      5 = "Fifth"
      6 = "Sixth"
      7 = "Graduated"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value DL11D_
      1 = "Yes"
      3 = "No"
      6 = "Still School"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value $DL11E_
      'B' = "Bekerja Membantu orang tua mencari uang/untuk enghasilan"
      'C' = "Tidak Punya Biaya"
      'D' = "Tidak ada sekolah/terlalu jauh"
      'E' = "Tidak Mampu belajar"
      'F' = "Tidak Diterima di sekolah"
      'G' = "Karena sakit atau cacat"
      'H' = "Sekolah kekurangan Guru"
      'I' = "Sekolah Tutup / Rusak"
      'K' = "Tidak mau Bersekolah"
      'L' = "Membantu di rumah"
      'M' = "Menikah"
      'V' = "Lainnya"
      'W' = "Tidak ada"
      'Y' = "Tidak Tahu"
      'Z' = "Missing"
   ;
   value DL11F_
      9998 = "DK"
      9999 = "MISSING"
   ;
   value DL11FX_
      1 = "Year"
      8 = "DK"
      9 = "MISSING"
   ;
   value DL11G_
      98 = "DK"
      99 = "MISSING"
   ;
   value DL13_
      1 = "Yes"
      3 = "No"
      8 = "DK"
      9 = "MISSING"
   ;
   value $DL14_
      'A' = "Kelas 1"
      'B' = "Kelas 2"
      'C' = "Kelas 3"
      'D' = "Kelas 4"
      'E' = "Kelas 5"
      'F' = "Kelas 6"
   ;
   value DL14A_
      1 = "Yes"
      3 = "No"
      8 = "DK"
      9 = "MISSING"
   ;
   value DL14A1_
      8 = "DK"
      9 = "MISSING"
   ;
   value $DL14B_
      'A' = "Kelas 1"
      'B' = "Kelas 2"
      'C' = "Kelas 3"
      'D' = "Kelas 4"
      'E' = "Kelas 5"
      'F' = "Kelas 6"
   ;
   value DL14B2_
      8 = "DK"
      9 = "MISSING"
   ;
   value DL14BA1_
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value DL14BB2_
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value DL14BC3_
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value DL14BD4_
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value DL14BE5_
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value DL14BF6_
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value DL14C1AMTH_
      1 = "January"
      2 = "Pebruary"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value DL14C1AYR_
      9998 = "Don't Know"
      9999 = "MISSING"
   ;
   value DL14C1BMTH_
      1 = "January"
      2 = "Pebruary"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value DL14C1BYR_
      9998 = "Don't Know"
      9999 = "MISSING"
   ;
   value DL14C2AMTH_
      1 = "January"
      2 = "Pebruary"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value DL14C2AYR_
      9998 = "Don't Know"
      9999 = "MISSING"
   ;
   value DL14C2BMTH_
      1 = "January"
      2 = "Pebruary"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value DL14C2BYR_
      9998 = "Don't Know"
      9999 = "MISSING"
   ;
   value DL14C3_
      8 = "DK"
      9 = "MISSING"
   ;
   value DL14C3AMTH_
      1 = "January"
      2 = "Pebruary"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value DL14C3AYR_
      9998 = "Don't Know"
      9999 = "MISSING"
   ;
   value DL14C3BMTH_
      1 = "January"
      2 = "Pebruary"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value DL14C3BYR_
      9998 = "Don't Know"
      9999 = "MISSING"
   ;
   value $DL14D_
      'B' = "Bekerja Membantu Orang tuamencari uang/untuk penghasilan"
      'C' = "Tidak Punya Biaya"
      'D' = "Tidak ada sekolah / terlalu jauh"
      'E' = "Tidak Mampu Belajar"
      'F' = "Tidak diterima di sekolah"
      'G' = "Karena sakit / Cacat"
      'H' = "Sekolah Kekurangan Guru"
      'I' = "Sekolah tutup / rusak"
      'K' = "Tidak mau bersekolah"
      'L' = "Membantu di rumah"
      'M' = "Menikah"
      'V' = "Lainnya"
      'Z' = "Missing"
   ;
   value DL14D4_
      8 = "DK"
      9 = "MISSING"
   ;
   value DL14E5_
      8 = "DK"
      9 = "MISSING"
   ;
   value DL14F6_
      8 = "DK"
      9 = "MISSING"
   ;
   value DL15_
      1 = "Yes"
      3 = "No"
      8 = "DK"
      9 = "MISSING"
   ;
   value DL4TYPE_
      1 = "Elementary"
      2 = "Junior high"
      3 = "Senior high"
      4 = "D1"
   ;
   value DLP11BX_
      1 = "Years"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value DLP11GX_
      1 = "Year"
      8 = "DK"
      9 = "MISSING"
   ;
   value DL31A_
      1 = "Yes"
      3 = "No"
      8 = "DK"
      9 = "MISSING"
   ;
   value $DL31TYPE_
      'A1' = "Biaya Registrasi"
      'A2' = "Biaya Iuran iuran"
      'A3' = "Biaya Evaluasi / Ujian"
      'B1' = "Biaya Buku dan alat tulis Lainnya"
      'B2' = "Biaya Seragam sekolah dan Seragam Olah raga"
      'C1' = "Transportasi"
      'C2' = "Uang saku,biaya kos / sewa kamar"
      'C3' = "Kursus sehubungan dengan sekolah"
      'Ss' = "Missing"
      'T' = "Total"
      'V' = "Lainnya"
      'W' = "Tidak Berlaku"
      'Z' = "Tidak Tahu"
   ;
   value DL44A_
      1 = "Yes"
      3 = "No"
      8 = "DK"
      9 = "MISSING"
   ;
   value $DL44TYPE_
      'A1' = "Biaya Pendaftaran"
      'A2' = "Biaya Iuran iuran"
      'A3' = "Biaya Evaluasi / Ujian"
      'B1' = "Biaya Buku,alat tulis dan perlengkapan sekolah"
      'B2' = "Biaya seragam sekolah dan olah raga"
      'C1' = "Transportasi"
      'C2' = "Uang saku,biaya kost/sewa kamar"
      'C3' = "Kursus sehubungan dengan sekolah/kuliah"
      'T' = "Total"
      'V' = "Lainnya"
      'W' = "Tidak Berlaku"
      'Y' = "Tidak Tahu"
      'Z' = "Missing"
   ;
   value HI314X_
      1 = "Given"
      3 = "Did not receive"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value $HI3ATYPE_
      'A' = "Pensiun"
      'B1' = "Beasiswa Pemerintah ( Dalam bentuk Tunai )"
      'B2' = "Beasiswa swasta ( Dalam bentuk tunai )"
      'C' = "Ganti rugi Asuransi"
      'D1' = "Undian"
   ;
   value HR316X_
      1 = "Given"
      3 = "No purchase"
      7 = "Unwilling to answer"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value HR317X_
      1 = "Given"
      3 = "No sales"
      7 = "Unwilling to answer"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value $HR32TYPE_
      'A' = "Rumah yang di tempati"
      'B' = "Rumah atau bangunan lain"
      'C' = "Tanah/Lahan ( yang tidak di gunakan untuk usaha )"
      'E' = "Kendaraan ( Mobil,kapal,sepeda,sepeda motor )"
      'J' = "Perhiasan"
      'L' = "Harta lainnya ( yang tidak di gunakan usaha tani/nontani )"
   ;
   value IC013A_
      1 = "I have provided information"
      3 = "I do not give information"
   ;
   value IC023A_
      1 = "I am willing to answer"
      3 = "I am not willing to answer"
   ;
   value IC_MTH3A_
      1 = "January"
      2 = "Pebruary"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
   ;
   value B3A_MOVER_
      0 = "CANCEL"
      1 = "Cover"
      2 = "DL1 (DL01A-DL09B)"
      3 = "DL2 (DL10-DL16J)"
      4 = "DL3 (DL16XB-DL16I)"
      5 = "DL4 (DL16XC-DL15)"
      6 = "DL5 (DL30-DL31B)"
      7 = "DL6 (DL40-DL44B)"
      8 = "SW (SW01-SW12)"
      9 = "PNA"
      10 = "HR1 (HR00A-HR00B)"
      11 = "HR2 (HR01-HR12B)"
      12 = "HR3 (HR16-HR17)"
      13 = "HI (HI14X)"
      14 = "KW1 (KW01A-KW08)"
      15 = "KW2 (KW09X-KW27B)"
      16 = "PK1 (PK00A-PK00C)"
      17 = "PK2 (PK18)"
      18 = "PK3 (PK19A-PK21)"
      19 = "BR1 (BR00XA-BR16)"
      20 = "MG1 (MG00X-MG20D)"
      21 = "MG2 (MG21AX-MG40)"
      22 = "TK1 (TK01A-TK16K)"
      23 = "TK2 (TK18A-TK26A12)"
      24 = "TK3 (TK27-TK26B3A)"
      25 = "TK4 (TK28-TK33A)"
      26 = "TK5 (TK46A-TK56)"
      27 = "RE (RE1-RE29)"
      28 = "SI (SI01-SI22)"
      29 = "TR (TR01-TR30B)"
      30 = "note interview"
   ;
   value INTRO_BR1_
      1 = "Next Interview"
      9 = "The next section"
   ;
   value INTRO_DL_
      1 = "Next Interview"
      9 = "The next section"
   ;
   value INTRO_DL1_
      1 = "Next Interview"
      9 = "The next section"
   ;
   value INTRO_DL2_
      1 = "Next Interview"
      9 = "The next section"
   ;
   value INTRO_HI1_
      1 = "Next Interview"
      9 = "The next section"
   ;
   value INTRO_HR1_3A_
      1 = "Next Interview"
      9 = "The next section"
   ;
   value INTRO_HR2_3A_
      1 = "Next Interview"
      9 = "The next section"
   ;
   value INTRO_KW1_
      1 = "Next Interview"
      9 = "The next section"
   ;
   value INTRO_MG1_
      1 = "Next Interview"
      9 = "The next section"
   ;
   value INTRO_MG2_
      1 = "Next Interview"
      9 = "The next section"
   ;
   value INTRO_MG3_
      1 = "Next Interview"
      9 = "The next section"
   ;
   value INTRO_PK1_
      1 = "Next Interview"
      9 = "The next section"
   ;
   value INTRO_PNA1_
      1 = "Next Interview"
      9 = "The next section"
   ;
   value INTRO_PNA2_
      1 = "Next Interview"
      9 = "The next section"
   ;
   value INTRO_PNA3_
      1 = "Next Interview"
      9 = "The next section"
   ;
   value INTRO_RE1_
      1 = "Next Interview"
      9 = "The next section"
   ;
   value INTRO_RE2_
      1 = "Next Interview"
      9 = "The next section"
   ;
   value INTRO_RE3_
      1 = "Next Interview"
      9 = "The next section"
   ;
   value INTRO_SI1_
      1 = "Next Interview"
      9 = "The next section"
   ;
   value INTRO_SW1_
      1 = "Next Interview"
      9 = "The next section"
   ;
   value INTRO_SW2_
      1 = "Next Interview"
      9 = "The next section"
   ;
   value INTRO_TK1_
      1 = "Next Interview"
      9 = "The next section"
   ;
   value INTRO_TK2_
      1 = "Next Interview"
      9 = "The next section"
   ;
   value INTRO_TK3_
      1 = "Next Interview"
      9 = "The next section"
   ;
   value INTRO_TK4_
      1 = "Next Interview"
      9 = "The next section"
   ;
   value INTRO_TK5_
      1 = "Next Interview"
      9 = "The next section"
   ;
   value INTRO_TK6_
      1 = "Next Interview"
      9 = "The next section"
   ;
   value INTRO_TK7_
      1 = "Next Interview"
      9 = "The next section"
   ;
   value INTRO_TK8_
      1 = "Next Interview"
      9 = "The next section"
   ;
   value INTRO_TR1_
      1 = "Next Interview"
      9 = "The next section"
   ;
   value INTRO_TR2_
      1 = "Next Interview"
      9 = "The next section"
   ;
   value INTRO_TR3_
      1 = "Next Interview"
      9 = "The next section"
   ;
   value KW300A_
      1 = "Yes"
      3 = "No"
   ;
   value KW300C_
      1 = "Yes"
      3 = "No"
   ;
   value KW300D_
      1 = "Yes"
      3 = "No"
      9 = "MISSING"
   ;
   value KW301_
      1 = "Yes"
      3 = "No"
   ;
   value KW301A_
      1 = "Never married"
      2 = "Cohabitation"
      3 = "Married formal (KUA or civil registration)"
      4 = "Married formal according to religious law"
      5 = "Married formal according to adat law"
      6 = "Separated"
      7 = "Divorced"
      8 = "Widow/Widower"
   ;
   value KW302A1_
      1 = "Yes"
      3 = "No"
      9 = "MISSING"
   ;
   value KW302A2X_
      1 = "Yes"
      3 = "No"
      6 = "NA"
   ;
   value KW302GX_
      1 = "Spouse live in HH"
      2 = "Spouse dead/not live in HH but listed in roster"
      3 = "Spouse not listed in roster"
      9 = "MISSING"
   ;
   value KW302H_
      1 = "Yes"
      3 = "No"
   ;
   value KW302I_
      1 = "Yes"
      3 = "No"
   ;
   value KW302JM_
      1 = "January"
      2 = "Pebruary"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value KW302JX_
      1 = "Given"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value KW302JY_
      9998 = "Don't Know"
      9999 = "MISSING"
   ;
   value KW302K_
      1 = "Yes"
      2 = "New Respondent"
      3 = "No"
      9 = "MISSING"
   ;
   value KW302LM_
      1 = "January"
      2 = "Pebruary"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value KW302LX_
      1 = "Given"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value KW302LY_
      9998 = "Don't Know"
      9999 = "MISSING"
   ;
   value KW302MX_
      1 = "Given"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value KW302N_
      1 = "None"
      2 = "Elementary school"
      3 = "Junior high general"
      4 = "Junior high vocational"
      5 = "Senior high general"
      6 = "Senior high vocational"
      11 = "Adult education A"
      12 = "Adult education B"
      13 = "Open university"
      14 = "Islamic School (pesantren)"
      15 = "Adult education C"
      17 = "School for Disabled"
      60 = "College (D1,D2,D3)"
      61 = "University S1"
      62 = "University S2"
      63 = "University S3"
      72 = "Islamic Elementary School (Madrasah Ibtidaiyah)"
      73 = "Islamic Junior/High School (Madrasah Tsanawiyah)"
      74 = "Islamic Senior/High School (Madrasah Tsanawiyah)"
      90 = "Kindergarten"
      95 = "Other"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value KW302O_
      0 = "0. Did not complete first grade at that level"
      1 = "1"
      2 = "2"
      3 = "3"
      4 = "4"
      5 = "5"
      6 = "6"
      7 = "Graduated"
      96 = "Unschooled"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value KW302OX_
      1 = "Yes"
      3 = "No"
   ;
   value KW302X_
      1 = "Yes"
      3 = "No"
      9 = "MISSING"
   ;
   value KW303_
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value KW304_
      1 = "Parents"
      3 = "Self"
      4 = "Other family member from parent"
      5 = "Others"
      9 = "MISSING"
   ;
   value KW305_
      1 = "Male"
      3 = "Female"
   ;
   value KW306_
      1 = "Yes"
      3 = "No"
      9 = "MISSING"
   ;
   value $KW312A_
      'A' = "Perlengkapan Sholat"
      'B' = "Uang"
      'C' = "Tanah"
      'D' = "Gedung / Rumah"
      'E' = "Perhiasan"
      'G' = "Pakaian lengkap"
      'H' = "Makanan"
      'I' = "Perlangkapan Rumah tangga"
      'K' = "Kitab Suci"
      'L' = "Perlengkapan kecantikan"
      'M' = "Ternak"
      'V' = "lainnya"
      'W' = "Tidak Ada ---> KW13a"
      'Y' = "Tidak tahu"
      'Z' = "Missing"
   ;
   value KW312BX_
      1 = "Enter value"
      2 = "Other kind of money"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value KW312D2_
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value $KW313A_
      'A' = "Perlengkapan sholat"
      'B' = "Uang"
      'C' = "Tanah"
      'D' = "Gedung / Rumah"
      'E' = "Perhiasan"
      'G' = "Pakaian lengkap"
      'H' = "Makanan"
      'I' = "Perlengkapan Rumah tangga"
      'K' = "Kitab suci"
      'L' = "Perlengkapan kecantikan"
      'M' = "Ternak"
      'V' = "Lainya"
      'W' = "Tidak Ada   --> KW14"
      'Y' = "Tidak Tahu"
      'Z' = "Missing"
   ;
   value KW313BX_
      1 = "Enter value"
      2 = "Other kind of money"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value KW314A_
      1 = "Yes"
      2 = "Yes"
      3 = "No"
      9 = "MISSING"
   ;
   value KW314BAX_
      1 = "Given"
      3 = "Same as current resident"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value KW314BBX_
      1 = "Given"
      3 = "Same as current residence"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value KW314BCX_
      1 = "Given"
      3 = "Same as current residence"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value KW314BDX_
      1 = "Given"
      3 = "Same as current residence"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value KW314CA_
      4 = "Weeks"
      5 = "Months"
      6 = "Years"
      99 = "MISSING"
   ;
   value KW314CX_
      1 = "Reside"
      96 = "Still live there"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value KW314D_
      1 = "Yes"
      3 = "No"
      9 = "MISSING"
   ;
   value KW314D1_
      1 = "Yes"
      3 = "No"
      9 = "MISSING"
   ;
   value KW314D2A_
      4 = "Weeks"
      5 = "Months"
      6 = "Years"
      9 = "MISSING"
   ;
   value KW314D2X_
      1 = "Reside"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value KW314E_
      1 = "Yes"
      3 = "No"
      9 = "MISSING"
   ;
   value KW314F_
      99 = "MISSING"
   ;
   value KW314FA_
      4 = "Weeks"
      5 = "Months"
      6 = "Years"
      99 = "MISSING"
   ;
   value KW314FX_
      1 = "Reside"
      96 = "Dont live together yet"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value $KW314G_
      'A' = "Orang tua sendiri"
      'C' = "Mertua"
      'D' = "Saudara Kandung Laki laki"
      'E' = "Saudara Kandung perempuan"
      'F' = "Ipar Laki laki"
      'G' = "Ipar Perempauan"
      'H' = "Keluarga Lainnya"
      'I' = "Bukan Keluarga"
      'J' = "Anak ( Kandung/tiri/angkat )"
      'W' = "Tidak ada Orang Lain"
      'Z' = "Missing"
   ;
   value KW314X_
      1 = "Enter value"
      2 = "Other kind of money"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value KW323_
      1 = "Married male"
      3 = "Unmarried male"
      5 = "Female"
   ;
   value KW323A_
      99 = "MISSING"
   ;
   value KW323AX_
      1 = "Given"
      95 = "Up to GOD"
      99 = "MISSING"
   ;
   value KW323B_X_
      1 = "Year given"
      96 = "Never menstruated"
      99 = "Missing"
   ;
   value KW323D_
      1 = "Yes"
      2 = "No, because of medication, contraception method, etc."
      3 = "No"
      9 = "MISSING"
   ;
   value KW323E_
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value KW324A_
      1 = "Yes"
      3 = "No"
      9 = "MISSING"
   ;
   value KW324B_
      1 = "Yes"
      3 = "No"
      9 = "MISSING"
   ;
   value KW325_
      1 = "Yes"
      3 = "No"
      9 = "MISSING"
   ;
   value KW326_
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value KW326X_
      1 = "Given"
      95 = "Up to GOD"
      99 = "MISSING"
   ;
   value KW327A_
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value KW327B_
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value KW327X_
      1 = "Given"
      95 = "Up to GOD"
      99 = "MISSING"
   ;
   value KW310M_
      1 = "January"
      2 = "Pebruary"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value KW310X_
      1 = "Given"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value KW310Y_
      9998 = "Don't Know"
      9999 = "MISSING"
   ;
   value KW311_
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value KW311A_
      1 = "Yes"
      3 = "No"
      9 = "MISSING"
   ;
   value KW311B_
      2 = "Married formal (KUA or civil registration)"
      3 = "Married formal according to religious law"
      4 = "Married formal according to adat law"
      5 = "Cohabitation"
      6 = "Separated"
      7 = "Divorced"
      8 = "Widow/Widower"
      9 = "MISSING"
   ;
   value KW318M_
      1 = "January"
      2 = "Pebruary"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value KW318X_
      1 = "Date given"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value KW318Y_
      9998 = "Don't Know"
      9999 = "MISSING"
   ;
   value KW319_
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value KW320_
      1 = "None"
      2 = "Elementary school"
      3 = "Junior high general"
      4 = "unior high vocational"
      5 = "Senior high general"
      6 = "Senior high vocational"
      11 = "Adult education A"
      12 = "Adult education B"
      13 = "Open university"
      14 = "Islamic School (pesantren)"
      15 = "Adult education C"
      17 = "School for Disabled"
      60 = "College (D1,D2,D3)"
      61 = "University S1"
      62 = "University S2"
      63 = "University S3"
      72 = "Islamic Elementary School (Madrasah Ibtidaiyah)"
      73 = "Islamic Junior/High School (Madrasah Tsanawiyah)"
      74 = "Madrasah senior high school"
      90 = "Kindergarten"
      95 = "Other"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value KW321_
      0 = "Did not complete 1st grade at that level"
      1 = "First"
      2 = "Second"
      3 = "Third"
      4 = "Fourth"
      5 = "Fifth"
      6 = "Sixth"
      7 = "Graduated"
      96 = "No schooling"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value KW322A_
      1 = "Marriage began after after 2006"
      2 = "Marriage began before 2007"
      3 = "No other marriage"
      9 = "MISSING"
   ;
   value KW322B_
      1 = "Another marriage"
      3 = "No other marriage"
      9 = "MISSING"
   ;
   value KW322X_
      1 = "Panel"
      3 = "New Respondent"
   ;
   value KW3ANUM_
      1 = "Latest"
      2 = "Second latest"
      3 = "Third latest"
      4 = "fourth latest"
      5 = "fifth latest"
      6 = "sixth latest"
      7 = "seventh latest"
      8 = "eighth latest"
      9 = "ninth latest"
      10 = "tenth latest"
      11 = "eleventh latest"
      12 = "twelfth latest"
      13 = "thirteenth latest"
      14 = "fourteenth latest"
      15 = "fifteenth latest"
   ;
   value MG00X_
      1 = "Panel respondent"
      3 = "New Respondent"
      9 = "MISSING"
   ;
   value MG01AX_
      1 = "Given"
      3 = "Same as current residence"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value MG01BX_
      1 = "Given"
      3 = "Same as current residence"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value MG01CX_
      1 = "Given"
      3 = "Same as current residence"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value MG01DX_
      1 = "Given"
      3 = "Same as current residence"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value MG01EX_
      1 = "Given"
      3 = "Indonesia"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value MG02_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value MG02A_
      1 = "Yes"
      3 = "No"
   ;
   value MG03AAX_
      1 = "Given"
      3 = "Same as current residence"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value MG03ABX_
      1 = "Given"
      3 = "Same as current residence"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value MG03ACX_
      1 = "Given"
      3 = "Same as current residence"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value MG03ADX_
      1 = "Given"
      3 = "Same as current residence"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value MG03AEX_
      1 = "Given"
      3 = "Indonesia"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value MG03BAX_
      1 = "Given"
      3 = "Same as birth place resident"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value MG03BBX_
      1 = "Given"
      3 = "Same as birth place resident"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value MG03BCX_
      1 = "Given"
      3 = "Same as birth place resident"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value MG03BDX_
      1 = "Given"
      3 = "Same as birth place resident"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value MG03BEX_
      1 = "Given"
      3 = "Same as birth place resident"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value MG04_
      1 = "Village"
      3 = "Small Town"
      5 = "Big City"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value MG04A_
      1 = "Yes"
      3 = "No"
      8 = "DK"
      9 = "MISSING"
   ;
   value MG05AX_
      1 = "Given"
      3 = "Same as current residence"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value MG05BX_
      1 = "Given"
      3 = "Same as current residence"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value MG05CX_
      1 = "Given"
      3 = "Same as current residence"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value MG05DX_
      1 = "Given"
      3 = "Same as current residence"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value MG05EX_
      1 = "Given"
      3 = "Indonesia"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value MG06_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value MG07AX_
      1 = "Given"
      3 = "Same name as when I was 12"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value MG07BX_
      1 = "Given"
      3 = "Same name as when I was 12"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value MG07CX_
      1 = "Given"
      3 = "Same name as when I was 12"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value MG07DX_
      1 = "Given"
      3 = "Same name as when I was 12"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value MG07EX_
      1 = "Given"
      3 = "Indonesia"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value MG08_
      1 = "Village"
      3 = "Small Town"
      5 = "Big City"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value MG08A_
      1 = "Yes"
      3 = "No"
      6 = "NA"
      9 = "MISSING"
   ;
   value MG08B_
      1 = "Yes"
      3 = "No"
      6 = "NA"
      9 = "MISSING"
   ;
   value MG08C_
      1 = "Yes"
      3 = "No"
      6 = "NA"
      9 = "MISSING"
   ;
   value MG18A_
      1 = "Yes"
      3 = "No"
   ;
   value MG18B1_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value MG18B2AX_
      1 = "Given"
      3 = "Same as MG18b"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value MG18B2BX_
      1 = "Given"
      3 = "Same as MG18b"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value MG18B2CX_
      1 = "Given"
      3 = "Same as MG18b"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value MG18B2DX_
      1 = "Given"
      3 = "Same as MG18b"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value MG18B2EX_
      1 = "Given"
      3 = "Same as MG18b"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value MG18BAX_
      1 = "Given"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value MG18BBX_
      1 = "Given"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value MG18BCX_
      1 = "Given"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value MG18BDX_
      1 = "Given"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value MG18BEX_
      1 = "Given"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value MG18C_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value MG18DAX_
      1 = "Given"
      3 = "Same as MG18b"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value MG18DBX_
      1 = "Given"
      3 = "Same as MG18b"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value MG18DCX_
      1 = "Given"
      3 = "Same as MG18b"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value MG18DDX_
      1 = "Given"
      3 = "Same as MG18b"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value MG18DEX_
      1 = "Given"
      3 = "Same as MG18b"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value MG18E_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value MG19B_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value MG20B_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value MG20B1_
      1 = "Yes"
      3 = "No"
   ;
   value MG20C_B_
      1 = "January"
      2 = "Pebruary"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value MG20D_
      1 = "Yes"
      3 = "No"
   ;
   value MGP05D_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value MGP05E_
      1 = "Input data"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value MGP05EMT_
      1 = "January"
      2 = "Pebruary"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value MGP05EYR_
      9998 = "Don't Know"
      9999 = "MISSING"
   ;
   value MGP05FX_
      1 = "Filled"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value MGP05GAX_
      1 = "Input data"
      3 = "Same as current residence"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value MGP05GBX_
      1 = "Input data"
      3 = "Same as current residence"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value MGP05GCX_
      1 = "Input data"
      3 = "Same as current residence"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value MGP05GDX_
      1 = "Input data"
      3 = "Same as current residence"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value MGP05GEX_
      1 = "Input data"
      3 = "Same as current residence"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value MG21AX_
      1 = "Given"
      3 = "Same as current residence"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value MG21BX_
      1 = "Given"
      3 = "Same as current residence"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value MG21CX_
      1 = "Given"
      3 = "Same as current residence"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value MG21DX_
      1 = "Given"
      3 = "Same as current residence"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value MG21EX_
      1 = "Given"
      3 = "Same as current resident"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value MG22_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value MG23AX_
      1 = "Given"
      3 = "Same as above (MG21)"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value MG23BX_
      1 = "Given"
      3 = "Same as above (MG21)"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value MG23CX_
      1 = "Given"
      3 = "Same as above (MG21)"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value MG23DX_
      1 = "Given"
      3 = "Same as above (MG21)"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value MG23EX_
      1 = "Given"
      3 = "Same as above (MG21)"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value MG24MTH_
      1 = "January"
      2 = "Pebruary"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value MG24X_
      1 = "Given"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value MG24YR_
      9998 = "Don't Know"
      9999 = "Missing"
   ;
   value MG25_
      98 = "Don't Know"
      99 = "Missing"
   ;
   value MG26_
      1 = "Village"
      3 = "Small Town"
      5 = "Big City"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value MG27X_
      1 = "Enter #of kilometers"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value MG28_
      1 = "Work related"
      2 = "Education/training related"
      3 = "Military career related"
      4 = "Marriage"
      5 = "Pregnancy"
      6 = "Death of spouse"
      7 = "Sickness of self/spouse"
      8 = "Migration with family"
      9 = "To be closer to family"
      10 = "Death of other"
      11 = "Sickness of other"
      12 = "Live with/family member"
      13 = "To be independent"
      14 = "Political disturbance"
      15 = "Eviction"
      16 = "Like the destination"
      17 = "Transmigration"
      19 = "Dry Season/drought"
      22 = "Family Problem"
      23 = "New Housing opportunity"
      24 = "Divorce"
      25 = "Natural Disaster"
      95 = "Other"
      99 = "Missing"
   ;
   value MG29_
      1 = "Self"
      2 = "Husband/Wife"
      3 = "Birth parents"
      4 = "Siblings"
      5 = "Biological child"
      6 = "Other family member"
      7 = "Not a family member"
      98 = "Don't Know"
      99 = "Missing"
   ;
   value MG30_
      1 = "To get work at destination"
      2 = "Search job opportunities due to limit job at previous place"
      3 = "Company transfer/relocation"
      4 = "Retirement"
      5 = "Other"
      6 = "Job problem"
      7 = "Be closer to job"
      9 = "Missing"
   ;
   value MG31_
      1 = "Self"
      2 = "Husband/Wife"
      3 = "Other family member"
      4 = "Not a family member"
      9 = "Missing"
   ;
   value MG34_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value MG34A_
      1 = "Flood"
      2 = "Landslide/mudslide"
      3 = "Earthquake"
      4 = "Volcanic eruption"
      5 = "Tsunami"
      6 = "Windstorm"
      7 = "Forest fire"
      8 = "Fire"
      95 = "Other"
      99 = "Missing"
   ;
   value MG35_
      98 = "Don't Know"
      99 = "Missing"
   ;
   value $MG36_
      'A' = "Suami / Istri"
      'B' = "Ayah"
      'C' = "Ibu"
      'D' = "Saudara laki laki"
      'E' = "Saudara Perempuan"
      'F' = "Mertua / Saudara ipar"
      'G' = "Anak"
      'I' = "Bukan Keluarga"
      'V' = "Keluarga lainnya"
      'Z' = "Missing"
   ;
   value MG39_
      1 = "Yes"
      3 = "No"
   ;
   value MG40_
      1 = "Yes"
      3 = "No"
   ;
   value PK00A_
      1 = "Yes"
      3 = "No"
      9 = "MISSING"
   ;
   value PK00B_
      1 = "Yes"
      3 = "No"
      9 = "MISSING"
   ;
   value PK00C_
      1 = "Same village"
      2 = "Same sub-district"
      3 = "Same district"
      4 = "Same province"
      5 = "Same country"
      6 = "Other country"
   ;
   value PK19A_
      1 = "Yes"
      3 = "No"
      9 = "MISSING"
   ;
   value PK19BM_
      1 = "January"
      2 = "Pebruary"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value PK19BX_
      1 = "Given"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value PK19BY_
      9998 = "Don't Know"
      9999 = "MISSING"
   ;
   value PK19C_
      1 = "Yes"
      3 = "No"
      9 = "MISSING"
   ;
   value PK20A_
      1 = "Yes"
      3 = "No"
      9 = "MISSING"
   ;
   value PK20B_
      1 = "Yes"
      3 = "No"
      9 = "MISSING"
   ;
   value PK20C_
      1 = "Yes"
      3 = "No"
      9 = "MISSING"
   ;
   value PK20D_
      1 = "Yes"
      3 = "No"
      9 = "MISSING"
   ;
   value $PK18_
      'A' = "Responden"
      'B' = "Suami / istri"
      'C' = "Anak Laki laki"
      'D' = "Anak Perempuan"
      'E' = "Ibu"
      'F' = "Ayah"
      'G' = "Ibu Mertua"
      'H' = "Ayah Mertua"
      'I' = "Saudara Kandung Laki laki"
      'J' = "Saudara Kandung Perempuan"
      'K' = "Ipar Laki laki"
      'L' = "Ipar Perempuan"
      'M' = "Kakek / Nenek"
      'O' = "Menantu"
      'P' = "Cucu"
      'V' = "Lainnya"
      'W' = "Tidak Punya anak"
      'X' = "Tidak pernah menggunakan uang untuk keperluan ini"
      'Y' = "Tidak Pernah menggunakan kontrasepsi"
      'Z' = "Tidak Menjawab"
   ;
   value $PK18TYPE_
      'A1' = "Pengeluaran untuk makanan yang di makan di rumah"
      'A2' = "Memilih jenis makanan yang di makan di rumah"
      'B' = "pengeluaran rumah tangga sehari hari ( alat2 kebersihan rumah tangga ,dll )"
      'C' = "Pengeluaran untuk pakaian ibu/bapak/sdr sendiri"
      'D' = "Pengeluaran untuk pakaian suami/istri"
      'E' = "Pengeluaran untuk pakaian anak anak"
      'F' = "Pendidikan anak anak"
      'G' = "Kesehatan anak anak"
      'H' = "Pembelian perlangkapan rumah tangga yang mahal ( kulkas,tv,dsb )"
      'I' = "Memberikan uang kepada orang tua / keluarga ibu/bapak"
      'J' = "Memberikan uang kepada mertua / keluarga suami istri"
      'K' = "Memberikan hadiah / bantuan pada orang lain ( hadiah perkawinan/pesta )"
      'L' = "Jumlah uang untuk arisan /bulan"
      'M' = "Jumlah uang yang ditabung setiap bulan"
      'N' = "Jumlah waktu suamiyang di habiskan di luar rumah untuk bersosialisasi bersama teman/tetangga"
      'O' = "Jumlah waktu istri yang di habiskan diluar rumah untuk bersosialisasi bersama teman/tetangga"
      'P' = "apakah ibu/bapak yang bekerja atau suami istri yang bekerja"
      'Q' = "Apakah ibu/bapak atau suami istri menggunakan kontrasepsi"
   ;
   value PK20AX_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value PK20BX_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value PK20CX_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value PK20DX_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value PK21_
      1 = "Much higher"
      2 = "Somewhat higher"
      3 = "About the same"
      4 = "Somewhat lower"
      5 = "Much lower"
      6 = "Parent(s) not alive at time of marriage"
      7 = "Unwilling to answer"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value $PK21TYPE_
      'A' = "Pekerjaan Ayah"
      'B' = "Pendidikan Ayah"
      'C' = "Pendidikan Ibu"
      'D' = "Kedudukan dalam masyarakat"
      'E' = "Kualitas Rumah yang di tempati/keamanan rumah tangga"
      'F' = "Pendapatan"
      'G' = "Kepemilikan lahan"
      'H' = "Kekayaan lain selain tanah"
   ;
   value PNA01_
      1 = "Sunday"
      2 = "Monday"
      3 = "Tuesday"
      4 = "Wednesday"
      5 = "Thursday"
      6 = "Friday"
      7 = "Saturday"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value PNA01_B_
      1 = "Sunday"
      2 = "Monday"
      3 = "Tuesday"
      4 = "Wednesday"
      5 = "Thursday"
      6 = "Friday"
      7 = "Saturday"
   ;
   value PNA02_
      1 = "RESPONDENT IS CORRECT"
      3 = "RESPONDENT IS  INCORRECT"
      6 = "MA09a1=8"
   ;
   value PNA03_
      1 = "Sunday"
      2 = "Monday"
      3 = "Tuesday"
      4 = "Wednesday"
      5 = "Thursday"
      6 = "Friday"
      7 = "Saturday"
   ;
   value PNA04HR_
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value PNA04MNT_
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value PNA05HR_
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value PNA06X_
      1 = "LiST A"
      2 = "LiST B"
      3 = "LiST C"
      4 = "LiST D"
   ;
   value PNA07_
      1 = "Not at all"
      2 = "A little"
      3 = "Somewhat"
      4 = "Quite a bit"
      5 = "Very"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value PNA07XX_
      1 = "Yes"
      3 = "No"
   ;
   value $PNA08_
      'A' = "Kepala"
      'B' = "Leher"
      'C' = "Bahu"
      'D' = "Lengan"
      'E' = "Pergelangan tangan/jari-jari tangan"
      'F' = "Punggung / Punggung bawah / Pinggang"
      'G' = "Pinggul"
      'H' = "Lutut"
      'I' = "Pergelangan kaki / telapak kaki"
      'J' = "Tangan"
      'K' = "Kaki"
      'L' = "Pantat"
      'Z' = "Missing"
   ;
   value PNA09_
      1 = "Yes, very much so"
      2 = "Yes, to some degree"
      3 = "No, not much"
      4 = "No, not at all"
      9 = "MISSING"
   ;
   value $PNA10_
      'A' = "Pil (obat modern)"
      'B' = "Injeksi / suntik"
      'C' = "Obat luar"
      'D' = "Fisioterapi"
      'E' = "Tradisional (Akupuntur, jamu tradisional, dan cara-cara tradisional lainnya)"
      'W' = "TIDAK ADA PENGOBATAN / TINDAKAN"
      'Z' = "Missing"
   ;
   value PNA5MNT_
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value PNA06_
      1 = "Not at all"
      2 = "A little"
      3 = "Somewhat"
      4 = "Quite a bit"
      5 = "Very"
      9 = "MISSING"
   ;
   value RE1_
      1 = "Respondent age >= 50"
      3 = "Respondent age < 50"
   ;
   value RE10X_
      1 = "Given"
      6 = "NA"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value RE11A_
      1 = "Very important"
      2 = "Moderately important"
      3 = "Somewhat important"
      4 = "Not important at all"
   ;
   value RE11B_
      1 = "Very important"
      2 = "Moderately important"
      3 = "Somewhat important"
      4 = "Not important at all"
   ;
   value RE11C_
      1 = "Very important"
      2 = "Moderately important"
      3 = "Somewhat important"
      4 = "Not important at all"
   ;
   value RE11D_
      1 = "Very important"
      2 = "Moderately important"
      3 = "Somewhat important"
      4 = "Not important at all"
   ;
   value RE12_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value RE12A_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value RE13_
      1 = "TASPEN"
      2 = "ASABRI"
      3 = "JAMSOSTEK"
      4 = "Other private pension"
      9 = "Missing"
   ;
   value RE14_
      1 = "Annuity benefit per month"
      2 = "Lum sum payment"
      3 = "Lum sum payment in installments"
      4 = "Combination of lump sum and annuity"
   ;
   value RE15X_
      1 = "Given"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value RE16X_
      1 = "Given"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value RE17MTH_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't Know"
      99 = "Missing"
   ;
   value RE17X_
      1 = "Enter date"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value RE17YR_
      9998 = "Dont k now"
      9999 = "Missing"
   ;
   value RE18X_
      1 = "Given"
      6 = "No payment"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value RE19X_
      1 = "Given"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value RE2_
      1 = "Working"
      3 = "Not working"
      9 = "Missing"
   ;
   value RE20MTH_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't Know"
      99 = "Missing"
   ;
   value RE20X_
      1 = "Enter date"
      2 = "at retire"
      9 = "Missing"
   ;
   value RE20YR_
      9998 = "Dont k now"
      9999 = "Missing"
   ;
   value RE21X_
      1 = "Given"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value RE22_
      1 = "Satisfying"
      2 = "Moderately satisfying"
      3 = "Not satisfying at all"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value RE23_
      1 = "Better"
      2 = "About the same"
      3 = "Not as good"
      6 = "Retired less than 1 year ago"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value RE24_
      1 = "Yes"
      3 = "No"
      6 = "NO CHILDREN"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value RE25_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value RE26_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value RE27_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value RE28_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value RE29_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value RE3_
      1 = "Very easy"
      2 = "Easy"
      3 = "Dificult"
      4 = "Very dificult"
   ;
   value RE4_
      1 = "Stop working"
      2 = "Change kind of work"
      3 = "Work for self"
      4 = "Will not stop working"
      5 = "Work until health fails"
      6 = "Havent given much thought/no plan"
   ;
   value RE5A_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value RE5X_
      1 = "Given age"
      2 = "Given year"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value RE5YR_
      9998 = "Don't Know"
      9999 = "Missing"
   ;
   value RE6A_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value RE6X_
      1 = "Given age"
      2 = "Given year"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value RE7X_
      1 = "Given age"
      2 = "Given year"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value RE8_
      1 = "Retired"
      2 = "Partly retired"
      3 = "Not retired"
      9 = "Missing"
   ;
   value RE8A_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value RE9MTH_
      1 = "January"
      2 = "Pebruary"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value RE9X_
      1 = "Given date"
      2 = "Given age"
      9 = "Missing"
   ;
   value RE9YR_
      9998 = "Don't Know"
      9999 = "Missing"
   ;
   value RE25_PID_
      51 = "Do not live in the household"
   ;
   value RE26_PID_
      51 = "Do not live in the household"
   ;
   value RE27_PID_
      51 = "Do not live in the household"
   ;
   value RE28_PID_
      51 = "Do not live in the household"
   ;
   value RE29_PID_
      51 = "Do not live in the household"
   ;
   value SI01_A_
      1 = "Rp 800 thousand per month"
      2 = "1"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value SI01_B_
      1 = "800 thousand per month"
      2 = "1"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value SI02_A_
      1 = "Still picks option 1"
      2 = "Switches to option 2"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value SI02_B_
      1 = "Still picks option 1"
      2 = "Switches to option"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value SI03_A_
      1 = "800 thousand"
      2 = "1"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value SI03_B_
      1 = "800 thousand"
      2 = "1"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value SI04_A_
      1 = "Rp 800 thousand"
      2 = "1"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value SI04_B_
      1 = "800 thousand"
      2 = "1"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value SI05_A_
      1 = "Rp 800 thousand"
      2 = "1"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value SI05_B_
      1 = "800 thousand"
      2 = "1"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value SI11_A_
      1 = "Rp 4 million per month"
      2 = "Rp 8 million or Rp 2 million"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value SI11_B_
      1 = "Rp 4 million"
      2 = "Rp 4 million or -Rp 2 million"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value SI12_A_
      1 = "Rp 4 million per month"
      2 = "Rp 4 million per month"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value SI12_B_
      1 = "Still choose option 2"
      2 = "Switches to option 1"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value SI13_A_
      1 = "4 million"
      2 = "Rp 12 million or Rp 0"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value SI13_B_
      1 = "4 million"
      2 = "12 million or 0"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value SI14_A_
      1 = "Rp 4 million"
      2 = "Rp 8 million or Rp 2 million"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value SI14_B_
      1 = "4 million"
      2 = "8 million or 2 million per month"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value SI15_A_
      1 = "Rp 4 million"
      2 = "Rp 16 million or -Rp 2 million"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value SI15_B_
      1 = "4 million"
      2 = "16 million or 2 million per month"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value SI21A_A_
      1 = "1 million today"
      2 = "1 million 1 year from today"
      9 = "Missing"
   ;
   value SI21A_B_
      1 = "Rp 1 million  today"
      2 = "Rp 1 million 1 year from today"
      9 = "Missing"
   ;
   value SI21B_A_
      1 = "Rp 1 million  today"
      2 = "Rp 3 million 1 year from today"
      9 = "Missing"
   ;
   value SI21B_B_
      1 = "Rp 1 million  today"
      2 = "Rp 3 million 1 year from today"
      9 = "Missing"
   ;
   value SI21C_A_
      1 = "Rp 1 million  today"
      2 = "Rp 6 million 1 year from today"
      9 = "Missing"
   ;
   value SI21C_B_
      1 = "Rp 1 million  today"
      2 = "Rp 6 million 1 year from today"
      9 = "Missing"
   ;
   value SI21D_A_
      1 = "Rp 1 million  today"
      2 = "Rp 2 million 1 year from today"
      9 = "Missing"
   ;
   value SI21D_B_
      1 = "Rp 1 million  today"
      2 = "Rp 2 million 1 year from today"
      9 = "Missing"
   ;
   value SI21E_A_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value SI21E_B_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value SI22A_A_
      1 = "Rp 1 million  today"
      2 = "Rp 500 thousand 5 year from today"
      9 = "Missing"
   ;
   value SI22A_B_
      1 = "Rp 1 million  today"
      2 = "Rp 500.000 5 year from today"
      9 = "Missing"
   ;
   value SI22B_A_
      1 = "Rp 1 million  today"
      2 = "Rp 4 million 5 year from today"
      9 = "Missing"
   ;
   value SI22B_B_
      1 = "Rp 1 million  today"
      2 = "Rp 4 million 5 year from today"
      9 = "Missing"
   ;
   value SI22C_A_
      1 = "Rp 1 million  today"
      2 = "Rp 10 million 5 year from today"
      9 = "Missing"
   ;
   value SI22C_B_
      1 = "Rp 1 million  today"
      2 = "Rp 10 million 5 year from today"
      9 = "Missing"
   ;
   value SI22D_A_
      1 = "Rp 1 million  today"
      2 = "Rp 10 million 5 year from today"
      9 = "Missing"
   ;
   value SI22D_B_
      1 = "Rp 1 million  today"
      2 = "Rp 5 million 5 year from today"
      9 = "Missing"
   ;
   value SI22E_A_
      1 = "Yes"
      3 = "Do not prefer 1 million now"
      9 = "Missing"
   ;
   value SI22E_B_
      1 = "Yes"
      3 = "Do not prefer 1 million now"
      9 = "Missing"
   ;
   value SW00_
      1 = "Completely satisfied"
      2 = "Very satisfied"
      3 = "Somewhat satisfied"
      4 = "Not very satisfied"
      5 = "Not at all satisfied"
      9 = "MISSING"
   ;
   /*
   value SW01_
      1 = "Poorest"
      6 = "Richest"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   */
   value SW02_
      1 = "Poorest"
      6 = "Richest"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value SW03_
      1 = "Poorest"
      6 = "Richest"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value SW03A_
      1 = "Very likely"
      2 = "Likely"
      3 = "Unlikely"
      4 = "Very unlikely"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value SW03B_
      1 = "Less adequate"
      2 = "Adequate"
      3 = "More than adequate"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value SW04_
      1 = "It is less than adequate for my needs"
      2 = "It is just adequate for my needs"
      3 = "It is more than adequate for my needs"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value SW05_
      1 = "It is less than adequate for my needs"
      2 = "It is just adequate for my needs"
      3 = "It is more than adequate for my needs"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value SW06_
      1 = "It is less than adequate for my needs"
      2 = "It is just adequate for my needs"
      3 = "It is more than adequate for my needs"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value SW07_
      1 = "Yes"
      3 = "No"
      9 = "MISSING"
   ;
   value SW08_
      1 = "It is less than adequate for their needs"
      2 = "It is just adequate for their needs"
      3 = "It is more than adequate for their needs"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value SW09_
      1 = "It is less than adequate for their needs"
      2 = "It is just adequate for their needs"
      3 = "It is more than adequate for their needs"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value SW10_
      1 = "It is less care"
      2 = "Good care"
      3 = "Very good care"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value SW11_
      1 = "It is less than adequate for children needs"
      2 = "It is just adequate for children needs"
      3 = "It is more than adequate for children needs"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value SW12_
      1 = "Very happy"
      2 = "Happy"
      3 = "Unhappy"
      4 = "Very Unhappy"
      9 = "MISSING"
   ;
   value MODE_3A_
      1 = "Entry"
      2 = "Modification"
      3 = "Verification"
   ;
   value PARTIAL_3A_
      0 = "###"
      1 = "Partial save"
      2 = "Complete"
   ;
   value TK01_
      1 = "Working/trying to get work/helping to earn income"
      2 = "Job searching"
      3 = "Attending school"
      4 = "Housekeeping"
      5 = "Retired"
      7 = "Sick/disable"
      95 = "Other"
      99 = "Missing"
   ;
   value TK01A_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK01B_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK01C_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK01D_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK02_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK03_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK04_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK05_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK06A_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value TK07_
      9998 = "Don't Know"
      9999 = "Missing"
   ;
   value $TK08_
      'A' = "Pensiun"
      'B' = "Sakit Berkepanjangan"
      'C' = "Cacat"
      'D' = "Menikah"
      'E' = "Terlalu Tua"
      'F' = "Mempunyai Anak"
      'N' = "Tanggung Jawab keluarga"
      'O' = "Dilarang"
      'P' = "Alasan Keluarga lainnya"
      'Q' = "Dipecat"
      'R' = "Tidak dapat memperoleh pekerjaan"
      'S' = "Tidak ingin bekerja"
      'T' = "Usah tutup/pindah/bangkrut"
      'V' = "Lainnya"
      'Y' = "TIDAK TAHU"
      'Z' = "MISSING"
   ;
   value TK15_
      1 = "Self-employed"
      2 = "Self employed with  unpaid family/temporary worker"
      3 = "Self-employed with employees/permanent workers"
      4 = "Government worker"
      5 = "Private worker"
      6 = "Unpaid family worker"
      7 = "Casual worker in agriculture"
      8 = "Casual worker not in agriculture"
      9 = "Missing"
   ;
   value TK16A1_
      111 = "< Rp 2 millions"
      112 = "The same 2 millions"
      113 = "> Rp 2 millions"
      118 = "1DK"
      131 = "< Rp 10 millions"
      132 = "The same 10 millions"
      133 = "> Rp 10 millions"
      138 = "DK"
      231 = "< Rp 8 millions"
      232 = "The same 8 millions"
      233 = "> Rp 8 millions"
      238 = "DK"
      999 = "999 Missing"
   ;
   value TK16A1X_
      11 = "< Rp 8 millions"
      12 = "The same 8 millions"
      13 = "> Rp 8 millions"
      18 = "DK"
      21 = "< Rp 2 millions"
      22 = "The same 2 millions"
      23 = "> Rp 2 millions"
      28 = "DK"
      99 = "Missing"
   ;
   value TK16A1XX_
      2331 = "< Rp 10 millions"
      2332 = "The same 10 millions"
      2333 = "> Rp 10 millions"
      2338 = "DK"
      9999 = "Missing"
   ;
   value TK16AX_
      1 = "Amount given"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK16B_
      1 = "Wage"
      3 = "Net profit"
      9 = "Missing"
   ;
   value TK16C1_
      1 = "Very satisfied"
      2 = "Satisfied"
      3 = "Unsatisfied"
      4 = "Very unsatisfied"
      9 = "Missing"
   ;
   value TK16D_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value TK16E_
      99 = "Missing"
   ;
   value TK16EX_
      1 = "Weeks"
      2 = "Days"
      9 = "Missing"
   ;
   value TK16FA_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value TK16FB_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value TK16FC_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value TK16FD_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value TK16FE_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value TK16FF_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value TK16FG_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value TK16G_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value TK16H_
      1 = "Feel imposible to find a job"
      2 = "Already has a job"
      3 = "Attending school"
      4 = "Housekeeping"
      5 = "Already has a business"
      6 = "Do not need to"
      7 = "Do not able to do work"
      8 = "Too old"
      95 = "Other"
      99 = "Missing"
   ;
   value TK16I_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value TK16JA_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value TK16JB_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value TK16JC_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value TK16JD_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value TK16K_
      1 = "TK01=1 or TK02=1 or TK03=1 or TK04=1"
      2 = "TK05=1 and TK06A=1"
      3 = "TK05=1 and TK06A=3"
      4 = "TK05=3"
   ;
   value TKP07X_
      8 = "Don't Know"
      9 = "Missing"
   ;
   value $TK18ABX_
      'A' = "Telepon"
      'B' = "Handphone"
      'W' = "Tidak Berlaku"
      'Y' = "Tidak Tahu"
      'Z' = "Missing"
   ;
   value TK19AB_
      1 = "Agriculture"
      2 = "Mining and quarrying"
      3 = "Manufacturing"
      4 = "Electricity"
      5 = "Construction"
      6 = "Wholesale"
      7 = "Transportation"
      8 = "Finance"
      9 = "Social services"
      10 = "Activities that cannot be classified"
   ;
   value TK20AAX_
      1 = "Given"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK20AB_
      1 = "1-4 peoples"
      2 = "5-19 peoples"
      3 = "20-99 peoples"
      4 = ">= 100 peoples"
      9 = "Missing"
   ;
   value TK21A_
      998 = "Don't Know"
      999 = "Missing"
   ;
   value TK22A_
      998 = "Don't Know"
      999 = "Missing"
   ;
   value TK23A_
      98 = "Don't Know"
      99 = "Missing"
   ;
   value TK23A2M_
      98 = "Don't Know"
      99 = "Missing"
   ;
   value TK23A2Y_
      98 = "Don't Know"
      99 = "Missing"
   ;
   value TK23A4_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value TK24A_
      1 = "Self-employed"
      2 = "Self employed with  unpaid family/temporary worker"
      3 = "Self-employed with employees/permanent workers"
      4 = "Government worker"
      5 = "Private worker"
      6 = "Unpaid family worker"
      7 = "Casual worker in agriculture"
      8 = "Casual worker not in agriculture"
      9 = "Missing"
   ;
   value TK24A2_
      1 = "By piece"
      2 = "Per day or hour"
      3 = "Per week or month"
      4 = "Exchange labor"
      5 = "Share of harvest/output"
      6 = "By the job"
      7 = "In kind of goods"
      95 = "Other"
      99 = "Missing"
   ;
   value TK24A2A_
      1 = "Through government job fairs"
      2 = "Through private job fairs"
      3 = "School/University fairs"
      4 = "Responded to job ads"
      5 = "Contacted company"
      6 = "Through friends/relatives"
      7 = "Contacted by company/employer"
      8 = "Outsourcing"
      9 = "Agent"
      99 = "Missing"
   ;
   value TK24A5_
      1 = "Yes, with no fixed time"
      2 = "Yes, with fixed time"
      3 = "No"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK24A6X_
      1 = "Months given"
      2 = "Years given"
      9 = "Missing"
   ;
   value TK24A7M_
      1 = "January"
      2 = "Pebruary"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value TK24A7Y_
      9998 = "Don't Know"
      9999 = "Missing"
   ;
   value $TK25A10_
      'A' = "Penggunaan Komputer"
      'B' = "Penguasaan Bahasa"
      'C' = "Pelatihan teknis"
      'D' = "Kerja sama"
      'E' = "Kepemimpinan"
      'V' = "Lainnya"
      'Z' = "Missing"
   ;
   /*
   value TK25A1A_
      111 = "< Rp 2 millions"
      112 = "The same 2 millions"
      113 = "> Rp 2 millions"
      118 = "1DK"
      131 = "< Rp 10 millions"
      132 = "The same 10 millions"
      133 = "> Rp 10 millions"
      138 = "DK"
      231 = "< Rp 8 millions"
      232 = "The same 8 millions"
      233 = "> Rp 8 millions"
      238 = "DK"
      999 = "Missing"
   ;
   value TK25A1AX_
      11 = "< Rp 8 millions"
      12 = "The same 8 millions"
      13 = "> Rp 8 millions"
      18 = "DK"
      21 = "< Rp 2 millions"
      22 = "The same 2 millions"
      23 = "> Rp 2 millions"
      28 = "DK"
      99 = "Missing"
   ;
   value TK25A1AXX_
      2331 = "< Rp 10 millions"
      2332 = "The same 10 millions"
      2333 = "> Rp 10 millions"
      2338 = "DK"
      9999 = "Missing"
   ;
   */
   value TK25A1X_
      1 = "Given"
      8 = "Don't Know"
      9 = "Missing"
   ;
   /*
   value TK25A2A_
      111 = "< Rp 12 millions"
      112 = "The same 12 millions"
      113 = "> Rp 12 millions"
      118 = "1DK"
      131 = "< Rp 100 millions"
      132 = "The same 100 millions"
      133 = "> Rp 100 millions"
      138 = "Don't Know"
      231 = "< Rp 40 millions"
      232 = "The same 40 millions"
      233 = "> Rp 40 millions"
      238 = "DK"
      999 = "Missing"
   ;
   value TK25A2AX_
      11 = "< Rp 40 millions"
      12 = "The same 40 millions"
      13 = "> Rp 40 millions"
      18 = "DK"
      21 = "< Rp 12 millions"
      22 = "The same 12 millions"
      23 = "> Rp 12 millions"
      28 = "Don't Know"
      99 = "Missing"
   ;
   value TK25A2AXX_
      2331 = "< Rp 100 millions"
      2332 = "The same 100 millions"
      2333 = "> Rp 100 millions"
      2338 = "DK"
      9999 = "Missing"
   ;
   */
   value TK25A2BX_
      1 = "Given"
      6 = "NA"
      8 = "Don't Know"
      9 = "Missing"
   ;
   /*
   value TK25A2C_
      111 = "< Rp 2 millions"
      112 = "The same 2 millions"
      113 = "> Rp 2 millions"
      118 = "1DK"
      131 = "< Rp 10 millions"
      132 = "The same 10 millions"
      133 = "> Rp 10 millions"
      138 = "DK"
      231 = "< Rp 8 millions"
      232 = "The same 8 millions"
      233 = "> Rp 8 millions"
      238 = "DK"
      999 = "Missing"
   ;
   value TK25A2CX_
      11 = "< Rp 8 millions"
      12 = "The same 8 millions"
      13 = "> Rp 8 millions"
      18 = "DK"
      21 = "< Rp 2 millions"
      22 = "The same 2 millions"
      23 = "> Rp 2 millions"
      28 = "DK"
      99 = "Missing"
   ;
   value TK25A2CXX_
      2331 = "< Rp 10 millions"
      2332 = "The same 10 millions"
      2333 = "> Rp 10 millions"
      2338 = "DK"
      9999 = "Missing"
   ;
   */
   value TK25A2X_
      1 = "Given"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK25A3A_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK25A3AA_
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK25A3AX_
      1 = "Given amount"
      2 = "Not every day"
   ;
   value TK25A3B_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK25A3C_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK25A3D1_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK25A3D2_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK25A3E1_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK25A3E2_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK25A3E3_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK25A3F_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK25A3G_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK25A3H_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK25A3X_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value TK25A4_
      1 = "TASPEN"
      2 = "ASABRI"
      3 = "JAMSOSTEK"
      4 = "Other private pension"
      6 = "No pension plan"
      9 = "Missing"
   ;
   value TK25A5X_
      1 = "Given"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK25A6_
      1 = "Annuity benefit per month/year"
      2 = "Lump sum payment at retirement"
      3 = "Combination of lump sum and annuity"
      9 = "Missing"
   ;
   value TK25A7X_
      1 = "Yes"
      3 = "No"
   ;
   value TK25A7_X_
      1 = "Given"
      6 = "No health insurance"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK25A8_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value TK25A9_
      98 = "Don't Know"
      99 = "Missing"
   ;
   value TK25A9X_
      1 = "Receive"
      2 = "Less than a week"
      3 = "Not receive any training in the last 12 months"
      9 = "Missing"
   ;
   value TK26A10_
      1 = "All/Almost all time"
      2 = "Most of the time"
      3 = "Some of the time"
      4 = "None/Almost none of the time"
      9 = "MISSING"
   ;
   value TK26A11_
      1 = "All/Almost all time"
      2 = "Most of the time"
      3 = "Some of the time"
      4 = "None/Almost none of the time"
      9 = "MISSING"
   ;
   value TK26A12_
      1 = "All/Almost all time"
      2 = "Most of the time"
      3 = "Some of the time"
      4 = "None/Almost none of the time"
      9 = "MISSING"
   ;
   value TK26A1X_
      1 = "Profit"
      2 = "Minus"
      8 = "Don't Know (dk)"
      9 = "Missing"
   ;
   value TK26A3X_
      1 = "Profit"
      2 = "Minus"
      8 = "Don't Know (dk)"
      9 = "Missing"
   ;
   value TK26A5_
      1 = "All/Almost all time"
      2 = "Most of the time"
      3 = "Some of the time"
      4 = "None/Almost none of the time"
      9 = "MISSING"
   ;
   value TK26A6_
      1 = "All/Almost all time"
      2 = "Most of the time"
      3 = "Some of the time"
      4 = "None/Almost none of the time"
      9 = "MISSING"
   ;
   value TK26A7_
      1 = "All/Almost all time"
      2 = "Most of the time"
      3 = "Some of the time"
      4 = "None/Almost none of the time"
      9 = "MISSING"
   ;
   value TK26A8_
      1 = "All/Almost all time"
      2 = "Most of the time"
      3 = "Some of the time"
      4 = "None/Almost none of the time"
      9 = "MISSING"
   ;
   value TK26A9_
      1 = "All/Almost all time"
      2 = "Most of the time"
      3 = "Some of the time"
      4 = "None/Almost none of the time"
      9 = "MISSING"
   ;
   value TKP18AX_
      1 = "Know"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TKP19AA_
      1 = "Agriculture"
      2 = "Mining and quarrying"
      3 = "Manufacturing"
      4 = "Electricity"
      5 = "Construction"
      6 = "Wholesale"
      7 = "Transportation"
      8 = "Finance"
      9 = "Social services"
      10 = "Activities that cannot be classified"
   ;
   value TKP19AX_
      1 = "Know"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TKP20AX_
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TKP21AX_
      1 = "Input data"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TKP22AX_
      1 = "Input data"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TKP23A2X_
      1 = "Given"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TKP23AX_
      1 = "Input data"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK19BA_
      1 = "Agriculture"
      2 = "Mining and quarrying"
      3 = "Manufacturing"
      4 = "Electricity"
      5 = "Construction"
      6 = "Wholesale"
      7 = "Transportation"
      8 = "Finance"
      9 = "Social services"
      10 = "Activities that cannot be classified"
      99 = "Missing"
   ;
   value TK20BAX_
      1 = "Given"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK21B_
      998 = "Don't Know"
      999 = "Missing"
   ;
   value TK22B_
      998 = "Don't Know"
      999 = "Missing"
   ;
   value TK23B_
      98 = "Don't Know"
      99 = "Missing"
   ;
   value TK23B2M_
      98 = "Don't Know"
      99 = "Missing"
   ;
   value TK23B2Y_
      98 = "Don't Know"
      99 = "Missing"
   ;
   value TK23B4_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value TK24B_
      1 = "Self-employed"
      2 = "Self employed with  unpaid family/temporary worker"
      3 = "Self-employed with employees/permanent workers"
      4 = "Government worker"
      5 = "Private worker"
      6 = "Unpaid family worker"
      7 = "Casual worker in agriculture"
      8 = "Casual worker not in agriculture"
      9 = "MISSING"
   ;
   value TK24B1A_
      1 = "Through government job fairs"
      2 = "Through private job fairs"
      3 = "School/University job fairs"
      4 = "Responded to job ads"
      5 = "Contacted company"
      6 = "Through friends/relatives"
      7 = "Contacted by company"
   ;
   value TK24B2_
      1 = "By piece"
      2 = "Per day or hour"
      3 = "Per week or month"
      4 = "Exchange labor"
      5 = "Share of harvest/output"
      6 = "By the job"
      7 = "In kind"
      95 = "Other"
      99 = "Missing"
   ;
   value TK24B5_
      1 = "Yes, with no fixed time"
      2 = "Yes, with fixed time"
      3 = "No"
      9 = "Missing"
   ;
   value TK24B6X_
      1 = "Months given"
      2 = "Years given"
      9 = "Missing"
   ;
   value TK24B7M_
      98 = "Don't Know"
      99 = "Missing"
   ;
   value TK24B7Y_
      9998 = "Don't Know"
      9999 = "Missing"
   ;
   value TK25B1X_
      1 = "Given"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK25B2BX_
      1 = "Given"
      6 = "Not applicable"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK25B2X_
      1 = "Given"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK25B3A_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK25B3AX_
      1 = "Given amount"
      2 = "Not every day"
   ;
   value TK25B3B_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK25B3C_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK25B3D1_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK25B3D2_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK25B3E1_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK25B3E2_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK25B3E3_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK25B3F_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK25B3G_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK25B3H_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK26B1X_
      1 = "Profit"
      2 = "Loss"
      8 = "Don't Know (dk)"
      9 = "Missing"
   ;
   value TK26B3X_
      1 = "Profit"
      2 = "Loss"
      8 = "Don't Know (dk)"
      9 = "Missing"
   ;
   value TK27_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TKP18BX_
      1 = "Know, input data"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TKP19BB_
      1 = "Agriculture"
      2 = "Mining and quarrying"
      3 = "Manufacturing"
      4 = "Electricity"
      5 = "Construction"
      6 = "Wholesale"
      7 = "Transportation"
      8 = "Finance"
      9 = "Social services"
      10 = "Activities that cannot be classified"
      99 = "Missing"
   ;
   value TKP19BX_
      1 = "Given"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TKP20BX_
      1 = "Given"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TKP21BX_
      1 = "Input data"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TKP22BX_
      1 = "Masukkan data"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TKP23B2X_
      1 = "Given"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TKP23BX_
      1 = "Input data"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK28_
      1 = "Yes"
      3 = "No"
      6 = "Interviewed was in 2014"
      9 = "Missing"
   ;
   value TK30X_
      1 = "Given"
      3 = "Same with last column"
      9 = "Missing"
   ;
   value TK31A_
      1 = "Agriculture"
      2 = "Manufacturing"
      3 = "Service industry"
      4 = "Electricity"
      5 = "Construction"
      6 = "Tourism"
      7 = "Transportation and communication"
      8 = "Finance"
      9 = "Community service"
      10 = "Activities that cannot be classified"
      95 = "Other"
      99 = "Missing"
   ;
   value TK31X_
      1 = "Given"
      3 = "Same with last column"
      9 = "Missing"
   ;
   value TK32X_
      1 = "Given"
      3 = "Same with last column"
      9 = "Missing"
   ;
   value TK33_
      1 = "Self-employed"
      2 = "Self employed with  unpaid family/temporary worker"
      3 = "Self-employed with employees/permanent workers"
      4 = "Government worker"
      5 = "Private worker"
      6 = "Unpaid family worker"
      7 = "Casual worker in agriculture"
      8 = "Casual worker not in agriculture"
      9 = "Missing"
   ;
   value TK33A_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value TK46A_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value TK46B_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value TK46DM_
      1 = "January"
      2 = "Pebruary"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value TK46DY_
      9998 = "Don't Know"
      9999 = "Missing"
   ;
   value TK46G_
      1 = "Agriculture"
      2 = "Manufacturing"
      3 = "Service industry"
      4 = "Electricity"
      5 = "Construction"
      6 = "Tourism"
      7 = "Transportation and communication"
      8 = "Finance"
      9 = "Community service"
      10 = "Activities that cannot be classified"
      98 = "Don't Know"
      99 = "Missing"
   ;
   value TK46H_
      1 = "1-4 people"
      2 = "5-19 people"
      3 = "20-99 people"
      4 = ">= 100 people"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK46I_
      1 = "Government agencies"
      2 = "State-ownes company"
      3 = "Domestic private company"
      4 = "Foreign/multinational company"
      5 = "Domestic worker"
      9 = "Missing"
   ;
   value TK46JM_
      98 = "Don't Know"
      99 = "Missing"
   ;
   value TK46JY_
      98 = "Don't Know"
      99 = "Missing"
   ;
   value TK46KM_
      1 = "January"
      2 = "Pebruary"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value TK46KY_
      9998 = "Don't Know"
      9999 = "Missing"
   ;
   value TK46M_
      1 = "Fire by company because business was closed down"
      2 = "Fired for other reason"
      3 = "Wage/salary was too low"
      4 = "Not condusive working environtment"
      5 = "Refused being relocated"
      6 = "Prolonged sickness"
      7 = "Marriage"
      8 = "Childbirth"
      9 = "Other family reason"
      95 = "Other"
      99 = "Missing"
   ;
   value TK46N_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value TK46OX_
      1 = "Given times monthly wage"
      2 = "Given amount of money"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK46QM_
      1 = "January"
      2 = "Pebruary"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value TK46QX_
      1 = "Given date"
      6 = "Havent received any"
      9 = "Missing"
   ;
   value TK46QY_
      9998 = "Don't Know"
      9999 = "Missing"
   ;
   value TK46R_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value TK46S_
      1 = "TASPEN"
      2 = "ASABRI"
      3 = "JAMSOSTEK"
      4 = "Other private pension"
      9 = "Missing"
   ;
   value TK46TX_
      1 = "Given"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK46UX_
      1 = "Given"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK46VM_
      1 = "January"
      2 = "Pebruary"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value TK46VX_
      1 = "Given date"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK46VY_
      9998 = "Don't Know"
      9999 = "Missing"
   ;
   value TK46WX_
      1 = "Given"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK46X_
      1 = "Yes"
      3 = "No"
   ;
   value TK46Y_
      1 = "Very satisfied"
      2 = "Satisfied"
      3 = "unsatisfied"
      4 = "Very unsatisfied"
   ;
   value TK47A_
      1 = "Given year"
      6 = "Work never primary activity"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TK47MTH_
      1 = "January"
      2 = "Pebruary"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value TK47X_
      1 = "Yes"
      3 = "No"
   ;
   value TK47YR_
      9998 = "Don't Know"
      9999 = "Missing"
   ;
   value TK48_
      98 = "Don't Know"
      99 = "Missing"
   ;
   value TK50B_
      1 = "Agriculture"
      2 = "Manufacturing"
      3 = "Service industry"
      4 = "Electricity"
      5 = "Construction"
      6 = "Tourism"
      7 = "Transportation and communication"
      8 = "Finance"
      9 = "Community service"
      10 = "Others activity"
      95 = "Don't Know"
      99 = "Missing"
   ;
   value TK53_
      998 = "Don't Know"
      999 = "Missing"
   ;
   value TK54_
      98 = "Don't Know"
      99 = "Missing"
   ;
   value TK55_
      1 = "Self-employed"
      2 = "Self employed with  unpaid family/temporary worker"
      3 = "Self-employed with employees/permanent workers"
      4 = "Government worker"
      5 = "Private worker"
      6 = "Unpaid family worker"
      7 = "Casual worker in agriculture"
      8 = "Casual worker not in agriculture"
      9 = "Missing"
   ;
   value TK55A_
      1 = "Through government job fairs"
      2 = "Through private job fairs"
      3 = "Through school/university job fairs"
      4 = "Responded to job ads"
      5 = "Contacted company"
      6 = "Through friends/relatives"
      7 = "Contacted by company worker"
   ;
   value TK56X_
      1 = "Net income given"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TKP48X_
      1 = "Know, input data"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TR01_
      1 = "Strongly agree"
      2 = "Agree"
      3 = "Disagree"
      4 = "Strongly disagree"
      9 = "Missing"
   ;
   value TR02_
      1 = "Strongly agree"
      2 = "Agree"
      3 = "Disagree"
      4 = "Strongly disagree"
      9 = "Missing"
   ;
   value TR03_
      1 = "Strongly agree"
      2 = "Agree"
      3 = "Disagree"
      4 = "Strongly disagree"
      9 = "Missing"
   ;
   value TR04_
      1 = "Strongly agree"
      2 = "Agree"
      3 = "Disagree"
      4 = "Strongly disagree"
      6 = "NA"
      9 = "Missing"
   ;
   value TR05_
      1 = "Strongly agree"
      2 = "Agree"
      3 = "Disagree"
      4 = "Strongly disagree"
      9 = "Missing"
   ;
   value TR06_
      1 = "Very safe"
      2 = "Safe"
      3 = "Unsafe"
      4 = "Very unsafe"
      9 = "Missing"
   ;
   value TR07_
      1 = "Very safe"
      2 = "Safe"
      3 = "Unsafe"
      4 = "Very unsafe"
      9 = "Missing"
   ;
   value TR08A_
      1 = "Likely"
      2 = "Unlikely"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TR08B_
      11 = "Very likely"
      12 = "Somewhat likely"
      18 = "Don't Know"
      21 = "Somewhat unlikely"
      22 = "Very unlikely"
      28 = "Don't Know"
      99 = "Missing"
   ;
   value TR09A_
      1 = "Likely"
      2 = "Unlikely"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TR09B_
      11 = "Very likely"
      12 = "Somewhat likely"
      18 = "Don't Know"
      21 = "Somewhat unlikely"
      22 = "Very unlikely"
      28 = "Don't Know"
      99 = "MISSING"
   ;
   value TR10A_
      1 = "Likely"
      2 = "Unlikely"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value TR10B_
      11 = "Very likely"
      12 = "Somewhat likely"
      18 = "Don't Know"
      21 = "Somewhat unlikely"
      22 = "Very unlikely"
      28 = "Don't Know"
      99 = "Missing"
   ;
   value TR11_
      1 = "Very religious"
      2 = "Somewhat religious"
      3 = "rather  religious"
      4 = "Not religious"
      7 = "Refuse"
      9 = "Missing"
   ;
   value TR12_
      1 = "Islam"
      2 = "Catholic"
      3 = "Protestant"
      4 = "Hindu"
      5 = "Budha"
      6 = "Konghucu"
      96 = "NA"
      99 = "Missing"
   ;
   value TR12A_
      1 = "Nahdlatul Ulama ( NU )"
      2 = "Muhammadiyah"
      6 = "Not close to the Islamic tradition"
      95 = "others"
      99 = "Missing"
   ;
   value TR13_
      98 = "Don't Know"
      99 = "Missing"
   ;
   value TR13X_
      1 = "Given times"
      2 = "Not every day"
      3 = "Do not practice"
      7 = "Refuse"
      9 = "Missing"
   ;
   value TR14A_
      1 = "Yes, more than once a week."
      2 = "Yes, at least once a week."
      3 = "Yes, at least once a month."
      4 = "Yes, less than once a month."
      5 = "No"
      7 = "REFUSED"
      9 = "Missing"
   ;
   value TR15_
      1 = "Before each activities"
      2 = "Morning and evening"
      3 = "Once a day"
      4 = "Sometimes"
      5 = "Do not practice"
      7 = "Refused"
      9 = "Missing"
   ;
   value TR16A_
      1 = "Yes, more than once a week."
      2 = "Yes, at least once a week."
      3 = "Yes, at least once a month."
      4 = "Yes, less than once a month."
      5 = "No"
      7 = "REFUSED"
      9 = "Missing"
   ;
   value TR17_
      1 = "Every day"
      2 = "During  kajeng kliwon/full moon/tilem"
      3 = "On holy days"
      4 = "never"
      7 = "Refused"
      9 = "Missing"
   ;
   value TR18_
      1 = "Yes,vegetarian/mutih"
      2 = "Yes,dont eat animals except fish"
      3 = "Yes,dont eat read meat"
      4 = "Yes,dont eat beefi"
      5 = "Yes,other dietary resriction"
      6 = "No dietary restriction"
      9 = "Missing"
   ;
   value TR19_
      1 = "Every day"
      2 = "Every week/every  1st or 15th of the month according to Chinese calendar"
      3 = "Dont practice"
      7 = "Refused"
      9 = "Missing"
   ;
   value TR20_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value TR21_
      1 = "Every day"
      2 = "Every week"
      3 = "Dont practice"
      7 = "Refused"
      9 = "Missing"
   ;
   value TR22_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value TR23_
      1 = "Strongly agree"
      2 = "Agree"
      3 = "Disagree"
      4 = "Strongly disagree"
      9 = "Missing"
   ;
   value TR24_
      1 = "Strongly objected"
      2 = "Objected"
      3 = "No objection"
      4 = "No objection at all"
      9 = "Missing"
   ;
   value TR25_
      1 = "Strongly objected"
      2 = "Objected"
      3 = "No objection"
      4 = "No objection at all"
      9 = "Missing"
   ;
   value TR26_
      1 = "Strongly objected"
      2 = "Objected"
      3 = "No objection"
      4 = "No objection at all"
      9 = "Missing"
   ;
   value TR27_
      1 = "Strongly objected"
      2 = "Objected"
      3 = "No objection"
      4 = "No objection at all"
      9 = "Missing"
   ;
   value TR28_
      1 = "Strongly objected"
      2 = "Objected"
      3 = "No objection"
      4 = "No objection at all"
      9 = "Missing"
   ;
   value TR29A_
      1 = "Very likely"
      2 = "Somewhat likely"
      3 = "Neither more or less likely"
      4 = "Somewhat unlikely"
      5 = "Very unlikely"
      6 = "Not yet eligible to vote"
      9 = "Missing"
   ;
   value TR30A_
      1 = "Very likely"
      2 = "Somewhat likely"
      3 = "Neither more or less likely"
      4 = "Somewhat unlikely"
      5 = "Very unlikely"
      6 = "Not yet eligible to vote"
      9 = "Missing"
   ;
   value TR30B_
      1 = "Very likely"
      2 = "Somewhat likely"
      3 = "Neither more or less likely"
      4 = "Somewhat unlikely"
      5 = "Very unlikely"
      6 = "Not yet eligible to vote"
      9 = "Missing"
   ;
   value HR302P2_
      111 = "<50 mil/ 25mil/ 10 mil/ 4mil"
      112 = ">= 50 mil/ 25mil/ 10 mil/ 4mil"
      113 = ">50 mil/ 25mil/ 10 mil/ 4mil"
      118 = "1Don't Know"
      131 = "200mil / 100mil / 40mil / 10mil"
      132 = ">=200mil / 100mil / 40mil / 10mil"
      133 = ">200mil / 100mil / 40mil / 10mil"
      138 = "Don't Know"
      231 = "<100 mil/ 50 mil/ 20 mil/ 6mil"
      232 = ">=100 mil/ 50 mil/ 20 mil/ 6mil"
      233 = ">100 mil/ 50 mil/ 20 mil/ 6mil"
      238 = "Don't Know"
      999 = "Missing"
   ;
   value HR302P3_
      2331 = "200mil / 100mil / 40mil / 10mil"
      2332 = ">=200mil / 100mil / 40mil / 10mil"
      2333 = ">200mil / 100mil / 40mil / 10mil"
      2338 = "Don't Know"
      9999 = "Missing"
   ;
   value HR305X_
      1 = "Given"
      3 = "Dont have"
      7 = "Unwilling to answer"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value HR306_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value HR307_
      99 = "Missing"
   ;
   value $HR308_
      'B' = "Suami / istri Responden"
      'C' = "Anak / Menantu Responden"
      'D' = "Orang Tua Responden"
      'E' = "Mertua Responden"
      'F' = "Saudara Kandung Responden"
      'G' = "Ipar Responden"
      'I' = "Cucu"
      'J' = "Kakek / Nenek"
      'K' = "Paman / Bibi"
      'L' = "Kemenakan Laki laki/Perempuan"
      'M' = "Saudara Sepupu"
      'P' = "Bukan keluarga"
      'Q' = "Anak angkat atau anak tiri"
      'R' = "Keluarga suami/istri, selain ipar"
      'U' = "Mantan suami/istri"
      'V' = "lainnya"
      'Z' = "Missing"
   ;
   value $HR310_
      'A' = "Responden"
      'B' = "Suami / istri Responden"
      'C' = "Anak / Menantu Responden"
      'D' = "Orang Tua Responden"
      'E' = "Mertua Responden"
      'F' = "Saudara Kandung Responden"
      'G' = "Ipar Responden"
      'I' = "Cucu"
      'J' = "Kakek / Nenek"
      'K' = "Paman / Bibi"
      'L' = "Kemenakan Laki laki/Perempuan"
      'M' = "Saudara Sepupu"
      'P' = "Bukan keluarga"
      'Q' = "Anak angkat atau anak tiri"
      'R' = "Keluarga suami/istri, selain ipar"
      'U' = "Mantan suami/istri"
      'V' = "lainnya"
      'Z' = "Missing"
   ;
   value HR311_
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value HR312_
      1 = "Enter percentage"
      6 = "Neither A nor B"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value HR312A_
      998 = "Don't Know"
      999 = "MISSING"
   ;
   value HR312B_
      998 = "Don't Know"
      999 = "MISSING"
   ;
   /*----------------------------------------------------------------------*/
   /*  BUKU3B formats                                                      */                                
   /*----------------------------------------------------------------------*/
   value AK01_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value AK06_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value AK02_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value AK03_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value AK03X_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value $AK04_
      'A' = "Puskesmas or pustu"
      'B' = "Private"
      'C' = "Public hospital"
      'G' = "Employer provide clinic"
      'W' = "Not applicable"
      'Y' = "Don't know"
      'Z' = "Missing"
   ;
   value $AK05_
      'A' = "Spouse"
      'B' = "Oldest child"
      'C' = "2nd oldest child"
      'D' = "3rd oldest child"
      'E' = "Other child"
      'H' = "Parents"
      'V' = "Other"
      'W' = "No one"
      'Z' = "Missing"
   ;
   value $AKTYPE_
      'A' = "Health insurance (ASKES)"
      'B' = "Labor Force insurance (ASTEK)"
      'C' = "Medical Expenditure Reimbursement"
      'D' = "Employer provided clinic"
      'E' = "Private health insurance"
      'G' = "Savings-related insurance"
      'H' = "JAMKESMAS"
      'I' = "JAMKESDA"
      'J' = "JAMKESSOS"
      'K' = "JAMPERSAL"
      'L' = "JKN"
   ;
   value AK07_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value AK08MTH_
      1 = "January"
      2 = "Pebruary"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value AK08X_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value AK08YR_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value $AK2TYPE_
      'A' = "Health insurance (ASKES)"
      'B' = "Labor Force insurance (ASTEK)"
      'C' = "Medical Expenditure Reimbursement"
      'D' = "Employer provided clinic"
      'E' = "Private health insurance"
      'G' = "Savings-related insurance"
      'H' = "JAMKESMAS"
      'I' = "JAMKESDA"
      'J' = "JAMKESSOS"
      'K' = "JAMPERSAL"
      'L' = "JKN"
   ;
   value BA310X1A_
      1 = "Yes"
      3 = "No"
   ;
   value BA310X1B_
      1 = "Yes"
      3 = "No"
   ;
   value BA310X1C_
      1 = "Yes"
      3 = "No"
   ;
   value BA310X2A_
      1 = "Yes"
      3 = "No"
   ;
   value BA310X2B_
      1 = "Yes"
      3 = "No"
   ;
   value BA310X2C_
      1 = "Yes"
      3 = "No"
   ;
   value BA318_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value BA06DMT_
      1 = "January"
      2 = "Pebruary"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value $BA06E_
      'A' = "Heart attack"
      'B' = "Heart problems"
      'C' = "Stroke"
      'D' = "Diabetes"
      'E' = "Cancer"
      'F' = "TBC"
      'G' = "Asthma"
      'H' = "Other respiratory illness"
      'I' = "Dengue"
      'J' = "Malaria"
      'K' = "Childbirth"
      'L' = "Kidney"
      'M' = "Other illness"
      'N' = "Accidents"
      'O' = "Violence"
      'P' = "Suicide"
      'Y' = "DON'T KNOW"
      'Z' = "MISSING"
   ;
   value BA304_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value BA304AX_
      1 = "Live in the HH"
      3 = "Not live in the HH"
      9 = "Missing"
   ;
   value BA304X_
      1 = "Father"
      2 = "Mother"
   ;
   value BA305_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BA306A_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BA306AA_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BA306B_
      1 = "Did not see"
      2 = "At least once a year"
      3 = "At least once a mnth"
      4 = "At least once a week"
      5 = "Everyday"
      9 = "Missing"
   ;
   value BA306BB_
      1 = "Did not see"
      2 = "At least once a year"
      3 = "At least once a mnth"
      4 = "At least once a week"
      5 = "Everyday"
      9 = "Missing"
   ;
   value BA306BC_
      1 = "Did not see"
      2 = "At least once a year"
      3 = "At least once a mnth"
      4 = "At least once a week"
      5 = "Everyday"
      9 = "Missing"
   ;
   value BA306C_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BA306DX_
      1 = "Enter date of death"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BA307A_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BA307X_
      1 = "Age at death in yrs"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BA308_
      2 = "Elementary"
      3 = "Jr high general"
      4 = "Jr high vocational"
      5 = "Sr high general"
      6 = "Sr high vocational"
      11 = "Adult Education A"
      12 = "Adult Education B"
      13 = "Open University"
      14 = "Islamic School (Pondok Pesantren)"
      15 = "Adult Education C"
      17 = "School for the disabled"
      60 = "College (D1,D2,D3)"
      61 = "University S1"
      62 = "University S2"
      63 = "University S3"
      72 = "Madrasah Ibtidaiyah"
      73 = "Madrasah Tsanawiyah"
      74 = "Madrasah Aliyah"
      95 = "Other"
      98 = "Don't know"
      99 = "Missing"
   ;
   value BA309_
      0 = "Did not finish 1st"
      7 = "Graduated"
      98 = "Don't know"
      99 = "Missing"
   ;
   value BA311_
      1 = "Working/earning income"
      2 = "Job searching"
      3 = "Attending school"
      4 = "Housekeeping"
      5 = "Retired"
      6 = "Stay at home"
      7 = "Sick"
      95 = "Other"
      98 = "Don't know"
      99 = "Missing"
   ;
   value BA312_
      1 = "Self-employed"
      2 = "Self employed with  unpaid family/temporary worker"
      3 = "Self-employed with employees/permanent workers"
      4 = "Government worker"
      5 = "Private worker"
      6 = "Unpaid family worker"
      7 = "Casual worker in agriculture"
      8 = "Casual worker not in agriculture"
      98 = "DON'T KNOW"
      99 = "MISSING"
   ;
   value BA314A_
      1 = "Very healthy"
      2 = "Somewhat healthy"
      3 = "Somewhat unhealthy"
      4 = "Very unhealthy"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BA314B_
      1 = "Yes"
      3 = "No"
      7 = "Unwilling to answer"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BA319_
      1 = "Yes"
      3 = "No"
      7 = "Unwilling to answer"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BA319X_
      1 = "Father and Mother live together in household"
      2 = "Father"
      3 = "Mother"
   ;
   value $BA320_
      'A' = "Money"
      'D' = "Value of food stuff or other goods"
      'G' = "Doing household chores"
      'H' = "Helping family business"
      'V' = "Other"
      'Z' = "Missing"
   ;
   value BA320G2_
      3 = "Days"
      5 = "Months"
      99 = "Missing"
   ;
   value BA320H2_
      3 = "Days"
      5 = "Months"
      99 = "Missing"
   ;
   value BA321_
      1 = "Yes"
      3 = "No"
      7 = "Unwilling to answer"
      8 = "Don't know"
      9 = "Missing"
   ;
   value $BA322_
      'A' = "Money"
      'D' = "Value of food stuff or other goods"
      'G' = "Doing household chores"
      'H' = "Helping famili business"
      'V' = "Other"
      'Z' = "MISSING"
   ;
   value BA322G2_
      3 = "Days"
      5 = "Months"
      99 = "Missing"
   ;
   value BA322H2_
      3 = "Days"
      5 = "Months"
      99 = "Missing"
   ;
   value BA314C_
      0 = "In this household"
      1 = "In the same village"
      2 = "In the same subdistrict"
      3 = "In the same district"
      4 = "In the same province"
      5 = "In another province"
      6 = "In another country"
      98 = "Don't know"
      99 = "Missing"
   ;
   value $BA315_
      'A' = "Alone"
      'B' = "Spouse"
      'C' = "Daughter"
      'D' = "Son"
      'E' = "Daughtr/son in-law"
      'F' = "Sister"
      'G' = "Brother"
      'I' = "Brother/Sister-in-law"
      'J' = "Grandchild"
      'K' = "Grandparent"
      'L' = "Aunt/Uncle"
      'M' = "Niece/Nephew"
      'N' = "Cousin"
      'O' = "Not family"
      'R' = "Parents"
      'S' = "Parents in law"
      'T' = "Step/foster/adopted kid"
      'V' = "Other"
      'Z' = "Missing"
   ;
   value $BA323AX_
      'A' = "Father"
      'B' = "Mother"
   ;
   value BA300B_
      1 = "There is a Preprinted Child Roster"
      3 = "There is no Preprinted Child Roster (New Respondent)"
   ;
   value BA328_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BA329X_
      1 = "Yes"
      3 = "No"
   ;
   value BA354_
      1 = "Yes"
      3 = "No"
      7 = "Unwilling to answer"
      8 = "Don't know =>BA56"
      9 = "Missing"
   ;
   value $BA355_
      'A' = "Money"
      'D' = "Value of food stuff or other goods"
      'G' = "Doing household chores"
      'H' = "Helping family business"
      'V' = "Other"
      'Z' = "Missing"
   ;
   value BA355G2_
      3 = "Days"
      5 = "Months"
      99 = "Missing"
   ;
   value BA355H2_
      3 = "Days"
      5 = "Months"
      99 = "Missing"
   ;
   value BA356_
      1 = "Yes"
      3 = "No"
      7 = "Unwilling to answer"
      8 = "Don't know"
      9 = "Missing"
   ;
   value $BA357_
      'A' = "Money"
      'D' = "Value of food stuff or other goods"
      'G' = "Doing household chores"
      'H' = "Helping family business"
      'V' = "Other"
      'Z' = "Missing"
   ;
   value BA357G2_
      3 = "Days"
      5 = "Months"
      99 = "Missing"
   ;
   value BA357H2_
      3 = "Days"
      5 = "Months"
      99 = "Missing"
   ;
   value BA358A_
      1 = "No child roster"
      3 = "Child roster for Book 3"
      5 = "Child roster for Book 4"
   ;
   value BA358B_
      1 = "Male respondent"
      2 = "Female respondent and answer Book IV"
      3 = "Female respondent and not answer Book IV"
   ;
   value BA358X_
      1 = "Panel"
      3 = "New"
   ;
   value BA359_
      1 = "Yes"
      3 = "No"
      5 = "Not yet married"
      9 = "Missing"
   ;
   value BA360A_
      1 = "MARRIED ONLY ONCE"
      3 = "MARRIED MORE THAN ONCE"
   ;
   value BA361_
      1 = "Yes"
      3 = "No"
      5 = "Not yet married"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BA362_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BA362A_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BA390X_
      1 = "Yes"
      2 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value BA363CX_
      1 = "Biological"
      2 = "Step"
      3 = "Adopted"
      6 = "Duplicate"
      7 = "Not Child"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BA364_
      1 = "Male"
      3 = "Female"
   ;
   value BA364BMT_
      1 = "January"
      2 = "Pebruary"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value BA364BMX_
      1 = "Preprinted"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BA364C_
      1 = "Yes"
      3 = "No"
   ;
   value BA365_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BA365AMT_
      1 = "January"
      2 = "Pebruary"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value BA365AMX_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BA366A_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value BA366X_
      1 = "Enter age in years"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BA367_
      1 = "Unmarried"
      2 = "Married"
      3 = "Separated"
      4 = "Divorced"
      5 = "Widow/widower"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BA368_
      1 = "Unschooled"
      2 = "Elementary"
      3 = "Jr high general"
      4 = "Jr high vocational"
      5 = "Sr high general"
      6 = "Sr high vocational"
      11 = "Adult Education A"
      12 = "Adult Education B"
      13 = "Open University"
      14 = "Islamic School (Pondok Pesantren)"
      15 = "Adult Education C"
      17 = "School for the disabled"
      60 = "College (D1,D2,D3)"
      61 = "University S1"
      62 = "University S2"
      63 = "University S3"
      72 = "Madrasah Ibtidaiyah"
      73 = "Madrasah Tsanawiyah"
      74 = "Madrasah Aliyah"
      90 = "Kindergarten"
      95 = "Don't know"
      98 = "Other"
      99 = "Missing"
   ;
   value BA369_
      0 = "Did not finish 1st"
      7 = "Graduated"
      96 = "Not applicable"
      98 = "Don't know"
      99 = "Missing"
   ;
   value BA370_
      0 = "In this household"
      1 = "In the same village"
      2 = "In the same subdistrict"
      3 = "In the same district"
      4 = "In the same province"
      10 = "Sumatra"
      11 = "Aceh"
      12 = "North Sumatra"
      13 = "West Sumatra"
      14 = "Riau"
      15 = "Jambi"
      16 = "South Sumatra"
      17 = "Bengkulu"
      18 = "Lampung"
      19 = "Bangka Belitung"
      20 = "Kepulauan Riau"
      30 = "Java"
      31 = "Jakarta"
      32 = "West Java"
      33 = "Central Java"
      34 = "D.I. Yogyakarta"
      35 = "East Java"
      36 = "Banten"
      51 = "Bali"
      52 = "West Nusa Tenggara"
      53 = "East Nusa Tenggara"
      60 = "Kalimantan"
      61 = "West Kalimantan"
      62 = "Central Kalimantan"
      63 = "South Kalimantan"
      64 = "East Kalimantan"
      65 = "Nort Kalimantan"
      70 = "Sulawesi"
      71 = "North Sulawesi"
      72 = "Central Sulawesi"
      73 = "South Sulawesi"
      74 = "South East Sulawesi"
      75 = "Gorontalo"
      76 = "West Sulawesi"
      81 = "Maluku"
      82 = "Maluku Utara"
      90 = "Irian"
      91 = "Irian Jaya Barat"
      94 = "Papua"
      101 = "Malaysia"
      102 = "Singapore"
      103 = "Brunei Darussalam"
      104 = "Hongkong"
      105 = "Japan"
      106 = "South Korea"
      107 = "Taiwan"
      108 = "Timor Leste"
      121 = "Yemen"
      122 = "Saudi Arabia"
      123 = "Kuwait"
      124 = "UAE"
      131 = "Argentina"
      132 = "USA"
      141 = "Australia"
      151 = "Holland"
      152 = "UK"
      995 = "Don't know"
      998 = "Others"
      999 = "Missing"
   ;
   value BA378_
      1 = "Yes"
      3 = "No"
      6 = "Not applicable"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BA379_
      1 = "Father and mother"
      2 = "Father"
      3 = "Mother"
      4 = "Not with parents"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BA380_
      1 = "Working/trying to get work/helping to earn income"
      2 = "Job searching"
      3 = "Attending school"
      4 = "Housekeeping"
      5 = "Retired"
      6 = "Stay at home/ unemployment."
      7 = "Sick"
      95 = "Other"
      98 = "Don't know"
      99 = "Missing"
   ;
   value BA381_
      1 = "Self-employed"
      2 = "Self employed with  unpaid family/temporary worker"
      3 = "Self-employed with employees/permanent workers"
      4 = "Government worker"
      5 = "Private worker"
      6 = "Unpaid family worker"
      7 = "Casual worker in agriculture"
      8 = "Casual worker not in agriculture"
      98 = "Don't know"
      99 = "Missing"
   ;
   value BA383A_
      1 = "Still alive"
      3 = "Died in the last 12 month"
      5 = "Died more then 12 month"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BA384_
      1 = "Never"
      2 = "At least once a year"
      3 = "At least once a mnth"
      4 = "At least once a week"
      5 = "Every day"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BA384A_
      1 = "Never"
      2 = "At least once a year"
      3 = "At least once a month"
      4 = "At least once a week"
      5 = "Every day"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BA384B_
      1 = "Never"
      2 = "At least once a year"
      3 = "At least once a mnth"
      4 = "At least once a week"
      5 = "Every day"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BA387A_
      1 = "Yes"
      3 = "No"
      7 = "Unwilling to answer"
      8 = "Don't know"
      9 = "Missing"
   ;
   value $BA388_
      'A' = "Money"
      'D' = "Value of food stuff or other goods"
      'G' = "Doing household chores"
      'H' = "Helping family business"
      'V' = "Other"
      'Z' = "Missing"
   ;
   value BA388G2_
      3 = "Days"
      5 = "Months"
      99 = "Missing"
   ;
   value BA388H2_
      3 = "Days"
      5 = "Months"
      99 = "Missing"
   ;
   value BA389A_
      1 = "Yes"
      3 = "No"
      7 = "Unwilling to answer"
      8 = "Missing"
      9 = "Missing"
   ;
   value $BA390_
      'A' = "Money"
      'D' = "Value of food stuff or other goods"
      'G' = "Doing household chores"
      'H' = "Helping family business"
      'V' = "Other"
      'Z' = "Missing"
   ;
   value BA390G2_
      3 = "Days"
      5 = "Months"
      99 = "Missing"
   ;
   value BA390H2_
      3 = "Days"
      5 = "Months"
      99 = "Missing"
   ;
   value CD113B_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value CD123B_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value CD133B_
      1 = "Walking cane"
      2 = "Walker"
      3 = "Manual wheelchair"
      4 = "Electric wheelchair"
      6 = "DO NOT USE WALKING AID"
      9 = "Missing"
   ;
   value CD013B_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value $CD013BX_
      'A' = "Physically handicapped"
      'B' = "Brain damage"
      'C' = "Vision problem"
      'D' = "Hearing problem"
      'E' = "Speech impediment"
      'F' = "Kidney trouble"
      'I' = "Autism"
   ;
   value CD023B_
      1 = "Doctor"
      2 = "Paramedic"
      3 = "Nurse"
      4 = "midwife"
      9 = "Missing"
   ;
   value CD02AMTH3B_
      1 = "January"
      2 = "Pebruary"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value CD02AX3B_
      1 = "Month / Year"
      2 = "Age"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CD02AYR3B_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value CD033B_
      1 = "Yes, very much so"
      2 = "Yes, some degree"
      3 = "No, not much"
      4 = "No, not at all"
   ;
   value CD053B_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value $CD063B_
      'A' = "Brain"
      'B' = "Mouth cavity"
      'C' = "Throat"
      'D' = "Red lane"
      'E' = "Thyroid"
      'F' = "Lung"
      'G' = "Breast"
      'H' = "Osefagus"
      'I' = "Stomach"
      'J' = "Liver"
      'K' = "Pancreas"
      'L' = "Kidney"
      'M' = "Prostate"
      'N' = "Testis"
      'O' = "Overy"
      'P' = "Cervix"
      'Q' = "Endometrium"
      'R' = "Rectum"
      'S' = "Bladder"
      'T' = "Skin"
      'U' = "Non Hodgkin lymphoma"
      'V' = "Other"
      'X' = "Leukemia"
      'Z' = "Missing"
   ;
   value CD073BM_
      1 = "January"
      2 = "Pebruary"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value CD073BX_
      1 = "Given date"
      2 = "Age"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CD083B_
      1 = "Doctor"
      2 = "Paramedic"
      3 = "Nurse"
      4 = "midwife"
      9 = "Missing"
   ;
   value CD093B_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value $CD09A3B_
      'A' = "Traditional medicine"
      'B' = "Modern medicine"
      'C' = "Insulin injection"
      'D' = "Chemotherapy"
      'E' = "Surgery"
      'F' = "Radiation therapy"
      'G' = "Physical therapy"
      'H' = "Occupational therapy"
      'V' = "Other treatment"
      'W' = "No treatment"
      'Z' = "Missing"
   ;
   value $CD09C3B_
      'A' = "Weight control"
      'B' = "Exercise"
      'C' = "Diet"
      'D' = "Smoking control"
      'E' = "Foot self care (CAPI: ONLY FOR CDTYPE B)"
      'W' = "None of the above"
      'Y' = "Don't Know"
      'Z' = "MISSING"
   ;
   value CD103B_
      1 = "Yes"
      2 = "Yes"
      3 = "No"
      4 = "No"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value $CD3BTYPE_
      'A' = "Hypertension"
      'B' = "Diabetes or high blood sugar"
      'C' = "Tuberculosis (TBC)"
      'D' = "Asthma"
      'E' = "Other lung conditions"
      'F' = "Other lung conditions"
      'G' = "heart attack"
      'H' = "Stroke"
      'I' = "Cancer or malignant tumor"
      'J' = "Arthritis/rheumatism"
      'M' = "High Cholestero (Total or LDL)l"
      'N' = "Prostate illness"
      'O' = "Kidney disease (except for tumor or cancer)"
      'P' = "Stomach or other digestive disease"
      'Q' = "Emotional, nervous, or psychiatric problems"
      'R' = "Memory-related disease"
   ;
   value CO01D1_
      98 = "Don't know"
      99 = "Missing"
   ;
   value CO01D2_
      98 = "Don't know"
      99 = "Missing"
   ;
   value CO01M1_
      1 = "January"
      2 = "Pebruary"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value CO01X_
      1 = "Gregorian calenddar"
      2 = "Islamic calendar"
      3 = "Local calendar"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CO01Y1_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value CO01Y2_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value CO02_
      1 = "All three of day/month/year were answered correctly"
      2 = "Two of day/month/year were answered correctly"
      3 = "One of day/month/year was answered correctly"
      5 = "None of day/month/year were answered correctly"
      6 = "CO01 = 8"
      9 = "Missing"
   ;
   value CO02D1_
      98 = "Don't know"
      99 = "Missing"
   ;
   value CO02D2_
      98 = "Don't know"
      99 = "Missing"
   ;
   value CO02M1_
      1 = "January"
      2 = "Pebruary"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
   ;
   value CO02X_
      1 = "Gregorian calenddar"
      2 = "Islamic calendar"
      3 = "Local calendar"
      9 = "Missing"
   ;
   value CO03_
      1 = "Sunday"
      2 = "Monday"
      3 = "Tuesday"
      4 = "Wenesday"
      5 = "Thursday"
      6 = "Friday"
      7 = "Saturday"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CO03_B_
      1 = "Sunday"
      2 = "Monday"
      3 = "Tuesday"
      4 = "Wednesday"
      5 = "Thursday"
      6 = "Friday"
      7 = "Saturday"
   ;
   value CO04_
      1 = "Day mentioned in CO03 is correct"
      3 = "Day mentioned in CO03 is incorrect"
      6 = "CO03 = 8"
      9 = "Missing"
   ;
   value CO04AA_
      1 = "Excellent"
      2 = "Very good"
      3 = "Good"
      4 = "Fair"
      5 = "Poor"
      9 = "Missing"
   ;
   value CO04AX_
      1 = "Answer given"
      7 = "Refused"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CO04BX_
      1 = "Answer given"
      7 = "Refused"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CO04CX_
      1 = "Answer given"
      7 = "Refused"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CO04DX_
      1 = "Answer given"
      7 = "Refused"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CO04EX_
      1 = "Answer given"
      7 = "Refused"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CO05_
      1 = "Willing to participate"
      7 = "Refuse to participate"
      9 = "Missing"
   ;
   value CO06_
      1 = "List A"
      2 = "List B"
      3 = "List C"
      4 = "List D"
   ;
   value $CO07_
      'W' = "None"
      'X' = "Refused"
   ;
   value $CO10_
      'W' = "NONE RECALLED"
      'X' = "refuse to recall"
   ;
   value COB16_
      1 = "<50 years"
      3 = ">=50 years"
   ;
   value COB17B_
      1 = "TRUE"
      3 = "FALSE"
   ;
   value COB17C_
      0 = "Indonesia"
      1 = "Jawa"
      2 = "Sunda"
      3 = "Bali"
      4 = "Batak"
      5 = "Bugis"
      6 = "Cina"
      7 = "Madura"
      8 = "Sasak"
      9 = "Minang"
      10 = "Banjar"
      11 = "Bima"
      12 = "Makassar"
      13 = "Nias"
      14 = "Palembang"
      15 = "Sumbawa"
      16 = "Toraja"
      17 = "Lahat"
      18 = "Other South Sumatra"
      19 = "Betawi"
      20 = "Lampung"
      95 = "Other"
   ;
   value COB17D_
      1 = "Yes"
      3 = "No"
   ;
   value COB18B_
      0 = "Indonesia"
      1 = "Jawa"
      2 = "Sunda"
      3 = "Bali"
      4 = "Batak"
      5 = "Bugis"
      6 = "Cina"
      7 = "Madura"
      8 = "Sasak"
      9 = "Minang"
      10 = "Banjar"
      11 = "Bima"
      12 = "Makassar"
      13 = "Nias"
      14 = "Palembang"
      15 = "Sumbawa"
      16 = "Toraja"
      17 = "lahat"
      18 = "Other South Sumatra"
      19 = "Betawi"
      20 = "Lampung"
      95 = "Other"
   ;
   value COB18C_
      1 = "Yes"
      3 = "No"
   ;
   value COB19A_
      1 = "Photo taken"
      3 = "No Photo"
      9 = "MISSING"
   ;
   value COB19B_
      1 = "YES"
      3 = "NO"
      6 = "Blind/trouble seeiing"
   ;
   value C13B_
      1 = "Completed"
      2 = "Partially completed"
      3 = "Not completed"
   ;
   value C23B_
      1 = "Respondent was not at home/not available"
      2 = "Respondent was seriously ill"
      3 = "Respondent refused (to be interviewed)"
      5 = "Other"
   ;
   value C4A3B_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value C4B3B_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value C4C3B_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value CK13B_
      0 = "Indonesian"
      1 = "Javanese"
      2 = "Sundanese"
      3 = "Balinese"
      4 = "Batak"
      5 = "Bugis"
      6 = "Chinese"
      7 = "Maduranese"
      8 = "Sasak"
      9 = "Minang"
      10 = "Banjar"
      11 = "Bima"
      12 = "Makasar"
      13 = "Nias"
      14 = "Palembang"
      15 = "Sumbawa"
      16 = "Toraja"
      17 = "Lahat"
      18 = "Other South Sumatra"
      19 = "Betawi"
      20 = "Lampung"
      95 = "Other"
      96 = "TIDAK ADA"
      99 = "Missing"
   ;
   value CK23B_
      0 = "Indonesian"
      1 = "Javanese"
      2 = "Sundanese"
      3 = "Balinese"
      4 = "Batak"
      5 = "Bugis"
      6 = "Chinese"
      7 = "Maduranese"
      8 = "Sasak"
      9 = "Minang"
      10 = "Banjar"
      11 = "Bima"
      12 = "Makasar"
      13 = "Nias"
      14 = "Palembang"
      15 = "Sumbawa"
      16 = "Toraja"
      17 = "Lahat"
      18 = "Other South Sumatra"
      19 = "Betawi"
      20 = "Lampung"
      95 = "Other"
      96 = "TIDAK ADA"
      99 = "Missing"
   ;
   value COV003B_
      1 = "Yes"
      3 = "No"
   ;
   value COV103B_
      1 = "List A"
      2 = "List B"
      3 = "List C"
      4 = "List D"
   ;
   value COV123B_
      1 = "Spouse"
      2 = "Child"
      4 = "Parent"
      5 = "Brother/sister"
      6 = "Son in law"
      95 = "Others"
   ;
   value COV133B_
      1 = "Too old"
      2 = "Deaf/mute"
      3 = "Severely ill"
      4 = "Responden not found/not at home/away"
      5 = "Mental disability"
      6 = "Others"
   ;
   value COV13B_
      1 = "Head of household"
      2 = "Spouse of head"
      3 = "Other HH member"
   ;
   value COV23B_
      1 = "Panel"
      3 = "New"
   ;
   value COV43B_
      1 = "Unmarried"
      2 = "Married"
      3 = "Separated"
      4 = "Divorced"
      5 = "Widow"
      6 = "Cohabitate"
      9 = "Missing"
   ;
   value COV53B_
      1 = "Male"
      3 = "Female"
   ;
   value COV6D3B_
      98 = "Don't know"
      99 = "Missing"
   ;
   value COV6M3B_
      1 = "January"
      2 = "Pebruary"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value COV6Y3B_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value COV93B_
      1 = "List A"
      2 = "List B"
      3 = "List C"
      4 = "List D"
   ;
   value PID_PROXY3B_
      96 = "Proxy not a HHM"
   ;
   value PROXY3B_
      1 = "Book Proxy"
      3 = "Not Book Proxy"
   ;
   value $CP3B1_
      'A' = "No one"
      'B' = "Children 5 or under"
      'C' = "Children older than 5"
      'D' = "Husband/wife"
      'E' = "An Adult"
      'F' = "An Adult"
      'Z' = "Missing"
   ;
   value CP3B2_
      1 = "Excellent"
      2 = "Good"
      3 = "Fair"
      4 = "Not so good"
      5 = "Very bad"
   ;
   value CP3B3_
      1 = "Excellent"
      2 = "Good"
      3 = "Fair"
      4 = "Not so good"
      5 = "Very bad"
   ;
   value B3B_MOVER_
      0 = "CANCEL"
      1 = "Cover book 3B"
      2 = "Section KM"
      3 = "Section KK"
      4 = "Section KK"
      5 = "INTRO_KK3"
      6 = "KK04A"
      7 = "B3B_CD2_GROUP"
      8 = "B3B_CD3_GROUP"
      9 = "B3B_KP_GROUP"
      10 = "B3B_PNA_GROUP"
      11 = "CO01X"
      12 = "CO05"
      13 = "B3B_MA2_GROUP"
      14 = "MA09A1"
      15 = "MA09B"
      16 = "CO09H"
      17 = "BEGHR_COB"
      18 = "EH01"
      19 = "SA01"
      20 = "AK01"
      21 = "AK06"
      22 = "B3B_PS1_GROUP"
      23 = "RJ04A"
      24 = "RJ00A"
      25 = "RJ05AX"
      26 = "FM01"
      27 = "RN00"
      28 = "RN05AX"
      29 = "PM01"
      30 = "B3B_PM3_GROUP"
      31 = "PM20"
      32 = "PM24A"
      33 = "B3B_BA31_GROUP"
      34 = "BA310X1A"
      35 = "B3B_BA32_GROUP"
      36 = "B3B_BA33_GROUP"
      37 = "BA328"
      38 = "BA300B"
      39 = "TF01A"
      40 = "EP301"
      41 = "CK13B"
   ;
   value INTRO_AK_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value $INTRO_AK02_
      'A' = "Health Insurance (PT ASKES)"
      'B' = "Labor (Social) Insurance (ASTEK Jamsostek)"
      'C' = "Employer provided health insurance/benefits"
      'D' = "Employer Provided Clinic"
      'E' = "Private Insurance"
      'G' = "Savings-related insurance"
      'H' = "JAMKESMAS"
      'I' = "JAMKESDA"
      'J' = "JAMKESSOS"
      'K' = "ASKES SOSIAL"
      'L' = "JAMPERSAL"
      'M' = "JKN"
   ;
   value $INTRO_AK07_
      'A' = "Health Insurance (PT ASKES)"
      'B' = "Labor (Social) Insurance (ASTEK Jamsostek)"
      'C' = "Employer provided health insurance/benefits"
      'D' = "Employer Provided Clinic"
      'E' = "Private Insurance"
      'G' = "Savings-related insurance"
      'H' = "JAMKESMAS"
      'I' = "JAMKESDA"
      'J' = "JAMKESSOS"
      'K' = "ASKES SOSIAL"
      'L' = "JAMPERSAL"
      'M' = "JKN"
   ;
   value INTRO_BA1_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value INTRO_BA2_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value $INTRO_CD01_
      'A' = "Physical disabilities"
      'B' = "Brain damage"
      'C' = "Vision problem"
      'D' = "Hearing problem"
      'E' = "Speech impediment"
      'F' = "Mental retardation"
      'I' = "Autism"
      'W' = "Non diagnosa"
   ;
   value $INTRO_CD07_
      'A' = "Hypertension"
      'B' = "Diabetes or high blood sugar"
      'C' = "Tuberculosis (TBC)"
      'D' = "Asthma"
      'E' = "Other lung conditions"
      'F' = "Heart attack"
      'G' = "Liver"
      'H' = "Stroke"
      'I' = "Cancer or malignant tumor"
      'J' = "Arthritis/rheumatism"
      'L' = "Depresi"
      'M' = "High Cholestero (Total or LDL)l"
      'N' = "Prostate illness"
      'O' = "Kidney disease (except for tumor or cancer)"
      'P' = "Stomach or other digestive disease"
      'Q' = "Emotional, nervous, or psychiatric problems"
      'R' = "Memory-related disease"
      'W' = "None"
   ;
   value INTRO_CD1_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value INTRO_CD2_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value INTRO_CO1_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value INTRO_CO2_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value INTRO_CO3_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value INTRO_CO4_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value INTRO_CO5_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value INTRO_CO6_
      1 = "Next Interviewer"
      9 = "Interviewer not Completed"
   ;
   value INTRO_CO7_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value INTRO_CO8_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value INTRO_CO9_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value INTRO_COB_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value INTRO_COB1_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value INTRO_COB18_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value INTRO_COB2_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value INTRO_COB3_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value INTRO_COB4_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value INTRO_COB5_
      1 = "Next Interviewer"
      9 = "Interviewer not Completed"
   ;
   value INTRO_COB6_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value INTRO_COB7_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value INTRO_COB8_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value INTRO_CP_
      1 = "Next Interview"
   ;
   value INTRO_EH_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value INTRO_EP_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value INTRO_FM_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value $INTRO_FM02_
      'A' = "Sweet potatoes"
      'B' = "Eggs"
      'C' = "Fish"
      'D' = "Meat (beef, chicken, pork, etc.)"
      'E' = "Dairy"
      'F' = "Green leafy vegetables"
      'G' = "Banana"
      'H' = "Papaya"
      'I' = "Carrot"
      'J' = "Mango"
      'K' = "Instant noodle"
      'L' = "Fast food"
      'M' = "Soft drink (Coca cola, sprite , dll)"
      'N' = "Sambal"
      'O' = "Fried snacks (tempe, tahu, bakwan dll)"
      'P' = "Rice"
      'Q' = "Sweet snacks  (wajik, geplak, donuts, wafers, chocolate, dll)"
      'W' = "None"
   ;
   value INTRO_KK1_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value INTRO_KK2_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value INTRO_KK3_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value INTRO_KK4_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value INTRO_KK5_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value INTRO_KM_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value INTRO_KP_
      1 = "Next Interviewer"
      9 = "Interviewer not Completed"
   ;
   value INTRO_MA1_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value INTRO_MA5_
      1 = "Next Interviewer"
      9 = "Interviewer not Completed"
   ;
   value INTRO_PM1_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value INTRO_PM2_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value $INTRO_PM26_
      'A' = "Appearance"
      'B' = "Popularity"
      'C' = "Quality of the  program"
      'D' = "Political affiliation"
      'E' = "Faith/relegion"
      'F' = "Ethnicity"
      'G' = "Experience in governance"
      'H' = "Gender r"
      'I' = "Gifts ("
      'J' = "Age"
      'W' = "None factor"
   ;
   value INTRO_PM3_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value INTRO_PM4_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value INTRO_PS_
      1 = "Next Interviewer"
      9 = "Interviewer not Completed"
   ;
   value $INTRO_PS01_
      'A' = "Consumed over-the-counter modern medicines (like bodrexin, inzana, paramex)"
      'B' = "Consumed  traditional herbs or traditional medicines as treatment"
      'C' = "Used topical medicines (like eyedrops, cream, medical plaster, ointment and the like)"
      'E' = "Vitamin/Supplements"
      'F' = "Massage, coining"
      'W' = "None"
   ;
   value INTRO_PSN_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value $INTRO_RJ01_
      'A' = "Public hospital (General or Specialty)"
      'B' = "Public Health Center (puskesmas)/Auxiliary Center (puskesmas pembantu)"
      'E' = "Private Hospital"
      'F' = "Polyclinic, Private Clinic, Medical Center"
      'G' = "Private Physician (General Practitioner, Specialist, Dentist, Family Doctor)"
      'H' = "Nurse, Paramedic, Midwife practitioner"
      'I' = "Traditional practitioner (shaman, wiseman, kyai, Chinese herbalist, masseur, acupuncturist, etc.)"
   ;
   value INTRO_RJ1_
      1 = "Next Interviewer"
      9 = "Interviewer not Completed"
   ;
   value INTRO_RJ2_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value INTRO_RJ3_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value INTRO_RJ4_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value INTRO_RJ5_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value $INTRO_RN01_
      'A' = "Public Hospital (General or Specialty)"
      'B' = "Public Health Center (puskesmas)"
      'C' = "Private Hospital"
      'D' = "Private Clinic"
      'V' = "Others"
   ;
   value INTRO_RN1_
      1 = "Next Interviewer"
      9 = "Interviewer not Completed"
   ;
   value INTRO_RN2_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value INTRO_SA_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value INTRO_TDR_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value INTRO_TF1_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value INTRO_TF2_
      1 = "Next Interview"
      9 = "Interview not Completed"
   ;
   value EH01_
      1 = "Excellent"
      2 = "Very good"
      3 = "Good"
      4 = "Fair"
      5 = "Poor"
      9 = "Missing"
   ;
   value EH02_
      1 = "Yes"
      3 = "No"
      6 = "Not applicable"
      9 = "Missing"
   ;
   value EH03_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value EH04_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value $EH05_
      'A' = "Infectious disease (e.g. measles, rubella, chicken pox, mumps, tubercolosis, diphtheria, scarlet fever)"
      'B' = "Polio"
      'C' = "Asthma"
      'D' = "Respiratory problems other than asthma"
      'E' = "Allergies (other than asthma)"
      'F' = "Severe diarrhoea"
      'G' = "Epilepsy, fits or seizures"
      'H' = "Emotional, nervous, or psychiatric problem"
      'J' = "Childhood diabetes or high blood sugar"
      'K' = "Heart trouble"
      'L' = "Leukaemia or lymphoma"
      'M' = "Cancer or malignant tumour (excluding minor skin cancers)"
      'V' = "Other serious diseases/illnesses"
      'W' = "NONE OF THESE"
      'Z' = "Missing"
   ;
   value EH06_
      1 = "When I was between 0-5 years old."
      2 = "When I was between 6-10 years old."
      3 = "When I was between 11-15 years old."
      6 = "NA"
      9 = "Missing"
   ;
   value EH07_
      1 = "When I  was between 0-5 years old."
      2 = "When I  was between 6-10 years old."
      3 = "When I  was between 11-15 years old."
      6 = "NA"
      9 = "Missing"
   ;
   value EH08_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value EH09_
      1 = "When I  was between 0-5 years old."
      2 = "When I  was between 6-10 years old."
      3 = "When I  was between 11-15 years old."
      6 = "Not Applicable"
      9 = "Missing"
   ;
   value EP301_
      1 = "Male respondent"
      2 = "Female respondent and not answer Book IV"
      3 = "Female respondent and answer Book IV"
   ;
   value EP301A_
      1 = "Yes"
      3 = "No"
   ;
   value EP301X_
      1 = "Yes"
      3 = "No"
   ;
   value EP319X_
      1 = "Yes"
      2 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value EP307_
      96 = "NA"
      99 = "Not in BA section"
   ;
   value EP309_
      96 = "Not applicable"
      99 = "Not in HH roster"
   ;
   value EP309X_
      1 = "Biological"
      2 = "Step"
      3 = "Adopted"
      6 = "Duplicate"
      7 = "Is there any child (biological or non-biological) aged 7-24 that is not listed?"
      8 = "Don't know"
      9 = "Missing"
   ;
   value EP310_
      1 = "Male"
      3 = "Female"
   ;
   value EP312_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value EP313_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value EP314_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value EP315_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value EP316_
      1 = "Unschooled"
      2 = "Elementary"
      3 = "Jr high general"
      4 = "Jr high vocational"
      5 = "Sr high general"
      6 = "Sr high vocational"
      11 = "Adult Education A"
      12 = "Adult Education B"
      13 = "Open University"
      14 = "Islamic School (Pondok Pesantren)"
      15 = "Adult Education C"
      17 = "School for the disabled"
      60 = "College (D1,D2,D3)"
      61 = "University S1"
      62 = "University S2"
      63 = "University S3"
      72 = "Madrasah Ibtidaiyah"
      73 = "Madrasah Tsanawiyah"
      74 = "Madrasah Aliyah"
      90 = "Kindergarten"
      95 = "Don't know"
      98 = "Other"
      99 = "Missing"
   ;
   value EP317_
      0 = "Did not finish 1st"
      7 = "Graduated"
      96 = "Not applicable"
      98 = "Don't know"
      99 = "Missing"
   ;
   value EP318_
      1 = "Much better"
      2 = "Better"
      3 = "Same"
      4 = "Worst"
      5 = "Much worst"
      9 = "Missing"
   ;
   value EP319_
      1 = "Much better"
      2 = "Better"
      3 = "Same"
      4 = "Worst"
      5 = "Much worst"
      9 = "Missing"
   ;
   value FM01_
      1 = "3 times a day"
      2 = "2 times a day"
      3 = "1 time a day"
      4 = "5-6 times per week"
      5 = "3-4 times per week"
      6 = "2 times per week"
      95 = "Other"
      99 = "Missing"
   ;
   value FM02_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value FM03_
      9 = "Missing"
   ;
   value $FMTYPE_
      'A' = "Sweet potatoes"
      'B' = "Eggs"
      'C' = "Fish"
      'D' = "Meat or chicken"
      'E' = "Dairy"
      'F' = "Vegetables"
      'G' = "Banana"
      'H' = "Pepaya"
      'I' = "Carrot"
      'J' = "Manggoes"
      'K' = "Instant noodle"
      'L' = "Fast food"
      'M' = "Soft drink (Coca cola, sprite , dll)"
      'N' = "Sambal"
      'O' = "Fried snacks (tempe, tahu, bakwan dll)"
      'P' = "Rice"
      'Q' = "Sweet snacks  (wajik, geplak, donuts, wafers, chocolate, dll)"
   ;
   value KK01_
      1 = "Very healthy"
      2 = "Somewhat healthy"
      3 = "Somewhat unhealthy"
      4 = "Very unhealthy"
      9 = "MISSING"
   ;
   value KK02A_
      99 = "Missing"
   ;
   value KK02AX_
      1 = "Days given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KK02B_
      99 = "Missing"
   ;
   value KK02BX_
      1 = "Days lying down"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KK02C_
      1 = "Much better now"
      2 = "Somewhat better now"
      3 = "About the same"
      4 = "Somewhat worse"
      5 = "Much worse"
      8 = "DON'T KNOW"
      9 = "MISSING"
   ;
   value KK02I_
      1 = "Much better now"
      2 = "Somewhat better now"
      3 = "About the same"
      4 = "Somewhat worse"
      5 = "Much worse"
      9 = "MISSING"
   ;
   value KK02K_
      1 = "Very healthy"
      2 = "Somewhat healthy"
      3 = "Somewhat unhealthy"
      4 = "Very unhealthy"
      9 = "MISSING"
   ;
   value KK02L_
      1 = "Very likely"
      2 = "Likely"
      3 = "Unlikely"
      4 = "Very unlikely"
      9 = "Missing"
   ;
   value KK02M_
      1 = "Yes"
      3 = "Never"
      9 = "Missing"
   ;
   value KK02N1_
      1 = "< 2 hours"
      2 = ">= 2 hours"
   ;
   value KK02N2_
      11 = "< 30 minutes"
      12 = ">= 30 minutes"
      21 = "< 4 hours"
      22 = ">= 4 hours"
   ;
   value KK02O_
      9 = "Missing"
   ;
   value $KKTYPE_
      'A' = "Vigorous activities"
      'B' = "Moderate physical effort"
      'C' = "Walking"
   ;
   value KK03_
      1 = "Easily"
      3 = "With difficulties"
      4 = "Can do with help"
      5 = "Unable to do it"
      9 = "Missing"
   ;
   value $KK3TYPE_
      'A' = "To carry a heavy load (like a pail of water) for 20 meters"
      'B' = "To sweep the house floor yard"
      'C' = "To walk for 5 kilometers"
      'D' = "To draw a pail of water from a well"
      'E' = "To bow"
      'EA' = "To reach or extend your arms above shoulder level"
      'EB' = "To pick up a small coin from a table"
      'F' = "To dress without help"
      'G' = "To stand up from sitting position in a chair without help"
      'H' = "To go to the bathroom (BM) without help"
      'I' = "To stand up from sitting on the floor without help"
      'J' = "To walk for 1 kilometers"
      'K' = "To get out of bed"
      'KA' = "To eat  (eating food by oneself when it is ready)"
      'KB' = "Use the toilet on their own without the help"
      'KC' = "control urination and defecation"
      'L' = "To walk across the room"
      'M' = "To bathe"
      'N' = "To shop for personal needs"
      'O' = "To prepare meal for yourself"
      'P' = "To take medicine"
      'PA' = "To do household chores ( house cleaning, doing dishes, making the bed, and arranging the house)"
      'PB' = "To shop for groceries (deciding what to buy and pay for it)"
      'PC' = "To manage your money  (paying your bills, keeping track of expenses, or managing assets)"
   ;
   value KK04A_
      1 = "IF ALL OF KK03f-KK03pc = 1 ad age>=40 th, skip KK04j"
      2 = "IF ALL OF KK03f-KK03pc = 1 ad age < 40 th, skip section CD"
      3 = "IF ANY OF KK03f - KK03PC=3"
   ;
   value KK04B_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value KK04C2_
      51 = "Not in HH Roster"
   ;
   value KK04D_
      2 = "Spouse"
      3 = "Child (biological)"
      4 = "Child (adopted)"
      5 = "Son/daughter in law"
      6 = "Parent"
      7 = "Father/mother in law"
      8 = "Sibling"
      9 = "Brotherssister in law"
      10 = "Grandchild"
      11 = "Grandparent"
      12 = "Uncle/aunt"
      13 = "Nephew/Niece"
      14 = "Cousin"
      15 = "Servants"
      16 = "Other relative"
      17 = "Other non relative"
      99 = "During the last 4 weeks, about how many days did  [...] help you? (able to answer)"
   ;
   value KK04E_
      99 = "MISSING"
   ;
   value KK04EX_
      1 = "Don't know"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KK04F_
      99 = "MISSING"
   ;
   value KK04FX_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KK04G_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value KK04H_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value KK04IX_
      1 = "Given"
      6 = "Did not have to pay"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KK04J2_
      51 = "Not in HH Roster"
      96 = "Not Applicable"
   ;
   value KK04K_
      3 = "Child (biological)"
      4 = "Child (adopted)"
      5 = "Son/daughter in law"
      6 = "Parent"
      7 = "Father/mother in law"
      8 = "Sibling"
      9 = "Brotherssister in law"
      10 = "Grandchild"
      11 = "Grandparent"
      12 = "Uncle/aunt"
      13 = "Nephew/Niece"
      14 = "Cousin"
      15 = "Servants"
      16 = "Other relative"
      17 = "Other non relative"
      96 = "Not Applicable"
      99 = "Missing"
   ;
   value KK05_
      1 = "< 50 years"
      2 = "50 - 54 years"
      3 = "55 - 59 years"
      4 = "60 - 64 years"
      5 = "65 - 69 years"
      6 = "70 - 74 years"
      7 = "> 75 years"
   ;
   value KK05X_
      1 = "AGE >= 40 YEAR"
      3 = "AGE < 40 YEAR => SECTION CD"
   ;
   value KK06_
      9 = "Missing"
   ;
   value $KK1TYPE_
      'A' = "60 years"
      'B' = "65 years"
      'C' = "70 years"
      'D' = "75 years"
      'E' = "80 years"
      'F' = "85 years"
      'G' = "100 years"
   ;
   value KM01A_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value KM01B_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value KM01C_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value KM01D_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value KM01E_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value KM02A_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value $KM03_
      'A' = "Filtered cigarette"
      'B' = "Unfiltered cigarette"
      'C' = "Filtered clove cigarette"
      'D' = "Unfiltered clove cigarette"
      'E' = "Cigar"
      'Y' = "Don't know"
      'Z' = "Missing"
   ;
   value KM04_
      1 = "Still have habit"
      3 = "Quit"
      9 = "Missing"
   ;
   value KM05AAX_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KM05B_
      1 = "Yes"
      3 = "No"
   ;
   value KM06A_
      1 = "Yes"
      3 = "No"
   ;
   value KM06BX_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KM06X_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KM07_
      1 = "Yes"
      3 = "No"
   ;
   value KM08A_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value KM08BX_
      1 = "Sticks"
      3 = "Packs"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KM08DX_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KM08E_
      1 = "Gudang Garam Merah"
      2 = "Gudang Garam Surya"
      3 = "Gudang Garam International"
      4 = "Sampoerna A Mild"
      5 = "Sampoerna Hijau"
      6 = "Djarum Super"
      7 = "Djarum 76 Kretek"
      8 = "Bentoel Filter"
      9 = "Bentoel Kretek tanpa filter"
      10 = "Ardath"
      11 = "Marlboro"
      12 = "Marlboro Kretek Filter"
      13 = "Lucky Strike"
      14 = "Kansas"
      15 = "Dji Sam Soe"
      95 = "Other"
      99 = "Missing"
   ;
   value KM08F_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value KM08X_
      1 = "Yes"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KM09X_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KM10X_
      1 = "Enter age"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KM11_
      1 = "Within 5 minutes"
      2 = "Within 6-30 minutes"
      3 = "Within 31-60 minutes"
      4 = "More than 1 hour"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KM12_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value KM13_
      1 = "First smoking/chewing tobacco g in the morning"
      2 = "Smoking/chewing tobacco in other time"
      9 = "Missing"
   ;
   value KM14_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value KM15_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value KP02_
      1 = "Rarely or none (<= 1 day)"
      2 = "Some days (1-2 days)"
      3 = "Occasionally (3-4 days)"
      4 = "Most of the time (5-7 days)"
      9 = "MISSING"
   ;
   value $KPTYPE_
      'A' = "I was bothered by things that usually dont bother me"
      'B' = "I had trouble concentrating in what I was doing"
      'C' = "I felt depressed"
      'D' = "I felt everything I did was an effort"
      'E' = "I felt hopeful about the future"
      'F' = "I felt fearful"
      'G' = "My sleep was restless"
      'H' = "I was happy"
      'I' = "I felt lonely"
      'J' = "I could not get going"
   ;
   value MA07_
      1 = "Age Respondent >= 40 years"
      3 = "Age Respondent < 40 years"
   ;
   value MA08A_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value MA08B_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value MA08C_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value MA08D_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value MA08E_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value MA08F_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value MA08G_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value MA08H_
      1 = "Right"
      2 = "Left"
      3 = "Right and Left"
   ;
   value MA08I_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value MA08J_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value MA15_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value MA16M_
      1 = "January"
      2 = "Pebruary"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value MA16Y_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value MA17_
      1 = "Yes"
      2 = "Yes"
      3 = "No"
      4 = "No"
      8 = "Don't know"
   ;
   value MA18_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value MA20M_
      1 = "January"
      2 = "Pebruary"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value MA20X_
      1 = "Yes"
      6 = "Not applicable"
      8 = "Don't know"
      9 = "Missing"
   ;
   value MA20Y_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value MA21_
      1 = "Yes, very much so"
      2 = "Yes, to some degree"
      3 = "No, not much"
      4 = "No, not at all"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value MA22_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value MA01_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value $MATYPE_
      'A' = "Headache"
      'B' = "Runny nose"
      'C' = "Cough"
      'CA' = "Dry cough"
      'CB' = "Dry with phlegm"
      'CC' = "Bloody cough"
      'D' = "Difficulty breathing"
      'DA' = "Wheezing"
      'DB' = "Short"
      'E' = "Fever"
      'F' = "Stomach ache"
      'H' = "Nausea/vomitting"
      'I' = "Diarrhea"
      'IA' = "Mixed with blood"
      'IB' = "Mixed with mucous"
      'IC' = "Pale liquid"
      'K' = "Skin infection (boil"
      'L' = "Eye infection"
      'M' = "Toothache"
      'P' = "Swollen legs"
      'U' = "Cold sores"
   ;
   value PM01_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value PM01A_
      98 = "Don't know"
      99 = "Missing"
   ;
   value PM03X_
      3 = "Days"
      4 = "Weeks"
      5 = "Months"
      6 = "Years"
      99 = "Missing"
   ;
   value PM04X_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value PM05CM_
      1 = "January"
      2 = "Pebruary"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value PM05CX_
      1 = "Date given"
      6 = "Have not received"
      9 = "Missing"
   ;
   value PM05CY_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value PM05DX_
      1 = "Rupiah given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value PM05X_
      4 = "Weeks"
      5 = "Months"
      6 = "Years"
      99 = "Missing"
   ;
   value PM1TYPE_
      1 = "Office"
      2 = "Sub-neighbourhood"
      3 = "Neighbourhood"
      4 = "Village"
      5 = "Wive's of Civil Servants/Army"
      6 = "Women's association"
      7 = "Market"
      8 = "Family group"
      9 = "Religious group"
      12 = "Friends"
      13 = "Retirees"
      14 = "Farmers group"
      15 = "Youth group"
      16 = "Motorcycle arisan"
      95 = "Other"
      99 = "Missing"
   ;
   value PM20_
      1 = "Male"
      3 = "Female"
   ;
   value PM24A_
      1 = "Yes"
      3 = "No"
      6 = "Not applicable"
      8 = "Don't know"
      9 = "Missing"
   ;
   value PM24B_
      1 = "Yes"
      3 = "No"
      6 = "Not applicable"
      8 = "Don't know"
      9 = "Missing"
   ;
   value PM24C_
      1 = "Yes"
      3 = "No"
      6 = "Not applicable"
      8 = "Don't know"
      9 = "Missing"
   ;
   value PM24D_
      1 = "Yes"
      3 = "No"
      6 = "Not applicable"
      8 = "Don't know"
      9 = "Missing"
   ;
   value PM24E_
      1 = "Yes"
      3 = "No"
      6 = "Not applicable"
      8 = "Don't know"
      9 = "Missing"
   ;
   value PM24F_
      1 = "Yes"
      3 = "No"
      6 = "Not applicable"
      8 = "Don't know"
      9 = "Missing"
   ;
   value PM24G_
      1 = "Yes"
      3 = "No"
      6 = "Not applicable"
      8 = "Don't know"
      9 = "Missing"
   ;
   value PM24H_
      1 = "Yes"
      3 = "No"
      6 = "Not applicable"
      8 = "Don't know"
      9 = "Missing"
   ;
   value PM26A_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value PM26B_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value PM26C_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value PM26D_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value PM26E_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value PM26F_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value PM26G_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value PM26H_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value PM26I_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value PM26J_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value PM15_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value PM16_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value $PM16_B_
      'A' = "Labour /Time"
      'B' = "Money"
      'C' = "Goods"
      'W' = "Not applicable"
      'Z' = "Missing"
   ;
   value $PM3TYPE_
      'A' = "Community Meeting"
      'B' = "Cooperatives"
      'C' = "Voluntary Labor"
      'D' = "Program to Improve the Village/Neighborhood"
      'N' = "Youth Groups Activity"
      'O' = "Religious activity"
      'P' = "Village library"
      'Q' = "Village saving and loan"
      'R' = "Healthy fund"
      'R1' = "PNPM"
      'R2' = "Political Party"
   ;
   value PS01_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value PS02X_
      1 = "Enter total cost"
      8 = "Don't know"
      9 = "Missing"
   ;
   value $PSTYPE_
      'A' = "Consumed over the counter modern medicines"
      'B' = "Consumed traditional herbs or traditional medicines"
      'C' = "Used topical medicines (like eyedrops"
      'E' = "Vitamin"
      'F' = "Massage"
   ;
   value PSN01_
      1 = "Disagree strongly"
      2 = "Disagree a little"
      3 = "Neither agree nor disagree"
      4 = "Agree a little"
      5 = "Agree Strongly"
   ;
   value PSN_TYPE_
      1 = "Is talkative."
      2 = "Does a thorough job."
      3 = "Is original, comes up with new ideas."
      4 = "Is reserved."
      5 = "Is relaxed, handles stress well."
      6 = "Has a forgiving nature."
      7 = "Worries a lot."
      8 = "Has an active imagination."
      9 = "Tends to be lazy."
      10 = "Values artistic, aesthetic experiences."
      11 = "Is considerate and kind to almost   everyone."
      12 = "Does things efficiently."
      13 = "Outgoing, sociable."
      14 = "Is sometimes rude to others."
      15 = "Gets nervous easily."
   ;
   value RJ00_
      1 = "Yes"
      3 = "No"
      8 = "TIDAK TAHU"
      9 = "Missing"
   ;
   value RJ00A_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value $RJ00B_
      'A' = "Public hospital"
      'B' = "Public Health Center"
      'C' = "Private Hospital"
      'D' = "Polyclinic"
      'E' = "Private physician"
      'F' = "Nurse"
      'G' = "Traditional practitioner"
      'V' = "Other"
      'Y' = "Don't know"
      'Z' = "Missing"
   ;
   value RJ04A_
      1 = "Yes"
      3 = "No"
   ;
   value RJ04AA_A_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value RJ04AA_B_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value RJ04AA_C_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value RJ04B_
      1 = "Yes"
      3 = "No"
   ;
   value RJ04CADX_
      1 = "Enter address"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJ04CAX_
      1 = "Not the same"
      3 = "Same"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJ04CBX_
      1 = "Not the same"
      3 = "Same"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJ04CCX_
      1 = "Not the same"
      3 = "Same"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJ04CDX_
      1 = "Not the same"
      3 = "Same"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJ04CLCX_
      1 = "Enter location"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJ04CD_
      0 = "In this household"
      1 = "In the same village"
      2 = "In the same subdistrict"
      3 = "In the same district"
      4 = "In the same province"
      10 = "Sumatra"
      11 = "Aceh"
      12 = "North Sumatra"
      13 = "West Sumatra"
      14 = "Riau"
      15 = "Jambi"
      16 = "South Sumatra"
      17 = "Bengkulu"
      18 = "Lampung"
      19 = "Bangka Belitung"
      20 = "Kepulauan Riau"
      30 = "Java"
      31 = "Jakarta"
      32 = "West Java"
      33 = "Central Java"
      34 = "D.I. Yogyakarta"
      35 = "East Java"
      36 = "Banten"
      51 = "Bali"
      52 = "West Nusa Tenggara"
      53 = "East Nusa Tenggara"
      60 = "Kalimantan"
      61 = "West Kalimantan"
      62 = "Central Kalimantan"
      63 = "South Kalimantan"
      64 = "East Kalimantan"
      65 = "Nort Kalimantan"
      70 = "Sulawesi"
      71 = "North Sulawesi"
      72 = "Central Sulawesi"
      73 = "South Sulawesi"
      74 = "South East Sulawesi"
      75 = "Gorontalo"
      76 = "West Sulawesi"
      81 = "Maluku"
      82 = "Maluku Utara"
      90 = "Irian"
      91 = "Irian Jaya Barat"
      94 = "Papua"
      101 = "Malaysia"
      102 = "Singapore"
      103 = "Brunei Darussalam"
      104 = "Hongkong"
      105 = "Japan"
      106 = "South Korea"
      107 = "Taiwan"
      108 = "Timor Leste"
      121 = "Yemen"
      122 = "Saudi Arabia"
      123 = "Kuwait"
      124 = "UAE"
      131 = "Argentina"
      132 = "USA"
      141 = "Australia"
      151 = "Holland"
      152 = "UK"
      995 = "Don't know"
      998 = "Others"
      999 = "Missing"
   ;
   value RJ04CNMX_
      1 = "Enter Posyandu Lansia name"
      8 = "Don't know"
      9 = "Missing"
   ;
   value $RJ04D_
      'A' = "Health checks"
      'B' = "Food supplement"
      'C' = "Meeting with other elderly"
      'D' = "Actitvities with other elderly"
      'E' = "Counselling"
      'V' = "Other"
      'Z' = "Missing"
   ;
   value RJ04EX_
      1 = "Travel time given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJ04FX_
      1 = "Enter time"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJ04FXX_
      2 = "Minutes"
      3 = "Hours"
   ;
   value RJ04GX_
      1 = "Enter ammount"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJ04HX_
      1 = "Enter ammount"
      3 = "Not pay"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJ04I_
      1 = "Yes"
      3 = "No"
   ;
   value RJ01_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value RJ02_
      99 = "Missing"
   ;
   value $RJTYPE_
      'A' = "Public hospital"
      'B' = "Public Health Center"
      'E' = "Private Hospital"
      'F' = "Polyclinic"
      'G' = "Private physician"
      'H' = "Nurse"
      'I' = "Traditional practitioner"
      'K' = "Posyandu Lansia"
      'V' = "Others"
   ;
   value $RJ05AX_
      'A' = "Public hospital"
      'B' = "Public Health Center"
      'E' = "Private Hospital"
      'F' = "Polyclinic"
      'G' = "Private physician"
      'H' = "Nurse"
      'I' = "Traditional practitioner"
      'Z' = "Missing"
   ;
   value RJ06ADX_
      1 = "Enter address"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJ06AX_
      1 = "Not the same"
      3 = "Same"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJ06BX_
      1 = "Not the same"
      3 = "Same"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJ06CX_
      1 = "Not the same"
      3 = "Same"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJ06DX_
      1 = "Not the same"
      3 = "Same"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJ06LCX_
      1 = "Enter location"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJ06NMX_
      1 = "Enter facility name"
      8 = "Don't know"
      9 = "Missing"
   ;
   value $RJ08_
      'B' = "Immunization"
      'C' = "Consultation"
      'D' = "Medical check-up"
      'E' = "Medications"
      'F' = "Injection"
      'H' = "Treatment for injury"
      'I' = "Treatment for illnes"
      'J' = "Massage"
      'K' = "Birth Control"
      'L' = "Prenatal Care"
      'M' = "Physiotherapy"
      'V' = "Other"
      'Z' = "Missing"
   ;
   value RJ09_
      1 = "First visit"
      3 = "Repeat visit"
      9 = "Missing"
   ;
   value RJ10_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value RJ10A_
      1 = "Yes"
      3 = "No"
   ;
   value RJ11X_
      1 = "km given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJ12X_
      1 = "Time given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJ12XX_
      2 = "Minutes travel time"
      3 = "Hours travel time"
      99 = "Missing"
   ;
   value RJ14X_
      1 = "Rupiah given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJ15X_
      1 = "Yes"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJ15XX_
      2 = "Minutes waiting time"
      3 = "Hours waiting time"
      99 = "Missing"
   ;
   value $RJ17_
      'A' = "Medical check/consul"
      'B' = "Injection"
      'C' = "Laboratory test"
      'D' = "Surgery"
      'E' = "Xray"
      'F' = "KB"
      'G' = "Medications"
      'I' = "Massage"
      'J' = "Traditional Treatment"
      'K' = "Prenatal Care"
      'L' = "Physiotherapy"
      'V' = "Other"
      'Z' = "Missing"
   ;
   value RJ17A_
      1 = "Satisfactory"
      2 = "Somewhat satisfactory"
      3 = "Not satisfactory"
      4 = "Far from satisfactory"
      9 = "MISSING"
   ;
   value RJ20X_
      1 = "Value"
      3 = "Did not receive"
      5 = "Did not fill"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJ21A_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value RJ21B_
      1 = "Askes"
      2 = "Jamsostek"
      3 = "Employer provided health benefits"
      4 = "Employer-provided insurance"
      5 = "Savings related insurance"
      6 = "SKTM"
      7 = "Jamkesmas"
      8 = "Jamkesda"
      9 = "JKN"
      10 = "Jampersal"
      11 = "Jamkessos"
      95 = "Other"
      99 = "Missing"
   ;
   value RJ21CX_
      1 = "Rupiah given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJ21D_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value RJ21EX_
      1 = "Rupiah given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJ21X_
      1 = "Value"
      3 = "Didn't pay"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJ22_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value RJ23X_
      1 = "Enter value of goods"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJ24AA_
      1 = "Male"
      3 = "Female"
   ;
   value RJ26_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value RJ27M_
      1 = "January"
      2 = "Pebruary"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value RJ27X_
      1 = "Month Given"
      3 = "Never got"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJ27Y_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value RJ28_
      1 = "Public Hospital"
      2 = "Public Health Center"
      3 = "Private Hospital"
      4 = "Polyclinic"
      5 = "Private physician"
      6 = "Nurse"
      7 = "Traditional practitioner"
      8 = "Don't know"
      95 = "Other"
      99 = "Missing"
   ;
   value RJ29A_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value RJ29BX_
      1 = "Given"
      3 = "None"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJ29X_
      1 = "Given"
      3 = "None"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJ24A_
      1 = "Regularly"
      3 = "Irregularly"
      9 = "Missing"
   ;
   value RJ24M_
      1 = "January"
      2 = "Pebruary"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't Know"
      99 = "MISSING"
   ;
   value RJ24X_
      1 = "Date given"
      3 = "Never"
      8 = "Don't Know"
      9 = "MISSING"
   ;
   value RJ24Y_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value RN00_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value $RN05AX_
      'A' = "Public Hospital (General or Specify)"
      'B' = "Public Health Center"
      'C' = "Private Hospital"
      'D' = "Private clinic"
      'V' = "Other"
      'Z' = "Missing"
   ;
   value RN06ADX_
      1 = "Enter address"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RN06AX_
      1 = "Not the same"
      3 = "Same"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RN06BX_
      1 = "Not the same"
      3 = "Same"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RN06CX_
      1 = "Not the same"
      3 = "Same"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RN06DX_
      1 = "Not the same"
      3 = "Same"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RN06LCX_
      1 = "Location"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RN06NMX_
      1 = "Enter facility name"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RN10_
      1 = "Sickness"
      2 = "Accident"
      3 = "Giving birth"
      5 = "Operation"
      95 = "Other"
      99 = "Missing"
   ;
   value $RN15_
      'A' = "Physical exam/consul"
      'B' = "Injection"
      'C' = "Laboratory test"
      'D' = "Surgery"
      'E' = "X-ray"
      'F' = "Birth control"
      'G' = "Medications"
      'I' = "IV (Drip Infusion)"
      'J' = "Physiotherapy"
      'V' = "Other"
      'Z' = "Missing"
   ;
   value RN15A_
      1 = "Satisfactory"
      2 = "Somewhat satisfactory"
      3 = "Not satisfactory"
      4 = "Far from satisfactory"
   ;
   value RN18X_
      1 = "Fill in cost"
      3 = "Did not receive"
      5 = "Did not fill"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RN19A_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value RN19B_
      1 = "Askes"
      2 = "Jamsostek"
      3 = "Employer provided health benefits"
      4 = "Employer-provided insurance"
      5 = "Savings related insurance"
      6 = "SKTM"
      7 = "Jamkesmas"
      8 = "Jamkesda"
      9 = "JKN"
      10 = "Jampersal"
      11 = "Jamkessos"
      95 = "Other"
      99 = "Missing"
   ;
   value RN19CX_
      1 = "Rupiah given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RN19D_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value RN19EX_
      1 = "Input data (Rupiah)"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RN19X_
      1 = "Enter total cost"
      3 = "Don't know"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RN01_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value RN02_
      99 = "Missing"
   ;
   value $RNTYPE_
      'A' = "Public Hospital (General or Specify)"
      'B' = "Public Health Center"
      'C' = "Private Hospital"
      'D' = "Private clinic"
      'V' = "Other"
   ;
   value MG18F3B_
      1 = "Yes"
      3 = "No"
      6 = "Not Applicable"
      9 = "Missing"
   ;
   value MG18G3B_
      1 = "Yes"
      3 = "No"
      6 = "Not Applicable"
      9 = "Missing"
   ;
   value MG18H3B_
      1 = "Yes"
      3 = "No"
      6 = "Not Applicable"
      9 = "Missing"
   ;
   value $SA07_
      'A' = "Smoke"
      'B' = "Drink heavily"
      'C' = "Have mental problems"
      'W' = "NA"
      'X' = "None of the above"
      'Z' = "Missing"
   ;
   value SA08_
      1 = "Yes"
      3 = "No"
      6 = "Not Applicable"
      9 = "Missing"
   ;
   value SA09_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value SA10_
      1 = "Piped water"
      2 = "Well/pump (electric, hand)"
      3 = "Well water"
      4 = "Mineral Water"
      95 = "Other"
      99 = "Missing"
   ;
   value SA11_
      1 = "Own toilet with septic tank"
      2 = "Own toilet without septic tank"
      3 = "Shared toilet"
      4 = "Public toilet"
      95 = "Other"
      99 = "Missing"
   ;
   value SA12_
      1 = "None or very few (0-10 books)"
      2 = "Enough to fill 1 shelf (11-25 books)"
      3 = "Enough to fill 1 bookcase (26-100 books)"
      4 = "Enough to fill 2 bookcases (101-200 books)"
      5 = "Enough to fill 2 or more bookcases (more than 200 books"
      9 = "MISSING"
   ;
   value SA13_
      1 = "Self employed"
      2 = "Self-employed with unpaid family worker/temporary worker"
      3 = "Self-employed with permanent worker"
      4 = "Government worker"
      5 = "Private worker"
      6 = "Unpaid family worker"
      7 = "Casual worker in agriculture"
      8 = "Casual worker not in agriculture"
      9 = "Transfer"
      10 = "Pension"
      99 = "Missing"
   ;
   value TDR01_1_
      1 = "Never"
      2 = "Rarely"
      3 = "Sometimes"
      4 = "Often"
      5 = "Always"
      9 = "MISSING"
   ;
   value TDR01_10_
      1 = "Not at all"
      2 = "A little bit"
      3 = "Somewhat"
      4 = "Quite a bit"
      5 = "Very much"
      9 = "Missing"
   ;
   value TDR01_2_
      1 = "Very poor"
      2 = "Poor"
      3 = "Poor"
      4 = "Good"
      5 = "Very good"
      9 = "Missing"
   ;
   value TDR01_3_
      1 = "Not at all"
      2 = "A little bit"
      3 = "Somewhat"
      4 = "Quite a bit"
      5 = "Very much"
      9 = "Missing"
   ;
   value TDR01_4_
      1 = "Not at all"
      2 = "A little bit"
      3 = "Somewhat"
      4 = "Quite a bit"
      5 = "Very much"
      9 = "Missing"
   ;
   value TDR01_5_
      1 = "Not at all"
      2 = "A little bit"
      3 = "Somewhat"
      4 = "Quite a bit"
      5 = "Very much"
      9 = "Missing"
   ;
   value TDR01_6_
      1 = "Not at all"
      2 = "A little bit"
      3 = "Somewhat"
      4 = "Quite a bit"
      5 = "Very much"
      9 = "Missing"
   ;
   value TDR01_7_
      1 = "Not at all"
      2 = "A little bit"
      3 = "Somewhat"
      4 = "Quite a bit"
      5 = "Very much"
      9 = "Missing"
   ;
   value TDR01_8_
      1 = "Not at all"
      2 = "A little bit"
      3 = "Somewhat"
      4 = "Quite a bit"
      5 = "Very much"
      9 = "Missing"
   ;
   value TDR01_9_
      1 = "Not at all"
      2 = "A little bit"
      3 = "Somewhat"
      4 = "Quite a bit"
      5 = "Very much"
      9 = "Missing"
   ;
   value TF01_
      1 = "Yes"
      3 = "No"
   ;
   value TF01A_
      1 = "Yes"
      3 = "No"
   ;
   value TF02A_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value TF03_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value TF03A_
      1 = "Never"
      2 = "Once in a year"
      3 = "Once in a month"
      4 = "Once in a week"
      5 = "All days"
      8 = "Don't know"
   ;
   value TF03B_
      1 = "Never"
      2 = "At least once a year"
      3 = "At least once a month"
      4 = "At least once a week"
      5 = "Every day"
      8 = "Don't know"
   ;
   value TF03C_
      1 = "Never"
      2 = "At least once a year"
      3 = "At least once a month"
      4 = "At least once a week"
      5 = "Every day"
      8 = "Don't know"
   ;
   value $TF04_
      'A' = "Money or loan"
      'B' = "Tuition"
      'C' = "Health care cost"
      'D' = "Value of food stuff or other goods"
      'G' = "Doing household chores"
      'H' = "Helping family business"
      'V' = "Other"
      'Z' = "Missing"
   ;
   value TF04G2_
      3 = "Days"
      5 = "Months"
      9 = "Missing"
   ;
   value TF04H2_
      3 = "Days"
      5 = "Months"
      9 = "Missing"
   ;
   value TF05_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value $TF06_
      'A' = "Money or loan"
      'B' = "Tuition"
      'C' = "Health care cost"
      'D' = "Value of food stuff or other goods"
      'G' = "Doing household chores"
      'H' = "Helping family business"
      'V' = "Other"
      'Z' = "Missing"
   ;
   value TF06G2_
      3 = "Days"
      5 = "Months"
      9 = "Missing"
   ;
   value TF06H2_
      3 = "Days"
      5 = "Months"
      9 = "Missing"
   ;
   value $TFTYPE_
      'A' = "Spouse out of household"
      'A1' = "Non-biological parents not in the household"
      'B' = "Other household member"
      'C' = "Friends or Neighbour"
   ;
   value MODE_3B_
      1 = "Entry"
      2 = "Modification"
      3 = "Verification"
   ;
   value PARTIAL_3B_
      0 = "###"
      1 = "Partial save"
      2 = "Complete"
   ;
   /*----------------------------------------------------------------------*/
   /*  BUKU4 formats                                                       */                                
   /*----------------------------------------------------------------------*/
   value BA463CX_
      1 = "Biological"
      2 = "Step"
      3 = "Adopted"
      6 = "Duplicate"
      7 = "Not child"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BA464_
      1 = "Male"
      3 = "Female"
      9 = "Missing"
   ;
   value BA464A_
      98 = "Don't Know"
      99 = "Missing"
   ;
   value BA464BMTH_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "MISSING"
   ;
   value BA464BX_
      1 = "Preprinted"
      8 = "New"
      9 = "Don't know"
   ;
   value BA464BYR_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value BA464C_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value BA465_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BA465AMTH_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "MISSING"
   ;
   value BA465AX_
      1 = "Month given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BA465AYR_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value BA466A_
      1 = "Yes"
      3 = "No"
   ;
   value BA466X_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BA467_
      1 = "Unmarried"
      2 = "Married"
      3 = "Separated/estranged"
      4 = "Divorced"
      5 = "Widow/widower"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BA468_
      1 = "Unschooled"
      2 = "Grade school"
      3 = "General jhigh"
      4 = "Vocational jhigh"
      5 = "General shigh (SLA)"
      6 = "Vocational shigh (SMK)"
      11 = "Education A"
      12 = "Education B"
      13 = "Open University"
      14 = "Moslem School (Pesantren)"
      15 = "Education C"
      17 = "School for Disable"
      60 = "Diploma (D1,D2,D3)"
      61 = "University S1"
      62 = "University S2"
      63 = "University S3"
      72 = "Madrasah Ibtidaiyah"
      73 = "Madrasah Tsanawiyah"
      74 = "Madrasah Aliyah"
      90 = "Kindergarten"
      95 = "Other"
      98 = "Don't know"
      99 = "Missing"
   ;
   value BA469_
      0 = "Did not complete St grade at this level"
      1 = "1"
      2 = "2"
      3 = "3"
      4 = "4"
      5 = "5"
      6 = "6"
      7 = "Graduated"
      96 = "No school"
      98 = "Don't know"
      99 = "Missing"
   ;
   value BA470_
      0 = "In this household"
      1 = "In the same village"
      2 = "In the same subdistrict"
      3 = "In the same district"
      4 = "In the same province"
      10 = "Sumatra"
      11 = "Aceh"
      12 = "North Sumatra"
      13 = "West Sumatra"
      14 = "Riau"
      15 = "Jambi"
      16 = "South Sumatra"
      17 = "Bengkulu"
      18 = "Lampung"
      19 = "Bangka Belitung"
      20 = "Kepulauan Riau"
      30 = "Java"
      31 = "Jakarta"
      32 = "West Java"
      33 = "Central Java"
      34 = "DI Yogyakarta"
      35 = "East Java"
      36 = "Banten"
      51 = "Bali"
      52 = "West Nusa Tenggara"
      53 = "East Nusa Tenggara"
      60 = "Kalimantan"
      61 = "West Kalimantan"
      62 = "Central Kalimantan"
      63 = "South Kalimantan"
      64 = "East Kalimantan"
      65 = "North Kalimantan"
      70 = "Sulawesi"
      71 = "North Sulawesi"
      72 = "Central Sulawesi"
      73 = "South Sulawesi"
      74 = "South East Sulawesi"
      75 = "Gorontalo"
      76 = "West Sulawesi"
      81 = "Maluku"
      82 = "Maluku Utara"
      90 = "Irian"
      91 = "Irian Jaya Barat"
      94 = "Papua"
      101 = "Malaysia"
      102 = "Singapore"
      103 = "Brunei Darussalam"
      104 = "Hongkong"
      105 = "Japan"
      106 = "South Korea"
      107 = "Taiwan"
      108 = "Yemen"
      121 = "Saudi Arabia"
      122 = "Kuwait"
      123 = "UAE"
      124 = "Argentina"
      131 = "USA"
      132 = "Australia"
      141 = "Holland"
      151 = "UK"
      152 = "Others"
      995 = "Missing"
      998 = "Don't know"
   ;
   value BA478_
      1 = "Yes"
      3 = "No"
      6 = "Not applicable"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BA479_
      1 = "With father and mother"
      2 = "With father only"
      3 = "With mother only"
      4 = "Not with father and mother"
      9 = "Missing"
   ;
   value BA480_
      1 = "Working/trying to get work/helping to earn income"
      2 = "Job searching"
      3 = "Attending school"
      4 = "Housekeeping"
      5 = "Retired"
      6 = "Stay at home"
      7 = "Sick/disabled"
      95 = "Don't know"
      98 = "Other"
      99 = "Missing"
   ;
   value BA481_
      1 = "Self-employed"
      2 = "Self employed assisted by unreguler workers"
      3 = "Self employed assisted by reguler workers"
      4 = "Government worker/employee"
      5 = "Private worker/employee"
      6 = "Unpaid family worker"
      7 = "Freelancer in agriculture"
      8 = "Freelancer in non-agriculture"
      98 = "Don't know"
      99 = "Missing"
   ;
   value BA483A_
      1 = "Still alive"
      3 = "Has died in the last 1months"
      5 = "Has died more then 1months ago"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BA484_
      1 = "Never"
      2 = "At least once a year"
      3 = "At least once a month"
      4 = "At least once a week"
      5 = "Everyday"
      9 = "Missing"
   ;
   value BA484A_
      1 = "Never"
      2 = "At least once a year"
      3 = "At least once a month"
      4 = "At least once a week"
      5 = "Everyday"
      9 = "Missing"
   ;
   value BA484B_
      1 = "Never"
      2 = "At least once a year"
      3 = "At least once a month"
      4 = "At least once a week"
      5 = "Everyday"
      9 = "Missing"
   ;
   value BA487A_
      1 = "Yes"
      3 = "No"
      7 = "Unwilling to answer"
      9 = "Missing"
   ;
   value $BA488_
      'A' = "Money (loans"
      'D' = "Food stuff or other goods"
      'G' = "Chores"
      'H' = "Help with family business"
      'V' = "Other"
   ;
   value BA488G1_
      998 = "Don't Know"
      999 = "Missing"
   ;
   value BA488G2_
      3 = "Days"
      5 = "Months"
      99 = "Missing"
   ;
   value BA488H1_
      998 = "Don't Know"
      999 = "Missing"
   ;
   value BA488H2_
      3 = "Days"
      5 = "Months"
      99 = "Missing"
   ;
   value BA489A_
      1 = "Yes"
      3 = "No"
      7 = "Unwilling to answer"
      9 = "Missing"
   ;
   value $BA490_
      'A' = "Money (loans"
      'D' = "Food stuff or other goods"
      'G' = "Chores"
      'H' = "Help with family business"
      'V' = "Other"
   ;
   value BA490G1_
      998 = "Don't Know"
      999 = "Missing"
   ;
   value BA490G2_
      3 = "Days"
      5 = "Months"
      99 = "Missing"
   ;
   value BA490H1_
      998 = "Don't Know"
      999 = "Missing"
   ;
   value BA490H2_
      3 = "Days"
      5 = "Months"
      99 = "Missing"
   ;
   value BA4AR00_
      96 = "NA"
      99 = "Not in HH roster"
   ;
   value BF00_
      1 = "Panel with child listed at CH0A"
      2 = "Panel with no child listed at CH0A"
      3 = "New respondent"
   ;
   value BF02_
      98 = "Don't Know"
      99 = "Missing"
   ;
   value BF03_
      1 = "Yes"
      3 = "No"
   ;
   value BF04_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value BF05_
      98 = "Don't Know"
      99 = "Missing"
   ;
   value BF051_
      3 = "Days"
      4 = "Weeks"
      5 = "Months"
      99 = "Missing"
   ;
   value BF05X_
      1 = "Given"
      88 = "Died before ever fed"
      96 = "Not yet fed"
      99 = "Missing"
   ;
   value BF06_
      98 = "Don't Know"
      99 = "Missing"
   ;
   value BF061_
      3 = "Days"
      4 = "Weeks"
      5 = "Months"
      99 = "Missing"
   ;
   value BF06X_
      1 = "Given"
      88 = "Died before ever fed"
      96 = "Not yet fed"
      99 = "Missing"
   ;
   value BF07_
      98 = "Don't Know"
      99 = "Missing"
   ;
   value BF07X_
      5 = "Months"
      88 = "Died while breastfeeding"
      96 = "Still breastfeeding"
      99 = "Missing"
   ;
   value $BF08_
      'A' = "Mother sick/weak"
      'B' = "Sore nipples"
      'C' = "Work"
      'D' = "Inconvenience"
      'E' = "Take contraceptive pills"
      'F' = "Want to get pregnant"
      'G' = "Was pregnant again"
      'H' = "Insufficient breast milk"
      'I' = "Child's death"
      'J' = "Child's sickness"
      'K' = "Child in incubator"
      'L' = "Child did not develop"
      'M' = "Child did not want"
      'N' = "Child lived separately"
      'O' = "Dr/Nurse recommendation"
      'P' = "Husband's objections"
      'Q' = "Child's inability to suck"
      'R' = "Child was big enough"
      'V' = "Other"
      'Z' = "Missing"
   ;
   value BF09X_
      3 = "Days"
      4 = "Weeks"
      5 = "Months"
      99 = "Missing"
   ;
   value BA400A_
      1 = "RESPONDENT HAS A CHILD ROSTER FOR BOOK4"
      3 = "RESPONDENT HAS NO PREPRINTED/NEW RESPONDENT"
   ;
   value BA490X_
      1 = "Yes => BA6B"
      2 = "Yes"
      3 = "No"
      9 = "MISSING"
   ;
   value BR400A_
      1 = "Has child roster and a child listed at CH00a"
      2 = "Has child roster and no child listed at CH00a"
      3 = "No child roster"
   ;
   value BR400X_
      1 = "Panel Respondent"
      3 = "New respondent"
      9 = "MISSING"
   ;
   value BR401_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value BR402_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value BR405_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value BR408_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value BR411_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value BR413_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value BR415X_
      1 = "Yes"
      3 = "No (revise BR01-10)"
   ;
   value BR416A_
      2 = "Yes"
      3 = "No"
   ;
   value BR416X_
      1 = "Yes"
      3 = "No (revise Br12-14)"
   ;
   value BX463CX_
      1 = "Yes"
      2 = "Step child"
      3 = "No"
      6 = "Duplicate"
      7 = "Not a child"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BX464_
      1 = "Male"
      3 = "Female"
      9 = "Missing"
   ;
   value BX464A_
      98 = "Don't Know"
      99 = "Missing"
   ;
   value BX464BMT_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "MISSING"
   ;
   value BX464BX_
      1 = "Month/year"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BX464BYR_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value BX465_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BX465AMT_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "MISSING"
   ;
   value BX465AX_
      1 = "Given month and year"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BX465AYR_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value BX466_
      98 = "Don't Know"
      99 = "Missing"
   ;
   value BX466A_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value BX466X_
      1 = "Enter age in years"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BX467_
      1 = "Unmarried"
      2 = "Married"
      3 = "Separated/estranged"
      4 = "Divorced"
      5 = "Widow/widower"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BX468_
      1 = "None"
      2 = "Grade school"
      3 = "General jhigh"
      4 = "Vocational jhigh"
      5 = "General shigh (SLA)"
      6 = "Vocational shigh (SMK)"
      11 = "Education A"
      12 = "Education B"
      13 = "Open University"
      14 = "Moslem School (Pesantren)"
      15 = "Education C"
      17 = "School for Disable"
      60 = "Diploma (D1"
      61 = "University S1"
      62 = "University S2"
      63 = "University S3"
      72 = "Madrasah Ibtidaiyah"
      73 = "Madrasah Tsanawiyah"
      74 = "Madrasah Aliyah"
      90 = "Kindergarten"
      95 = "Other"
      98 = "Don't know"
      99 = "Missing"
   ;
   value BX469_
      0 = "Did not complete St grade at this level"
      1 = "1"
      2 = "2"
      3 = "3"
      4 = "4"
      5 = "5"
      6 = "6"
      7 = "Graduated"
      96 = "No school"
      98 = "Don't know"
      99 = "Missing"
   ;
   value BX470_
      0 = "In this household"
      1 = "In the same village"
      2 = "In the same subdistrict"
      3 = "In the same district"
      4 = "In the same province"
      10 = "Sumatra"
      11 = "Aceh"
      12 = "North Sumatra"
      13 = "West Sumatra"
      14 = "Riau"
      15 = "Jambi"
      16 = "South Sumatra"
      17 = "Bengkulu"
      18 = "Lampung"
      19 = "Bangka Belitung"
      20 = "Kepulauan Riau"
      30 = "Java"
      31 = "Jakarta"
      32 = "West Java"
      33 = "Central Java"
      34 = "DI Yogyakarta"
      35 = "East Java"
      36 = "Banten"
      51 = "Bali"
      52 = "West Nusa Tenggara"
      53 = "East Nusa Tenggara"
      62 = "Central Kalimantan"
      63 = "South Kalimantan"
      64 = "East Kalimantan"
      65 = "North Kalimantan"
      70 = "Sulawesi"
      71 = "North Sulawesi"
      72 = "Central Sulawesi"
      73 = "South Sulawesi"
      74 = "South East Sulawesi"
      75 = "Gorontalo"
      76 = "West Sulawesi"
      81 = "Maluku"
      82 = "Maluku Utara"
      90 = "Irian"
      91 = "Irian Jaya Barat"
      94 = "Papua"
      101 = "Malaysia"
      102 = "Singapore"
      103 = "10Brunei Darussalam"
      104 = "Hongkong"
      105 = "Japan"
      106 = "South Korea"
      107 = "Taiwan"
      108 = "Timor leste"
      121 = "Yemen"
      122 = "Saudi Arabia"
      123 = "Kuwait"
      124 = "UAE"
      131 = "Argentina"
      132 = "USA"
      141 = "Australia"
      151 = "Holland"
      152 = "UK"
      995 = "Don't know"
      998 = "Others"
      999 = "Missing"
   ;
   value BX478_
      1 = "Yes"
      3 = "No"
      6 = "NA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BX479_
      1 = "With Father and mother"
      2 = "With Father only"
      3 = "With Mother only"
      4 = "Not with father and mother"
      9 = "Missing"
   ;
   value BX480_
      1 = "Working/trying to get work/helping to earn income"
      2 = "Job searching"
      3 = "Attending school"
      4 = "Housekeeping"
      5 = "Retired"
      6 = "Stay at home"
      7 = "Sick/disabled"
      95 = "Other"
      98 = "Don't know"
      99 = "Missing"
   ;
   value BX481_
      1 = "Self-employed"
      2 = "Self employed with  unpaid family/temporary worker"
      3 = "Self-employed with employees/permanent workers"
      4 = "Government worker"
      5 = "Private worker"
      6 = "Unpaid family worker"
      7 = "Casual worker in agriculture"
      8 = "Casual worker not in agriculture"
      98 = "Don't know"
      99 = "Missing"
   ;
   value BX483A_
      1 = "Still alive"
      3 = "Has died in the last 1months"
      5 = "Has died more than 1months ago"
      8 = "Don't know"
   ;
   value BX484_
      1 = "Never"
      2 = "At least once a year"
      3 = "At least once a month"
      4 = "At least once a week"
      5 = "Everyday"
      9 = "Missing"
   ;
   value BX484A_
      1 = "Never"
      2 = "At least once a year"
      3 = "At least once a month"
      4 = "At least once a week"
      5 = "Everyday"
      9 = "Missing"
   ;
   value BX484B_
      1 = "Never"
      2 = "At least once a year"
      3 = "At least once a month"
      4 = "At least once a week"
      5 = "Everyday"
      9 = "Missing"
   ;
   value BX487A_
      1 = "Yes"
      3 = "No"
      7 = "Unwilling to answer"
      9 = "Missing"
   ;
   value $BX488_
      'A' = "Money (loan"
      'D' = "Food stuff or other goods"
      'G' = "Chores"
      'H' = "Help family business"
      'V' = "Other"
   ;
   value BX488G1_
      998 = "Don't Know"
      999 = "Missing"
   ;
   value BX488G2_
      3 = "Days"
      5 = "Months"
      99 = "Missing"
   ;
   value BX488H1_
      998 = "Don't Know"
      999 = "Missing"
   ;
   value BX488H2_
      3 = "Days"
      5 = "Months"
      99 = "Missing"
   ;
   value BX489A_
      1 = "Yes"
      3 = "No"
      7 = "Unwilling to answer"
      9 = "Missing"
   ;
   value $BX490_
      'A' = "Money (loan"
      'D' = "Food stuff or other goods"
      'G' = "Chores"
      'H' = "Help family business"
      'V' = "Other"
   ;
   value BX490G1_
      998 = "Don't Know"
      999 = "Missing"
   ;
   value BX490G2_
      3 = "Days"
      5 = "Months"
      99 = "Missing"
   ;
   value BX490H1_
      998 = "Don't Know"
      999 = "Missing"
   ;
   value BX490H2_
      3 = "Days"
      5 = "Months"
      99 = "Missing"
   ;
   value BX90X_
      1 = "Yes =>BXN"
      2 = "Yes"
      3 = "No => EP"
   ;
   value CH00_
      1 = "Panel respondent with child listed at CH0A"
      2 = "Panel respondent with no child listed at CH0A"
      3 = "New respondent"
   ;
   value CH01AA_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value CH01AC_
      0 = "No"
      1 = "Yes"
   ;
   value CH01ACX_
      1 = "Yes"
      3 = "No"
   ;
   value CH01BC_
      0 = "Not pregnant"
      1 = "Pregnant"
   ;
   value CH01BCX_
      1 = "Yes"
      3 = "No"
   ;
   value CH11_
      1 = "Consistent"
      3 = "Inconsistent"
   ;
   value CH42B_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value CHP00X_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value CHP03_
      98 = "Don't Know"
      99 = "Missing"
   ;
   value CH06_
      1 = "Is pregnant"
      2 = "Live birth"
      3 = "Still birth"
      4 = "Miscarriage"
      9 = "MISSING"
   ;
   value CH06A_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value CH07_ID_
      51 = "Not Live in this HH"
      52 = "Died"
   ;
   value CH08_
      1 = "Male"
      3 = "Female"
      9 = "Missing"
   ;
   value CH09DATE_
      98 = "Don't Know"
      99 = "Missing"
   ;
   value CH09MTH_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "MISSING"
   ;
   value CH09X_
      1 = "Date given"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value CH09YR_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value CH10A_
      98 = "Don't Know"
      99 = "Missing"
   ;
   value CH10B_
      9998 = "Don't Know"
      9999 = "Missing"
   ;
   value CH17_
      98 = "Don't Know"
      99 = "Missing"
   ;
   value CH17X_
      4 = "Weeks"
      5 = "Months"
      99 = "Missing"
   ;
   value CH12_
      1 = "Pregnancy ended before 1995"
      3 = "Pregnancy ended after 1994"
   ;
   value CH13_
      1 = "CH06=2 (live birth)"
      3 = "CH06=1"
   ;
   value CH14_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value $CH14A_
      'A' = "Swelling of the feet or leg"
      'B' = "Difficulty of vision during day"
      'C' = "Difficulty of vision during night"
      'D' = "Vaginal bleeding"
      'E' = "Fever"
      'F' = "Convulsion and fainting"
      'G' = "Labor before 9 months"
      'W' = "NO COMPLICATIONS"
      'Z' = "Missing"
   ;
   value $CH15_
      'A' = "Public hospital"
      'B' = "Private hospital"
      'C' = "Community health center"
      'D' = "Village delivery post"
      'E' = "Clinic/office of physician"
      'F' = "Clinic/office of midwife"
      'G' = "Office of traditional midwife"
      'I' = "Posyandu"
      'J' = "Specialist Doctor"
      'K' = "Matternity hospital"
      'V' = "Other"
      'Z' = "Missing"
   ;
   value $CH15A_
      'A' = "Public hospital"
      'B' = "Private hospital"
      'C' = "Community health center"
      'D' = "Village Delivery Post"
      'E' = "Clinic/office of physician"
      'F' = "Clinic/office of midwife"
      'G' = "Office of traditional midwife"
      'I' = "Posyandu"
      'J' = "Specialist Doctor"
      'K' = "Matternity hospital"
      'V' = "Other"
      'Z' = "Missing"
   ;
   value CH15AADX_
      1 = "Address given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CH15AAX_
      1 = "Given"
      3 = "Same"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CH15ABX_
      1 = "Given"
      3 = "Same"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CH15ACX_
      1 = "Given"
      3 = "Same"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CH15ADX_
      1 = "Given"
      3 = "Same"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CH15ALCX_
      1 = "Location given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CH15ANMX_
      1 = "Name given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CH16A_
      98 = "Don't Know"
      99 = "Missing"
   ;
   value CH16B_
      98 = "Don't Know"
      99 = "Missing"
   ;
   value CH16BX_
      1 = "Given"
      6 = "Not yet in 2nd trimester"
      9 = "Missing"
   ;
   value CH16C_
      98 = "Don't Know"
      99 = "Missing"
   ;
   value CH16CX_
      1 = "Given"
      6 = "Not yet in 3rd trimester"
      9 = "Missing"
   ;
   value CH16DA_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CH16DB_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CH16DC_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CH16DD_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CH16DE_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CH16DF_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CH16DG_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CH16DH_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CH16E_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CH16F_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CH16GX_
      1 = "Number given"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value CH18_
      1 = "CH06=1"
      2 = "CH06=4"
      3 = "CH06=2 or 3"
   ;
   value CH18A_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
   ;
   value CH18AA_
      1 = "Accident"
      2 = "Abort by doctor's suggestion"
      3 = "Unwanted pregnancy"
      4 = "Because of sick"
      6 = "Too tired/too much work"
      95 = "Other"
      99 = "Missing"
   ;
   value CH18B_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value CH18C_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value CH19_
      1 = "Public hospital"
      2 = "Private hospital"
      3 = "Delivery hospital"
      4 = "Community health center"
      5 = "Village delivery post"
      6 = "Clinic/office of physician"
      7 = "Clinic/office of midwife"
      8 = "Office/house of traditional midwife"
      9 = "Own house"
      10 = "Family members house"
      95 = "Other"
      99 = "Missing"
   ;
   value CH19A_
      1 = "Public hospital"
      2 = "Private hospital"
      3 = "Delivery Hospital"
      4 = "Community health center"
      5 = "Village Delivery Post"
      6 = "Clinic/office of physician"
      7 = "Clinic/office of midwife"
      8 = "Office/house of trad. midwife"
      9 = "Own house"
      10 = "Family Members House"
      95 = "Other"
      99 = "Missing"
   ;
   value CH19AADX_
      1 = "Address given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CH19AAX_
      1 = "Given"
      3 = "Same as residence"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CH19ABX_
      1 = "Given"
      3 = "Same as residence"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CH19ACX_
      1 = "Given"
      3 = "Same as residence"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CH19ADX_
      1 = "Given"
      3 = "Same as residence"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CH19ALCX_
      1 = "Location given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CH19ANMX_
      1 = "Name given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value $CH20_
      'A' = "Physician"
      'B' = "Private midwife"
      'C' = "Village midwife"
      'D' = "Nurse"
      'E' = "Traditional birth attendant"
      'H' = "Family"
      'V' = "Other"
      'W' = "No Body"
      'Y' = "Don't know"
      'Z' = "Missing"
   ;
   value $CH20C_
      'A' = "Cheap"
      'B' = "Nearby"
      'C' = "Feel safe"
      'D' = "More comfortable"
      'E' = "Modern service"
      'G' = "Habit"
      'H' = "Family reason"
      'I' = "Few choices"
      'K' = "Healthy reason"
      'L' = "Reason of distance"
      'M' = "Doctor advice"
      'V' = "Other"
      'Z' = "Missing"
   ;
   value CH20GA_
      1 = "Yes"
      3 = "No =>CH2H"
      9 = "Missing"
   ;
   value CH20GB_
      1 = "Askes"
      2 = "Jamsostek"
      3 = "Employer provided health benefits"
      4 = "Private health insurance"
      5 = "Savings related insurance"
      6 = "SKTM"
      7 = "Jamkesmas"
      8 = "Jamkesda"
      9 = "JKN"
      10 = "Jampersal"
      11 = "Jamkessos"
      95 = "Other, mention"
      99 = "Missing"
   ;
   value CH20GCX_
      1 = "Total cost"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CH20GD_
      1 = "Yes"
      3 = "No => CH2H"
      9 = "Missing"
   ;
   value CH20GEX_
      1 = "Rupiah"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CH20GX_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CH20H_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value CH21_
      1 = "CH06=2 (live birth)"
      3 = "CH06=3"
   ;
   value CH22_
      1 = "Much bigger"
      2 = "0Bigger"
      3 = "Similar"
      4 = "Smaller"
      5 = "Much smaller"
      98 = "Don't know"
      99 = "Missing"
   ;
   value CH23_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value CH24_
      9.98 = "Don't know"
      9.99 = "Missing"
   ;
   value CH24A_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value CH24C_
      98 = "Don't Know"
      99 = "Missing"
   ;
   value CH24C1_
      3 = "Days"
      4 = "Weeks"
      5 = "Months"
   ;
   value CH24CX_
      1 = "Given"
      88 = "Died before ever fed"
      96 = "Not yet fed"
      99 = "Missing"
   ;
   value CH24D_
      98 = "Don't Know"
      99 = "Missing"
   ;
   value CH24D1_
      3 = "Days"
      4 = "Weeks"
      5 = "Months"
   ;
   value CH24DX_
      1 = "Given"
      88 = "Died before ever fed"
      96 = "Not yet fed"
      99 = "Missing"
   ;
   value CH24E_
      98 = "Don't Know"
      99 = "Missing"
   ;
   value CH24EX_
      5 = "Months"
      88 = "Died while breastfeeding"
      96 = "Still breastfeeding"
      99 = "Missing"
   ;
   value $CH24F_
      'A' = "Mother sick/weak"
      'B' = "Sore nipples"
      'C' = "Work"
      'D' = "Inconvenience"
      'E' = "Take contraceptive pills"
      'F' = "Want to get pregnant"
      'G' = "Was pregnant again"
      'H' = "Insufficient breast milk"
      'I' = "Child's death"
      'J' = "Child's sickness"
      'K' = "Child in incubator"
      'L' = "Child did not develop"
      'M' = "Child did not want"
      'N' = "Child lived separately"
      'O' = "Dr/Nurse recommendation"
      'P' = "Husband's objections"
      'Q' = "Child's inability to suck"
      'R' = "Child was big enough"
      'V' = "Other"
      'Z' = "Missing"
   ;
   value CH25_
      1 = "Yes"
      3 = "No"
   ;
   value CH26_
      95 = "Other"
      98 = "Don't Know"
      99 = "Missing"
   ;
   value CH26X_
      3 = "Days"
      4 = "Weeks"
      5 = "Months"
      6 = "Years"
      99 = "Missing"
   ;
   value CH27B_
      1 = "Alive in HH"
      3 = "Alive not in HH"
      5 = "Dead"
   ;
   value CH27X_
      1 = "Panel with child roster"
      3 = "New/Panel without child roster"
   ;
   value CH27X1_
      1 = "Child live in HH"
      2 = "Child died/Not live in HH but listed in HH roster"
      3 = "Child not listed in HH roster"
      9 = "Missing"
   ;
   value CH28A_
      1 = "Yes"
      3 = "No"
   ;
   value CH28B_
      1 = "Yes"
      3 = "No"
   ;
   value CH29A_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value CH29B_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value CH30A_
      1 = "Single"
      2 = "Married"
      3 = "Separated"
      4 = "Divorced"
      5 = "Widow/widower"
      98 = "Don't know"
      99 = "Missing"
   ;
   value CH31A_
      1 = "Unschooled"
      2 = "Elementary (SD)"
      3 = "Jr high general (SMP Umum)"
      4 = "Jr high vocational (SMP Kejuruan)"
      5 = "Sr high general (SMU Umum)"
      6 = "Sr high vocational (SMK Kejuruan)"
      11 = "Adult Education A"
      12 = "Adult Education B"
      13 = "Open University"
      14 = "Islamic School (Pondok Pesantren)"
      15 = "Adult Education C"
      17 = "School for Disable"
      60 = "College D1"
      61 = "University S1"
      62 = "University S2"
      63 = "University S3"
      72 = "Madrasah Ibtidaiyah"
      73 = "Madrasah Tsanawiyah"
      74 = "Madrasah Aliyah"
      90 = "Kindergarten"
      95 = "Other"
      98 = "Don't know"
      99 = "Missing"
   ;
   value CH32A_
      0 = "Did not complete St at that level"
      1 = "1"
      2 = "2"
      3 = "3"
      4 = "4"
      5 = "5"
      6 = "6"
      7 = "Graduated"
      96 = "No school"
      98 = "Don't know"
      99 = "Missing"
   ;
   value CH32B_
      1 = "Yes"
      3 = "No"
      6 = "NA"
      7 = "Unwilling to answer"
      9 = "Missing"
   ;
   value CH32C_
      1 = "Yes"
      3 = "No"
      7 = "Unwilling to answer"
      9 = "Missing"
   ;
   value CH32D_
      1 = "Working/trying to get work/helping to earn income"
      2 = "Job searching"
      3 = "Attending school"
      4 = "Housekeeping"
      5 = "Retired"
      6 = "Stay at home/unemployed"
      7 = "Sick/disabled"
      95 = "Other"
      98 = "Don't know"
      99 = "Missing"
   ;
   value CH33A_
      0 = "In this household"
      1 = "In the same village"
      2 = "In the same subdistrict"
      3 = "In the same district"
      4 = "In the same province"
      10 = "Sumatra"
      11 = "Aceh"
      12 = "North Sumatra"
      13 = "West Sumatra"
      14 = "Riau"
      15 = "Jambi"
      16 = "South Sumatra"
      17 = "Bengkulu"
      18 = "Lampung"
      19 = "Bangka Belitung"
      20 = "Kepulauan Riau"
      30 = "Java"
      31 = "Jakarta"
      32 = "West Java"
      33 = "Central Java"
      34 = "DI Yogyakarta"
      35 = "East Java"
      36 = "Banten"
      51 = "Bali"
      52 = "West Nusa Tenggara"
      53 = "East Nusa Tenggara"
      62 = "Central Kalimantan"
      63 = "South Kalimantan"
      64 = "East Kalimantan"
      70 = "Sulawesi"
      71 = "North Sulawesi"
      72 = "Central Sulawesi"
      73 = "South Sulawesi"
      74 = "South East Sulawesi"
      75 = "Gorontalo"
      76 = "West Sulawesi"
      81 = "Maluku"
      82 = "Maluku Utara"
      90 = "Irian"
      91 = "Irian Jaya Barat"
      94 = "Papua"
      101 = "Malaysia"
      102 = "Singapore"
      103 = "10Brunei Darussalam"
      104 = "Hongkong"
      105 = "Japan"
      106 = "South Korea"
      107 = "Taiwan"
      108 = "Timor Leste"
      121 = "Yemen"
      122 = "Saudi Arabia"
      123 = "Kuwait"
      124 = "UAE"
      131 = "Argentina"
      132 = "USA"
      141 = "Australia"
      151 = "Holland"
      152 = "UK"
      995 = "Others"
      998 = "Don't know"
      999 = "Missing"
   ;
   value CH34A_
      1 = "Working/trying to get work/helping to earn income"
      2 = "Job searching"
      3 = "Attending school"
      4 = "Housekeeping"
      5 = "Retired"
      6 = "Stay at home/unemployed"
      7 = "Sick/disabled"
      95 = "Other"
      98 = "Don't know"
      99 = "Missing"
   ;
   value CH35A_
      1 = "Self employed"
      2 = "Self employed assisted by unreguler workers"
      3 = "Self employed assisted by reguler workers"
      4 = "Goverment worker/employee"
      5 = "Private worker/employee"
      6 = "Unpaid family worker"
      7 = "Freelancer in agriculture"
      8 = "Freelancer in non-agriculture"
      98 = "Don't know"
      99 = "Missing"
   ;
   value CH37A_
      1 = "Never"
      2 = "At least once a year"
      3 = "At least once a month"
      4 = "At least once a week"
      5 = "Everyday"
      9 = "Missing"
   ;
   value CH37B_
      1 = "Never"
      2 = "At least once a year"
      3 = "At least once a month"
      4 = "At least once a week"
      5 = "Everyday"
      9 = "Missing"
   ;
   value CH37C_
      1 = "Never"
      2 = "At least once a year"
      3 = "At least once a month"
      4 = "At least once a week"
      5 = "Everyday"
      9 = "Missing"
   ;
   value CH38A_
      1 = "Yes"
      3 = "No"
      7 = "Unwilling to answer"
      9 = "Missing"
   ;
   value $CH39A_
      'A' = "Money"
      'D' = "Food stuffs or other goods"
      'G' = "Chores"
      'H' = "Helping family business"
      'V' = "Other"
      'Z' = "MISSING"
   ;
   value CH39AG_
      98 = "Don't Know"
      99 = "Missing"
   ;
   value CH39AGX_
      3 = "Days"
      5 = "Months"
      99 = "Missing"
   ;
   value CH39AH_
      98 = "Don't Know"
      99 = "Missing"
   ;
   value CH39AHX_
      3 = "Days"
      5 = "Months"
      99 = "Missing"
   ;
   value CH40A_
      1 = "Yes"
      3 = "No"
      7 = "Unwilling to answer"
      9 = "Missing"
   ;
   value $CH41A_
      'A' = "Money"
      'D' = "Food stuffs or other goods"
      'G' = "Chores"
      'H' = "Helping family business"
      'V' = "Other"
      'Z' = "MISSING"
   ;
   value CH41AG_
      98 = "Don't Know"
      99 = "Missing"
   ;
   value CH41AGX_
      3 = "Days"
      5 = "Months"
      99 = "Missing"
   ;
   value CH41AH_
      98 = "Don't Know"
      99 = "Missing"
   ;
   value CH41AHX_
      3 = "Days"
      5 = "Months"
      99 = "Missing"
   ;
   value C1B4_
      1 = "Completed"
      2 = "Partially completed"
      3 = "Not completed"
   ;
   value C2B4_
      1 = "Respondent was not at home/not available"
      2 = "Respondent was seriously ill"
      3 = "Respondent refused (to be interviewed)"
      5 = "Other"
      9 = "Missing"
   ;
   value C4AB4_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value C4BB4_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value C4CB4_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value CK1B4_
      0 = "Indonesian"
      1 = "Javanese"
      2 = "Sundanese"
      3 = "Balinese"
      4 = "Batak"
      5 = "Bugis"
      6 = "Chinese"
      7 = "Maduranese"
      8 = "Sasak"
      9 = "Minang"
      10 = "Banjar"
      11 = "Bima"
      12 = "Makasar"
      13 = "Nias"
      14 = "Palembang"
      15 = "Sumbawa"
      16 = "Toraja"
      17 = "Lahat"
      18 = "Other South Sumatra"
      19 = "Betawi"
      20 = "Lampung"
      95 = "Other"
      98 = "Don't know"
      99 = "Missing"
   ;
   value CK2B4_
      0 = "Indonesian"
      1 = "Javanese"
      2 = "Sundanese"
      3 = "Balinese"
      4 = "Batak"
      5 = "Bugis"
      6 = "Chinese"
      7 = "Maduranese"
      8 = "Sasak"
      9 = "Minang"
      10 = "Banjar"
      11 = "Bima"
      12 = "Makasar"
      13 = "Nias"
      14 = "Palembang"
      15 = "Sumbawa"
      16 = "Toraja"
      17 = "Lahat"
      18 = "Other South Sumatra"
      19 = "Betawi"
      20 = "Lampung"
      95 = "Other"
      96 = "No other"
      98 = "Don't know"
      99 = "Missing"
   ;
   value COV00B4_
      1 = "Yes"
      3 = "No"
   ;
   value COV10PB4_
      1 = "Spouse"
      2 = "Child"
      4 = "Parent"
      5 = "Brother/sister"
      6 = "Son in law"
      95 = "Others"
   ;
   value COV11PB4_
      1 = "Too old"
      2 = "Deaf/mute"
      3 = "Severely ill"
      4 = "Respondent not home/not found"
      5 = "Responden not found/not at home/away"
      6 = "Mental disability"
   ;
   value COV2B4_
      1 = "Panel"
      3 = "New"
   ;
   value COV3B4_
      998 = "Dont know"
      999 = "Missing"
   ;
   value COV4B4_
      2 = "Married"
      3 = "Separated"
      4 = "Divorced"
      5 = "Widowed"
      6 = "Cohabitate"
   ;
   value COV6DB4_
      98 = "Don't know"
      99 = "Missing"
   ;
   value COV6MB4_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "MISSING"
   ;
   value COV6YB4_
      9998 = "Don't Know"
      9999 = "Missing"
   ;
   value PIDPROXB4_
      96 = "Proxy not a HHM"
   ;
   value PROXYB4_
      1 = "Book Proxy"
      3 = "Not Book Proxy"
   ;
   value $CP1B4_
      'A' = "No one"
      'B' = "A child 5 years old or under"
      'C' = "A child older than 5 years old"
      'D' = "Husband/wife"
      'E' = "An Adult, A HOUSEHOLDER"
      'F' = "An Adult, NOT A HOUSEHOLDER"
      'Z' = "Missing"
   ;
   value CP2B4_
      1 = "Excelent"
      2 = "Good"
      3 = "Fair"
      4 = "Not so good"
      5 = "Very bad"
      9 = "Missing"
   ;
   value CP3B4_
      1 = "Excelent"
      2 = "Good"
      3 = "Fair"
      4 = "Not so good"
      5 = "Very bad"
      9 = "Missing"
   ;
   value CX01_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value CX02_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value CX02AX_
      1 = "Year given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CX02AYR_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value CX02B_
      98 = "Don't know"
      99 = "Missing"
   ;
   value $CXTYPE_
      'A' = "Contraceptive pill"
      'B' = "IUD/AKDR/Spiral"
      'C' = "Contraceptive injections"
      'E' = "Condom"
      'F' = "Contraceptive Tubes/Implant/Norplant"
      'F1' = "FIntravag"
      'F2' = "FFemidom"
      'G' = "Tubal Ligation/Female Sterilization"
      'H' = "Vasectomy/Male Sterilization"
      'I' = "Abortion"
   ;
   value CX00_
      1 = "Age of respondent >= 50"
      3 = "Age of respondent < 50"
   ;
   value CX20_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CX21_
      1 = "Pills"
      2 = "month injection"
      3 = "month injection"
      4 = "month injection"
      5 = "Intravag"
      6 = "Condom"
      7 = "IUD/AKDR/Spiral"
      8 = "Norplant/Implant"
      9 = "Female sterilization/Tubectomy"
      10 = "Male Sterilization"
      11 = "Rhythm/calendar"
      12 = "Coitus interruptus"
      13 = "Traditional herbs"
      14 = "Traditional massage"
      15 = "Femidom"
      95 = "Other"
      98 = "Don't know"
      99 = "Missing"
   ;
   value CX21AAMTH_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "MISSING"
   ;
   value CX21AAX_
      1 = "Enter date"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CX21AAYR_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value CX21AMTH_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "MISSING"
   ;
   value CX21AX_
      1 = "Month and year given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CX21AYR_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value CX21B_
      1 = "Public hospital"
      2 = "Private hospital"
      3 = "Puskesmas"
      4 = "Private clinic"
      5 = "Posyandu"
      6 = "Birth control post/association"
      7 = "Fieldworker (PLKB)"
      8 = "TKBK/TMK"
      9 = "Pharmacist/drugstore"
      10 = "Private physician"
      11 = "Nurse/paramedic"
      12 = "Midwife"
      13 = "Traditional midwife"
      14 = "Friend/family"
      16 = "Bidan desa/Polindes"
      95 = "Other"
      98 = "Don't know"
      99 = "Missing"
   ;
   value CX21BADX_
      1 = "Address given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CX21BAX_
      1 = "Given"
      3 = "Same as residence"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CX21BBX_
      1 = "Given"
      3 = "Same as residence"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CX21BCODE_
      1 = "Public hospital"
      2 = "Private hospital"
      3 = "Puskesmas"
      4 = "Private clinic"
      5 = "Posyandu"
      6 = "Birth control post/association"
      7 = "Fieldworker (PLKB)"
      8 = "TKBK/TMK"
      9 = "Pharmacist/drugstore"
      10 = "Private physician"
      11 = "Nurse/paramedic"
      12 = "Midwife"
      13 = "Traditional midwife"
      14 = "Friend/family"
      16 = "Bidan desa/Polindes"
      95 = "Other"
      98 = "Don't know"
      99 = "Missing"
   ;
   value CX21BCX_
      1 = "Given"
      3 = "Same as residence"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CX21BDX_
      1 = "Given"
      3 = "Same as residence"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CX21BLCX_
      1 = "Location given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CX21BNMX_
      1 = "Name given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CX21CX_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CX21D_
      1 = "Yes"
      2 = "Yes"
      3 = "No"
   ;
   value CX21E_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value CX22A_
      1 = "Ever"
      3 = "Never"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value CX22B_
      1 = "Ever"
      3 = "Never"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value CX22C_
      1 = "Ever"
      3 = "Never"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value $CX22D_
      'A' = "Gaining weight"
      'B' = "Losing weight"
      'C' = "Excessive bleeding on menstruation"
      'D' = "Irregular menstruation"
      'E' = "Flare-up of red facial rash"
      'F' = "Convulsions/cramps"
      'G' = "High blood pressure"
      'H' = "Headache"
      'I' = "Nausea"
      'J' = "Fatigue"
      'K' = "Skin problems"
      'L' = "Stomachache"
      'M' = "No menstruation"
      'V' = "Other"
      'W' = "No side effect"
      'Z' = "Missing"
   ;
   value CX22E_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value CX22FMTH_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "MISSING"
   ;
   value CX22FYR_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value CX22GADX_
      1 = "Address given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CX22GAX_
      1 = "Given"
      3 = "Same as residence"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CX22GBX_
      1 = "Given"
      3 = "Same as residence"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CX22GCX_
      1 = "Given"
      3 = "Same as residence"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CX22GDX_
      1 = "Given"
      3 = "Same as residence"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CX22GLCX_
      1 = "Location given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CX22GNMX_
      1 = "Name given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CX22H_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value CX22I_
      1 = "Pill"
      2 = "month injection"
      3 = "month injection"
      4 = "month injection"
      5 = "Intravag"
      6 = "Condom"
      7 = "IUD/AKDR/Spiral"
      8 = "0Norplant/ Implant"
      9 = "Female Sterilization/Tubectomy"
      10 = "Male Sterilization"
      11 = "Rhythm/calendar"
      12 = "Coitus interruptus"
      13 = "Traditional Herbs"
      14 = "Traditional massage"
      15 = "Femidom"
      95 = "Other"
      98 = "Don't know"
      99 = "Missing"
   ;
   value $CX22J_
      'A' = "(Got) pregnant while using"
      'B' = "Wants to get pregnant"
      'C' = "Husband's objection"
      'D' = "Side effects"
      'E' = "Health problems"
      'F' = "Difficulty in getting pregnant"
      'G' = "Wants more effective methods"
      'H' = "Uncomfortable"
      'I' = "Husband was absent"
      'J' = "Too expensive"
      'K' = "Menopause"
      'L' = "Divorced/widow"
      'M' = "Detached (device)"
      'N' = "Too hard to use/tired of using"
      'O' = "Method not available"
      'V' = "Other"
      'Z' = "Missing"
   ;
   value $CX26_
      'A' = "Is pregnant"
      'B' = "Want to have a child"
      'C' = "Lack of knowledge"
      'D' = "Husband disapproves"
      'E' = "High cost"
      'F' = "Health reasons"
      'G' = "Side effects"
      'H' = "Advice of Dr/Nurse/Midwife"
      'I' = "Difficulty in obtaining method"
      'J' = "Religion"
      'K' = "Respondent disapproves"
      'L' = "Family disapproves"
      'M' = "Do not care/indifferent"
      'N' = "Infrequent intercourse"
      'O' = "Difficulty in getting pregnant"
      'P' = "Menopause / ovary removed"
      'P1' = "Menopuse/Hysterectomi"
      'Q' = "Inconvenient"
      'R' = "Husband's absence"
      'S' = "Just gave birth (pre-menstrual)"
      'T' = "Just gave birth (no sex)"
      'U' = "Breastfeeding"
      'V' = "Don't want to use"
      'W' = "Other"
      'X' = "Kids Grown"
      'Z' = "Missing"
   ;
   value CX27_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value CX28_
      1 = "Pills"
      2 = "month injection"
      3 = "month injection"
      4 = "month injection"
      5 = "Intravag"
      6 = "Condom"
      7 = "IUD/AKDR/Spiral"
      8 = "Norplant/Implant"
      9 = "Female sterilization/Tubectomy"
      10 = "Male Sterilization"
      11 = "Rhythm/calendar"
      12 = "Coitus interruptus"
      13 = "Traditional herbs"
      14 = "Traditional massage"
      15 = "Femidom"
      95 = "Don't know"
      98 = "Other"
      99 = "Missing"
   ;
   value EP402_
      1 = "Yes"
      3 = "No"
   ;
   value EP403_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value EP404_
      98 = "Don't Know"
      99 = "Missing"
   ;
   value EP419X_
      1 = "Yes => EP404"
      2 = "Yes"
      3 = "No => CX"
      9 = "Missing"
   ;
   value EP407_
      96 = "NA"
      99 = "Not register at BA"
   ;
   value EP407A_
      96 = "NA"
      99 = "Not register at BX"
   ;
   value EP409X_
      1 = "Biological Child"
      2 = "Step child"
      3 = "Adopted child"
      6 = "Duplicates"
      7 = "Not a child"
      8 = "DON'T KNOW"
      9 = "Missing"
   ;
   value EP410_
      1 = "Male"
      3 = "Female"
   ;
   value EP411_
      98 = "Don't Know"
      99 = "Missing"
   ;
   value EP411A_
      98 = "Don't Know"
      99 = "Missing"
   ;
   value EP412_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value EP413_
      1 = "Yes"
      3 = "No"
   ;
   value EP414_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value EP415_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value EP416_
      1 = "Unschooled"
      2 = "Grade school"
      3 = "General jhigh"
      4 = "Vocational jhigh"
      5 = "General shigh (SLA)"
      6 = "Vocational shigh (SMK)"
      11 = "Education A"
      12 = "Education B"
      13 = "Open University"
      14 = "Moslem School (Pesantren)"
      15 = "Education C"
      17 = "School for Disable"
      60 = "Diploma (D1,D2,D3)"
      61 = "University S1"
      62 = "University S2"
      63 = "University S3"
      72 = "Madrasah Ibtidaiyah"
      73 = "Madrasah Tsanawiyah"
      74 = "Madrasah Aliyah"
      90 = "Kindergarten"
      95 = "Other"
      98 = "Don't know"
      99 = "Missing"
   ;
   value EP417_
      0 = "Did not complete St grade at this level"
      1 = "1"
      2 = "2"
      3 = "3"
      4 = "4"
      5 = "5"
      6 = "6"
      7 = "Graduated"
      96 = "No school"
      98 = "Don't know"
      99 = "Missing"
   ;
   value EP418_
      1 = "Much better"
      2 = "Better"
      3 = "Same"
      4 = "Worst"
      5 = "Much worst"
      6 = "Not applicable"
      9 = "Missing"
   ;
   value EP419_
      1 = "Much better"
      2 = "Better"
      3 = "Same"
      4 = "Worst"
      5 = "Much worst"
      6 = "Not applicable"
      9 = "Missing"
   ;
   value B4_MOVER_
      0 = "CANCEL"
      1 = "Cover"
      2 = "KW (INTRO1 - KW08)"
      3 = "KW (KW09 - KW22)"
      4 = "KW (KW23 - KW27)"
      5 = "BR (INTRO1 - BR16)"
      6 = "BA (INTRO1 - BA70)"
      7 = "BA (BA78 - BA84)"
      8 = "BA (BA87A - BA90)"
      9 = "BF (BF00 - BF09)"
      10 = "CH (CH00 - CH42B)"
      11 = "BX (INTRO1 - BX70)"
      12 = "BX (BX78 - BX84)"
      13 = "BX (BX87A - BX90)"
      14 = "EP (EP02 - EP19)"
      15 = "CX (CX00 - CX02B)"
      16 = "CX (CX20 - CX28)"
      17 = "CP1 (INTERVIEWER NOTE CK1)"
      18 = "CP2 (INTERVIEWER NOTE CP)"
   ;
   value INTRO_BA1_
      1 = "Interview this section"
      9 = "Skip to next section"
   ;
   value INTRO_BR1_
      1 = "Interview this section"
      9 = "Skip to next section"
   ;
   value INTRO_BR2_
      1 = "Interview this section"
      9 = "Skip to next section"
   ;
   value INTRO_BX1_
      1 = "Interview this section"
      9 = "Skip to next section"
   ;
   value INTRO_CH1_
      1 = "Interview this section"
      9 = "Skip to next section"
   ;
   value INTRO_CH2_
      1 = "Interview this section"
      9 = "Skip to next section"
   ;
   value INTRO_CH3_
      1 = "Interview this section"
      9 = "Skip to next section"
   ;
   value INTRO_CX1_
      1 = "Interview this section"
      9 = "Skip to next section"
   ;
   value $INTRO_CX2_
      'A' = "Pil KB"
      'B' = "IUD/AKDR/Spiral"
      'C' = "Suntikan KB"
      'E' = "Kondom/Karet KB"
      'F' = "Susuk KB/IMPLANT/NORPLANT"
      'F1' = "Intravag"
      'F2' = "Kondom Wanita/Femidom"
      'G' = "Tubektomi/Sterilisasi wanita"
      'H' = "Vasektomi/Sterilisasi pria"
      'I' = "Pengguguran/Sedot/Aborsi"
      'W' = "TIDAK PERNAH MENDENGAR SAMA SEKALI"
   ;
   value INTRO_EP1_
      1 = "Interview this section"
      9 = "Skip to next section"
   ;
   value INTRO_KW1_
      1 = "Interview this section"
      9 = "Skip to next section"
   ;
   value INTRO_KW2_
      1 = "Interview this section"
      9 = "Skip to next section"
   ;
   value KW02OX_
      1 = "Yes => KW08"
      3 = "No  => KW23A"
   ;
   value KW02X_
      1 = "Yes => KW02L"
      3 = "No"
   ;
   value KW400A_
      1 = "Yes"
      3 = "No => KW03a"
   ;
   value KW400C_
      1 = "Yes"
      3 = "No"
   ;
   value KW400D_
      1 = "Yes"
      3 = "No => KW02A1"
      9 = "MISSING"
   ;
   value KW402A1_
      1 = "Yes"
      3 = "No"
      9 = "MISSING"
   ;
   value KW402A2X_
      1 = "Yes => KW23a"
      3 = "No"
      6 = "Not Applicable"
   ;
   value KW402B_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value KW402C_
      999 = "Missing"
   ;
   value KW402CX_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value $KW402D_
      'A' = "Posyandu"
      'B' = "Health Center"
      'C' = "Place of work"
      'D' = "Midwife"
      'F' = "Pharmacy"
      'G' = "Private Doctor"
      'H' = "Hospital"
      'I' = "Paramedic"
      'J' = "Specialist Doctor"
      'V' = "Other"
      'Z' = "Missing"
   ;
   value KW402E_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value KW402G_
      99 = "Missing"
   ;
   value KW402GX_
      1 = "Husband live in HH"
      2 = "Husband died/Not live in HH/Listed in HH roster"
      3 = "Husband not listed in HH roster"
   ;
   value KW402H_
      1 = "Yes"
      3 = "No"
   ;
   value KW402IMT_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "MISSING"
   ;
   value KW402IX_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KW402IYR_
      9998 = "DON'T KNOW"
      9999 = "MISSING"
   ;
   value KW402J_
      1 = "Yes"
      3 = "No"
   ;
   value KW402LMTH_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "MISSING"
   ;
   value KW402LX_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KW402LYEAR_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value KW402MX_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KW402N_
      1 = "None"
      2 = "Elementary (SD)"
      3 = "Jr high general (SMP Umum)"
      4 = "Jr high vocational (SMP Kejuruan)"
      5 = "Sr high general (SMU Umum)"
      6 = "Sr high vocational (SMK Kejuruan)"
      11 = "Adult Education A"
      12 = "Adult Education B"
      13 = "Open University"
      14 = "Islamic School (Pondok Pesantren)"
      15 = "Adult Education C"
      17 = "School for Disable (Sekolah Penyandang Cacat Fisik/Mental)"
      60 = "College (D1,D2,D3)"
      61 = "University S1"
      62 = "University S2"
      63 = "University S3"
      72 = "Madrasah Ibtidaiyah"
      73 = "Madrasah Tsanawiyah"
      74 = "Madrasah Aliyah"
      90 = "Kindergarden"
      95 = "Other"
      98 = "Don't know"
      99 = "Missing"
   ;
   value KW402O_
      0 = "Did not complete 1st  grade at that level"
      1 = "1"
      2 = "2"
      3 = "3"
      4 = "4"
      5 = "5"
      6 = "6"
      7 = "Graduated"
      96 = "Not Applicable"
      98 = "Don't know"
      99 = "Missing"
   ;
   value KW403_
      98 = "DON'T KNOW"
      99 = "MISSING"
   ;
   value KW403A_
      2 = "Cohabitation"
      3 = "Married formal (KUA or civil registration)"
      4 = "Married formal according to religious law"
      5 = "Married formal according to adat law"
      6 = "Separated"
      7 = "Divorced"
      8 = "Widow/Widower"
      9 = "MISSING"
   ;
   value KW404_
      1 = "Parent"
      3 = "Self"
      4 = "Family"
      95 = "Other"
      99 = "Missing"
   ;
   value $KW412A_
      'A' = "Sholat (praying) accessory"
      'B' = "Money"
      'C' = "Land"
      'D' = "Building/house"
      'E' = "Jewelry"
      'G' = "Complete set of clothing"
      'H' = "Food"
      'I' = "Household items"
      'K' = "Religious book"
      'L' = "Beauty items"
      'M' = "Livestock"
      'V' = "Other"
      'W' = "Nothing"
      'Z' = "Missing"
   ;
   value KW412BX_
      1 = "Enter value"
      2 = "Other currency"
      8 = "Don't know"
      9 = "Missing"
   ;
   value $KW413A_
      'A' = "Sholat (praying) accessories"
      'B' = "Money"
      'C' = "Land"
      'D' = "Building/house"
      'E' = "Jewelry"
      'G' = "Complete set of clothing"
      'H' = "Food"
      'I' = "Household items"
      'K' = "Religious book"
      'L' = "Beauty items"
      'M' = "Livestock"
      'V' = "Other"
      'W' = "Nothing"
      'Z' = "Missing"
   ;
   value KW413BX_
      1 = "Rupiah given"
      2 = "Other currency"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KW414A_
      1 = "YES, moved within the same village/town"
      2 = "YES, moved to another village/town"
      3 = "NO,lived at the same place"
      9 = "Missing"
   ;
   value KW414BAX_
      1 = "New village"
      3 = "Same as current residence"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KW414BBX_
      1 = "New kecamatan"
      3 = "Same as current residence"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KW414BCX_
      1 = "New kabupaten"
      3 = "Same as current residence"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KW414BDX_
      1 = "New province"
      3 = "Same as current residence"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KW414C1_
      4 = "Weeks"
      5 = "Months"
      6 = "Years"
   ;
   value KW414CX_
      1 = "Given"
      96 = "Still live there"
      98 = "Don't know"
      99 = "Missing"
   ;
   value KW414D_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value KW414D1_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value KW414D21_
      4 = "Weeks"
      5 = "Month"
      6 = "Year"
   ;
   value KW414D2X_
      1 = "Given"
      98 = "Don't know"
      99 = "Missing"
   ;
   value KW414E_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value KW414F1_
      4 = "Weeks"
      5 = "Months"
      6 = "Years"
   ;
   value KW414FX_
      1 = "Given"
      96 = "Don't live together yet"
      98 = "Don't know"
      99 = "Missing"
   ;
   value $KW414G_
      'B' = "Own parents"
      'C' = "Parents-in-law"
      'D' = "Biological Brother"
      'E' = "Biological Sisters"
      'F' = "Brother-in-laws"
      'G' = "Sister-in-laws"
      'H' = "Other family members"
      'I' = "Not family related"
      'J' = "Child"
      'W' = "Nobody else"
      'Z' = "Missing"
   ;
   value KW414X_
      1 = "Enter value"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KW410MTH_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "MISSING"
   ;
   value KW410X_
      1 = "Given"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value KW410YR_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value KW411_
      98 = "Don't Know"
      99 = "Missing"
   ;
   value KW411A_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value KW411B_
      2 = "Cohabitation"
      3 = "Married formal (KUA or civil registration)"
      4 = "Married formal according to religious law"
      5 = "Married formal according to adat law"
      6 = "Separated"
      7 = "Divorced"
      8 = "Widow/Widower"
      9 = "Missing"
   ;
   value KW418MTH_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "MISSING"
   ;
   value KW418X_
      1 = "Date given"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value KW418YR_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value KW419_
      98 = "Don't Know"
      99 = "Missing"
   ;
   value KW420_
      1 = "Unschooled"
      2 = "Elementary (SD)"
      3 = "Jr high general (SMP Umum)"
      4 = "Jr high vocational (SMP Kejuruan)"
      5 = "Sr high general (SMU Umum)"
      6 = "Sr high vocational (SMK Kejuruan)"
      11 = "Adult Education A"
      12 = "Adult Education B"
      13 = "Open University"
      14 = "Islamic School (Pondok Pesantren)"
      15 = "Adult Education C"
      17 = "School for Disable (Sekolah Penyandang Cacat Fisik/Mental)"
      60 = "College (D1,D2,D3)"
      61 = "University S1"
      62 = "University S2"
      63 = "University S3"
      72 = "Madrasah Ibtidaiyah"
      73 = "Madrasah Tsanawiyah"
      74 = "Madrasah Aliyah"
      90 = "Kindergarden"
      95 = "Other"
      98 = "Don't know"
      99 = "Missing"
   ;
   value KW421_
      0 = "Did not complete 1st grade at that level"
      1 = "1"
      2 = "2"
      3 = "3"
      4 = "4"
      5 = "5"
      6 = "6"
      7 = "Graduated"
      96 = "Not Applicable"
      98 = "Don't know"
      99 = "Missing"
   ;
   value KW422A_
      1 = "Marriage began after after 2006 - > NEXT COLUMN"
      2 = "Marriage began before 2007 -> KW23A"
      3 = "No other marriage after 2007 -> KW23A"
      9 = "Missing"
   ;
   value KW422B_
      1 = "Other marriage"
      3 = "No other marriage"
   ;
   value KW422X_
      1 = "Panel"
      3 = "New Respondent"
   ;
   value KW4N_
      1 = "Current/latest"
      2 = "Second latest"
      3 = "Third latest"
      4 = "Fourth latest"
      5 = "Fifth latest"
      6 = "Sixth latest"
   ;
   value KW423AX_
      1 = "Given"
      95 = "Up to God"
      99 = "Missing"
   ;
   value KW423BX_
      1 = "Given"
      96 = "Never Menstruated"
      99 = "Missing"
   ;
   value KW423C_
      1 = "AGE <35"
      3 = "AGE >= 35"
   ;
   value KW423D_
      1 = "Yes"
      2 = "No (because of medication, contraception method, etc)"
      3 = "Not anymore"
      9 = "Missing"
   ;
   value KW423E_
      98 = "DON'T KNOW"
      99 = "MISSING"
   ;
   value KW424A_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value KW424B_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value KW425_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value KW426X_
      1 = "Given"
      95 = "Up to God"
      99 = "Missing"
   ;
   value KW427X_
      1 = "Given"
      95 = "Up to God"
      99 = "Missing"
   ;
   value MODE_B4_
      1 = "Entry"
      2 = "Modification"
      3 = "Verification"
   ;
   value PARTIAL_B4_
      0 = "###"
      1 = "Partial save"
      2 = "Complete"
   ;
   /*----------------------------------------------------------------------*/
   /*  BUKU5 formats                                                       */                                
   /*----------------------------------------------------------------------*/
   value BAA00_
      1 = "Yes --> Next column/CP"
      3 = "No"
      9 = "Missing"
   ;
   value BAA02X_
      1 = "Given"
      2 = "Listed in preprinted and dead or not in HH"
      3 = "Not in household"
   ;
   value BAA03_
      1 = "Yes"
      3 = "No --> BAA06"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BAA04_
      1 = "Never"
      2 = "At least once per year"
      3 = "At least once per month"
      4 = "At least once per week"
      5 = "Everyday -> BAA05"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BAA04A_
      1 = "Never"
      2 = "At least once per year"
      3 = "At least once per month"
      4 = "At least once per week"
      5 = "Everyday -> BAA05"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BAA04B_
      1 = "Never"
      2 = "At least once per year"
      3 = "At least once per month"
      4 = "At least once per week"
      5 = "Everyday"
      8 = "Don't know"
      9 = "Missing"
   ;
   value BAA05_
      0 = "In this household"
      1 = "In the same village"
      2 = "In the same subdistrict"
      3 = "In the same district"
      4 = "In the same province"
      10 = "Sumatra"
      11 = "Aceh"
      12 = "North Sumatra"
      13 = "Sumatera Barat"
      14 = "Riau"
      15 = "Jambi"
      16 = "South Sumatra"
      17 = "Bengkulu"
      18 = "Lampung"
      19 = "Bangka Belitung"
      20 = "Kepulauan Riau"
      30 = "Java"
      31 = "Jakarta"
      32 = "West Java"
      33 = "Central Java"
      34 = "DI.Yogyakarta"
      35 = "East Java"
      36 = "Banten"
      51 = "Bali"
      52 = "West  Nusa Tengara"
      53 = "East Nusa Tengara"
      60 = "Kalimantan"
      61 = "West Kalimantan"
      62 = "Central Kalimantan"
      63 = "South Kalimantan"
      64 = "East Kalimantan"
      65 = "North kalimantan"
      70 = "Sulawesi"
      71 = "North Sulawesi"
      72 = "Central Sulawesi"
      73 = "South Sulawesi"
      74 = "South East Sulawesi"
      75 = "Gorontalo"
      76 = "Sulawesi Barat"
      81 = "Maluku"
      82 = "Maluku Utara"
      90 = "Irian"
      91 = "Papua Barat"
      94 = "Papua"
      101 = "Malaysia"
      102 = "Singapore"
      103 = "Brunei Darussalam"
      104 = "Hong Kong"
      105 = "Japan"
      106 = "South Korea"
      107 = "Taiwan"
      108 = "Timor Leste"
      121 = "Yemen"
      122 = "Saudi Arabia"
      123 = "Kuwait"
      124 = "UAE"
      131 = "Argentina"
      132 = "Amerika Serikat"
      141 = "Australia"
      151 = "Holland"
      152 = "UK"
      995 = "Other"
      998 = "Don't know"
      999 = "Missing"
   ;
   value BAA06_
      1 = "No schooling"
      2 = "Elementary school"
      3 = "Junior high general"
      4 = "Junior high vocational"
      5 = "Senior high general"
      6 = "Senior high vocational"
      11 = "Adult education A"
      12 = "Adult education B"
      13 = "Universitas Terbuka"
      14 = "Islamic school (pesantren)"
      15 = "Adult Education C"
      17 = "School for disable"
      60 = "College (D1, D2, D3)"
      61 = "University S1 (bachelor)"
      62 = "University S2 (Master)"
      63 = "University S3 (Doctorate)"
      72 = "Islamic elementary school (Madrasah Ibtidaiyah)"
      73 = "Islamic junior high school (Madrasah Tsanawiyah)"
      74 = "Islamic senior high school (Madrasah Aaliyah)"
      90 = "Kindergarden"
      95 = "Other"
      98 = "Don't know"
      99 = "Missing"
   ;
   value BAA07_
      0 = "Didn't finish first class"
      1 = "1"
      2 = "2"
      3 = "3"
      4 = "4"
      5 = "5"
      6 = "6"
      7 = "Graduated"
      96 = "No school"
      98 = "Don't know"
      99 = "Missing"
   ;
   value $BAATYPE_
      "1" = "Father"
      "2" = "Mother"
   ;
   value COV00B5_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value COV10B5_
      1 = "Expensive"
      2 = "Do not know how to get it"
      3 = "Feel unimportant"
      4 = "Maintenance of remote office"
      5 = "Don't know if the birth must be reported"
      6 = "The process is difficult / convoluted"
      7 = "Can't show (Damaged"
      9 = "Missing"
   ;
   value COV11B5_
      1 = "Agreed to have picture taken"
      3 = "Not Agreed to have picture taken"
      9 = "Missing"
   ;
   value COV3B5_
      998 = "Don't know"
      999 = "Missing"
   ;
   value COV5B5_
      1 = "Male"
      3 = "Female"
   ;
   value COV6DB5_
      98 = "Don't know"
      99 = "Missing"
   ;
   value COV6MB5_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "Oktober"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "Missing"
   ;
   value COV6YB5_
      9998 = "Don't Know"
      9999 = "Missing"
   ;
   value COV7B5_
      96 = "No proxy"
   ;
   value COV8B5_
      1 = "Mother"
      2 = "Father"
      3 = "Sibling"
      4 = "Aunt/Uncle"
      5 = "Grandparent"
      6 = "Child Him/Herself"
      95 = "Other"
      98 = "Don't know"
      99 = "Missing"
   ;
   value COV9B5_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value C1B5_
      1 = "Completed --> C3"
      2 = "Partially completed"
      3 = "Not completed"
   ;
   value C2B5_
      1 = "Resnot at home/did not found"
      2 = "Reswas seriously ill"
      3 = "Resrefused"
      5 = "Other"
   ;
   value C3B5_
      1 = "Data is entered without error"
      2 = "Data is entered and corrected"
      3 = "Data is entered without correction"
      4 = "Edit manually without CAPI"
   ;
   value C4AB5_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value C4BB5_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value C4CB5_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value CK1B5_
      0 = "Indonesian"
      1 = "Javanese"
      2 = "Sundanese"
      3 = "Balinese"
      4 = "Batak"
      5 = "Bugis"
      6 = "Chinese"
      7 = "Maduranese"
      8 = "Sasak"
      9 = "Minang"
      10 = "Banjar"
      11 = "Bima"
      12 = "Makasar"
      13 = "Nias"
      14 = "Palembang"
      15 = "Sumbawa"
      16 = "Toraja"
      17 = "Lahat"
      18 = "Other South Sumatra"
      19 = "Betawi"
      20 = "Lampung"
      95 = "Other"
      99 = "Missing"
   ;
   value CK2B5_
      0 = "Indonesian"
      1 = "Javanese"
      2 = "Sundanese"
      3 = "Balinese"
      4 = "Batak"
      5 = "Bugis"
      6 = "Chinese"
      7 = "Maduranese"
      8 = "Sasak"
      9 = "Minang"
      10 = "Banjar"
      11 = "Bima"
      12 = "Makasar"
      13 = "Nias"
      14 = "Palembang"
      15 = "Sumbawa"
      16 = "Toraja"
      17 = "Lahat"
      18 = "Other South Sumatra"
      19 = "Betawi"
      20 = "Lampung"
      95 = "Other"
      96 = "NA"
      99 = "Missing"
   ;
   value $CP51_
      'A' = "NO ONE"
      'B' = "A CHILD 5 YEARS OLD OR UNDER"
      'C' = "A CHILD OLDER THAN 5 YEARS OLD"
      'D' = "HUSBAND/WIFE"
      'E' = "AN ADULT, A HOUSEHOLDER"
      'F' = "AN ADULT, NOT A HOUSEHOLDER"
   ;
   value CP52_
      1 = "Excellent"
      2 = "Good"
      3 = "Fair"
      4 = "Not so good"
      5 = "Very bad"
      9 = "Missing"
   ;
   value CP53_
      1 = "Excellent"
      2 = "Good"
      3 = "Fair"
      4 = "Not so good"
      5 = "Very bad"
      9 = "Missing"
   ;
   value DLA01_
      1 = "Yes -->DLA03b"
      3 = "No"
      9 = "Missing"
   ;
   value $DLA02_
      'A' = "Not old enough -->DLA04a"
      'B' = "Help parents earn money"
      'C' = "Could not afford"
      'D' = "No school/too far"
      'E' = "Not able  to  study"
      'F' = "Not accepted in school"
      'G' = "Because sick or disabled"
      'H' = "School had no teachers"
      'I' = "School closed"
      'K' = "Doesn't want to go"
      'L' = "Help at home"
      'V' = "Other"
      'W' = "NA"
      'Y' = "Don't know"
      'Z' = "Missing"
   ;
   value DLA03B_
      1 = "Yes"
      3 = "No --> DLA03d"
      9 = "Missing"
   ;
   value $DLA03C_
      'A' = "Talking on the phone for personal use"
      'B' = "Talking on the phone for business affairs / jobs"
      'C' = "SMS / text messages"
      'D' = "Email"
      'E' = "Social media (Chatting"
      'F' = "Mobile Banking"
      'G' = "Transfer pulse"
      'H' = "Entertainment / Multimedia (Games"
      'Z' = "Missing"
   ;
   value DLA03D_
      1 = "Yes"
      3 = "No --> DLA03x"
      9 = "Missing"
   ;
   value $DLA03E_
      'A' = "Computer at home"
      'B' = "Computers in schools"
      'C' = "Computers in the workplace"
      'D' = "Computers in internet cafes"
      'E' = "Through Mobile"
      'V' = "Other"
      'W' = "NA"
      'Y' = "Don't know"
      'Z' = "Missing"
   ;
   value DLA03X_
      1 = "Yes"
      3 = "No --> DLA04a"
      9 = "Missing"
   ;
   value DLA04_
      98 = "Don't know"
      99 = "Missing"
   ;
   value DLA04A_
      1 = "Yes"
      3 = "No --> DLA04c"
      9 = "Missing"
   ;
   value DLA04B_
      98 = "Don't know"
      99 = "Missing"
   ;
   value DLA04BX_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA04C_
      1 = "Yes"
      3 = "No --> DLA04e"
      9 = "Missing"
   ;
   value DLA04D_
      98 = "Don't know"
      99 = "Missing"
   ;
   value DLA04DX_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA04E_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value DLA04X_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA05X_
      1 = "Yes -->DLA56x"
      3 = "No"
      9 = "Missing"
   ;
   value DLA07_
      1 = "Yes"
      3 = "No --> DLA09c"
      9 = "Missing"
   ;
   value DLA08_
      2 = "Elementary school"
      3 = "Junior High - General"
      4 = "Junior High - Vocational"
      5 = "Senior High - General"
      6 = "Senior High - Vocational"
      11 = "Adult Education A"
      12 = "Adult Education B"
      14 = "Pondok pesantren"
      15 = "Adult Education C"
      17 = "School for the disable"
      72 = "Madrasah Ibtidaiyah"
      73 = "Madrasah Tsanawiyah"
      74 = "Madrasah Aliyah"
      95 = "Others"
      98 = "Don't know"
      99 = "Missing"
   ;
   value DLA09_
      0 = "Didn't complete first class at that level"
      1 = "1"
      2 = "2"
      3 = "3"
      4 = "4"
      5 = "5"
      6 = "6"
      7 = "Graduated"
      98 = "Don't know"
      99 = "Missing"
   ;
   value DLA70_
      2 = "Elementary"
      3 = "Junior High School"
      4 = "Junior High Vocational"
      5 = "Senior High General"
      6 = "Senior High Vocational"
      11 = "Adult Education A"
      12 = "Adult Education B"
      15 = "Adult Education C"
      17 = "School for Disable"
      72 = "Madrasah Elementary"
      73 = "Madrasah Junior High School"
      74 = "Madrasah Senior High School"
      95 = "Others"
      99 = "Missing"
   ;
   value DLA71_
      1 = "Public non-religious"
      2 = "Public religious"
      3 = "Private non-religious"
      4 = "Private Islam"
      5 = "Private Catholic"
      6 = "Private Protestant and others"
      8 = "Private Buddhist"
      95 = "Other"
      99 = "Missing"
   ;
   value DLA71A_
      9998 = "Don't Know"
      9999 = "Missing"
   ;
   value DLA71AX_
      1 = "Given --> DLA71c"
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA71B_
      98 = "Don't know"
      99 = "Missing"
   ;
   value DLA71C_
      0 = "Didn't finish 1st class at that level"
      1 = "1"
      2 = "2"
      3 = "3"
      4 = "4"
      5 = "5"
      6 = "6"
      7 = "Graduated --> DLA71f"
      98 = "Don't Know"
      99 = "Missing"
   ;
   value DLA71D_
      1 = "Yes"
      3 = "No"
      6 = "Still school"
      9 = "Missing"
   ;
   value $DLA71E_
      'B' = "To help parents earn money"
      'C' = "Could not afford"
      'D' = "No school/ too far"
      'E' = "Not able to study"
      'F' = "Not accepted in school"
      'G' = "Illness / disability"
      'H' = "School had no teacher"
      'I' = "School closed/ruined"
      'K' = "Doesn't want to go"
      'L' = "Help at home"
      'M' = "Married"
      'V' = "Other"
      'W' = "NA"
      'Y' = "Don't know"
      'Z' = "Missing"
   ;
   value DLA71F_
      9998 = "Don't Know"
      9999 = "Missing"
   ;
   value DLA71FX_
      1 = "Given -->DLA75"
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA71G_
      98 = "Don't know"
      99 = "Missing"
   ;
   value DLA73_
      1 = "Yes"
      3 = "No --> DLA74a"
      9 = "Missing"
   ;
   value $DLA74_
      'A' = "1"
      'B' = "2"
      'C' = "3"
      'D' = "4"
      'E' = "5"
      'F' = "6"
   ;
   value DLA741_
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA742_
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA743_
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA744_
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA745_
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA746_
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA74A_
      1 = "Yes"
      3 = "No --> DLA76a"
      9 = "Missing"
   ;
   value $DLA74B_
      'A' = "Class 1"
      'B' = "Class 2"
      'C' = "Class 3"
      'D' = "Class 4"
      'E' = "Class 5"
      'F' = "Class 6"
   ;
   value DLA74BA1_
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA74BB2_
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA74BC3_
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA74BD4_
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA74BE5_
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA74BF6_
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA74C1AMTH_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "Okctober"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "Missing"
   ;
   value DLA74C1AYR_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value DLA74C1BMTH_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "Okctober"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "Missing"
   ;
   value DLA74C1BYR_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value DLA74C2AMTH_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "Okctober"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "Missing"
   ;
   value DLA74C2AYR_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value DLA74C2BMTH_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "Okctober"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "Missing"
   ;
   value DLA74C2BYR_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value DLA74C3AMTH_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "Okctober"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "Missing"
   ;
   value DLA74C3AYR_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value DLA74C3BMTH_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "Okctober"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "Missing"
   ;
   value DLA74C3BYR_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value $DLA74D_
      'B' = "To help parents earn money"
      'C' = "Could not afford"
      'D' = "No school/ too far"
      'E' = "Not able to study"
      'F' = "Not accepted in school"
      'G' = "Because sick or disabled"
      'H' = "School had no teachers"
      'I' = "School closed"
      'K' = "Doesn't want to go"
      'L' = "Help at home"
      'M' = "Married"
      'V' = "Other"
      'W' = "NA"
      'Y' = "Don't know"
      'Z' = "Missing"
   ;
   value DLA75_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value DLA76A_
      1 = "Yes"
      3 = "No -->DLA76f"
      9 = "Missing"
   ;
   value DLA76B_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value DLA76C1_
      1 = "EBTANAS"
      2 = "UAN/UN/UAS"
      9 = "Missing"
   ;
   value DLA76C2_
      99 = "Missing"
   ;
   value DLA76CMTH_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "Okctober"
      11 = "November"
      12 = "December"
      98 = "Don't Know"
      99 = "Missing"
   ;
   value DLA76CX_
      1 = "Date given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA76CYR_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value DLA76DBX_
      1 = "Given"
      6 = "NA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA76DCX_
      1 = "Given"
      6 = "NA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA76DDX_
      1 = "Given"
      6 = "NA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA76DEX_
      1 = "Given"
      6 = "NA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA76DFX_
      1 = "Given"
      6 = "NA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA76DGX_
      1 = "Given"
      6 = "NA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA76DHX_
      1 = "Given"
      6 = "NA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA76DIX_
      1 = "Given"
      6 = "NA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA76DJX_
      1 = "Given"
      6 = "NA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA76DKX_
      1 = "Given"
      6 = "NA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA76DLX_
      1 = "Given"
      6 = "NA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA76DMX_
      1 = "Given"
      6 = "NA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA76DNX_
      1 = "Given"
      6 = "NA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA76DTX_
      1 = "Given"
      6 = "NA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA76EX_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA76FADX_
      1 = "Address given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA76FAX_
      1 = "Given"
      3 = "Same"
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA76FBX_
      1 = "Given"
      3 = "Same"
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA76FCX_
      1 = "Given"
      3 = "Same"
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA76FDX_
      1 = "Given"
      3 = "Same"
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA76FLX_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA76FNMX_
      1 = "Name given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value $DLA76F_A_
      'A' = "Indonesian"
      'B' = "English"
      'C' = "mandarin"
      'D' = "Regional"
      'Z' = "Missing"
   ;
   value DLA76IX_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA76J2_
      1 = "Minute"
      2 = "Missing"
   ;
   value DLA76JX_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA76XA_
      1 = "Yes"
      3 = "No -->DLA76g"
      9 = "Missing"
   ;
   value DLATYPE_
      1 = "Elementary School"
      2 = "Junior High School"
      3 = "Senior High School"
   ;
   value DLA91A_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value $DLA100_
      'A' = "Yes"
      'B' = "Yes"
      'C' = "No"
      'Z' = "Missing"
   ;
   value DLA101_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value DLA102_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value $DLA103_
      'A' = "GNOTA"
      'C1' = "Government(beside BOS/BKM)"
      'C3' = "Other Government(beside BOS/BKM)"
      'D' = "Community Group"
      'E' = "Religious group"
      'F' = "Family"
      'I' = "School Committe"
      'J' = "BOS/BKM fund"
      'K' = "Foreign Government/Foundation/Private"
      'L' = "Domestic non-governmental"
      'T' = "Total"
   ;
   value DLA56X_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value DLA90_
      1 = "Yes"
      3 = "No -->DLA91c"
      9 = "Missing"
   ;
   value DLA91C_
      1 = "Respondent still in school (DLA07=1)"
      3 = "Respondent not in school ( DLA07=3 )   --> DLA56x"
      9 = "Missing"
   ;
   value DLA104A_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value DLA2TYPE_
      1 = "Wages"
      2 = "Family farm business"
      3 = "Family non-farm business"
      4 = "Household work"
   ;
   value DLA56A_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value DLA57A_
      1 = "Yes"
      3 = "No --> DLA61a"
      9 = "Missing"
   ;
   value DLA58AX_
      1 = "Hours given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA59A_
      9 = "Missing"
   ;
   value DLA59AX_
      1 = "Hours given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA60AX_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA61AX_
      1 = "Age given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value DLA62AX_
      1 = "Age given"
      6 = "Still working"
      8 = "Don't know"
      9 = "Missing"
   ;
   value FMA01_
      1 = "3 times a day"
      2 = "2 times a day"
      3 = "1 time a day"
      4 = "5-6 times per week"
      5 = "3-4 times per week"
      6 = "2 times per week"
      96 = "ASI"
      98 = "Don't know"
      99 = "Missing"
   ;
   value $FMA01A_
      'A' = "Morning"
      'B' = "At night"
      'C' = "At noon"
      'D' = "After meals"
      'E' = "Never"
      'F' = "Sometimes"
      'Y' = "Don't know"
      'Z' = "Missing"
   ;
   value FMA02_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value FMA03_
      8 = "Don't know"
      9 = "Missing"
   ;
   value $FMATYPE_
      'A' = "Cassava"
      'B' = "Eggs"
      'C' = "Fish"
      'D' = "Meat or chicken"
      'E' = "Milk"
      'F' = "Vegetables"
      'G' = "Banana"
      'H' = "Pepaya"
      'I' = "Carrot"
      'J' = "Manggoes"
      'K' = "Instant Noodles"
      'L' = "Fast food (KFC"
      'M' = "Carbonated drinks (Coca-Cola"
      'N' = "Sambal"
      'O' = "Fried snacks (fried tempe, tahu, bakwan, etc)"
      'P' = "Rice"
      'Q' = "Sweet snacks (wajik, geplak, donat, wafer, coolate, dll)"
   ;
   value IC01B5_
      1 = "I have furnished the data"
      3 = "I don't give information"
   ;
   value IC02B5_
      1 = "I agree to participate"
      3 = "I don't agree to participate"
   ;
   value IC_MTHB5_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
   ;
   value B5_MOVER_
      0 = "CANCEL"
      1 = "Cover"
      2 = "DLA (INTRO1 - DLA09C)"
      3 = "DLA (DLA70 - DLA76J2)"
      4 = "DLA (INTRO2 - DLA91B)"
      5 = "DLA (DLA100 - DLA103)"
      6 = "DLA (DLA91C - DLA104)"
      7 = "DLA (DLA56 - DLA62A)"
      8 = "MAA (INTRO - MAA05AD)"
      9 = "PSA (INTRO - PSA02)"
      10 = "RJA (INTRO - RJA32)"
      11 = "FMA (FMA01 - FMA03)"
      12 = "RNA (INTRO1 - RNA02A)"
      13 = "RNA (INTRO2 - RNA19C)"
      14 = "BAA (INFORMASI ORANG TUA)"
      15 = "CP (CATATAN PEWAWANCARA)"
   ;
   value INTRO_DLA1_
      1 = "Interview continues"
      9 = "Interviews completed"
   ;
   value INTRO_DLA2_
      1 = "Interview continues"
      9 = "Interviews completed"
   ;
   value $INTRO_FMA02_
      'A' = "Cassava"
      'B' = "Eggs"
      'C' = "Fish"
      'D' = "Meat or chicken"
      'E' = "Milk"
      'F' = "Vegetables"
      'G' = "Banana"
      'H' = "Pepaya"
      'I' = "Carrot"
      'J' = "Manggoes"
      'K' = "Instant Noodles"
      'L' = "Fast food (KFC"
      'M' = "Carbonated drinks (Coca-Cola"
      'N' = "Sambal"
      'O' = "Fried snacks (fried tempe, tahu, bakwan, etc)"
      'P' = "Rice"
      'Q' = "Sweet snacks (wajik, geplak, donat, wafer, coolate, dll)"
      'W' = "NA"
   ;
   value INTRO_FMA1_
      1 = "Interview continues"
      9 = "Interviews completed"
   ;
   value INTRO_MAA1_
      1 = "Interview continues"
      9 = "Interviews completed"
   ;
   value INTRO_MAA2_
      1 = "Interview continues"
      9 = "Interviews completed"
   ;
   value $INTRO_PSA01_
      'A' = "Consumed over-the-counter modern medicines"
      'B' = "Consumed traditional herbs or traditional medicines"
      'C' = "Used topical medicines (eyedrops"
      'E' = "Vitamin/Supplements"
      'F' = "Massage"
      'W' = "NA"
   ;
   value INTRO_PSA1_
      1 = "Interview continues"
      9 = "Interviews completed"
   ;
   value $INTRO_RJA01_
      'A' = "Public Hospital"
      'B' = "Public Health Center"
      'E' = "Private Hospital"
      'F' = "Polyclinic"
      'G' = "Private Physician (General Practitioner"
      'H' = "Nurse"
      'I' = "Traditional practitioner (wiseman"
      'V' = "Other"
   ;
   value $INTRO_RJA0C_
      'A' = "Weighing"
      'B' = "Supplement food"
      'C' = "Vitamin A"
      'D' = "Oral Rehydration Solution"
      'E' = "Imunization"
      'F' = "Exam by puskesmas staff"
      'G' = "Child Development Activity"
      'V' = "Other"
      'W' = "NA"
   ;
   value INTRO_RJA1_
      1 = "Interview continues"
      9 = "Interviews completed"
   ;
   value INTRO_RJA2_
      1 = "Interview continues"
      9 = "Interviews completed"
   ;
   value $INTRO_RNA01_
      'A' = "Public Hospital (General or Specialty)"
      'B' = "Public Health Center (puskesmas)"
      'C' = "Private Hospital"
      'D' = "Private Clinic"
      'F' = "Midwife Clinic"
      'V' = "Other"
   ;
   value INTRO_RNA1_
      1 = "Interview continues"
      9 = "Interviews completed"
   ;
   value INTRO_RNA2_
      1 = "Interview continues"
      9 = "Interviews completed"
   ;
   value MAA04_
      1 = "Yes"
      3 = "No --> Section PSA"
      9 = "Missing"
   ;
   value MAA05AA_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value MAA05AB_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value MAA05AC_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value MAA05AD_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value $MAA06_
      'A' = "Infectious diseases (eg measles, rubella, chicken pox)"
      'B' = "Polio"
      'C' = "Asthma"
      'D' = "Respiratory problems other than asthma"
      'E' = "Allergies (other than asthma)"
      'F' = "Muntaber/Typus"
      'G' = "Epilepsy"
      'H' = "Mental problems"
      'J' = "Diabetes / high blood sugar in childhood"
      'K' = "Heart problems"
      'L' = "Leukemia or lymphoma"
      'M' = "Cancer or malignant tumors (including mild skin cancer)"
      'V' = "Other"
      'W' = "NO DISEASE"
      'Z' = "Missing"
   ;
   value MAA0A_
      1 = "Very healthy"
      2 = "Somewhat healthy"
      3 = "Somewhat unhealthy"
      4 = "Unhealthy"
      9 = "Missing"
   ;
   value MAA0B_
      98 = "Don't Know"
      99 = "Missing"
   ;
   value MAA0BX_
      1 = "Days given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value MAA0C_
      98 = "Don't Know"
      99 = "Missing"
   ;
   value MAA0CX_
      1 = "Days given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value MAA0D_
      1 = "Much better now"
      2 = "Somewhat better now"
      3 = "About the same"
      4 = "Somewhat worse"
      5 = "Much worse"
      6 = "Less than one year old"
      9 = "Missing"
   ;
   value MAA01_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value $MAATYPE_
      'AA' = "Headache"
      'BA' = "Runny nose"
      'CA' = "Cough"
      'CAA' = "Dry cough"
      'CAB' = "Dry with phlegm"
      'CAC' = "Bloody cough"
      'DA' = "Difficulty breathing"
      'DAA' = "Wheezing"
      'DAB' = "Short"
      'EA' = "Fever"
      'FA' = "Stomach ache"
      'HA' = "Nausea/vomitting"
      'IA' = "Diarrhea"
      'IAA' = "Mixed with blood"
      'IAB' = "Mixed with mucous"
      'IAC' = "Pale liquid"
      'JA' = "Skin infection (boil"
      'KA' = "Eye infection"
      'LA' = "Toothache"
      'MA' = "Cold sores"
   ;
   value PSA01_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value PSA02X_
      1 = "Enter total cost"
      8 = "Don't know"
      9 = "Missing"
   ;
   value $PSATYPE_
      'A' = "Consumed over-the-counter modern medicines"
      'B' = "Consumed traditional herbs or traditional medicines"
      'C' = "Used topical medicines (eyedrops"
      'E' = "Vitamin/Supplements"
      'F' = "Massage"
   ;
   value RJA01A_
      1 = "Yes"
      3 = "No --> RJA25"
      9 = "Missing"
   ;
   value $RJA05AX_
      'A' = "Public Hospital"
      'B' = "Public Health Center"
      'E' = "Private Hospital"
      'F' = "Polyclinic"
      'G' = "Private Physician (General Practitioner"
      'H' = "Nurse"
      'I' = "Traditional practitioner (wiseman"
      'V' = "Other"
   ;
   value RJA06ADX_
      1 = "Enter address"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value RJA06AX_
      1 = "Not the same"
      3 = "Same"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJA06BX_
      1 = "Not the same"
      3 = "Same"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJA06CX_
      1 = "Not the same"
      3 = "Same"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJA06DX_
      1 = "Not the same"
      3 = "Same"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJA06LCX_
      1 = "Given"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value RJA06NMX_
      1 = "Enter facility name"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value $RJA08_
      'B' = "Immunization"
      'C' = "Consultation"
      'D' = "Medical check-up"
      'E' = "Medications"
      'F' = "Injection"
      'H' = "Treatment for injury"
      'I' = "Treatment for illnes"
      'J' = "Massage"
      'V' = "Other"
      'W' = "NA"
      'Y' = "Dont know"
      'Z' = "Missing"
   ;
   value RJA09_
      1 = "First visit"
      3 = "Follow-up"
      9 = "Missing"
   ;
   value RJA0A_
      1 = "Yes"
      3 = "No -->RJA01a"
      9 = "Missing"
   ;
   value RJA0BADX_
      1 = "Enter address"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value RJA0BLX_
      1 = "Location note given"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value RJA0BNMX_
      1 = "Enter posyandu name"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value RJA0BRTX_
      1 = "Given"
      6 = "Not applicable"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value RJA0BRWX_
      1 = "Given"
      3 = "Same with current place"
      6 = "Not applicable"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value RJA0BVX_
      1 = "Village given"
      3 = "Same"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value RJA0CA_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value RJA0CB_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value RJA0CC_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value RJA0CD_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value RJA0CE_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value RJA0CF_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value RJA0CG_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value RJA0CV_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value RJA0D_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value RJA0E_
      1 = "Yes"
      3 = "No -->RJA01a"
      9 = "Missing"
   ;
   value RJA0FX_
      1 = "Enter value of pay"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value RJA10_
      1 = "Yes --> RJA11"
      3 = "No"
      9 = "Missing"
   ;
   value RJA10A_
      1 = "Yes -->RJA17"
      3 = "No"
      9 = "Missing"
   ;
   value RJA11X_
      1 = "Enter # of kilometer"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJA12A_
      1 = "Minutes travel time"
      2 = "Hours travel time"
   ;
   value RJA12X_
      1 = "Given time"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJA14X_
      1 = "Enter total cost"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJA15A_
      1 = "Minutes travel time"
      2 = "Hours travel time"
   ;
   value RJA15X_
      1 = "Given time"
      8 = "Don't know"
      9 = "Missing"
   ;
   value $RJA17_
      'A' = "Medical check-up/consultatin"
      'B' = "Injection"
      'C' = "Laboratorium test"
      'D' = "Surgery"
      'E' = "X-ray"
      'G' = "Medications"
      'I' = "Massage"
      'J' = "Traditional treatment"
      'V' = "Other"
      'W' = "NA"
      'Y' = "Dont know"
      'Z' = "Missing"
   ;
   value RJA17A_
      1 = "Satisfactory"
      2 = "Somewhat satisfactory"
      3 = "Not satisfactory"
      4 = "Far from satisfactory"
   ;
   value RJA20X_
      1 = "Value Given"
      3 = "Did not receive"
      5 = "Did not fill"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJA21A_
      1 = "Yes"
      3 = "No --> RJA22"
      9 = "Missing"
   ;
   value RJA21B_
      1 = "ASKES"
      2 = "JAMSOSTEK"
      3 = "Private or employer-provided insurance"
      4 = "Health insurance paid by the respondent"
      5 = "Insurance related bank saving"
      6 = "Letter stating non-affordability"
      7 = "JAMKESMAS"
      8 = "JAMKESDA"
      9 = "JKN"
      10 = "JAMPERSAL"
      11 = "JAMKESSOS"
      95 = "Other"
      99 = "Missing"
   ;
   value RJA21CX_
      1 = "Yes"
      8 = "No"
      9 = "Missing"
   ;
   value RJA21D_
      1 = "Yes"
      3 = "No =>RJA22"
      9 = "Missing"
   ;
   value RJA21EX_
      1 = "Enter the value (rupiah)"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJA21X_
      1 = "Value"
      3 = "Did not pay anything"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJA22_
      1 = "Yes"
      3 = "No --> RJA25"
      9 = "Missing"
   ;
   value RJA23X_
      1 = "Enter value of goods"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJA25_
      1 = "Yes"
      3 = "No --> Section FMA"
      9 = "Missing"
   ;
   value RJA25A_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value RJA26_
      1 = "Yes"
      2 = "Yes"
      3 = "Does not have card --> RJA30"
      9 = "Missing"
   ;
   value RJA27X_
      1 = "Given"
      3 = "Not written down at the card"
      9 = "Missing"
   ;
   value RJA29_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJA30A_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJA30B_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJA30BN_
      98 = "Dont know"
      99 = "Missing"
   ;
   value RJA30C_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJA30CN_
      98 = "Dont know"
      99 = "Missing"
   ;
   value RJA30D_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJA30E_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJA30EN_
      98 = "Dont know"
      99 = "Missing"
   ;
   value RJA30F_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJA30FN_
      98 = "Dont know"
      99 = "Missing"
   ;
   value RJA30G_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJA30H_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJA31_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value RJA32_
      98 = "Don't know"
      99 = "Missing"
   ;
   value RJA32X_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RJA01_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value RJA02AX_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value $RJA1TYPE_
      'A' = "Public Hospital"
      'B' = "Public Health Center"
      'E' = "Private Hospital"
      'F' = "Polyclinic"
      'G' = "Private Physician (General Practitioner"
      'H' = "Nurse"
      'I' = "Traditional practitioner (wiseman"
      'V' = "Other"
   ;
   value RJA28ADY_
      0 = "Not received"
      44 = "Child has already had"
      66 = "Vaccination was received"
      88 = "Don't know"
      99 = "Missing"
   ;
   value RJA28AMT_
      0 = "Not received"
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      66 = "Vaccination was received"
      88 = "Don't know"
      99 = "Missing"
   ;
   value $RJA28AX_
      'B' = "BCG"
      'C' = "Polio 0 (at birth)"
      'D' = "Polio 1"
      'E' = "Polio 2"
      'F' = "Polio 3"
      'G' = "DPT 1"
      'H' = "DPT 2"
      'I' = "DPT 3"
      'J' = "Measles"
      'K' = "Hepatitis B1"
      'L' = "Hepatitis B2"
      'M' = "Hepatitis B3"
      'N' = "Polio 4"
      'O' = "Rotavirus 1"
      'P' = "Rotavirus 2"
   ;
   value RJA28AYR_
      0 = "Not received"
      6666 = "Vaccination was received"
      8888 = "Don't know"
      9999 = "Missing"
   ;
   value RNA00_
      1 = "Yes"
      3 = "No --> Section BAA"
      9 = "Missing"
   ;
   value $RNA05AX_
      'A' = "Public Hospital (General or Speciality)"
      'B' = "Public Health Center (Puskesmas)"
      'C' = "Private Hospital"
      'D' = "Private Clinic"
      'F' = "Midwife clinic"
      'V' = "Other"
      'Z' = "Missing"
   ;
   value RNA06ADX_
      1 = "Enter address"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RNA06AX_
      1 = "Not the same"
      3 = "Same"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RNA06BX_
      1 = "Not the same"
      3 = "Same"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RNA06CX_
      1 = "Not the same"
      3 = "Same"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RNA06DX_
      1 = "Not the same"
      3 = "Same"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RNA06LX_
      1 = "Location note given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RNA06NMX_
      1 = "Enter facility name"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RNA08_
      998 = "Don't Know"
      999 = "Missing"
   ;
   value RNA10_
      1 = "Sickness"
      2 = "Accident"
      5 = "Surgery"
      95 = "Other"
      99 = "Missing"
   ;
   value $RNA15_
      'A' = "Medical check-up/consultation"
      'B' = "Injection"
      'C' = "Laboratory test"
      'D' = "Surgery"
      'E' = "X-ray"
      'F' = "Family Planning"
      'G' = "Medications"
      'I' = "IV (Drip Infusion)"
      'V' = "Other"
      'Z' = "Missing"
   ;
   value RNA15A_
      1 = "Satisfactory"
      2 = "Somewhat satisfactory"
      3 = "Not satisfactory"
      4 = "Far from satisfactory"
      9 = "Missing"
   ;
   value RNA18X_
      1 = "Value"
      3 = "Did not receive"
      5 = "Did not fill"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RNA19A_
      1 = "Yes"
      3 = "No --> Section BAA"
      9 = "Missing"
   ;
   value RNA19B_
      1 = "ASKES"
      2 = "JAMSOSTEK"
      3 = "Private or employer-provided insurance"
      4 = "Health insurance paid by the respondent"
      5 = "Insurance related bank saving"
      6 = "Letter stating non-affordability"
      7 = "JAMKESMAS"
      8 = "JAMKESDA"
      9 = "JKN"
      10 = "1JAMPERSAL"
      11 = "1JAMKESSOS"
      95 = "Other"
      99 = "Missing"
   ;
   value RNA19CX_
      1 = "Enter total cost"
      8 = "Didn't pay anything"
      9 = "Don't know"
   ;
   value RNA19D_
      1 = "Yes"
      3 = "No => BAA"
      9 = "Missing"
   ;
   value RNA19EX_
      1 = "Enter the value (rupiah)"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RNA19X_
      1 = "Enter total cost"
      3 = "Didn't pay anything"
      8 = "Don't know"
      9 = "Missing"
   ;
   value RNA01_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value RNA02AX_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value $RNA1TYPE_
      'A' = "Public Hospital (General or Speciality)"
      'B' = "Public Health Center (Puskesmas)"
      'C' = "Private Hospital"
      'D' = "Private Clinic"
      'F' = "Midwife clinic"
      'V' = "Other"
   ;
   value MODE_5_
      1 = "Entry"
      2 = "Modification"
      3 = "Verification"
      4 = "Partial save"
   ;
   value MODE_B5_
      1 = "Entry"
      2 = "Modification"
      3 = "Verification"
   ;
   value PARTIAL_B5_
      0 = "###"
      1 = "Partial save"
      2 = "Complete"
   ;
   /*----------------------------------------------------------------------*/
   /*  BUKUEK formats                                                      */                                
   /*----------------------------------------------------------------------*/
   value EKTYPE_
      1 = "7-14 (EK1)"
      2 = "15-24 (EK2)"
   ;
   value $EK1_
      'Y' = "Don't know"
      'Z' = "Missing"
   ;
   value $EK10_
      'Y' = "Don't know"
      'Z' = "Missing"
   ;
   value $EK11_
      'Y' = "Don't know"
      'Z' = "Missing"
   ;
   value $EK12_
      'Y' = "Don't know"
      'Z' = "Missing"
   ;
   value $EK13_
      'X' = "Refused"
      'Y' = "Don't know"
      'Z' = "Missing"
   ;
   value $EK14_
      'X' = "Refused"
      'Y' = "Don't know"
      'Z' = "Missing"
   ;
   value $EK15_
      'X' = "Refused"
      'Y' = "Don't know"
      'Z' = "Missing"
   ;
   value $EK16_
      'X' = "Refused"
      'Y' = "Don't know"
      'Z' = "Missing"
   ;
   value $EK17_
      'X' = "Refused"
      'Y' = "Don't know"
      'Z' = "Missing"
   ;
   value $EK18_
      'X' = "Refused"
      'Y' = "Don't know"
      'Z' = "Missing"
   ;
   value $EK19_
      'X' = "Refused"
      'Y' = "Don't know"
      'Z' = "Missing"
   ;
   value $EK2_
      'Y' = "Don't know"
      'Z' = "Missing"
   ;
   value $EK20_
      'X' = "Refused"
      'Y' = "Don't know"
      'Z' = "Missing"
   ;
   value $EK21_
      'X' = "Refused"
      'Y' = "Don't know"
      'Z' = "Missing"
   ;
   value $EK22_
      'X' = "Refused"
      'Y' = "Don't know"
      'Z' = "Missing"
   ;
   value $EK3_
      'Y' = "Don't know"
      'Z' = "Missing"
   ;
   value $EK4_
      'Y' = "Don't know"
      'Z' = "Missing"
   ;
   value $EK5_
      'Y' = "Don't know"
      'Z' = "Missing"
   ;
   value $EK6_
      'Y' = "Don't know"
      'Z' = "Missing"
   ;
   value $EK7_
      'Y' = "Don't know"
      'Z' = "Missing"
   ;
   value $EK8_
      'Y' = "Don't know"
      'Z' = "Missing"
   ;
   value $EK9_
      'Y' = "Don't know"
      'Z' = "Missing"
   ;
   value EKC3_
      1 = "Completed"
      2 = "Not completed"
      3 = "Did not anwer"
      9 = "Missing"
   ;
   value EKC33_
      1 = "Refused"
      2 = "Illiterate"
      3 = "Mentally challenged"
      4 = "Had not time"
      5 = "Proxy Respondent"
      6 = "Other"
      7 = "Can't be contacted"
      9 = "Missing"
   ;
   value EKCOV3_
      99 = "Missing"
   ;
   value EKCOV5_
      1 = "Male"
      3 = "Female"
   ;
   value EKCOV7_
      1 = "7-14 years old"
      2 = "Respondent of 2000"
   ;
   value MODE_EK_
      1 = "entry"
      2 = "Modif"
      3 = "verify"
   ;
   value PARTIAL_EK_
      0 = "0"
      1 = "partial save"
      2 = "Complete"
   ;
   value EK_ANS_
      0 = "incorrect"
      1 = "correct"
   ;      
   /*----------------------------------------------------------------------*/
   /*  BUKUFE formats                                                      */                                
   /*----------------------------------------------------------------------*/
   value EF34_A_PID_
      51 = "Not living in HH"
      96 = "NA"
   ;
   value EF34_B_PID_
      51 = "Not living in HH"
      96 = "NA"
   ;
   value EF34_C_PID_
      51 = "Not living in HH"
      96 = "NA"
   ;
   value EF34_D_PID_
      51 = "Not living in HH"
      96 = "NA"
   ;
   value EF34_E_PID_
      51 = "Not living in HH"
      96 = "NA"
   ;
   value EF34_F_PID_
      51 = "Not living in HH"
      96 = "NA"
   ;
   value EF34_G_PID_
      51 = "Not living in HH"
      96 = "NA"
   ;
   value EF34_H_PID_
      51 = "Not living in HH"
      96 = "NA"
   ;
   value $EF01_
      'A' = "Heart attack"
      'B' = "Heart problems"
      'C' = "Stroke"
      'D' = "Diabetes"
      'E' = "Cancer"
      'F' = "TBC"
      'G' = "Asthma"
      'H' = "Other respiratory illness"
      'I' = "Dengue fever"
      'J' = "Malaria"
      'K' = "Death in childbirth"
      'L' = "Kidney failure"
      'M' = "Other illnesses"
      'N' = "Accident"
      'O' = "Violence / conflict"
      'P' = "Suicide"
      'Y' = "Don't know"
      'Z' = "Missing"
   ;
   value EF02_
      998 = "Don't know"
      999 = "Missing"
   ;
   value EF02_X_
      8 = "Don't know"
      9 = "Missing"
   ;
   value EF03_MTH_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "Missing"
   ;
   value EF03_X_
      8 = "Don't know"
      9 = "Missing"
   ;
   value EF03_YR_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value EF04_
      1 = "In this house"
      2 = "In the other house"
      3 = "In the hospital"
      4 = "In nursing home"
      5 = "In elderly care homes"
      95 = "Other"
      98 = "Don't know"
      99 = "Missing"
   ;
   value EF05_
      99 = "Missing"
   ;
   value EF05_X_
      8 = "Don't know"
      9 = "Missing"
   ;
   value EF06_
      1 = "Yes --> EF08"
      3 = "No"
      9 = "Missing"
   ;
   value EF07AX_
      1 = "Given"
      3 = "Same"
      8 = "Don't know"
      9 = "Missing"
   ;
   value EF07BX_
      1 = "Given"
      3 = "Same"
      8 = "Don't know"
      9 = "Missing"
   ;
   value EF07CX_
      1 = "Given"
      3 = "Same"
      8 = "Don't know"
      9 = "Missing"
   ;
   value EF07DX_
      1 = "Given"
      3 = "Same"
      8 = "Don't know"
      9 = "Missing"
   ;
   value EF07EX_
      1 = "Given"
      3 = "Same"
      8 = "Don't know"
      9 = "Missing"
   ;
   value EF08_
      1 = "Yes --> EF12"
      3 = "No"
      9 = "Missing"
   ;
   value EF09_
      1 = "Yes"
      3 = "No --> EF08"
      8 = "Don't know --> EF08"
      9 = "Missing"
   ;
   value EF10_
      2 = "Elementary school"
      3 = "Junior High - General"
      4 = "Junior High - Vocational"
      5 = "Senior High - General"
      6 = "Senior High - Vocational"
      11 = "Adult Education A"
      12 = "Adult Education B"
      13 = "Open University"
      14 = "Pondok pesantren"
      15 = "Adult Education C"
      17 = "School for the disable"
      60 = "College (D1, D2, D3)"
      61 = "University S1"
      62 = "University S2"
      63 = "University S3"
      72 = "Madrasah Ibtidaiyah"
      73 = "Madrasah Tsanawiyah"
      74 = "Madrasah Aliyah"
      90 = "Kindergarden"
      95 = "Others"
      98 = "Don't know"
      99 = "Missing"
   ;
   value EF11_
      0 = "Didn't finish 1st class at that level"
      7 = "Graduated"
      98 = "Don't Know"
      99 = "Missing"
   ;
   value EF12_
      1 = "Working/trying to find income/helping to earn income"
      2 = "Job searching"
      3 = "Attending school"
      4 = "Housekeeping"
      5 = "Retired"
      6 = "Stay at home / unemployed"
      7 = "Sick/disable"
      95 = "Other"
      98 = "Don't know"
      99 = "Missing"
   ;
   value EF13_
      1 = "Self-employed"
      2 = "Self employed with  unpaid family/temporary worker"
      3 = "Self-employed with permanent workers"
      4 = "Government employee"
      5 = "Private employee"
      6 = "Unpaid family worker"
      7 = "Casual worker in agriculture"
      8 = "Casual worker not in agriculture"
      98 = "Don't know"
      99 = "Missing"
   ;
   value EF14_
      1 = "Very healthy"
      2 = "Healthy enough"
      3 = "Rather unhealthy"
      4 = "Very unhealthy"
      8 = "Don't know"
      9 = "Missing"
   ;
   value EF15_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value EF16_AGE_
      998 = "Don't know"
      999 = "Missing"
   ;
   value EF16_X_
      1 = "Age"
      2 = "Year"
      9 = "Missing"
   ;
   value EF16_YR_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value EF17_AGE_
      998 = "Don't know"
      999 = "Missing"
   ;
   value EF17_X_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value EF17_XX_
      1 = "Age"
      2 = "Year"
      9 = "Missing"
   ;
   value EF17_YR_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value $EF18_
      'A' = "Brain"
      'B' = "Mouth cavity"
      'C' = "Esophagus"
      'D' = "Throat"
      'E' = "Thyroid"
      'F' = "Lung"
      'G' = "Breast"
      'H' = "Oesophagus"
      'I' = "Stomach"
      'J' = "Liver"
      'K' = "Pancreas"
      'L' = "Kidney"
      'M' = "Prostate"
      'N' = "Testicular"
      'O' = "uterus"
      'P' = "Cervix"
      'Q' = "Endometrium"
      'R' = "Colon/rectum"
      'S' = "Bladder"
      'T' = "Skin"
      'U' = "Non-hodgin lymphoma"
      'V' = "Other"
      'W' = "Leukemia"
      'Z' = "Missing"
   ;
   value $EF19_
      'A' = "Traditional medicine"
      'B' = "Modern medicine"
      'C' = "Surgery"
      'D' = "Changes in eating patterns / diet"
      'E' = "Sports"
      'F' = "Control smoking"
      'G' = "Chemotherapy"
      'H' = "Radiotherapy"
      'W' = "NA (no effort)"
      'Z' = "Missing"
   ;
   value $EF1TYPE_
      'A' = "Heart attack"
      'B' = "Cancer"
      'C' = "Stroke"
      'D' = "Diabetes"
      'E' = "Emotional/nervous/psychiatric problem"
      'F' = "Kidney"
      'G' = "TBC"
      'H' = "Demam berdarah (dengue fever)"
      'I' = "Malaria"
      'J' = "Asthma"
   ;
   value EF20_
      1 = "Yes"
      3 = "No --> EF22"
      9 = "Missing"
   ;
   value EF21_X_
      1 = "Age"
      2 = "Year"
      9 = "Missing"
   ;
   value EF22_
      1 = "Yes"
      3 = "No --> EF24"
      9 = "Missing"
   ;
   value EF24_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value EF25_
      1 = "Not at all"
      2 = "A little bit"
      3 = "Some"
      4 = "Quite a bit"
      5 = "A lot"
      9 = "Missing"
   ;
   value EF26_
      1 = "Yes, weight gain"
      2 = "Yes, weight loss"
      3 = "Yes, first gained and then lost weight"
      4 = "Yes, first lost and then gained weight"
      5 = "No"
      9 = "Missing"
   ;
   value EF27_
      1 = "Yes"
      3 = "No --> EF29"
      9 = "Missing"
   ;
   value EF29_
      1 = "Yes, at least once a month"
      2 = "Yes, less than once a month"
      3 = "No"
      9 = "Missing"
   ;
   value EF30_
      1 = "Yes"
      3 = "No -->EF32"
      8 = "Don't know --> EF32"
      9 = "Missing"
   ;
   value EF31_X_
      1 = "For [ ] days"
      2 = "For [] months"
      3 = "For [] years"
      4 = "Since age []"
      5 = "Since the year []"
      9 = "Missing"
   ;
   value EF32_X_
      1 = "Yes"
      8 = "Don't know"
      9 = "Missing"
   ;
   value EF33_X_
      1 = "Yes"
      8 = "Don't know"
      9 = "Missing"
   ;
   value $EF34_
      'A' = "Parent"
      'B' = "Parents-in-law"
      'C' = "Spouse"
      'D' = "Children"
      'E' = "Law"
      'F' = "Grandson"
      'G' = "Granddaughter"
      'H' = "Siblings / relatives"
      'I' = "Workplace"
      'J' = "Insurance"
      'K' = "Other"
      'Z' = "Missing"
   ;
   value EF35_
      1 = "Yes"
      3 = "No => CK1"
      9 = "Missing"
   ;
   value EF36X_
      1 = "Yes"
      8 = "No"
      9 = "Missing"
   ;
   value C1FE_
      1 = "Completed"
      2 = "Partially completed"
      3 = "Not completed"
   ;
   value C2FE_
      1 = "Resnot at home"
      2 = "Reswas ill"
      3 = "Resrefused"
      5 = "Other"
   ;
   value C4AFE_
      1 = "Yes"
      3 = "No"
   ;
   value C4BFE_
      1 = "Yes"
      3 = "No"
   ;
   value C4CFE_
      1 = "Yes"
      3 = "No"
   ;
   value CK1FE_
      0 = "Indonesian"
      1 = "Javanese"
      2 = "Sundanese"
      3 = "Balinese"
      4 = "Batak"
      5 = "Bugis"
      6 = "Chinese"
      7 = "Maduranese"
      8 = "Sasak"
      9 = "Minang"
      10 = "Banjar"
      11 = "Bima"
      12 = "Makasar"
      13 = "Nias"
      14 = "Palembang"
      15 = "Sumbawa"
      16 = "Toraja"
      17 = "Lahat"
      18 = "Other South Sumatra"
      19 = "Betawi"
      20 = "Lampung"
      95 = "Other"
      99 = "Missing"
   ;
   value CK2FE_
      0 = "Indonesian"
      1 = "Javanese"
      2 = "Sundanese"
      3 = "Balinese"
      4 = "Batak"
      5 = "Bugis"
      6 = "Chinese"
      7 = "Maduranese"
      8 = "Sasak"
      9 = "Minang"
      10 = "Banjar"
      11 = "Bima"
      12 = "Makasar"
      13 = "Nias"
      14 = "Palembang"
      15 = "Sumbawa"
      16 = "Toraja"
      17 = "Lahat"
      18 = "Other South Sumatra"
      19 = "Betawi"
      20 = "Lampung"
      95 = "Other"
      96 = "No other"
      99 = "Missing"
   ;
   value COV00FE_
      1 = "Yes"
      3 = "No"
   ;
   value COV10FE_
      1 = "Spouse"
      2 = "Child"
      4 = "Parent"
      5 = "Sibling"
      6 = "Law"
      95 = "Other"
   ;
   value COV5FE_
      1 = "Male"
      3 = "Female"
   ;
   value PIDPROXFE_
      96 = "Not members of the household"
   ;
   value MODE_FE_
      1 = "Entry"
      2 = "Modification"
      3 = "Partial save"
   ;
   value PARTIAL_FE_
      0 = "0"
      1 = "Partial save"
      2 = "Complete"
   ;
   /*----------------------------------------------------------------------*/
   /*  BUKUK formats                                                       */                                
   /*----------------------------------------------------------------------*/
   value AR00C_
      1 = "Panel household"
      3 = "New Household"
      9 = "Missing"
   ;
   value AR00X_
      1 = "Panel household"
      3 = "New Household"
      9 = "Missing"
   ;
   value AR03_
      1 = "Yes"
      2 = "Yes and has been added to the list of HHM"
      3 = "No"
      9 = "Missing"
   ;
   value AR03A_
      1 = "Yes"
      2 = "Yes and has been added to the list of HHM"
      3 = "No"
      9 = "Missing"
   ;
   value AR04_
      1 = "Yes"
      2 = "Yes and has been added to the list of HHM"
      3 = "No"
      9 = "Missing"
   ;
   value AR05_
      1 = "Yes"
      2 = "Yes and has been added to the list of HHM"
      3 = "No"
      9 = "Missing"
   ;
   value AR06_
      1 = "Yes"
      2 = "Yes and has been added to the list of HHM"
      3 = "No"
      9 = "Missing"
   ;
   value AR01A_
      0 = "Dead"
      1 = "Yes"
      2 = "Yes, was in other HH in previous round"
      3 = "No"
      5 = "New Household member"
      6 = "Duplicate"
      11 = "HHM returning in same round"
      99 = "Missing"
   ;
   value AR01F_
      0 = "Dead"
      1 = "Yes"
      3 = "No"
      4 = "Interviewed in other HH"
      5 = "Was new HHM"
      6 = "Duplicate"
      9 = "Missing"
   ;
   value AR02_
      1 = "Head of the household"
      2 = "Husband/wife"
      3 = "Children (biological"
      4 = "Children (step/adopted)"
      5 = "Sons/daughters-in-law"
      6 = "Parents"
      7 = "Father/mother-in-law"
      8 = "Siblings"
      9 = "Brother/sister-in-law"
      10 = "Grandchild"
      11 = "Grandparents"
      12 = "Uncles/aunts"
      13 = "Nephews/nieces"
      14 = "Cousins"
      15 = "Servants"
      16 = "Relative"
      17 = "Non-relative"
      18 = "relatives"
      19 = "Friend"
      21 = "Ex spouse"
      22 = "Family of Ex spouse"
      99 = "Missing"
   ;
   value AR07_
      1 = "Male"
      3 = "Female"
   ;
   value AR08A_
      998 = "Don't Know"
      999 = "Missing"
   ;
   value AR08DAY_
      98 = "Don't know"
      99 = "Missing"
   ;
   value AR08MTH_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "Mey"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "Missing"
   ;
   value AR08YR_
      9998 = "Dont know"
      9999 = "Missing"
   ;
   value AR09_
      998 = "Don't Know"
      999 = "Missing"
   ;
   value AR01A_PRE_
      0 = "Dead"
      1 = "Yes, still here"
      2 = "Yes, was in other HH in other round"
      3 = "No"
      5 = "New HHM"
      6 = "Duplicate HHM"
      11 = "HHM returning in same round"
      99 = "Missing"
   ;
   value AR01F_PRE_
      0 = "Dead"
      1 = "Yes"
      3 = "No"
      4 = "Interviewed in other HH"
      5 = "Was new HHM"
      6 = "Duplicate"
      9 = "Missing"
   ;
   value AR01B_
      1 = "Yes"
      3 = "No"
   ;
   value AR01I_
      1 = "Yes"
      3 = "No"
   ;
   value AR02B_
      1 = "Head of the household"
      2 = "Husband/wife"
      3 = "Children (biological"
      4 = "Children (step/adopted)"
      5 = "Sons/daughters-in-law"
      6 = "Parents"
      7 = "Father/mother-in-law"
      8 = "Siblings"
      9 = "Brother/sister-in-law"
      10 = "Grandchild"
      11 = "Grandparents"
      12 = "Uncles/aunts"
      13 = "Nephews/nieces"
      14 = "Cousins"
      15 = "Servants"
      16 = "Relative"
      17 = "Non-relative"
      18 = "relatives"
      19 = "Friend"
      21 = "Ex spouse"
      22 = "Family of Ex spouse"
      99 = "Missing"
   ;
   value AR10_
      51 = "Did not live in this household"
      52 = "Dead"
      98 = "Don't know"
      99 = "Missing"
   ;
   value AR10A_
      51 = "Did not live in this household"
      52 = "Dead"
      98 = "Don't know"
      99 = "Missing"
   ;
   value AR10B_
      51 = "Did not live in this household"
      52 = "Dead"
      98 = "Don't know"
      99 = "Missing"
   ;
   value AR11_
      51 = "Did not live in this household"
      52 = "Dead"
      98 = "Don't know"
      99 = "Missing"
   ;
   value AR11A_
      51 = "Did not live in this household"
      52 = "Dead"
      98 = "Don't know"
      99 = "Missing"
   ;
   value AR11B_
      51 = "Did not live in this household"
      52 = "Dead"
      98 = "Don't know"
      99 = "Missing"
   ;
   value AR12_
      51 = "Did not live in this household"
      96 = "Not Applicable (>=15 years)"
      98 = "Don't know"
      99 = "Missing"
   ;
   value AR13_
      1 = "Unmarried"
      2 = "Married"
      3 = "Separated"
      4 = "Divorced"
      5 = "Widow"
      6 = "Cohabitate"
      8 = "Don't know"
      9 = "Missing"
   ;
   value AR14_
      51 = "Living separately"
      99 = "Missing"
   ;
   value AR15_
      1 = "Islam"
      2 = "Protestant"
      3 = "Catholic"
      4 = "Hinduism"
      5 = "Buddhism"
      7 = "Konghucu"
      95 = "Other"
      99 = "Missing"
   ;
   value AR15A_
      1 = "Yes"
      3 = "No"
      6 = "< 5 Year"
      8 = "Don't know"
      9 = "Missing"
   ;
   value AR15BP1_
      11 = "<40 mil"
      12 = ">= 40mil"
      13 = ">40 mil"
      18 = "Don't know"
      21 = "<12 mil"
      22 = ">=12mil"
      23 = ">12 mil"
      28 = "Don't know"
      99 = "Missing"
   ;
   value AR15BP2_
      111 = "<12mil"
      112 = ">= 12 mil"
      113 = ">12mil"
      118 = "Don't know"
      131 = "<100 mil"
      132 = ">= 100mil"
      133 = ">100mil"
      138 = "Don't know"
      231 = "<40 mil"
      232 = ">=40 mil"
      233 = ">40mil"
      238 = "Don't know"
      999 = "Missing"
   ;
   value AR15BP3_
      2331 = "<100 mil"
      2332 = ">=100mil"
      2333 = ">100mil"
      2338 = "Don't know"
      9999 = "Missing"
   ;
   value AR15BX_
      1 = "What was HHM's income from work in the last 12 months? (know amount)"
      6 = "Unpaid family worker"
      8 = "Don't know"
      9 = "Missing"
   ;
   value AR15C_
      1 = "Work/helping to get income"
      2 = "Looking for work"
      3 = "Student"
      4 = "Housekeeper"
      5 = "Retired"
      6 = "Unemployment"
      7 = "Sick"
      98 = "Don't know"
      99 = "Missing"
   ;
   value AR15D_
      1 = "Javanese"
      2 = "Sundanese"
      3 = "Balinese"
      4 = "Batak"
      5 = "Bugis"
      6 = "Chinese"
      7 = "Maduranese"
      8 = "Sasak"
      9 = "Minang"
      10 = "Banjar"
      11 = "Bima-Dompu"
      12 = "Makassar"
      13 = "Nias"
      14 = "Palembang"
      15 = "Sumbawa"
      16 = "Toraja"
      17 = "Betawi"
      18 = "Dayak"
      19 = "Melayu"
      20 = "Komering"
      21 = "Ambon"
      22 = "Manado"
      23 = "Aceh"
      25 = "Other South Sumatra"
      26 = "Banten"
      27 = "Cirebon"
      28 = "Gorontalo"
      29 = "Kutai"
      95 = "Other"
      98 = "Don't know"
      99 = "Missing"
   ;
   value AR16_
      1 = "Unschooled"
      2 = "Grade school"
      3 = "General jr. high"
      4 = "Vocational jr. high"
      5 = "General sr. high (SLA)"
      6 = "Vocational sr. high (SMK)"
      11 = "Education A"
      12 = "Education B"
      13 = "Open University"
      14 = "Moslem School (Pesantren)"
      15 = "Education C"
      17 = "School for the disabled"
      60 = "Diploma (D1, D2, D3)"
      61 = "University S1"
      62 = "University S2"
      63 = "University S3"
      72 = "Madrasah Ibtidaiyah"
      73 = "Madrasah Tsanawiyah"
      74 = "Madrasah Aliyah"
      90 = "Kindergarten"
      95 = "Other"
      98 = "Don't know"
      99 = "Missing"
   ;
   value AR17_
      0 = "Did not finish 1st grade"
      1 = "1"
      2 = "2"
      3 = "3"
      4 = "4"
      5 = "5"
      6 = "6"
      7 = "Graduated"
      96 = "No school"
      98 = "Don't know"
      99 = "Missing"
   ;
   value AR18A_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value AR18B_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value AR18C_
      1 = "Yes"
      3 = "No"
      6 = "Not yet in school/Not Applicable"
      9 = "Missing"
   ;
   value AR18D_
      0 = "Dead"
      1 = "Yes"
      2 = "ART comeback"
      3 = "No"
      5 = "New member"
      11 = "ART comeback in the same round"
      99 = "Missing"
   ;
   value AR18EMTH_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "Mey"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "Missing"
   ;
   value AR18EX_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value AR18EYR_
      9998 = "Don't know"
      9999 = "Mising"
   ;
   value AR18F_
      1 = "To work/look for work"
      2 = "For school"
      3 = "Followed spouse/parent"
      4 = "Marriage"
      5 = "Divorce"
      6 = "Death"
      7 = "Birth"
      9 = "Need place to stay"
      11 = "Wants to be independent"
      12 = "Quit job"
      13 = "Fired"
      14 = "Retired"
      15 = "Finish school"
      95 = "Other"
      98 = "Don't know"
      99 = "Missing"
   ;
   value AR18G_
      0 = "Dead"
      2 = "ART comeback"
      3 = "No"
      5 = "New member"
      11 = "ART comeback in the same round"
      99 = "Missing"
   ;
   value AR18H_
      1 = "Yes"
      3 = "No"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value AR18I_
      1 = "In the same village"
      2 = "In the same subdistrict"
      3 = "In the same district"
      4 = "In the same province"
      10 = "Sumatra"
      11 = "Aceh"
      12 = "North Sumatra"
      13 = "West Sumatra"
      14 = "Riau"
      15 = "Jambi"
      16 = "South Sumatra"
      17 = "Bengkulu"
      18 = "Lampung"
      19 = "Bangka Belitung"
      20 = "Kepulauan Riau"
      30 = "Java"
      31 = "Jakarta"
      32 = "West Java"
      33 = "Central Java"
      34 = "D.I. Yogyakarta"
      35 = "East Java"
      36 = "Banten"
      51 = "Bali"
      52 = "West Nusa Tenggara"
      53 = "East Nusa Tenggara"
      60 = "Kalimantan"
      61 = "West Kalimantan"
      62 = "Central Kalimantan"
      63 = "South Kalimantan"
      64 = "East Kalimantan"
      65 = "North Kalimantan"
      70 = "Sulawesi"
      71 = "North Sulawesi"
      72 = "Central Sulawesi"
      73 = "South Sulawesi"
      74 = "South East Sulawesi"
      75 = "Gorontalo"
      76 = "West Sulawesi"
      81 = "Maluku"
      82 = "North Maluku"
      90 = "Irian"
      91 = "West Irian Jaya"
      94 = "West Papua"
      101 = "Malaysia"
      102 = "Singapore"
      103 = "Brunei Darussalam"
      104 = "Hongkong"
      105 = "Japan"
      106 = "South Korea"
      107 = "Taiwan"
      108 = "Timor Leste"
      121 = "Yemen"
      122 = "Saudi Arabia"
      123 = "Kuwait"
      124 = "UAE"
      131 = "Argentina"
      132 = "USA"
      141 = "Australia"
      151 = "Holland"
      152 = "UK"
      995 = "Others"
      998 = "Don't know"
      999 = "Missing"
   ;
   value AR18J_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value AR18K_
      1 = "1 or 3 or 5"
      2 = "4 change"
      3 = "4 same"
      9 = "Missing"
   ;
   value AR18X_
      1 = "New"
      2 = "HHM born in this HH in 2007 or after but have left"
      3 = "Panel"
   ;
   value AR00_C_
      1 = "1"
      2 = "2"
      3 = "3"
      4 = "4"
      5 = "5"
      6 = "6"
      7 = "7"
      8 = "8"
      9 = "9"
      10 = "10"
      11 = "11"
      12 = "12"
      13 = "13"
      14 = "14"
      15 = "15"
      16 = "16"
      17 = "17"
      18 = "18"
      19 = "19"
      20 = "20"
      21 = "21"
      22 = "22"
      23 = "23"
      24 = "24"
      25 = "25"
      26 = "26"
      27 = "27"
      28 = "28"
      29 = "29"
      30 = "30"
      31 = "31"
      32 = "32"
      33 = "33"
      34 = "34"
      35 = "35"
      36 = "36"
      37 = "37"
      38 = "38"
      39 = "39"
      40 = "40"
   ;
   value AR16X_
      1 = "Unschooled"
      2 = "Grade school"
      3 = "General jr. high"
      4 = "Vocational jr. high"
      5 = "General sr. high (SLA)"
      6 = "Vocational sr. high (SMK)"
      11 = "Education A"
      12 = "Education B"
      13 = "Open University"
      14 = "Moslem School (Pesantren)"
      15 = "Education C"
      17 = "School for disable"
      60 = "Diploma (D1,D2,D3)"
      61 = "University S1"
      62 = "University S2"
      63 = "University S3"
      72 = "Madrasah Ibtidaiyah"
      73 = "Madrasah Tsanawiyah"
      74 = "Madrasah Aliyah"
      90 = "Kindergarten"
      95 = "Don't know"
      98 = "Other"
      99 = "Missing"
   ;
   value AR19AX_
      1 = "Given"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value AR19BX_
      1 = "Given"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value AR19CX_
      1 = "Given"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value AR20AX_
      1 = "Given"
      3 = "Same"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value AR20BX_
      1 = "Given"
      3 = "Same"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value AR20CX_
      1 = "Given"
      3 = "Same"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value AR20DX_
      1 = "Given"
      3 = "Same"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value AR21ADX_
      1 = "Given"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value AR21AX_
      1 = "Given"
      3 = "Same"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value AR21BX_
      1 = "Given"
      3 = "Same"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value AR21CX_
      1 = "Given"
      3 = "Same"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value AR21DX_
      1 = "Given"
      3 = "Same"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value AR21INX_
      1 = "Given"
      6 = "Not applicable"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value AR21KJX_
      1 = "Given"
      6 = "Not applicable"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value AR21LCX_
      1 = "Given"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value AR21SKX_
      1 = "Given"
      6 = "Not applicable"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value AR21TGX_
      1 = "Given"
      6 = "Not applicable"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value AR21TLX_
      1 = "Given"
      6 = "NA"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value AR21_HP_X_
      1 = "Yes"
      6 = "NA"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value C1BK_
      1 = "Completed =>C4"
      2 = "Partially completed"
      3 = "Not completed"
   ;
   value C2BK_
      1 = "Resp. not at home/did not found"
      2 = "Resp. was seriously ill"
      3 = "Resp. refused"
      5 = "Other"
      9 = "Missing"
   ;
   value C4ABK_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value C4BBK_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value C4CBK_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value C5XBK_
      1 = "EA"
      2 = "Outside EA range"
      9 = "Missing"
   ;
   value CK1BK_
      0 = "Indonesian"
      1 = "Javanese"
      2 = "Sundanese"
      3 = "Balinese"
      4 = "Batak"
      5 = "Bugis"
      6 = "Chinese"
      7 = "Maduranese"
      8 = "Sasak"
      9 = "Minang"
      10 = "Banjar"
      11 = "Bima"
      12 = "Makasar"
      13 = "Nias"
      14 = "Palembang"
      15 = "Sumbawa"
      16 = "Toraja"
      17 = "Lahat"
      18 = "Other South Sumatra"
      19 = "Betawi"
      20 = "Lampung"
      95 = "Other"
      98 = "Don't know"
      99 = "Missing"
   ;
   value CK2BK_
      0 = "Indonesian"
      1 = "Javanese"
      2 = "Sundanese"
      3 = "Balinese"
      4 = "Batak"
      5 = "Bugis"
      6 = "Chinese"
      7 = "Maduranese"
      8 = "Sasak"
      9 = "Minang"
      10 = "Banjar"
      11 = "Bima"
      12 = "Makasar"
      13 = "Nias"
      14 = "Palembang"
      15 = "Sumbawa"
      16 = "Toraja"
      17 = "Lahat"
      18 = "Other South Sumatra"
      19 = "Betawi"
      20 = "Lampung"
      95 = "Other"
      96 = "No other"
      98 = "Don't know"
      99 = "Missing"
   ;
   value COV1BK_
      1 = "Head of household"
      2 = "Spouse of head of household"
      3 = "Other household member"
      4 = "Non-household member"
   ;
   value PIDBK_
      96 = "Not a household member"
   ;
   value RESULTK_
      1 = "Interviewed"
      3 = "Not interviewed"
   ;
   value $CPK1_
      'A' = "No one"
      'B' = "Children 5 or older"
      'C' = "Children under 5"
      'D' = "Spouse"
      'E' = "Other HH members"
      'F' = "Other non-HH members"
   ;
   value CPK2_
      1 = "Excellent"
      2 = "Good"
      3 = "Fair"
      4 = "Not so good"
      5 = "Very bad"
      9 = "Missing"
   ;
   value CPK3_
      1 = "Excellent"
      2 = "Good"
      3 = "Fair"
      4 = "Not so good"
      5 = "Very bad"
      9 = "Missing"
   ;
   value AR3_INTRO_
      1 = "Enter to continue"
      9 = "Missing"
   ;
   value AR4_INTRO_
      1 = "Enter to continue"
      9 = "Missing"
   ;
   value BK_MOVER_
      0 = "Cancel"
      1 = "Cover"
      2 = "SC"
      3 = "AR0 (INTRO)"
      4 = "AR1 (AR01-AR09)"
      5 = "AR1b (AR03-AR06)"
      6 = "AR2 (AR10-AR18J)"
      7 = "AR3 (LIST OF SCHOOLS)"
      8 = "AR4 (ADDRESS LIST)"
      9 = "KRK (household characteristics)"
      10 = "IK (INFORMATION VISIT AGAIN)"
      11 = "CP (INTERVIEWER NOTE)"
   ;
   value DUMMY_MINIKAMADES_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value IK_INTRO_
      1 = "Enter"
      9 = "Missing"
   ;
   value KRK_INTRO_
      1 = "Enter"
      9 = "Missing"
   ;
   value $IK1CX_
      'A' = "Telephone number"
      'B' = "Cell Phone number (first)"
      'C' = "Cell phone number (second)"
      'W' = "Not applicable"
      'Y' = "Don't know"
      'Z' = "Missing"
   ;
   value IK2_
      1 = "Moving"
      6 = "Not moving"
      8 = "Don't know"
      9 = "Missing"
   ;
   value IK2AX_
      1 = "Moving"
      3 = "Not moving"
      8 = "Don't know"
      9 = "Missing"
   ;
   value IK2BX_
      1 = "Different"
      3 = "Same"
      8 = "Don't know"
      9 = "Missing"
   ;
   value IK2CX_
      1 = "Different"
      3 = "Same"
      8 = "Don't know"
      9 = "Missing"
   ;
   value IK2DX_
      1 = "Different"
      3 = "Same"
      8 = "Don't know"
      9 = "Missing"
   ;
   value IK2EX_
      1 = "Different"
      3 = "Same"
      8 = "Don't know"
      9 = "Missing"
   ;
   value KRK01_
      1 = "Single unit single level"
      2 = "Single unit multilevel"
      3 = "Duplex single level"
      4 = "Duplex multiple levels"
      5 = "Multiple unit single level"
      6 = "Multiple unit multiple levels"
      8 = "House on stilts"
      9 = "High rise/apartement buildings"
      10 = "House store unit"
      95 = "Other"
      98 = "Don't know"
      99 = "Missing"
   ;
   value KRK02A_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value KRK02B_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value KRK02C_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value KRK02D_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value KRK02E_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value KRK02F_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value KRK02G_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value KRK02H_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value KRK02I_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value KRK06_
      98 = "Don't know"
      99 = "Missing"
   ;
   value KRK08_
      1 = "Ceramic/marble/granite/stone"
      2 = "Tiles/terrazo"
      3 = "Cement/bricks"
      4 = "Lumber/board"
      5 = "Bamboo"
      6 = "Dirt"
      95 = "Other"
      98 = "Don't know"
      99 = "Missing"
   ;
   value KRK09_
      1 = "Masonry (cement/prefabricated bricks)"
      2 = "Lumber/board/plywood"
      3 = "Bamboo/Woven/Mat"
      95 = "Other"
      98 = "Don't know"
      99 = "Missing"
   ;
   value KRK10_
      1 = "Concrete"
      2 = "Wood"
      3 = "Metal plates"
      4 = "Roof tiles/Shingles"
      5 = "Asbestos"
      6 = "Foliage/palm leaves/grass/bamboo"
      95 = "Other"
      98 = "Don't know"
      99 = "Missing"
   ;
   value SC05_
      1 = "Urban"
      2 = "Rural"
   ;
   value $SC19BX_
      'A' = "Home"
      'B' = "Mobile"
      'C' = "Mobile"
      'W' = "Not aplicable"
      'Y' = "Don't Know"
      'Z' = "Missing"
   ;
   value SC21AX_
      1 = "EA"
      2 = "Outside EA range"
      9 = "Missing"
   ;
   value SC21X_
      1  = "1-Distance given (Moved in the same village)"
      11 = "11-Move out of the village, same sub-district"
      12 = "12-Move out of the village, same district"
      13 = "13-Move out of the village, same province"
      14 = "14-Move out of the village, different province"
      96 = "96-SAME LOCATION"
      98 = "98-DONT KNOW"
      99 = "99-Missing"
   ;
   value SC22A_POS_
      1 = "West"
      2 = "Southwest"
      3 = "South"
      4 = "Southeast"
      5 = "East"
      6 = "Northeast"
      7 = "North"
      8 = "Northwest"
      9 = "Missing"
   ;
   value SC22A_X_
      1 = "GPS measured"
      3 = "GPS is not measured"
      6 = "NA"
      9 = "Missing"
   ;
   value SC22BB_
      1 = "Respondent's house photo available"
      3 = "Respondent's house photo not available"
      9 = "Missing"
   ;
   value MODE_K_
      1 = "Entry"
      2 = "Modification"
      3 = "Verification"
      4 = "Partial save"
   ;
   value PARTIAL_K_
      0 = "###"
      1 = "Partial save"
      2 = "Complete"
   ;
   /*----------------------------------------------------------------------*/
   /*  BUKUT formats                                                       */                                
   /*----------------------------------------------------------------------*/
   value BT_AR01A_
      0 = "Dead"
      1 = "Yes"
      2 = "Art panel"
      3 = "No"
      5 = "New Household member"
      11 = "ART comeback"
      99 = "Missing"
   ;
   value CEK_LOK_PREP_
      1 = "Not changed"
      3 = "Changed"
      9 = "Missing"
   ;
   value D1_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value D2_
      1 = "In the same village"
      2 = "In the same Kecamatan"
      3 = "In the same Kabupaten"
      4 = "In the same Province"
      5 = "In other province"
      8 = "Don't know"
      99 = "Missing"
   ;
   value TB1_
      1 = "Interviewed"
      2 = "Refused"
      3 = "Joined with other  IFLS HH"
      4 = "Died"
      5 = "Household was not available/not found"
      6 = "HH not yet interviewed"
      8 = "Moved out HH confirmation"
   ;
   value TB4_
      1 = "Neighbour"
      2 = "Family relation"
      3 = "Friend"
      4 = "Head of RT/RW"
   ;
   value TB5_
      1 = "Address book"
      3 = "Form T1"
   ;
   value TB6_
      1 = "Yes"
      3 = "No"
      5 = "Other........"
   ;
   value BT_MOVE_
      0 = "CANCEL"
      1 = "SECTION COVER"
      2 = "SECTION SC"
   ;
   value INTRO_IC_
      1 = "Interview continues"
      9 = "Skip to the next section"
   ;
   value IC01_
      1 = "I have furnished the information"
      3 = "I did not give the information"
   ;
   value IC02_
      1 = "I agree"
      3 = "I don't agree"
   ;
   value IC_MTH_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
   ;
   value SC05T_
      1 = "Urban"
      2 = "Rural"
   ;
   value SC18BXT_
      1 = "Given"
      3 = "Not a HH member"
      9 = "Missing"
   ;
   value $SC19BTX_
      'A' = "A. Telepon number"
      'B' = "B. HP"
      'C' = "C. HP"
      'W' = "W. NA"
      'Y' = "Y. Don't know"
   ;
   value SC21AXT_
      1 = "EA"
      2 = "Outside EA range"
      9 = "Missing"
   ;
   value SC21XT_
      1 = "Distance given"
      11 = "Move out of the village, same sub-district"
      12 = "Move out of the village, same district"
      13 = "Move out of the village, same province"
      14 = "Move out of the village, different province"
      96 = "SAME LOCATION"
      98 = "DONT KNOW"
      99 = "MISSING"
   ;
   value MODE_T_
      1 = "Entry"
      2 = "Modification"
      3 = "Verification"
   ;
   value PARTIAL_T_
      0 = "###"
      1 = "Partial save"
      2 = "Complete"
   ;
   /*----------------------------------------------------------------------*/
   /*  BUKUT1 formats                                                      */                                
   /*----------------------------------------------------------------------*/
   value FT09A2X_
      1 = "Given Address"
      6 = "Not Applicable"
      8 = "DK"
      9 = "Missing"
   ;
   value FT09A3X_
      1 = "Given Address"
      6 = "Not Applicable"
      8 = "DK"
      9 = "Missing"
   ;
   value FT09A4X_
      1 = "Given"
      8 = "DK"
      9 = "Missing"
   ;
   value FT09A5X_
      1 = "Given Address"
      6 = "Not Applicable"
      8 = "DK"
      9 = "Missing"
   ;
   value FT09A5_HPAX_
      1 = "Given"
      6 = "Not Applicable"
      8 = "DK"
      9 = "Missing"
   ;
   value FT09A5_HPBX_
      1 = "Given"
      6 = "Not Applicable"
      8 = "DK"
      9 = "Missing"
   ;
   value FT09_DSX_
      1 = "Given"
      3 = "Same As KRT"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value FT09_KBX_
      1 = "Given"
      3 = "Same As KRT"
      8 = "DK"
      9 = "Missing"
   ;
   value FT09_KCX_
      1 = "Given"
      3 = "Same As KRT"
      8 = "DK"
      9 = "Missing"
   ;
   value FT09_NGX_
      1 = "Given"
      3 = "Same As KRT"
      8 = "DK"
      9 = "Missing"
   ;
   value FT09_PRX_
      1 = "Given"
      3 = "Same As KRT"
      8 = "DK"
      9 = "Missing"
   ;
   value $T105TLX_
      'A' = "Telephone number of HH"
      'B' = "Cellphone number(first)"
      'C' = "Cellphone number(second)"
      'W' = "Not Applicable"
      'Y' = "Don't Know"
   ;
   value T106_
      1 = "Informan 1993"
      2 = "Neighbor"
      3 = "Relative"
      4 = "Community leader"
      5 = "Other"
      7 = "Friend"
      8 = "Informan 1997"
      9 = "Informan 1998"
      10 = "Informan 2000"
      11 = "Informan 2007"
   ;
   value T107ADX_
      1 = "Given"
      8 = "DK"
      9 = "Missing"
   ;
   value T107AX_
      1 = "Given"
      8 = "DK"
      9 = "Missing"
   ;
   value T107BX_
      1 = "Given"
      8 = "DK"
      9 = "Missing"
   ;
   value T107CX_
      1 = "Given"
      8 = "DK"
      9 = "Missing"
   ;
   value T107DX_
      1 = "Given"
      8 = "DK"
      9 = "Missing"
   ;
   value T107EMX_
      1 = "Given"
      8 = "DK"
   ;
   value T107EX_
      1 = "Given"
      8 = "DK"
      9 = "Missing"
   ;
   value T107HPAX_
      1 = "Given"
      6 = "Not Applicable"
      8 = "DK"
      9 = "Missing"
   ;
   value T107HPBX_
      1 = "Given"
      6 = "Not Applicable"
      8 = "DK"
      9 = "Missing"
   ;
   value T107LCX_
      1 = "Given"
      8 = "DK"
      9 = "Missing"
   ;
   value T107TLX_
      1 = "Given"
      6 = "Not Applicable"
      8 = "DK"
      9 = "Missing"
   ;
   value T107_AX_
      1 = "Given"
      8 = "DK"
      9 = "Missing"
   ;
   value BT1_MOVE_
      0 = "CANCEL"
      1 = "COVER"
      2 = "FT07B"
      3 = "FT09"
      4 = "First Informan"
      5 = "Second Informan"
      6 = "CP"
   ;
   value FT07BADX_
      1 = "Given Address"
      3 = "Same As KRT"
      6 = "Not Applicable"
      8 = "DK"
      9 = "Missing"
   ;
   value FT07BAX_
      1 = "Given Address"
      3 = "Same As KRT"
      8 = "DK"
      9 = "Missing"
   ;
   value FT07BBX_
      1 = "Given Address"
      3 = "Same As KRT"
      8 = "DK"
      9 = "Missing"
   ;
   value FT07BCX_
      1 = "Given Address"
      3 = "Same As KRT"
      8 = "DK"
      9 = "Missing"
   ;
   value FT07BDX_
      1 = "Given Address"
      3 = "Same As KRT"
      8 = "DK"
      9 = "Missing"
   ;
   value FT07BEMX_
      1 = "Given Location"
      6 = "Not Applicable"
      8 = "DK"
      9 = "Missing"
   ;
   value FT07BEX_
      1 = "Given Address"
      3 = "Same As KRT"
      8 = "DK"
      9 = "Missing"
   ;
   value FT07BHPAX_
      1 = "Given Location"
      6 = "Not Applicable"
      8 = "DK"
      9 = "Missing"
   ;
   value FT07BHPBX_
      1 = "Given Location"
      6 = "Not Applicable"
      8 = "DK"
      9 = "Missing"
   ;
   value FT07BLCX_
      1 = "Given Location"
      3 = "Same As KRT"
      6 = "Not Applicable"
      8 = "DK"
      9 = "Missing"
   ;
   value FT07BTLPX_
      1 = "Given"
      6 = "Not Applicable"
      8 = "DK"
      9 = "Missing"
   ;
   value T109A2X_
      1 = "Given Address"
      6 = "Not Applicable"
      8 = "DK"
      9 = "Missing"
   ;
   value T109AADX_
      1 = "Given Address"
      3 = "Same As KRT"
      8 = "DK"
      9 = "Missing"
   ;
   value T109AAX_
      1 = "Given Address"
      3 = "Same As KRT"
      8 = "DK"
      9 = "Missing"
   ;
   value T109ABX_
      1 = "Given Address"
      3 = "Same As KRT"
      8 = "DK"
      9 = "Missing"
   ;
   value T109ACX_
      1 = "Given Address"
      3 = "Same As KRT"
      8 = "DK"
      9 = "Missing"
   ;
   value T109ADX_
      1 = "Given Address"
      3 = "Same As KRT"
      8 = "DK"
      9 = "Missing"
   ;
   value T109AEX_
      1 = "Given Address"
      3 = "Same As KRT"
      8 = "DK"
      9 = "Missing"
   ;
   value T109AHPAX_
      1 = "Given Address"
      6 = "Not Applicable"
      8 = "DK"
      9 = "Missing"
   ;
   value T109AHPBX_
      1 = "Given Address"
      6 = "Not Applicable"
      8 = "DK"
      9 = "Missing"
   ;
   value T109ALCX_
      1 = "Given Location"
      3 = "Same As KRT"
      8 = "DK"
      9 = "Missing"
   ;
   value T109ATLX_
      1 = "Given Address"
      6 = "Not Applicable"
      8 = "DK"
      9 = "Missing"
   ;
   value T108A2X_
      1 = "Given"
      6 = "Not Applicable"
      8 = "DK"
      9 = "Missing"
   ;
   value T108AADX_
      1 = "Given"
      6 = "DK"
      8 = "Missing"
      9 = "Address of informant working place"
   ;
   value T108AAX_
      1 = "Given"
      3 = "Same As KRT"
      8 = "DK"
      9 = "Missing"
   ;
   value T108ABX_
      1 = "Given"
      3 = "Same As KRT"
      8 = "DK"
      9 = "Missing"
   ;
   value T108ACX_
      1 = "Given"
      3 = "Same As KRT"
      8 = "DK"
      9 = "Missing"
   ;
   value T108ADX_
      1 = "Given"
      8 = "DK"
      9 = "Missing"
   ;
   value T108ADXX_
      1 = "Given"
      3 = "Same As KRT"
      8 = "DK"
      9 = "Missing"
   ;
   value T108AEX_
      1 = "Given"
      3 = "Same As KRT"
      8 = "DK"
      9 = "Missing"
   ;
   value T108AHPAX_
      1 = "Given"
      6 = "Not Applicable"
      8 = "DK"
      9 = "Missing"
   ;
   value T108AHPBX_
      1 = "Given"
      6 = "Not Applicable"
      8 = "DK"
      9 = "Missing"
   ;
   value T108ALCX_
      1 = "Given"
      8 = "DK"
      9 = "Missing"
   ;
   value T108ATLX_
      1 = "Given"
      6 = "Not Applicable"
      8 = "DK"
      9 = "Missing"
   ;
   value T108AX_
      1 = "Given"
      3 = "Same As KRT"
      8 = "DK"
      9 = "Missing"
   ;
   value T108BX_
      1 = "Given"
      3 = "Same As KRT"
      8 = "DK"
      9 = "Missing"
   ;
   value T108CX_
      1 = "Given"
      3 = "Same As KRT"
      8 = "DK"
      9 = "Missing"
   ;
   value T108DX_
      1 = "Given"
      3 = "Same As KRT"
      8 = "DK"
      9 = "Missing"
   ;
   value T108EX_
      1 = "Given"
      3 = "Same As KRT"
      8 = "DK"
      9 = "Missing"
   ;
   value T108HPAX_
      1 = "Given"
      6 = "Not Applicable"
      8 = "DK"
      9 = "Missing"
   ;
   value T108HPBX_
      1 = "Given"
      6 = "Not Applicable"
      8 = "DK"
      9 = "Missing"
   ;
   value T108LCX_
      1 = "Given"
      8 = "DK"
      9 = "Missing"
   ;
   value T108TLX_
      1 = "Given"
      6 = "Not Applicable"
      8 = "DK"
      9 = "Missing"
   ;
   value T110MTH_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "Missing"
   ;
   value T110YR_
      9998 = "DK"
      9999 = "Missing"
   ;
   value T111X_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T112ADDX_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T112AX_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T112BX_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T112CX_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T112DX_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T112HPAX_
      1 = "Given Address"
      6 = "Not Applicable"
      8 = "DK"
      9 = "Missing"
   ;
   value T112HPBX_
      1 = "Given Address"
      6 = "Not Applicable"
      8 = "DK"
      9 = "Missing"
   ;
   value T112LOCX_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T112NMX_
      1 = "Given"
      6 = "Not Applicable"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T112TLX_
      1 = "Given"
      6 = "Not Applicable"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T113_
      1 = "CONTACT HH ANDINTERVIEW"
      3 = "REFER TO LOCAL  SUPERVISOR"
      5 = "CONTACT SUPPLEMENTARY INFORMANT(FORM T1)"
   ;
   value MODE_T1_
      1 = "Entry"
      2 = "Modif"
   ;
   value PARTIAL_T1_
      0 = "###"
      1 = "Partial save"
      2 = "Complete"
   ;
   /*----------------------------------------------------------------------*/
   /*  BUKUT2 formats                                                      */                                
   /*----------------------------------------------------------------------*/
   value BT2_MOVE_
      0 = "Cancel"
      1 = "Cover"
      2 = "T2"
   ;
   value T204A_
      1 = "Yes -> FT05"
      3 = "No"
   ;
   value T205_
      1 = "Male"
      3 = "Female"
   ;
   value T206DAY_
      98 = "Don't know"
      99 = "Missing"
   ;
   value T206MTH_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "Missing"
   ;
   value T206YR_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value T208MTH_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "Missing"
   ;
   value T208YR_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value T209_
      1 = "Left to find work"
      2 = "Left to attend school"
      3 = "Followed spouse"
      4 = "Marriage"
      5 = "Divorce"
      6 = "Died"
      7 = "Birth"
      9 = "Needed place to stay"
      11 = "Wants to be independent"
      12 = "Quit job"
      13 = "Fired"
      14 = "Retired"
      15 = "Finish school"
      95 = "Other"
      98 = "Don't know"
      99 = "Missing"
   ;
   value T210_
      1 = "In the same village"
      2 = "In the same subdistrict"
      3 = "In the same district"
      4 = "In the same province"
      10 = "Sumatra"
      11 = "Aceh"
      12 = "North Sumatra"
      13 = "West Sumatra"
      14 = "Riau"
      15 = "Jambi"
      16 = "South Sumatra"
      17 = "Bengkulu"
      18 = "Lampung"
      19 = "Bangka Belitung"
      20 = "Kepulauan Riau"
      30 = "Java"
      31 = "Jakarta"
      32 = "West Java"
      33 = "Central Java"
      34 = "D.I. Yogyakarta"
      35 = "East Java"
      36 = "Banten"
      51 = "Bali"
      52 = "West Nusa Tenggara"
      53 = "East Nusa Tenggara"
      60 = "Kalimantan"
      61 = "West Kalimantan"
      62 = "Central Kalimantan"
      63 = "South Kalimantan"
      64 = "East Kalimantan"
      65 = "North Kalimantan"
      70 = "Sulawesi"
      71 = "North Sulawesi"
      72 = "Central Sulawesi"
      73 = "South Sulawesi"
      74 = "South East Sulawesi"
      75 = "Gorontalo"
      76 = "West Sulawesi"
      81 = "Maluku"
      82 = "North Maluku"
      91 = "West Papua"
      94 = "Papua"
      101 = "Malaysia"
      102 = "Singapore"
      103 = "Brunei Darussalam"
      104 = "Hongkong"
      105 = "Japan"
      106 = "South Korea"
      107 = "Taiwan"
      121 = "Yemen"
      122 = "Saudi Arabia"
      123 = "Kuwait"
      124 = "UAE"
      131 = "Argentina"
      132 = "USA"
      141 = "Australia"
      151 = "Holland"
      152 = "UK"
      995 = "Others"
      998 = "Don't know"
      999 = "Missing"
   ;
   value T212_
      1 = "Panel"
      3 = "New"
      6 = "Not applicable"
   ;
   value T213_
      1 = "Panel"
      3 = "New"
      6 = "Not applicable"
   ;
   value $T215TLX_
      'A' = "Telepon number"
      'B' = "Telepon (mobile)"
      'C' = "Telepon (mobile)"
      'W' = "NA"
      'Y' = "Don't know"
   ;
   value T215_A_
      1 = "Yes"
      3 = "No"
   ;
   value T216_
      1 = "Informant in 1993"
      2 = "Neighbour"
      3 = "Family relation"
      4 = "Head of RT/RW"
      7 = "Friend"
      8 = "Informant in 1997"
      9 = "Informant in 1998"
      10 = "Informant in 2000"
      95 = "Others"
      99 = "Missing"
   ;
   value T217ADX_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T217AX_
      1 = "Given"
      3 = "Same residence informant"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T217BX_
      1 = "Given"
      3 = "Same residence informant"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T217CX_
      1 = "Given"
      3 = "Same residence informant"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T217DX_
      1 = "Given"
      3 = "Same residence informant"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T217EMAX_
      1 = "Given"
      6 = "WA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T217EX_
      1 = "Given"
      3 = "Same residence informant"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T217HPAX_
      1 = "Given"
      6 = "WA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T217HPBX_
      1 = "Given"
      6 = "WA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T217LCX_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T217TLX_
      1 = "Given"
      6 = "WA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T218ADX_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T218AX_
      1 = "Given"
      3 = "NA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T218BX_
      1 = "Given"
      3 = "NA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T218CX_
      1 = "Given"
      3 = "NA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T218DX_
      1 = "Given"
      3 = "NA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T218EX_
      1 = "Given"
      3 = "NA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T218HPAX_
      1 = "Given"
      6 = "Not applicable"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T218HPBX_
      1 = "Given"
      6 = "Not applicable"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T218LCX_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T218NMX_
      1 = "Given"
      6 = "Not applicable"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T218TLX_
      1 = "Given"
      6 = "Not applicable"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T219_
      1 = "Date given"
      5 = "Other"
      8 = "DK"
      9 = "Missing"
   ;
   value T219MTH_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "Missing"
   ;
   value T219YR_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value T220_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T221_
      1 = "Date given"
      5 = "Other"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T221MTH_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "Missing"
   ;
   value T221YR_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value T222AADX_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T222ADX_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T222ALCX_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T222ASKX_
      1 = "Given"
      6 = "Not applicable"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T222AX_
      1 = "Given"
      3 = "Same residence informant"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T222BX_
      1 = "Given"
      3 = "Same residence informant"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T222CX_
      1 = "Given"
      3 = "Same residence informant"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T222DX_
      1 = "Given"
      3 = "Same residence informant"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T222EX_
      1 = "Given"
      3 = "Same residence informant"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T222HPAX_
      1 = "Given"
      6 = "NA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T222HPBX_
      1 = "Given"
      6 = "NA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T222LCX_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T222NMX_
      1 = "Given"
      6 = "Not applicable -->FT22a"
      8 = "Don't Know"
      9 = "Missing"
   ;
   value T222TLX_
      1 = "Given"
      6 = "NA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T223AADX_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T223AAX_
      1 = "Given"
      3 = "Same residence informant"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T223ABX_
      1 = "Given"
      3 = "Same residence informant"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T223ACX_
      1 = "Given"
      3 = "Same residence informant"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T223ADDX_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T223ADX_
      1 = "Given"
      3 = "Same residence informant"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T223AEX_
      1 = "Given"
      3 = "Same residence informant"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T223AHPAX_
      1 = "Given"
      6 = "NA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T223AHPBX_
      1 = "Given"
      6 = "NA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T223ALCX_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T223ANMX_
      1 = "Given"
      6 = "Not applicable"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T223ATLX_
      1 = "Given"
      6 = "NA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T223AX_
      1 = "Given"
      3 = "Same residence informant"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T223BX_
      1 = "Given"
      3 = "Same residence informant"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T223CX_
      1 = "Given"
      3 = "Same residence informant"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T223DX_
      1 = "Given"
      3 = "Same residence informant"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T223EX_
      1 = "Given"
      3 = "Same residence informant"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T223HPAX_
      1 = "Given"
      6 = "NA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T223HPBX_
      1 = "Given"
      6 = "NA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T223LCX_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T223NMX_
      1 = "Given"
      6 = "NA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T223TLX_
      1 = "Given"
      6 = "NA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value T224_
      1 = "HOUSEHOLD MEMBERS AND CONTACT interviewed"
      3 = "CONTINUE TO LOCAL SUPERVISOR"
      5 = "2ND INFORMANT (SEPLEMEN FORM T2)"
   ;
   value T226G1_
      1 = "Panel"
      3 = "New"
      6 = "Not Applicable"
   ;
   value T226G10_
      1 = "Panel"
      3 = "New"
      6 = "Not Applicable"
   ;
   value T226G2_
      1 = "Panel"
      3 = "New"
      6 = "Not Applicable"
   ;
   value T226G3_
      1 = "Panel"
      3 = "New"
      6 = "Not Applicable"
   ;
   value T226G4_
      1 = "Panel"
      3 = "New"
      6 = "Not Applicable"
   ;
   value T226G5_
      1 = "Panel"
      3 = "New"
      6 = "Not Applicable"
   ;
   value T226G6_
      1 = "Panel"
      3 = "New"
      6 = "Not Applicable"
   ;
   value T226G7_
      1 = "Panel"
      3 = "New"
      6 = "Not Applicable"
   ;
   value T226G8_
      1 = "Panel"
      3 = "New"
      6 = "Not Applicable"
   ;
   value T226G9_
      1 = "Panel"
      3 = "New"
      6 = "Not Applicable"
   ;
   value T226H1_
      1 = "Panel"
      3 = "New"
      6 = "Not Applicable"
   ;
   value T226H10_
      1 = "Panel"
      3 = "New"
      6 = "Not Applicable"
   ;
   value T226H2_
      1 = "Panel"
      3 = "New"
      6 = "Not Applicable"
   ;
   value T226H3_
      1 = "Panel"
      3 = "New"
      6 = "Not Applicable"
   ;
   value T226H4_
      1 = "Panel"
      3 = "New"
      6 = "Not Applicable"
   ;
   value T226H5_
      1 = "Panel"
      3 = "New"
      6 = "Not Applicable"
   ;
   value T226H6_
      1 = "Panel"
      3 = "New"
      6 = "Not Applicable"
   ;
   value T226H7_
      1 = "Panel"
      3 = "New"
      6 = "Not Applicable"
   ;
   value T226H8_
      1 = "Panel"
      3 = "New"
      6 = "Not Applicable"
   ;
   value T226H9_
      1 = "Panel"
      3 = "New"
      6 = "Not Applicable"
   ;
   value MODE_T2_
      1 = "Entry"
      2 = "Modification"
   ;
   value PARTIAL_T2_
      0 = "###"
      1 = "Partial save"
      2 = "Complete"
   ;
   /*----------------------------------------------------------------------*/
   /*  BUKUUS formats                                                      */                                
   /*----------------------------------------------------------------------*/
   value US00_
      1 = "Yes"
      3 = "Why not measured -->C1"
      6 = "Could not be contacted -->C1"
      7 = "Refused -->C1"
      9 = "Missing"
   ;
   value $US00A_
      'A' = "Physical examination"
      'B' = "Blood hemoglobin test"
      'C' = "Take dried blood spot"
      'D' = "Store the DBS for future analysis of c-reactive protein and HbA1c"
      'W' = "consent not asked"
      'Z' = "Missing"
   ;
   value US01_
      1 = "Male"
      3 = "Female"
      9 = "Missing"
   ;
   value US02DAY_
      98 = "DK"
      99 = "Missing"
   ;
   value US02MTH_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "N0vember"
      12 = "December"
      98 = "DK"
      99 = "Missing"
   ;
   value US02YR_
      9998 = "DK"
      9999 = "Missing"
   ;
   value US13AA_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value C1US1_
      1 = "Completed -->C4"
      2 = "Partially completed"
      3 = "Not completed"
   ;
   value C2US1_
      1 = "Resp. not at home"
      2 = "Resp. seriously ill"
      3 = "Resp. refused"
      5 = "Other"
   ;
   value C4AUS1_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value C4BUS1_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value C4CUS1_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value CK1US1_
      0 = "Indonesian"
      1 = "Javanese"
      2 = "Sundanese"
      3 = "Balinese"
      4 = "Batak"
      5 = "Bugis"
      6 = "Chinese"
      7 = "Maduranese"
      8 = "Sasak"
      9 = "Minang"
      10 = "Banjar"
      11 = "Bima"
      12 = "Makasar"
      13 = "Nias"
      14 = "Palembang"
      15 = "Sumbawa"
      16 = "Toraja"
      17 = "Lahat"
      18 = "Other South Sumatra"
      19 = "Betawi"
      20 = "Lampung"
      95 = "Other"
      96 = "No other"
      99 = "Missing"
   ;
   value CK2US1_
      0 = "Indonesian"
      1 = "Javanese"
      2 = "Sundanese"
      3 = "Balinese"
      4 = "Batak"
      5 = "Bugis"
      6 = "Chinese"
      7 = "Maduranese"
      8 = "Sasak"
      9 = "Minang"
      10 = "Banjar"
      11 = "Bima"
      12 = "Makasar"
      13 = "Nias"
      14 = "Palembang"
      15 = "Sumbawa"
      16 = "Toraja"
      17 = "Lahat"
      18 = "Other South Sumatra"
      19 = "Betawi"
      20 = "Lampung"
      95 = "Other"
      96 = "No other"
      99 = "Missing"
   ;
   value BUS_MOVE_
      0 = "Cancel"
      1 = "Section cover"
      2 = "BLOOD PRESSURE MEASUREMENT"
      3 = "WEIGHT AND HEIGHT MEASUREMENT"
      4 = "KNEE HEIGHT MEASUREMENT"
      5 = "UPPER ARM  MEASUREMENT"
      6 = "WAIST AND HIPS MEASUREMENT"
      7 = "SIT TO STAND MEASUREMENT"
      8 = "GRIP STRENGTH MEASUREMENT"
      9 = "BALANCE TESTS"
      10 = "WALKING SPEED MEASUREMENT"
      11 = "LUNG CAPACITY MEASUREMENT"
      12 = "HB MEASUREMENAT AND DBS"
      13 = "SECTION CP"
   ;
   value MODE_US_
      1 = "Entry"
      2 = "Modification"
   ;
   value PARTIAL_US_
      0 = "###"
      1 = "Partial"
      2 = "Complete"
   ;
   value US04X_
      1 = "Yes"
      3 = "Why not measured"
      7 = "Refused"
      9 = "Missing"
   ;
   value US04_CD_
      1 = "RESPONDENT FELT IT WOULD NOT BE SAFE"
      2 = "INTERVIEWER FELT IT WOULD NOT BE SAFE"
      3 = "RESPONDENT TRIED BUT WAS UNABLE TO COMPLETE THE MEASUREMENT/TEST"
      4 = "RESPONDENT DID NOT UNDERSTAND INSTRUCTIONS"
      5 = "RESPONDENTS HEALTH CONDITION PREVENT MEASUREMENT"
      6 = "RESPONDENT HAS RASH, A CAST, EDEMA, OPEN SORES IN ARM (FOR US07a, US07b, US07c)"
      7 = "RESPONDENTS HAND HAD SURGERY, SWELLING, INFLAMMATION, SEVERE PLAIN, SEVERE PAIN, OR INJURY IN LAST 6 MONTHS (US20a, US20b, US20c)"
      8 = "RESPONDENT RECENTLY HAD SURGERY OR IS INJURED OR IN CONDITIONS THAT PREVENT HIM/HER FROM WALKING (US19p)"
      9 = "NO SUITABLE SPACE"
      10 = "PROBLEM WITH EQUIPMENT OR SUPPLIES"
   ;
   value US05_
      1 = "Standing"
      3 = "Lying"
      9 = "Missing"
   ;
   value US05AX_
      1 = "Measured"
      3 = "Reason not measured"
      6 = "<40 years"
      7 = "Refused"
      9 = "Missing"
   ;
   value US05A_CD_
      1 = "RESPONDENT FELT IT WOULD NOT BE SAFE"
      2 = "INTERVIEWER FELT IT WOULD NOT BE SAFE"
      3 = "RESPONDENT TRIED BUT WAS UNABLE TO COMPLETE THE MEASUREMENT/TEST"
      4 = "RESPONDENT DID NOT UNDERSTAND INSTRUCTIONS"
      5 = "RESPONDENTS HEALTH CONDITION PREVENT MEASUREMENT"
      6 = "RESPONDENT HAS RASH, A CAST, EDEMA, OPEN SORES IN ARM (FOR US07a, US07b, US07c)"
      7 = "RESPONDENTS HAND HAD SURGERY, SWELLING, INFLAMMATION, SEVERE PLAIN, SEVERE PAIN, OR INJURY IN LAST 6 MONTHS (US20a, US20b, US20c)"
      8 = "RESPONDENT RECENTLY HAD SURGERY OR IS INJURED OR IN CONDITIONS THAT PREVENT HIM/HER FROM WALKING (US19p)"
      9 = "NO SUITABLE SPACE"
      10 = "PROBLEM WITH EQUIPMENT OR SUPPLIES"
   ;
   value US05B_
      1 = "Left"
      3 = "Right"
      6 = "NA"
      9 = "Missing"
   ;
   value US05CX_
      1 = "Measured"
      3 = "Reason not measured"
      6 = "<40 years"
      7 = "Refused"
      9 = "Missing"
   ;
   value US05C_CD_
      1 = "RESPONDENT FELT IT WOULD NOT BE SAFE"
      2 = "INTERVIEWER FELT IT WOULD NOT BE SAFE"
      3 = "RESPONDENT TRIED BUT WAS UNABLE TO COMPLETE THE MEASUREMENT/TEST"
      4 = "RESPONDENT DID NOT UNDERSTAND INSTRUCTIONS"
      5 = "RESPONDENTS HEALTH CONDITION PREVENT MEASUREMENT"
      6 = "RESPONDENT HAS RASH, A CAST, EDEMA, OPEN SORES IN ARM (FOR US07a, US07b, US07c)"
      7 = "RESPONDENTS HAND HAD SURGERY, SWELLING, INFLAMMATION, SEVERE PLAIN, SEVERE PAIN, OR INJURY IN LAST 6 MONTHS (US20a, US20b, US20c)"
      8 = "RESPONDENT RECENTLY HAD SURGERY OR IS INJURED OR IN CONDITIONS THAT PREVENT HIM/HER FROM WALKING (US19p)"
      9 = "NO SUITABLE SPACE"
      10 = "PROBLEM WITH EQUIPMENT OR SUPPLIES"
   ;
   value US05D_
      1 = "Left"
      3 = "Right"
      6 = "NA"
      9 = "Missing"
   ;
   value US05_0_
      1 = "Enter 1 to be continue"
   ;
   value US05_00_
      1 = "Enter 1 to continue"
   ;
   value US06AX_
      1 = "Yes"
      3 = "Why not measured"
      6 = "< 40"
      7 = "Refused"
      9 = "Missing"
   ;
   value US06A_CD_
      1 = "RESPONDENT FELT IT WOULD NOT BE SAFE"
      2 = "INTERVIEWER FELT IT WOULD NOT BE SAFE"
      3 = "RESPONDENT TRIED BUT WAS UNABLE TO COMPLETE THE MEASUREMENT/TEST"
      4 = "RESPONDENT DID NOT UNDERSTAND INSTRUCTIONS"
      5 = "RESPONDENTS HEALTH CONDITION PREVENT MEASUREMENT"
      6 = "RESPONDENT HAS RASH, A CAST, EDEMA, OPEN SORES IN ARM (FOR US07a, US07b, US07c)"
      7 = "RESPONDENTS HAND HAD SURGERY, SWELLING, INFLAMMATION, SEVERE PLAIN, SEVERE PAIN, OR INJURY IN LAST 6 MONTHS (US20a, US20b, US20c)"
      8 = "RESPONDENT RECENTLY HAD SURGERY OR IS INJURED OR IN CONDITIONS THAT PREVENT HIM/HER FROM WALKING (US19p)"
      9 = "NO SUITABLE SPACE"
      10 = "PROBLEM WITH EQUIPMENT OR SUPPLIES"
   ;
   value US06BX_
      1 = "Yes"
      3 = "Why not measured"
      6 = "< 40"
      7 = "Refused"
      9 = "Missing"
   ;
   value US06B_CD_
      1 = "RESPONDENT FELT IT WOULD NOT BE SAFE"
      2 = "INTERVIEWER FELT IT WOULD NOT BE SAFE"
      3 = "RESPONDENT TRIED BUT WAS UNABLE TO COMPLETE THE MEASUREMENT/TEST"
      4 = "RESPONDENT DID NOT UNDERSTAND INSTRUCTIONS"
      5 = "RESPONDENTS HEALTH CONDITION PREVENT MEASUREMENT"
      6 = "RESPONDENT HAS RASH, A CAST, EDEMA, OPEN SORES IN ARM (FOR US07a, US07b, US07c)"
      7 = "RESPONDENTS HAND HAD SURGERY, SWELLING, INFLAMMATION, SEVERE PLAIN, SEVERE PAIN, OR INJURY IN LAST 6 MONTHS (US20a, US20b, US20c)"
      8 = "RESPONDENT RECENTLY HAD SURGERY OR IS INJURED OR IN CONDITIONS THAT PREVENT HIM/HER FROM WALKING (US19p)"
      9 = "NO SUITABLE SPACE"
      10 = "PROBLEM WITH EQUIPMENT OR SUPPLIES"
   ;
   value US06X_
      1 = "Yes"
      3 = "Why not measured"
      7 = "Refused"
      9 = "Missing"
   ;
   value US06_0_
      1 = "Enter 1 to  continue"
   ;
   value US06_CD_
      1 = "RESPONDENT FELT IT WOULD NOT BE SAFE"
      2 = "INTERVIEWER FELT IT WOULD NOT BE SAFE"
      3 = "RESPONDENT TRIED BUT WAS UNABLE TO COMPLETE THE MEASUREMENT/TEST"
      4 = "RESPONDENT DID NOT UNDERSTAND INSTRUCTIONS"
      5 = "RESPONDENTS HEALTH CONDITION PREVENT MEASUREMENT"
      6 = "RESPONDENT HAS RASH, A CAST, EDEMA, OPEN SORES IN ARM (FOR US07a, US07b, US07c)"
      7 = "RESPONDENTS HAND HAD SURGERY, SWELLING, INFLAMMATION, SEVERE PLAIN, SEVERE PAIN, OR INJURY IN LAST 6 MONTHS (US20a, US20b, US20c)"
      8 = "RESPONDENT RECENTLY HAD SURGERY OR IS INJURED OR IN CONDITIONS THAT PREVENT HIM/HER FROM WALKING (US19p)"
      9 = "NO SUITABLE SPACE"
      10 = "PROBLEM WITH EQUIPMENT OR SUPPLIES"
   ;
   value US07AA_
      1 = "Yes"
      3 = "No"
      6 = "Age < 15"
      9 = "Missing"
   ;
   value US07AX_
      1 = "Yes"
      3 = "Why not measured"
      6 = "Age < 15"
      7 = "Refused"
      9 = "Missing"
   ;
   value US07A_1_
      1 = "Left"
      3 = "Right"
      6 = "NA"
      9 = "Missing"
   ;
   value US07A_CD_
      1 = "RESPONDENT FELT IT WOULD NOT BE SAFE"
      2 = "INTERVIEWER FELT IT WOULD NOT BE SAFE"
      3 = "RESPONDENT TRIED BUT WAS UNABLE TO COMPLETE THE MEASUREMENT/TEST"
      4 = "RESPONDENT DID NOT UNDERSTAND INSTRUCTIONS"
      5 = "RESPONDENTS HEALTH CONDITION PREVENT MEASUREMENT"
      6 = "RESPONDENT HAS RASH, A CAST, EDEMA, OPEN SORES IN ARM (FOR US07a, US07b, US07c)"
      7 = "RESPONDENTS HAND HAD SURGERY, SWELLING, INFLAMMATION, SEVERE PLAIN, SEVERE PAIN, OR INJURY IN LAST 6 MONTHS (US20a, US20b, US20c)"
      8 = "RESPONDENT RECENTLY HAD SURGERY OR IS INJURED OR IN CONDITIONS THAT PREVENT HIM/HER FROM WALKING (US19p)"
      9 = "NO SUITABLE SPACE"
      10 = "PROBLEM WITH EQUIPMENT OR SUPPLIES"
   ;
   value US07BX_
      1 = "Yes"
      3 = "Why not measured"
      6 = "Age < 15"
      7 = "Refused"
      9 = "Missing"
   ;
   value US07B_1_
      1 = "Left"
      3 = "Right"
      6 = "NA"
      9 = "Missing"
   ;
   value US07B_CD_
      1 = "RESPONDENT FELT IT WOULD NOT BE SAFE"
      2 = "INTERVIEWER FELT IT WOULD NOT BE SAFE"
      3 = "RESPONDENT TRIED BUT WAS UNABLE TO COMPLETE THE MEASUREMENT/TEST"
      4 = "RESPONDENT DID NOT UNDERSTAND INSTRUCTIONS"
      5 = "RESPONDENTS HEALTH CONDITION PREVENT MEASUREMENT"
      6 = "RESPONDENT HAS RASH, A CAST, EDEMA, OPEN SORES IN ARM (FOR US07a, US07b, US07c)"
      7 = "RESPONDENTS HAND HAD SURGERY, SWELLING, INFLAMMATION, SEVERE PLAIN, SEVERE PAIN, OR INJURY IN LAST 6 MONTHS (US20a, US20b, US20c)"
      8 = "RESPONDENT RECENTLY HAD SURGERY OR IS INJURED OR IN CONDITIONS THAT PREVENT HIM/HER FROM WALKING (US19p)"
      9 = "NO SUITABLE SPACE"
      10 = "PROBLEM WITH EQUIPMENT OR SUPPLIES"
   ;
   value US07CX_
      1 = "Yes"
      3 = "Why not measured"
      6 = "Age < 15"
      7 = "Refused"
      9 = "Missing"
   ;
   value US07C_1_
      1 = "Left"
      3 = "Right"
      6 = "NA"
      9 = "Missing"
   ;
   value US07C_CD_
      1 = "RESPONDENT FELT IT WOULD NOT BE SAFE"
      2 = "INTERVIEWER FELT IT WOULD NOT BE SAFE"
      3 = "RESPONDENT TRIED BUT WAS UNABLE TO COMPLETE THE MEASUREMENT/TEST"
      4 = "RESPONDENT DID NOT UNDERSTAND INSTRUCTIONS"
      5 = "RESPONDENTS HEALTH CONDITION PREVENT MEASUREMENT"
      6 = "RESPONDENT HAS RASH, A CAST, EDEMA, OPEN SORES IN ARM (FOR US07a, US07b, US07c)"
      7 = "RESPONDENTS HAND HAD SURGERY, SWELLING, INFLAMMATION, SEVERE PLAIN, SEVERE PAIN, OR INJURY IN LAST 6 MONTHS (US20a, US20b, US20c)"
      8 = "RESPONDENT RECENTLY HAD SURGERY OR IS INJURED OR IN CONDITIONS THAT PREVENT HIM/HER FROM WALKING (US19p)"
      9 = "NO SUITABLE SPACE"
      10 = "PROBLEM WITH EQUIPMENT OR SUPPLIES"
   ;
   value US07_0_
      1 = "Enter 1 to continue"
   ;
   value US09AX_
      1 = "Measured"
      3 = "Reason not measured"
      6 = "< 9 years old"
      7 = "Rejected"
      9 = "Missing"
   ;
   value US09A_CD_
      1 = "RESPONDENT FELT IT WOULD NOT BE SAFE"
      2 = "INTERVIEWER FELT IT WOULD NOT BE SAFE"
      3 = "RESPONDENT TRIED BUT WAS UNABLE TO COMPLETE THE MEASUREMENT/TEST"
      4 = "RESPONDENT DID NOT UNDERSTAND INSTRUCTIONS"
      5 = "RESPONDENT'S HEALTH CONDITION PREVENT MEASUREMENT"
      6 = "RESPONDENT HAS RASH, A CAST, EDEMA, OPEN SORES IN ARM (FOR US07a, US07b, US07c)"
      7 = "RESPONDENT'S HAND HAD SURGERY, SWELLING, INFLAMMATION, SEVERE PLAIN, SEVERE PAIN, OR INJURY IN LAST 6 MONTHS (US20a, US20b, US20c)"
      8 = "RESPONDENT RECENTLY HAD SURGERY OR IS INJURED OR IN CONDITIONS THAT PREVENT HIM/HER FROM WALKING (US19p)"
      9 = "NO SUITABLE SPACE"
      10 = "PROBLEM WITH EQUIPMENT OR SUPPLIES"
   ;
   value US09BX_
      1 = "Measured"
      3 = "Reason not measured"
      6 = "< 9 years old"
      7 = "Rejected"
      9 = "Missing"
   ;
   value US09B_CD_
      1 = "RESPONDENT FELT IT WOULD NOT BE SAFE"
      2 = "INTERVIEWER FELT IT WOULD NOT BE SAFE"
      3 = "RESPONDENT TRIED BUT WAS UNABLE TO COMPLETE THE MEASUREMENT/TEST"
      4 = "RESPONDENT DID NOT UNDERSTAND INSTRUCTIONS"
      5 = "RESPONDENT'S HEALTH CONDITION PREVENT MEASUREMENT"
      6 = "RESPONDENT HAS RASH, A CAST, EDEMA, OPEN SORES IN ARM (FOR US07a, US07b, US07c)"
      7 = "RESPONDENT'S HAND HAD SURGERY, SWELLING, INFLAMMATION, SEVERE PLAIN, SEVERE PAIN, OR INJURY IN LAST 6 MONTHS (US20a, US20b, US20c)"
      8 = "RESPONDENT RECENTLY HAD SURGERY OR IS INJURED OR IN CONDITIONS THAT PREVENT HIM/HER FROM WALKING (US19p)"
      9 = "NO SUITABLE SPACE"
      10 = "PROBLEM WITH EQUIPMENT OR SUPPLIES"
   ;
   value US09CX_
      1 = "Measured"
      3 = "Reason not measured"
      6 = "< 9 years old"
      7 = "Rejected"
      9 = "Missing"
   ;
   value US09C_CD_
      1 = "RESPONDENT FELT IT WOULD NOT BE SAFE"
      2 = "INTERVIEWER FELT IT WOULD NOT BE SAFE"
      3 = "RESPONDENT TRIED BUT WAS UNABLE TO COMPLETE THE MEASUREMENT/TEST"
      4 = "RESPONDENT DID NOT UNDERSTAND INSTRUCTIONS"
      5 = "RESPONDENT'S HEALTH CONDITION PREVENT MEASUREMENT"
      6 = "RESPONDENT HAS RASH, A CAST, EDEMA, OPEN SORES IN ARM (FOR US07a, US07b, US07c)"
      7 = "RESPONDENT'S HAND HAD SURGERY, SWELLING, INFLAMMATION, SEVERE PLAIN, SEVERE PAIN, OR INJURY IN LAST 6 MONTHS (US20a, US20b, US20c)"
      8 = "RESPONDENT RECENTLY HAD SURGERY OR IS INJURED OR IN CONDITIONS THAT PREVENT HIM/HER FROM WALKING (US19p)"
      9 = "NO SUITABLE SPACE"
      10 = "PROBLEM WITH EQUIPMENT OR SUPPLIES"
   ;
   value US09D_
      1 = "Yes"
      2 = "No, because of pain, illness or other physical reasons"
      3 = "No, for other reasons"
      9 = "Missing"
   ;
   value US09_0_
      1 = "Enter 1 to  continue"
   ;
   value US10AA_
      1 = "Measured"
      3 = "Reason not measured"
      6 = "<15 years/moved/not yet contacted"
      9 = "Missing"
   ;
   value US10AX_
      1 = "Measured"
      3 = "Reason not measured"
      6 = "<40 years old"
      7 = "Rejected"
      9 = "Missing"
   ;
   value US10A_CD_
      1 = "RESPONDENT FELT IT WOULD NOT BE SAFE"
      2 = "INTERVIEWER FELT IT WOULD NOT BE SAFE"
      3 = "RESPONDENT TRIED BUT WAS UNABLE TO COMPLETE THE MEASUREMENT/TEST"
      4 = "RESPONDENT DID NOT UNDERSTAND INSTRUCTIONS"
      5 = "RESPONDENT'S HEALTH CONDITION PREVENT MEASUREMENT"
      6 = "RESPONDENT HAS RASH, A CAST, EDEMA, OPEN SORES IN ARM (FOR US07a, US07b, US07c)"
      7 = "RESPONDENT'S HAND HAD SURGERY, SWELLING, INFLAMMATION, SEVERE PLAIN, SEVERE PAIN, OR INJURY IN LAST 6 MONTHS (US20a, US20b, US20c)"
      8 = "RESPONDENT RECENTLY HAD SURGERY OR IS INJURED OR IN CONDITIONS THAT PREVENT HIM/HER FROM WALKING (US19p)"
      9 = "NO SUITABLE SPACE"
      10 = "PROBLEM WITH EQUIPMENT OR SUPPLIES"
   ;
   value US10BX_
      1 = "Measured"
      3 = "Reason not measured"
      6 = "<40 years old"
      7 = "Rejected"
      9 = "Missing"
   ;
   value US10B_CD_
      1 = "RESPONDENT FELT IT WOULD NOT BE SAFE"
      2 = "INTERVIEWER FELT IT WOULD NOT BE SAFE"
      3 = "RESPONDENT TRIED BUT WAS UNABLE TO COMPLETE THE MEASUREMENT/TEST"
      4 = "RESPONDENT DID NOT UNDERSTAND INSTRUCTIONS"
      5 = "RESPONDENT'S HEALTH CONDITION PREVENT MEASUREMENT"
      6 = "RESPONDENT HAS RASH, A CAST, EDEMA, OPEN SORES IN ARM (FOR US07a, US07b, US07c)"
      7 = "RESPONDENT'S HAND HAD SURGERY, SWELLING, INFLAMMATION, SEVERE PLAIN, SEVERE PAIN, OR INJURY IN LAST 6 MONTHS (US20a, US20b, US20c)"
      8 = "RESPONDENT RECENTLY HAD SURGERY OR IS INJURED OR IN CONDITIONS THAT PREVENT HIM/HER FROM WALKING (US19p)"
      9 = "NO SUITABLE SPACE"
      10 = "PROBLEM WITH EQUIPMENT OR SUPPLIES"
   ;
   value US10X_
      1 = "Yes"
      2 = "Less than 5 times"
      3 = "Not measured"
      6 = "< 15 years old"
      7 = "Refused"
      9 = "Missing"
   ;
   value US10_0_
      1 = "Enter 1 to  continue"
   ;
   value US10_CD_
      1 = "RESPONDENT FELT IT WOULD NOT BE SAFE"
      2 = "INTERVIEWER FELT IT WOULD NOT BE SAFE"
      3 = "RESPONDENT TRIED BUT WAS UNABLE TO COMPLETE THE MEASUREMENT/TEST"
      4 = "RESPONDENT DID NOT UNDERSTAND INSTRUCTIONS"
      5 = "RESPONDENTS HEALTH CONDITION PREVENT MEASUREMENT"
      6 = "RESPONDENT HAS RASH, A CAST, EDEMA, OPEN SORES IN ARM (FOR US07a, US07b, US07c)"
      7 = "RESPONDENTS HAND HAD SURGERY, SWELLING, INFLAMMATION, SEVERE PLAIN, SEVERE PAIN, OR INJURY IN LAST 6 MONTHS (US20a, US20b, US20c)"
      8 = "RESPONDENT RECENTLY HAD SURGERY OR IS INJURED OR IN CONDITIONS THAT PREVENT HIM/HER FROM WALKING (US19p)"
      9 = "NO SUITABLE SPACE"
      10 = "PROBLEM WITH EQUIPMENT OR SUPPLIES"
   ;
   value US11_
      9 = "Missing"
   ;
   value US11A_
      1 = "RESPONDENT FELT IT WOULD NOT BE SAFE"
      2 = "INTERVIEWER FELT IT WOULD NOT BE SAFE"
      3 = "RESPONDENT TRIED BUT WAS UNABLE TO COMPLETE THE MEASUREMENT/TEST"
      4 = "RESPONDENT DID NOT UNDERSTAND INSTRUCTIONS"
      5 = "RESPONDENTS HEALTH CONDITION PREVENT MEASUREMENT"
      6 = "RESPONDENT HAS RASH, A CAST, EDEMA, OPEN SORES IN ARM (FOR US07a, US07b, US07c)"
      7 = "RESPONDENTS HAND HAD SURGERY, SWELLING, INFLAMMATION, SEVERE PLAIN, SEVERE PAIN, OR INJURY IN LAST 6 MONTHS (US20a, US20b, US20c)"
      8 = "RESPONDENT RECENTLY HAD SURGERY OR IS INJURED OR IN CONDITIONS THAT PREVENT HIM/HER FROM WALKING (US19p)"
      9 = "NO SUITABLE SPACE"
      10 = "PROBLEM WITH EQUIPMENT OR SUPPLIES"
   ;
   value US12_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value US12A_
      1 = "Yes"
      2 = "No, because of pain, illness or other physical reasons"
      3 = "No, for other reasons"
      9 = "Missing"
   ;
   value US13AB_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value US13AX_
      1 = "Yes"
      3 = "Why not measured"
      6 = "Age < 1"
      7 = "Refused"
      9 = "Missing"
   ;
   value US13A_CD_
      1 = "RESPONDENT FELT IT WOULD NOT BE SAFE"
      2 = "INTERVIEWER FELT IT WOULD NOT BE SAFE"
      3 = "RESPONDENT TRIED BUT WAS UNABLE TO COMPLETE THE MEASUREMENT/TEST"
      4 = "RESPONDENT DID NOT UNDERSTAND INSTRUCTIONS"
      5 = "RESPONDENT'S HEALTH CONDITION PREVENT MEASUREMENT"
      6 = "RESPONDENT HAS RASH, A CAST, EDEMA, OPEN SORES IN ARM (FOR US07a, US07b, US07c)"
      7 = "RESPONDENT'S HAND HAD SURGERY, SWELLING, INFLAMMATION, SEVERE PLAIN, SEVERE PAIN, OR INJURY IN LAST 6 MONTHS (US20a, US20b, US20c)"
      8 = "RESPONDENT RECENTLY HAD SURGERY OR IS INJURED OR IN CONDITIONS THAT PREVENT HIM/HER FROM WALKING (US19p)"
      9 = "NO SUITABLE SPACE"
      10 = "PROBLEM WITH EQUIPMENT OR SUPPLIES"
   ;
   value US13X_
      1 = "Yes"
      3 = "Why don't measured"
      6 = "Age < 1"
      7 = "Refused"
      9 = "Missing"
   ;
   value US13_0_
      1 = "Enter 1 to continue"
   ;
   value US13_CD_
      1 = "RESPONDENT FELT IT WOULD NOT BE SAFE"
      2 = "INTERVIEWER FELT IT WOULD NOT BE SAFE"
      3 = "RESPONDENT TRIED BUT WAS UNABLE TO COMPLETE THE MEASUREMENT/TEST"
      4 = "RESPONDENT DID NOT UNDERSTAND INSTRUCTIONS"
      5 = "RESPONDENT'S HEALTH CONDITION PREVENT MEASUREMENT"
      6 = "RESPONDENT HAS RASH, A CAST, EDEMA, OPEN SORES IN ARM (FOR US07a, US07b, US07c)"
      7 = "RESPONDENT'S HAND HAD SURGERY, SWELLING, INFLAMMATION, SEVERE PLAIN, SEVERE PAIN, OR INJURY IN LAST 6 MONTHS (US20a, US20b, US20c)"
      8 = "RESPONDENT RECENTLY HAD SURGERY OR IS INJURED OR IN CONDITIONS THAT PREVENT HIM/HER FROM WALKING (US19p)"
      9 = "NO SUITABLE SPACE"
      10 = "PROBLEM WITH EQUIPMENT OR SUPPLIES"
   ;
   value US15A_
      1 = "Yes"
      3 = "No"
      6 = "Male / Female <15 years old or >49 years old"
      9 = "Missing"
   ;
   value US15B_
      1 = "Yes"
      3 = "No"
      6 = "Male / Female <15 years old or >49 years old"
      9 = "Missing"
   ;
   value US15C_
      1 = "Yes"
      3 = "No"
      6 = "Male / Female <15 years old or >49 years old"
      9 = "Missing"
   ;
   value US18_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value US18AA_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value US18AB_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value US18AC_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value US18AD_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value US18B_HR_
      98 = "Don't know"
      99 = "Missing"
   ;
   value US18B_KET_
      1 = "Today"
      2 = "Yesterday"
      9 = "Missing"
   ;
   value US18B_MIN_
      98 = "Don't know"
      99 = "Missing"
   ;
   value $US18C_
      'A' = "Disable right hand"
      'B' = "Disable left hand"
      'C' = "Disable right foot"
      'D' = "Disable left foot"
      'E' = "E. Disable eyes"
      'F' = "F. Disable hear"
      'G' = "G. Disable speak"
      'W' = "No physical disability"
      'Z' = "Missing"
   ;
   value US19A_
      1 = "Yes"
      3 = "No --> US09A"
      9 = "Missing"
   ;
   value US19B_
      1 = "Measured"
      3 = "Reason not measured"
      7 = "Refused"
      9 = "Missing"
   ;
   value US19B_CD_
      1 = "RESPONDENT FELT IT WOULD NOT BE SAFE"
      2 = "INTERVIEWER FELT IT WOULD NOT BE SAFE"
      3 = "RESPONDENT TRIED BUT WAS UNABLE TO COMPLETE THE MEASUREMENT/TEST"
      4 = "RESPONDENT DID NOT UNDERSTAND INSTRUCTIONS"
      5 = "RESPONDENT'S HEALTH CONDITION PREVENT MEASUREMENT"
      6 = "RESPONDENT HAS RASH, A CAST, EDEMA, OPEN SORES IN ARM (FOR US07a, US07b, US07c)"
      7 = "RESPONDENT'S HAND HAD SURGERY, SWELLING, INFLAMMATION, SEVERE PLAIN, SEVERE PAIN, OR INJURY IN LAST 6 MONTHS (US20a, US20b, US20c)"
      8 = "RESPONDENT RECENTLY HAD SURGERY OR IS INJURED OR IN CONDITIONS THAT PREVENT HIM/HER FROM WALKING (US19p)"
      9 = "NO SUITABLE SPACE"
      10 = "PROBLEM WITH EQUIPMENT OR SUPPLIES"
   ;
   value US19C_
      1 = "Yes"
      3 = "Less than 10 seconds"
      4 = "Tried but failed --> US19L"
      9 = "Missing"
   ;
   value US19D_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value US19E_
      1 = "Yes"
      3 = "No --> US19L"
      9 = "Missing"
   ;
   value US19F_
      1 = "Yes"
      3 = "No --> (45<=age<70)"
      9 = "Missing"
   ;
   value US19G_
      1 = "Measured --> US19i"
      3 = "Reason not measured"
      7 = "Refused --> US19p"
      9 = "Missing"
   ;
   value US19G_CD_
      1 = "RESPONDENT FELT IT WOULD NOT BE SAFE"
      2 = "INTERVIEWER FELT IT WOULD NOT BE SAFE"
      3 = "RESPONDENT TRIED BUT WAS UNABLE TO COMPLETE THE MEASUREMENT/TEST"
      4 = "RESPONDENT DID NOT UNDERSTAND INSTRUCTIONS"
      5 = "RESPONDENT'S HEALTH CONDITION PREVENT MEASUREMENT"
      6 = "RESPONDENT HAS RASH, A CAST, EDEMA, OPEN SORES IN ARM (FOR US07a, US07b, US07c)"
      7 = "RESPONDENT'S HAND HAD SURGERY, SWELLING, INFLAMMATION, SEVERE PLAIN, SEVERE PAIN, OR INJURY IN LAST 6 MONTHS (US20a, US20b, US20c)"
      8 = "RESPONDENT RECENTLY HAD SURGERY OR IS INJURED OR IN CONDITIONS THAT PREVENT HIM/HER FROM WALKING (US19p)"
      9 = "NO SUITABLE SPACE"
      10 = "PROBLEM WITH EQUIPMENT OR SUPPLIES"
   ;
   value US19H_
      1 = "Measured"
      3 = "Reason not measured"
      7 = "Refused --> US19p"
      9 = "Missing"
   ;
   value US19H_CD_
      1 = "RESPONDENT FELT IT WOULD NOT BE SAFE"
      2 = "INTERVIEWER FELT IT WOULD NOT BE SAFE"
      3 = "RESPONDENT TRIED BUT WAS UNABLE TO COMPLETE THE MEASUREMENT/TEST"
      4 = "RESPONDENT DID NOT UNDERSTAND INSTRUCTIONS"
      5 = "RESPONDENT'S HEALTH CONDITION PREVENT MEASUREMENT"
      6 = "RESPONDENT HAS RASH, A CAST, EDEMA, OPEN SORES IN ARM (FOR US07a, US07b, US07c)"
      7 = "RESPONDENT'S HAND HAD SURGERY, SWELLING, INFLAMMATION, SEVERE PLAIN, SEVERE PAIN, OR INJURY IN LAST 6 MONTHS (US20a, US20b, US20c)"
      8 = "RESPONDENT RECENTLY HAD SURGERY OR IS INJURED OR IN CONDITIONS THAT PREVENT HIM/HER FROM WALKING (US19p)"
      9 = "NO SUITABLE SPACE"
      10 = "PROBLEM WITH EQUIPMENT OR SUPPLIES"
   ;
   value US19I_
      1 = "Yes"
      3 = "Less than 60 seconds"
      4 = "Tried but failed --> US19P"
      9 = "Missing"
   ;
   value US19J_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value US19K_
      1 = "Tile / wood"
      2 = "Carpet"
      3 = "Land"
      4 = "Concrete"
      5 = "Other"
      9 = "Missing"
   ;
   value US19L_
      1 = "Measured"
      3 = "Reason not measured"
      7 = "Refused --> US19P"
      9 = "Missing"
   ;
   value US19L_CD_
      1 = "RESPONDENT FELT IT WOULD NOT BE SAFE"
      2 = "INTERVIEWER FELT IT WOULD NOT BE SAFE"
      3 = "RESPONDENT TRIED BUT WAS UNABLE TO COMPLETE THE MEASUREMENT/TEST"
      4 = "RESPONDENT DID NOT UNDERSTAND INSTRUCTIONS"
      5 = "RESPONDENT'S HEALTH CONDITION PREVENT MEASUREMENT"
      6 = "RESPONDENT HAS RASH, A CAST, EDEMA, OPEN SORES IN ARM (FOR US07a, US07b, US07c)"
      7 = "RESPONDENT'S HAND HAD SURGERY, SWELLING, INFLAMMATION, SEVERE PLAIN, SEVERE PAIN, OR INJURY IN LAST 6 MONTHS (US20a, US20b, US20c)"
      8 = "RESPONDENT RECENTLY HAD SURGERY OR IS INJURED OR IN CONDITIONS THAT PREVENT HIM/HER FROM WALKING (US19p)"
      9 = "NO SUITABLE SPACE"
      10 = "PROBLEM WITH EQUIPMENT OR SUPPLIES"
   ;
   value US19M_
      1 = "Yes"
      3 = "Less than 10 seconds"
      4 = "Tried but failed --> US19P"
      9 = "Missing"
   ;
   value US19N_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value US19O_
      1 = "Tile / wood"
      2 = "Carpet"
      3 = "Land"
      4 = "Concrete"
      5 = "Other"
      9 = "Missing"
   ;
   value US19P_
      1 = "Yes"
      3 = "No"
      6 = "<60year"
      9 = "Missing"
   ;
   value US19QX_
      1 = "Measured"
      3 = "Reason not measured"
      6 = "< 60 year -->US09A"
      7 = "Refused --> US09A"
      9 = "Missing"
   ;
   value US19Q_CD_
      1 = "RESPONDENT FELT IT WOULD NOT BE SAFE"
      2 = "INTERVIEWER FELT IT WOULD NOT BE SAFE"
      3 = "RESPONDENT TRIED BUT WAS UNABLE TO COMPLETE THE MEASUREMENT/TEST"
      4 = "RESPONDENT DID NOT UNDERSTAND INSTRUCTIONS"
      5 = "RESPONDENT'S HEALTH CONDITION PREVENT MEASUREMENT"
      6 = "RESPONDENT HAS RASH, A CAST, EDEMA, OPEN SORES IN ARM (FOR US07a, US07b, US07c)"
      7 = "RESPONDENT'S HAND HAD SURGERY, SWELLING, INFLAMMATION, SEVERE PLAIN, SEVERE PAIN, OR INJURY IN LAST 6 MONTHS (US20a, US20b, US20c)"
      8 = "RESPONDENT RECENTLY HAD SURGERY OR IS INJURED OR IN CONDITIONS THAT PREVENT HIM/HER FROM WALKING (US19p)"
      9 = "NO SUITABLE SPACE"
      10 = "PROBLEM WITH EQUIPMENT OR SUPPLIES"
   ;
   value US19RX_
      1 = "Measured"
      3 = "Reason not measured"
      7 = "Refused"
      9 = "Missing"
   ;
   value US19R_CD_
      1 = "RESPONDENT FELT IT WOULD NOT BE SAFE"
      2 = "INTERVIEWER FELT IT WOULD NOT BE SAFE"
      3 = "RESPONDENT TRIED BUT WAS UNABLE TO COMPLETE THE MEASUREMENT/TEST"
      4 = "RESPONDENT DID NOT UNDERSTAND INSTRUCTIONS"
      5 = "RESPONDENT'S HEALTH CONDITION PREVENT MEASUREMENT"
      6 = "RESPONDENT HAS RASH, A CAST, EDEMA, OPEN SORES IN ARM (FOR US07a, US07b, US07c)"
      7 = "RESPONDENT'S HAND HAD SURGERY, SWELLING, INFLAMMATION, SEVERE PLAIN, SEVERE PAIN, OR INJURY IN LAST 6 MONTHS (US20a, US20b, US20c)"
      8 = "RESPONDENT RECENTLY HAD SURGERY OR IS INJURED OR IN CONDITIONS THAT PREVENT HIM/HER FROM WALKING (US19p)"
      9 = "NO SUITABLE SPACE"
      10 = "PROBLEM WITH EQUIPMENT OR SUPPLIES"
   ;
   value US19S_
      1 = "Tile / wood"
      2 = "Carpet"
      3 = "Land"
      4 = "Concrete"
      5 = "Other"
      9 = "Missing"
   ;
   value US19T_
      1 = "None"
      2 = "Walking stick"
      3 = "Elbow crutches"
      4 = "Walking frame"
      5 = "Other"
      9 = "Missing"
   ;
   value US19_0_
      1 = "Enter 1 to  continue"
   ;
   value US20_
      1 = "Left"
      2 = "Right"
      3 = "Ambidextrous"
      6 = "Both hand not functioning or Age < 15"
      9 = "Missing"
   ;
   value US20AA_
      1 = "Yes, in both hands"
      2 = "Yes, the left hand"
      3 = "Yes, the right hand"
      4 = "No"
      6 = "<15 years"
      9 = "Missing"
   ;
   value US20AX_
      1 = "Measured"
      3 = "Reason not measured"
      6 = "<15 years/moved/not yet contacted"
      7 = "Refused"
      9 = "Missing"
   ;
   value US20A_CD_
      1 = "RESPONDENT FELT IT WOULD NOT BE SAFE"
      2 = "INTERVIEWER FELT IT WOULD NOT BE SAFE"
      3 = "RESPONDENT TRIED BUT WAS UNABLE TO COMPLETE THE MEASUREMENT/TEST"
      4 = "RESPONDENT DID NOT UNDERSTAND INSTRUCTIONS"
      5 = "RESPONDENTS HEALTH CONDITION PREVENT MEASUREMENT"
      6 = "RESPONDENT HAS RASH, A CAST, EDEMA, OPEN SORES IN ARM (FOR US07a, US07b, US07c)"
      7 = "RESPONDENTS HAND HAD SURGERY, SWELLING, INFLAMMATION, SEVERE PLAIN, SEVERE PAIN, OR INJURY IN LAST 6 MONTHS (US20a, US20b, US20c)"
      8 = "RESPONDENT RECENTLY HAD SURGERY OR IS INJURED OR IN CONDITIONS THAT PREVENT HIM/HER FROM WALKING (US19p)"
      9 = "NO SUITABLE SPACE"
      10 = "PROBLEM WITH EQUIPMENT OR SUPPLIES"
   ;
   value US20BX_
      1 = "Measured"
      3 = "Reason not measured"
      6 = "<15 years/moved/not yet contacted"
      7 = "Refused"
      9 = "Missing"
   ;
   value US20B_CD_
      1 = "RESPONDENT FELT IT WOULD NOT BE SAFE"
      2 = "INTERVIEWER FELT IT WOULD NOT BE SAFE"
      3 = "RESPONDENT TRIED BUT WAS UNABLE TO COMPLETE THE MEASUREMENT/TEST"
      4 = "RESPONDENT DID NOT UNDERSTAND INSTRUCTIONS"
      5 = "RESPONDENTS HEALTH CONDITION PREVENT MEASUREMENT"
      6 = "RESPONDENT HAS RASH, A CAST, EDEMA, OPEN SORES IN ARM (FOR US07a, US07b, US07c)"
      7 = "RESPONDENTS HAND HAD SURGERY, SWELLING, INFLAMMATION, SEVERE PLAIN, SEVERE PAIN, OR INJURY IN LAST 6 MONTHS (US20a, US20b, US20c)"
      8 = "RESPONDENT RECENTLY HAD SURGERY OR IS INJURED OR IN CONDITIONS THAT PREVENT HIM/HER FROM WALKING (US19p)"
      9 = "NO SUITABLE SPACE"
      10 = "PROBLEM WITH EQUIPMENT OR SUPPLIES"
   ;
   value US20CX_
      1 = "Measured"
      3 = "Reason not measured"
      6 = "<15 years/moved/not yet contacted"
      7 = "Refused"
      9 = "Missing"
   ;
   value US20C_CD_
      1 = "RESPONDENT FELT IT WOULD NOT BE SAFE"
      2 = "INTERVIEWER FELT IT WOULD NOT BE SAFE"
      3 = "RESPONDENT TRIED BUT WAS UNABLE TO COMPLETE THE MEASUREMENT/TEST"
      4 = "RESPONDENT DID NOT UNDERSTAND INSTRUCTIONS"
      5 = "RESPONDENTS HEALTH CONDITION PREVENT MEASUREMENT"
      6 = "RESPONDENT HAS RASH, A CAST, EDEMA, OPEN SORES IN ARM (FOR US07a, US07b, US07c)"
      7 = "RESPONDENTS HAND HAD SURGERY, SWELLING, INFLAMMATION, SEVERE PLAIN, SEVERE PAIN, OR INJURY IN LAST 6 MONTHS (US20a, US20b, US20c)"
      8 = "RESPONDENT RECENTLY HAD SURGERY OR IS INJURED OR IN CONDITIONS THAT PREVENT HIM/HER FROM WALKING (US19p)"
      9 = "NO SUITABLE SPACE"
      10 = "PROBLEM WITH EQUIPMENT OR SUPPLIES"
   ;
   value US20DX_
      1 = "Measured"
      3 = "Reason not measured"
      6 = "<15 years/moved/not yet contacted"
      7 = "Refused"
      9 = "Missing"
   ;
   value US20D_CD_
      1 = "RESPONDENT FELT IT WOULD NOT BE SAFE"
      2 = "INTERVIEWER FELT IT WOULD NOT BE SAFE"
      3 = "RESPONDENT TRIED BUT WAS UNABLE TO COMPLETE THE MEASUREMENT/TEST"
      4 = "RESPONDENT DID NOT UNDERSTAND INSTRUCTIONS"
      5 = "RESPONDENTS HEALTH CONDITION PREVENT MEASUREMENT"
      6 = "RESPONDENT HAS RASH, A CAST, EDEMA, OPEN SORES IN ARM (FOR US07a, US07b, US07c)"
      7 = "RESPONDENTS HAND HAD SURGERY, SWELLING, INFLAMMATION, SEVERE PLAIN, SEVERE PAIN, OR INJURY IN LAST 6 MONTHS (US20a, US20b, US20c)"
      8 = "RESPONDENT RECENTLY HAD SURGERY OR IS INJURED OR IN CONDITIONS THAT PREVENT HIM/HER FROM WALKING (US19p)"
      9 = "NO SUITABLE SPACE"
      10 = "PROBLEM WITH EQUIPMENT OR SUPPLIES"
   ;
   value US20_0_
      1 = "Enter 1 to be continue"
   ;
   value US23_
      1 = "Standing"
      2 = "Sitting"
      6 = "Both hand not functioning or Age < 15"
      9 = "Missing"
   ;
   value US23A_
      1 = "Yes"
      2 = "No, because of pain, illness or other physical reasons"
      3 = "No, for other reasons"
      9 = "Missing"
   ;
   /*----------------------------------------------------------------------*/
   /*  INF_EA formats                                                      */                                
   /*----------------------------------------------------------------------*/
   value INTRO_CW1_
      1 = "Interview Continued"
      9 = "Interview Ended"
   ;
   value INTRO_CW2_
      1 = "Interview Continued"
      6 = "Not Applicable"
      9 = "Interview Ended"
   ;
   value CW111_POS_
      1 = "West"
      2 = "Southwest"
      3 = "South"
      4 = "Southeast"
      5 = "East"
      6 = "Northeast"
      7 = "North"
      8 = "Northwest"
      9 = "Missing"
   ;
   value CW111_X_
      1 = "GPS measured"
      3 = "GPS is not measured"
      6 = "NA"
      9 = "Missing"
   ;
   value CW211_POS_
      1 = "West"
      2 = "Southwest"
      3 = "South"
      4 = "Southeast"
      5 = "East"
      6 = "Northeast"
      7 = "North"
      8 = "Northwest"
      9 = "Missing"
   ;
   value CW211_X_
      1 = "GPS measured"
      3 = "GPS is not measured"
      6 = "NA"
      9 = "Missing"
   ;
   value KD05_
      1 = "Urban"
      2 = "Rural"
   ;
   value KD07_POS_
      1 = "West"
      2 = "Southwest"
      3 = "South"
      4 = "Southeast"
      5 = "East"
      6 = "Northeast"
      7 = "North"
      8 = "Northwest"
      9 = "Missing"
   ;
   value KD07_X_
      1 = "GPS measured"
      3 = "GPS is not measured"
      6 = "NA"
      9 = "Missing"
   ;
   value KD08_
      1 = "Village office photo available"
      3 = "Village office photo not available"
      9 = "Missing"
   ;
   value MODE_INFEA_
      1 = "Entry"
      2 = "Modification"
      3 = "Verification"
      4 = "Partial save"
   ;
   value PARTIAL_INFEA_
      0 = "###"
      1 = "Partial save"
      2 = "Complete"
   ;
   /*----------------------------------------------------------------------*/
   /*  KAMADAS formats                                                     */                                
   /*----------------------------------------------------------------------*/
   value A8_
      1 = "Asphalt or cement roads"
      2 = "Paved road (with stones"
      3 = "Dirt roads"
      5 = "Rivers"
      6 = "Lake"
      7 = "Marshes"
      8 = "Sea"
      95 = "Other"
      99 = "Missing"
   ;
   value A8A_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value A9_
      99 = "Missing"
   ;
   value A9X_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value B1_
      1 = "Yes"
      3 = "No ->B2A"
      9 = "Missing"
   ;
   value B1A_
      998 = "Don't know"
      999 = "Missing"
   ;
   value B1AX_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value B2A_
      1 = "Given"
      3 = "No ->C2A"
      9 = "Missing"
   ;
   value B2BX_
      1 = "Year given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value B2C_
      1 = "Cable"
      2 = "Wireless / LAN"
      9 = "Missing"
   ;
   value $B2D_
      'A' = "Sending and receiving email"
      'B' = "Send and receive documents / attachments"
      'C' = "Browsing / searching (example: news portal"
      'D' = "E-government"
      'E' = "Video/streaming (e.Youtube)"
      'V' = "Other"
      'Z' = "Missing"
   ;
   value $C2A_
      '1A' = "Piped water directly to the house"
      '1B' = "Piped water from a hydrant/stand pipe"
      '1C' = "Piped water purchased from a vendor"
      '2 ' = "Pump water (electric/manual)"
      '3 ' = "Well water"
      '4 ' = "Spring water"
      '5 ' = "Rain water"
      '6 ' = "River water"
      '7 ' = "Lake water"
      '8 ' = "Mineral/bottled water"
      '8A' = "8Others drinking water"
      99 = "Missing"
   ;
   value D19AX_
      1 = "Given"
      6 = "NA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value D19BX_
      1 = "Given"
      6 = "NA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value D20A_X_
      1 = "Yes"
      6 = "NA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value D28_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value D2A_
      1 = "Cassava"
      2 = "Sweet Potatoes"
      3 = "Peanuts"
      4 = "Cashews and other nuts"
      5 = "Soybean"
      6 = "Corn"
      7 = "Chili"
      8 = "shallot"
      9 = "Coconut"
      10 = "Bananas"
      11 = "Spice"
      12 = "Coffee"
      13 = "Sugarcane"
      14 = "Tobacco"
      15 = "Rubber"
      16 = "Wood"
      22 = "Other vegetables"
      23 = "Other fruits"
      90 = "Rice"
      95 = "Other"
      96 = "No other crop"
      99 = "Missing"
   ;
   value D2B_
      1 = "Cassava"
      2 = "Sweet Potatoes"
      3 = "Peanuts"
      4 = "Cashews and other nuts"
      5 = "Soybean"
      6 = "Corn"
      7 = "Chili"
      8 = "shallot"
      9 = "Coconut"
      10 = "Bananas"
      11 = "Spice"
      12 = "Coffee"
      13 = "Sugarcane"
      14 = "Tobacco"
      15 = "Rubber"
      16 = "Wood"
      22 = "Other vegetables"
      23 = "Other fruits"
      90 = "Rice"
      95 = "Other"
      96 = "No other crop"
      99 = "Missing"
   ;
   value D2C_
      1 = "Cassava"
      2 = "Sweet Potatoes"
      3 = "Peanuts"
      4 = "Cashews and other nuts"
      5 = "Soybean"
      6 = "Corn"
      7 = "Chili"
      8 = "shallot"
      9 = "Coconut"
      10 = "Bananas"
      11 = "Spice"
      12 = "Coffee"
      13 = "Sugarcane"
      14 = "Tobacco"
      15 = "Rubber"
      16 = "Wood"
      22 = "Other vegetables"
      23 = "Other fruits"
      90 = "Rice"
      95 = "Other"
      96 = "No other crop"
      99 = "Missing"
   ;
   value D31AX_
      1 = "Given"
      6 = "NA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value D31BX_
      1 = "Given"
      6 = "NA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value D4_
      996 = "NA"
      998 = "Don't know"
      999 = "Missing"
   ;
   value E15A_
      1 = "Yes"
      3 = "No -> SW01"
      9 = "Missing"
   ;
   value E16AMTH_
      1 = "January"
      2 = "February"
      3 = "Maret"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "Missing"
   ;
   value E16AX_
      1 = "Yes"
      8 = "Don't know"
      9 = "Missing"
   ;
   value E16AYR_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value E17AMTH_
      1 = "January"
      2 = "February"
      3 = "Maret"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "Missing"
   ;
   value E17AX_
      1 = "Yes"
      8 = "Don't know"
      9 = "Missing"
   ;
   value E17AYR_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value E26_
      1 = "1-5 Meters"
      2 = "6-9 Meters"
      3 = "10-24 Meters"
      4 = ">= 24 Meters"
      9 = "Missing"
   ;
   value E26A_
      98 = "Don't know"
      99 = "Missing"
   ;
   value E26AX_
      1 = "Day"
      2 = "Week"
      3 = "Month"
      9 = "Missing"
   ;
   value $E27_
      'A' = "Unable to work"
      'B' = "Reducing activities outside the home"
      'C' = "Children can not go to school"
      'D' = "Children can not play outside"
      'E' = "Public services / businesses closed"
      'V' = "Other"
      'W' = "No impact"
      'Z' = "Missing"
   ;
   value E28_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value I13AX_
      1 = "Given"
      6 = "NA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value I13BX_
      1 = "Given"
      6 = "NA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value I13CX_
      1 = "Given"
      6 = "NA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value I13DX_
      1 = "Given"
      6 = "NA"
      8 = "Don't know"
      9 = "Missing"
   ;
   value I31A_
      99 = "Missing"
   ;
   value I31B_
      99 = "Missing"
   ;
   value I31C_
      99 = "Missing"
   ;
   value I31D_
      99 = "Missing"
   ;
   value J10A_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value J10B_
      98 = "Don't know"
      99 = "Missing"
   ;
   value J10BX_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value PAP20A_
      1 = "Yes"
      3 = "No ->PAP24a"
      9 = "Missing"
   ;
   value PAP20B_
      1 = "Yes"
      3 = "No ->PAP24a"
      9 = "Missing"
   ;
   value $PAP21_
      'A' = "Puskesmas"
      'B' = "Puskesmas Pembantu"
      'C' = "Village Midwife"
      'D' = "Private Practice"
      'E' = "Public Hospital"
      'F' = "Private Hospital"
      'Z' = "Missing"
   ;
   value PAP24_
      1 = "Yes"
      3 = "No ->PAP28"
      9 = "Missing"
   ;
   value PAP24A_
      1 = "Yes"
      3 = "No ->PAP24a"
      9 = "Missing"
   ;
   value $PAP25_
      'A' = "Puskesmas"
      'B' = "Puskesmas Pembantu"
      'C' = "Village Midwife"
      'D' = "Private Practice"
      'E' = "Public Hospital"
      'F' = "Private Hospital"
      'Z' = "Missing"
   ;
   value PAP25A_
      1 = "Yes"
      3 = "No ->PAP24a"
      9 = "Missing"
   ;
   value $PAP27A_
      'A' = "Puskesmas"
      'B' = "Puskesmas Pembantu"
      'C' = "Village Midwife"
      'D' = "Private Practice"
      'E' = "Public Hospital"
      'F' = "Private Hospital"
      'Z' = "Missing"
   ;
   value PAP28_
      1 = "Yes"
      3 = "No -> PAP56"
      9 = "Missing"
   ;
   value PAP31A_
      998 = "Don't know"
      999 = "Missing"
   ;
   value PAP31A_X_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value PAP31X_
      1 = "Given"
      3 = "Don't know"
      9 = "Missing"
   ;
   value PAP32M_
      1 = "January"
      2 = "February"
      3 = "Maret"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "Missing"
   ;
   value PAP32X_
      1 = "Given"
      6 = "NA"
      9 = "Missing"
   ;
   value PAP32Y_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value PAP36_
      98 = "Don't know"
      99 = "Missing"
   ;
   value PAP36X_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value PAP38X_
      1 = "Given"
      8 = "Don't know"
      9 = "Missing"
   ;
   value PAP56_
      1 = "Yes"
      3 = "No -> PAP66a"
      8 = "Don't know"
      9 = "Missing"
   ;
   value PAP56A_
      98 = "Don't know"
      99 = "Missing"
   ;
   value PAP56AX_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value PAP56B_
      98 = "Don't know"
      99 = "Missing"
   ;
   value PAP56BX_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value PAP56C_
      98 = "Don't know"
      99 = "Missing"
   ;
   value PAP56CX_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value PAP58_MTH_
      1 = "January"
      2 = "February"
      3 = "Maret"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "Missing"
   ;
   value PAP58_YR_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value PAP59_
      998 = "Don't know"
      999 = "Missing"
   ;
   value PAP66A_
      1 = "Yes"
      3 = "No -> TR01"
      9 = "Missing"
   ;
   value PAP67A_MTH_
      1 = "January"
      2 = "February"
      3 = "Maret"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "Missing"
   ;
   value PAP67A_X_
      1 = "Yes"
      8 = "Don't know -> TR01"
      9 = "Missing"
   ;
   value PAP67A_YR_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value $PAP68A_
      'A' = "Taking rice Raskin"
      'B' = "Taking PKH"
      'C' = "Taking BLSM"
      'D' = "Taking BSM"
      'V' = "Other"
   ;
   value PAP69A_X_
      1 = "Yes"
      8 = "Don't know"
      9 = "Missing"
   ;
   value S1A_A_
      998 = "Don't know"
      999 = "Missing"
   ;
   value $S1A_A_NM_
      'A' = "Javanese"
      'A1' = "Manado"
      'B' = "Sundanese"
      'B1' = "Aceh"
      'C' = "Balinese"
      'C1' = "SumbagSel lain"
      'D' = "Batak"
      'D1' = "Banten"
      'E' = "Bugis"
      'E1' = "Cirebon"
      'F' = "Chinese"
      'F1' = "Gorontalo"
      'G' = "Maduranese"
      'G1' = "Kutai"
      'H' = "Sasak"
      'I' = "Minang"
      'J' = "Banjar"
      'K' = "Bima-Dompu"
      'L' = "Makassar"
      'M' = "Nias"
      'N' = "Palembang"
      'O' = "Sumbawa"
      'P' = "Toraja"
      'Q' = "Betawi"
      'R' = "Dayak"
      'S' = "Melayu"
      'T' = "Komering"
      'U' = "Ambon"
      'V' = "Other"
      'Z' = "Missing"
   ;
   value S1A_B_
      998 = "Don't know"
      999 = "Missing"
   ;
   value $S1A_B_NM_
      'A' = "Javanese"
      'A1' = "Manado"
      'B' = "Sundanese"
      'B1' = "Aceh"
      'C' = "Balinese"
      'C1' = "SumbagSel lain"
      'D' = "Batak"
      'D1' = "Banten"
      'E' = "Bugis"
      'E1' = "Cirebon"
      'F' = "Chinese"
      'F1' = "Gorontalo"
      'G' = "Maduranese"
      'G1' = "Kutai"
      'H' = "Sasak"
      'I' = "Minang"
      'J' = "Banjar"
      'K' = "Bima-Dompu"
      'L' = "Makassar"
      'M' = "Nias"
      'N' = "Palembang"
      'O' = "Sumbawa"
      'P' = "Toraja"
      'Q' = "Betawi"
      'R' = "Dayak"
      'S' = "Melayu"
      'T' = "Komering"
      'U' = "Ambon"
      'V' = "Other"
      'W' = "NA"
      'Z' = "Missing"
   ;
   value S1A_C_
      998 = "Don't know"
      999 = "Missing"
   ;
   value $S1A_C_NM_
      'A' = "Javanese"
      'A1' = "Manado"
      'B' = "Sundanese"
      'B1' = "Aceh"
      'C' = "Balinese"
      'C1' = "SumbagSel lain"
      'D' = "Batak"
      'D1' = "Banten"
      'E' = "Bugis"
      'E1' = "Cirebon"
      'F' = "Chinese"
      'F1' = "Gorontalo"
      'G' = "Maduranese"
      'G1' = "Kutai"
      'H' = "Sasak"
      'I' = "Minang"
      'J' = "Banjar"
      'K' = "Bima-Dompu"
      'L' = "Makassar"
      'M' = "Nias"
      'N' = "Palembang"
      'O' = "Sumbawa"
      'P' = "Toraja"
      'Q' = "Betawi"
      'R' = "Dayak"
      'S' = "Melayu"
      'T' = "Komering"
      'U' = "Ambon"
      'V' = "Other"
      'W' = "NA"
      'Z' = "Missing"
   ;
   value S2A_A_
      998 = "Don't know"
      999 = "Missing"
   ;
   value S2A_B_
      998 = "Don't know"
      999 = "Missing"
   ;
   value S2A_C_
      998 = "Don't know"
      999 = "Missing"
   ;
   value S2A_D_
      998 = "Don't know"
      999 = "Missing"
   ;
   value S2A_E_
      998 = "Don't know"
      999 = "Missing"
   ;
   value S2A_F_
      998 = "Don't know"
      999 = "Missing"
   ;
   value S2A_V_
      998 = "Don't know"
      999 = "Missing"
   ;
   value S40A_
      1 = "Agriculture"
      2 = "Sales"
      3 = "Industry"
      4 = "Electricity"
      5 = "Construction"
      6 = "Large trade"
      7 = "Transportation and communication"
      8 = "Finance"
      9 = "Social services"
      95 = "Other"
      96 = "No Other"
      99 = "Missing"
   ;
   value S40B_
      1 = "Agriculture"
      2 = "Sales"
      3 = "Industry"
      4 = "Electricity"
      5 = "Construction"
      6 = "Large trade"
      7 = "Transportation and communication"
      8 = "Finance"
      9 = "Social services"
      95 = "Other"
      96 = "No Other"
      99 = "Missing"
   ;
   value S40C_
      1 = "Agriculture"
      2 = "Sales"
      3 = "Industry"
      4 = "Electricity"
      5 = "Construction"
      6 = "Large trade"
      7 = "Transportation and communication"
      8 = "Finance"
      9 = "Social services"
      95 = "Other"
      96 = "No Other"
      99 = "Missing"
   ;
   value SW01_
      1 = "Poorest"
      2 = "2"
      3 = "3"
      4 = "4"
      5 = "5"
      6 = "Richest"
      8 = "Don't know"
      9 = "Missing"
   ;
   value TR05_
      1 = "Very safe"
      2 = "Safe"
      3 = "Unsafe"
      4 = "Very unsafe"
      9 = "Missing"
   ;
   value TR07_
      1 = "Very safe"
      2 = "Safe"
      3 = "Unsafe"
      4 = "Very unsafe"
      9 = "Missing"
   ;
   value TR07A_
      1 = "Very safe"
      2 = "Safe"
      3 = "Unsafe"
      4 = "Very unsafe"
      9 = "Missing"
   ;
   value $DUMMY_S38_
      'A' = "Farming"
      'B' = "Mining and quarrying"
      'C' = "Industry"
      'D' = "Electricity"
      'E' = "Construction"
      'F' = "Large trade"
      'G' = "Transportation"
      'H' = "Finance"
      'I' = "Social services"
      'J' = "Other"
   ;
   value S38_
      1 = "Farming"
      2 = "Mining and quarrying"
      3 = "Industry"
      4 = "Electricity"
      5 = "Construction"
      6 = "Large trade"
      7 = "Transportation"
      8 = "Finance"
      9 = "Social services"
      95 = "Other"
   ;
   value S39_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value J26_
      99 = "Missing"
   ;
   value J26X_
      1 = "Given facilities"
      3 = "None"
      8 = "Don't know"
      9 = "Missing"
   ;
   value $JTYPE_
      'A' = "Helath Centers and Health Sub-Centers"
      'AA' = "AIntegrated Community Health Post"
      'AB' = "AIntegrated Community Healt Post for the Elderly"
      'B' = "Private Health practitioner"
      'C' = "Traditional Health Worker"
      'D' = "Public or Private hospital"
   ;
   value F01_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value F02_
      98 = "Don't know"
      99 = "Missing"
   ;
   value F03A_X_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value F03M_
      1 = "January"
      2 = "February"
      3 = "Maret"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "Missing"
   ;
   value F03Y_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value H02_
      1 = "Kg"
      2 = "Liter"
      13 = "Packs"
      95 = "Others"
      99 = "Missing"
   ;
   value H03A_
      5 = "Others"
      6 = "No Stock"
      8 = "Not Sold"
      9 = "Missing"
   ;
   value H04_
      1 = "Kg"
      2 = "Liter"
      8 = "Gram"
      9 = "Missing"
   ;
   value TR01_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value TR02_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value TR02A_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value $TR03_
      'A' = "Legal experts"
      'B' = "Village leaders / religious leader / leaders of indigenous"
      'C' = "Village officials"
      'D' = "LSM"
      'E' = "Police"
      'F' = "Family members / friends"
      'G' = "Lawyer"
      'H' = "Employees districts"
      'I' = "civil servants"
      'J' = "The prosecutor's office"
      'K' = "Courts"
      'V' = "Other"
      'Y' = "Don't know"
   ;
   value TR04_
      1 = "Increased"
      2 = "The same"
      3 = "Decreased"
      9 = "Missing"
   ;
   value C1BKM_
      1 = "Completed"
      2 = "Partially completed"
      3 = "Not completed"
   ;
   value C2BKM_
      1 = "Resnot at home/did not found"
      2 = "Reswas seriously ill"
      3 = "Resrefused"
      5 = "Other"
      9 = "Missing"
   ;
   value C4ABKM_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value C4BBKM_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value C4CBKM_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value C5_1A_
      998 = "Don't know"
      999 = "Missing"
   ;
   value C5_X_
      1 = "EA"
      2 = "Beyond the range of EA"
      9 = "Missing"
   ;
   value CK1BKM_
      0 = "Indonesian"
      1 = "Javanese"
      2 = "Sundanese"
      3 = "Balinese"
      4 = "Batak"
      5 = "Bugis"
      6 = "Chinese"
      7 = "Maduranese"
      8 = "Sasak"
      9 = "Minang"
      10 = "Banjar"
      11 = "Bima"
      12 = "Makasar"
      13 = "Nias"
      14 = "Palembang"
      15 = "Sumbawa"
      16 = "Toraja"
      17 = "Lahat"
      18 = "Other South Sumatra"
      19 = "Betawi"
      20 = "Lampung"
      21 = "Portugal"
      95 = "Other"
      98 = "Don't know"
      99 = "Missing"
   ;
   value CK2BKM_
      0 = "Indonesian"
      1 = "Javanese"
      2 = "Sundanese"
      3 = "Balinese"
      4 = "Batak"
      5 = "Bugis"
      6 = "Chinese"
      7 = "Maduranese"
      8 = "Sasak"
      9 = "Minang"
      10 = "Banjar"
      11 = "Bima"
      12 = "Makasar"
      13 = "Nias"
      14 = "Palembang"
      15 = "Sumbawa"
      16 = "Toraja"
      17 = "Lahat"
      18 = "Other South Sumatra"
      19 = "Betawi"
      20 = "Lampung"
      21 = "Portugal"
      95 = "Other"
      96 = "NA"
      98 = "Don't know"
      99 = "Missing"
   ;
   value COV00_
      1 = "Yes"
      3 = "No -> CP1"
   ;
   value $INTRO_F01_
      'A' = "Flood"
      'B' = "Earthquake"
      'C' = "Landslide"
      'D' = "Volcanic eruption"
      'E' = "Tsunami"
      'F' = "Drought"
      'G' = "Fire"
      'H' = "Other Fire"
      'W' = "NO DISASTERS IN THE LAST 5 YEARS"
   ;
   value INTRO_IR_
      1 = "Interview continues"
      9 = "Interviews completed"
   ;
   value $INTRO_PAP7_
      'A' = "Jamkesda"
      'B' = "Jamkesmas"
      'C' = "Jampersal"
      'D' = "JKN (Jaminan Kesehatan Nasional)"
      'E' = "Raskin"
      'F' = "Operasi Pasar Beras"
      'G' = "Operasi Pasar untuk Minyak Tanah, Gula, atau Minyak Goreng"
      'H' = "BLT (Bantuan Langsung Tunai)"
      'I' = "Program Keluarga Harapan"
      'J' = "PNPM MANDIRI"
      'K' = "Bantuan Langsung Sementara Masyarakat ( BLSM )"
      'L' = "Bantuan Siswa Miskin ( BSM )"
      'M' = "Asuransi Kesejahteraan Sosial ( Askesos )"
      'N' = "Pengurangan Pekerja Anak - Program Keluarga Harapan ( PPA-PKH)"
      'O' = "Jaminan Sosial Penyandang cacat/Jaminan Sosial Bagi Penyandang Cacat Berat (JSPACA/JSODK)"
      'P' = "Jaminan Sosial Lanjut Usia ( JSLU/ASLUT )"
      'Q' = "Kelompok Usaha Bersama/Usaha Ekonomi Produktelseif ( KUBE/UEP"
      'R' = "Program Perbaikan Rumah ( RTLH (Rumah Tidak Layak Huni)/ Bedah Rumah )"
      'S' = "Program Kesejahteraan Sosial Anak ( PKSA )"
      'T' = "Kartu Perlindungan Sosial ( KPS )"
      'W' = "NO PROGRAM SINCE 2007"
   ;
   value INTRO_S1_
      1 = "Interview continues"
      9 = "Interviews completed"
   ;
   value $INTRO_S39_
      'A' = "Farming"
      'B' = "Mining and quarrying"
      'C' = "Industry"
      'D' = "Electricity"
      'E' = "Construction"
      'F' = "Large trade"
      'G' = "Transportation"
      'H' = "Finance"
      'I' = "Social services"
      'J' = "Other"
   ;
   value INTRO_TR1_
      1 = "Interview continues"
      9 = "Interviews completed"
   ;
   value INTRO_TR2_
      1 = "Interview continues"
      9 = "Interviews completed"
   ;
   value IR1A_
      1 = "Village head / headman"
      2 = "Village secretary"
      3 = "Head of Government Affairs"
      4 = "Head of Rural Development"
      5 = "Head of Public Welfare"
      6 = "Head of Financial Affairs"
      7 = "Head of Public Affairs"
      95 = "Other"
      99 = "Missing"
   ;
   value IR2AMTH_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "Missing"
   ;
   value IR2AYR_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value IR3_
      1 = "Male"
      3 = "Female"
      9 = "Missing"
   ;
   value IR3A_
      1 = "Unschooled"
      2 = "Grade school"
      3 = "General jhigh"
      4 = "Vocational jhigh"
      5 = "General shigh (SLA)"
      6 = "Vocational shigh (SMK)"
      11 = "Education A"
      12 = "Education B"
      13 = "Open University"
      14 = "Moslem School (Pesantren)"
      15 = "Education C"
      17 = "School for the disabled"
      60 = "Diploma (D1,D2,D3)"
      61 = "University S1"
      62 = "University S2"
      63 = "University S3"
      72 = "Madrasah Ibtidaiyah"
      73 = "Madrasah Tsanawiyah"
      74 = "Madrasah Aliyah"
      90 = "Kindergarten"
      95 = "Other"
      98 = "Don't know"
      99 = "Missing"
   ;
   value IR4_
      0 = "Did not finish 1st g"
      1 = "1"
      2 = "2"
      3 = "3"
      4 = "4"
      5 = "5"
      6 = "6"
      7 = "Graduated"
      96 = "No school"
      98 = "Don't know"
      99 = "Missing"
   ;
   value IR5MTH_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "Missing"
   ;
   value IR5X_
      1 = "Yes"
      3 = "From birth"
      6 = "Not stay in this village"
      9 = "Missing"
   ;
   value IR5YR_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value IR6_
      1 = "Were elected"
      2 = "Appointed by residents"
      3 = "Appointed by camat"
      4 = "Appointed Regent / Mayor"
      5 = "Other"
      9 = "Missing"
   ;
   value IR1A_A_
      1 = "Village head / headman"
      2 = "Village secretary"
      3 = "Head of Government Affairs"
      4 = "Head of Rural Development"
      5 = "Head of Public Welfare"
      6 = "Head of Financial Affairs"
      7 = "Head of Public Affairs"
      95 = "Other"
      99 = "Missing"
   ;
   value IR2A_A_MTH_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "Missing"
   ;
   value IR2A_A_YR_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value IR3A_A_
      1 = "Unschooled"
      2 = "Grade school"
      3 = "General jhigh"
      4 = "Vocational jhigh"
      5 = "General shigh (SLA)"
      6 = "Vocational shigh (SMK)"
      11 = "Education A"
      12 = "Education B"
      13 = "Open University"
      14 = "Moslem School (Pesantren)"
      15 = "Education C"
      17 = "School for the disabled"
      60 = "Diploma (D1"
      61 = "University S1"
      62 = "University S2"
      63 = "University S3"
      72 = "Madrasah Ibtidaiyah"
      73 = "Madrasah Tsanawiyah"
      74 = "Madrasah Aliyah"
      90 = "Kindergarten"
      95 = "Other"
      98 = "Don't know"
      99 = "Missing"
   ;
   value IR3_A_
      1 = "Male"
      3 = "Female"
      9 = "Missing"
   ;
   value IR4_A_
      0 = "Did not finish 1st g"
      1 = "1"
      2 = "2"
      3 = "3"
      4 = "4"
      5 = "5"
      6 = "6"
      7 = "Graduated"
      96 = "No school"
      98 = "Don't know"
      99 = "Missing"
   ;
   value IR5_A_MTH_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "Missing"
   ;
   value IR5_A_X_
      1 = "Yes"
      3 = "From birth"
      6 = "Not stay in this village"
      9 = "Missing"
   ;
   value IR5_A_YR_
      9998 = "Don't know"
      9999 = "Missing"
   ;
   value IR6_A_
      1 = "Were elected"
      2 = "Appointed by residents"
      3 = "Appointed by camat"
      4 = "Appointed Regent / Mayor"
      5 = "Other"
      9 = "Missing"
   ;
   value LK05_
      1 = "Urban"
      2 = "Rural"
   ;
   value LK07A_POS_
      1 = "West"
      2 = "Southwest"
      3 = "South"
      4 = "Southeast"
      5 = "East"
      6 = "Northeast"
      7 = "North"
      8 = "Northwest"
      9 = "Missing"
   ;
   value LK07A_X_
      1 = "GPS measured"
      3 = "GPS not measured"
      6 = "NA"
      9 = "Missing"
   ;
   value LK07CB_
      1 = "Respondent's building photo available"
      3 = "Respondent's building photo not available"
      9 = "MISSING"
   ;
   value LK08C_
      99998 = "Don't know"
      99999 = "Missing"
   ;
   value $LK09X_
      'A' = "Home"
      'B' = "Mobile"
      'W' = "Not aplicable"
      'Y' = "Don't Know"
      'Z' = "Missing"
   ;
   value $DUMMY_PAP7_
      'A' = "Jamkesda"
      'B' = "Jamkesmas"
      'C' = "Jampersal"
      'D' = "JKN (Jaminan Kesehatan Nasional)"
      'E' = "Raskin"
      'F' = "Operasi Pasar Beras"
      'G' = "Operasi Pasar untuk Minyak Tanah"
      'H' = "BLT (Bantuan Langsung Tunai)"
      'I' = "Program Keluarga Harapan"
      'J' = "PNPM MANDIRI"
      'K' = "Bantuan Langsung Sementara Masyarakat ( BLSM )"
      'L' = "Bantuan Siswa Miskin ( BSM )"
      'M' = "Asuransi Kesejahteraan Sosial ( Askesos )"
      'N' = "Pengurangan Pekerja Anak - Program Keluarga Harapan ( PPA-PKH)"
      'O' = "Jaminan Sosial Penyandang cacat/Jaminan Sosial Bagi Penyandang Cacat Berat (JSPACA/JSODK)"
      'P' = "Jaminan Sosial Lanjut Usia ( JSLU/ASLUT )"
      'Q' = "Kelompok Usaha Bersama/Usaha Ekonomi Produktelseif ( KUBE/UEP"
      'R' = "Program Perbaikan Rumah ( RTLH (Rumah Tidak Layak Huni)/ Bedah Rumah )"
      'S' = "Program Kesejahteraan Sosial Anak ( PKSA )"
      'T' = "Kartu Perlindungan Sosial ( KPS )"
   ;
   value PAP14_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value PAP17A_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value PAP7_
      1 = "Yes"
      3 = "No"
      9 = "Missing"
   ;
   value PAP7AX_
      1 = "Enter year/month"
      8 = "Don't know"
      9 = "Missing"
   ;
   value PAP7A_MTH_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "Missing"
   ;
   value PAP7A_YR_
      9999 = "Missing"
   ;
   value PAP7C_
      1 = "Yes"
      3 = "No"
      8 = "Don't know"
      9 = "Missing"
   ;
   value PAP7DX_
      1 = "Enter year/month"
      8 = "Don't know"
      9 = "Missing"
   ;
   value PAP7D_MTH_
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't know"
      99 = "Missing"
   ;
   value PAP7D_YR_
      9999 = "Missing"
   ;
   value PAP8X_
      1 = "Enter value"
      8 = "Don't know"
      9 = "Missing"
   ;
   value MODE_BKM_
      1 = "Entry"
      2 = "Modification"
      3 = "Verification"
   ;
   value PARTIAL_BKM_
      0 = "###"
      1 = "Partial save"
      2 = "Completed"
   ;
   /*----------------------------------------------------------------------*/
   /*  ADDITIONAL formats (user added)                                     */                                
   /*----------------------------------------------------------------------*/
   value MTH
      1 = "January"
      2 = "February"
      3 = "March"
      4 = "April"
      5 = "May"
      6 = "June"
      7 = "July"
      8 = "August"
      9 = "September"
      10 = "October"
      11 = "November"
      12 = "December"
      98 = "Don't Know"
      99 = "Missing"
   ;
   value xvar
      . = "missing"
      1 = "1.given"
      3 = "3.not given"
      7 = "7.refused"
      8 = "8.don't know"
      9 = "9.missing"
   ;
   value $xvarc
      "" = "missing"
      "." = "missing"
      "1" = "1.given"
      "3" = "3.not given"
      "7" = "7.refused"
      "8" = "8.don't know"
      "9" = "9.missing"
   ;
   value hr02p_a_
      12     = "12. ~ 20 mil   "
      13     = "13. > 20 mil   "
      18     = "18. DK         "
      21     = "21. < 10 mil   "
      22     = "22. ~ 10 mil   "
      23     = "23. > 10 mil   "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 10 mil  "
      112    = "112. ~ 10 mil  "
      113    = "113. > 10 mil  "
      118    = "118. DK        "
      131    = "131. < 40 mil  "
      132    = "132. ~ 40 mil  "
      133    = "133. > 40 mil  "
      138    = "138. DK        "
      231    = "231. < 20 mil  "
      232    = "232. ~ 20 mil  "
      233    = "233. > 20 mil  "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 40 mil "
      2332   = "2332. ~ 40 mil "
      2333   = "2333. > 40 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value hr02p_b_
      12     = "12. ~ 100 mil  "
      13     = "13. > 100 mil  "
      18     = "18. DK         "
      21     = "21. < 50 mil   "
      22     = "22. ~ 50 mil   "
      23     = "23. > 50 mil   "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 50 mil  "
      112    = "112. ~ 50 mil  "
      113    = "113. > 50 mil  "
      118    = "118. DK        "
      131    = "131. < 200 mil "
      132    = "132. ~ 200 mil "
      133    = "133. > 200 mil "
      138    = "138. DK        "
      231    = "231. < 100 mil "
      232    = "232. ~ 100 mil "
      233    = "233. > 100 mil "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 200 mil"
      2332   = "2332. ~ 200 mil"
      2333   = "2333. > 200 mil"
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;      
   value hr02p_c_
      12     = "12. ~ 50 mil   "
      13     = "13. > 50 mil   "
      18     = "18. DK         "
      21     = "21. < 25mil    "
      22     = "22. ~ 25mil    "
      23     = "23. > 25mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 25 mil  "
      112    = "112. ~ 25 mil  "
      113    = "113. > 25 mil  "
      118    = "118. DK        "
      131    = "131. < 100 mil "
      132    = "132. ~ 100 mil "
      133    = "133. > 100 mil "
      138    = "138. DK        "
      231    = "231. < 50 mil  "
      232    = "232. ~ 50 mil  "
      233    = "233. > 50 mil  "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 100 mil"
      2332   = "2332. ~ 100 mil"
      2333   = "2333. > 100 mil"
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value hr02p_d1_
      12     = "12. ~ 8 mil    "
      13     = "13. > 8 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4 mil   "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 15 mil  "
      132    = "132. ~ 15 mil  "
      133    = "133. > 15 mil  "
      138    = "138. DK        "
      231    = "231. < 8 mil   "
      232    = "232. ~ 8 mil   "
      233    = "233. > 8 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 15 mil "
      2332   = "2332. ~ 15 mil "
      2333   = "2333. > 15 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value hr02p_d2_
      12     = "12. ~ 8 mil    "
      13     = "13. > 8 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4 mil   "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 15 mil  "
      132    = "132. ~ 15 mil  "
      133    = "133. > 15 mil  "
      138    = "138. DK        "
      231    = "231. < 8 mil   "
      232    = "232. ~ 8 mil   "
      233    = "233. > 8 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 15 mil "
      2332   = "2332. ~ 15 mil "
      2333   = "2333. > 15 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value hr02p_d3_
      12     = "12. ~ 20 mil   "
      13     = "13. > 20 mil   "
      18     = "18. DK         "
      21     = "21. < 10 mil   "
      22     = "22. ~ 10 mil   "
      23     = "23. > 10 mil   "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 10 mil  "
      112    = "112. ~ 10 mil  "
      113    = "113. > 10 mil  "
      118    = "118. DK        "
      131    = "131. < 40 mil  "
      132    = "132. ~ 40 mil  "
      133    = "133. > 40 mil  "
      138    = "138. DK        "
      231    = "231. < 20 mil  "
      232    = "232. ~ 20 mil  "
      233    = "233. > 20 mil  "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 40 mil "
      2332   = "2332. ~ 40 mil "
      2333   = "2333. > 40 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value hr02p_e_
      12     = "12. ~ 10 mil   "
      13     = "13. > 10 mil   "
      18     = "18. DK         "
      21     = "21. < 5 mil    "
      22     = "22. ~ 5 mil    "
      23     = "23. > 5 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 5 mil   "
      112    = "112. ~ 5 mil   "
      113    = "113. > 5 mil   "
      118    = "118. DK        "
      131    = "131. < 50 mil  "
      132    = "132. ~ 50 mil  "
      133    = "133. > 50 mil  "
      138    = "138. DK        "
      231    = "231. < 10 mil  "
      232    = "232. ~ 10 mil  "
      233    = "233. > 10 mil  "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 50 mil "
      2332   = "2332. ~ 50 mil "
      2333   = "2333. > 50 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value hr02p_f_
      12     = "12. ~ 8 mil    "
      13     = "13. > 8 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4 mil   "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 15 mil  "
      132    = "132. ~ 15 mil  "
      133    = "133. > 15 mil  "
      138    = "138. DK        "
      231    = "231. < 8 mil   "
      232    = "232. ~ 8 mil   "
      233    = "233. > 8 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 15 mil "
      2332   = "2332. ~ 15 mil "
      2333   = "2333. > 15 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value hr02p_g_
      12     = "12. ~ 8 mil    "
      13     = "13. > 8 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4 mil   "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 15 mil  "
      132    = "132. ~ 15 mil  "
      133    = "133. > 15 mil  "
      138    = "138. DK        "
      231    = "231. < 8 mil   "
      232    = "232. ~ 8 mil   "
      233    = "233. > 8 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 15 mil "
      2332   = "2332. ~ 15 mil "
      2333   = "2333. > 15 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value hr02p_h_
      12     = "12. ~ 10 mil   "
      13     = "13. > 10 mil   "
      18     = "18. DK         "
      21     = "21. < 5 mil    "
      22     = "22. ~ 5 mil    "
      23     = "23. > 5 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 5 mil   "
      112    = "112. ~ 5 mil   "
      113    = "113. > 5 mil   "
      118    = "118. DK        "
      131    = "131. < 25 mil  "
      132    = "132. ~ 25 mil  "
      133    = "133. > 25 mil  "
      138    = "138. DK        "
      231    = "231. < 10 mil  "
      232    = "232. ~ 10 mil  "
      233    = "233. > 10 mil  "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 25 mil "
      2332   = "2332. ~ 25 mil "
      2333   = "2333. > 25 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value hr02p_j_
      12     = "12. ~ 6 mil    "
      13     = "13. > 6 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4 mil   "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 10 mil  "
      132    = "132. ~ 10 mil  "
      133    = "133. > 10 mil  "
      138    = "138. DK        "
      231    = "231. < 6 mil   "
      232    = "232. ~ 6 mil   "
      233    = "233. > 6 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 10 mil "
      2332   = "2332. ~ 10 mil "
      2333   = "2333. > 10 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value hr02p_k1_
      12     = "12. ~ 6 mil    "
      13     = "13. > 6 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4 mil   "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 10 mil  "
      132    = "132. ~ 10 mil  "
      133    = "133. > 10 mil  "
      138    = "138. DK        "
      231    = "231. < 6 mil   "
      232    = "232. ~ 6 mil   "
      233    = "233. > 6 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 10 mil "
      2332   = "2332. ~ 10 mil "
      2333   = "2333. > 10 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value hr02p_k2_
      12     = "12. ~ 6 mil    "
      13     = "13. > 6 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4 mil   "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 10 mil  "
      132    = "132. ~ 10 mil  "
      133    = "133. > 10 mil  "
      138    = "138. DK        "
      231    = "231. < 6 mil   "
      232    = "232. ~ 6 mil   "
      233    = "233. > 6 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 10 mil "
      2332   = "2332. ~ 10 mil "
      2333   = "2333. > 10 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value nd08_
      12     = "12. ~ 6 mil    "
      13     = "13. > 6 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4 mil   "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 10 mil  "
      132    = "132. ~ 10 mil  "
      133    = "133. > 10 mil  "
      138    = "138. DK        "
      231    = "231. < 6 mil   "
      232    = "232. ~ 6 mil   "
      233    = "233. > 6 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
   ;
   value nd10_
      12     = "12. ~ 6 mil    "
      13     = "13. > 6 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4 mil   "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 10 mil  "
      132    = "132. ~ 10 mil  "
      133    = "133. > 10 mil  "
      138    = "138. DK        "
      231    = "231. < 6 mil   "
      232    = "232. ~ 6 mil   "
      233    = "233. > 6 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 10 mil "
      2332   = "2332. ~ 10 mil "
      2333   = "2333. > 10 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value nt07a_
      12     = "12. ~ 4 mil    "
      13     = "13. > 4 mil    "
      18     = "18. DK         "
      21     = "21. < 2 mil    "
      22     = "22. ~ 2 mil    "
      23     = "23. > 2 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 2 mil   "
      112    = "112. ~ 2 mil   "
      113    = "113. > 2 mil   "
      118    = "118. DK        "
      131    = "131. < 8 mil   "
      132    = "132. ~ 8 mil   "
      133    = "133. > 8 mil   "
      138    = "138. DK        "
      231    = "231. < 4 mil   "
      232    = "232. ~ 4 mil   "
      233    = "233. > 4 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 8 mil  "
      2332   = "2332. ~ 8 mil  "
      2333   = "2333. > 8 mil  "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value nt07a1_
   ;
   value nt08a_
      12     = "12. ~ 4 mil    "
      13     = "13. > 4 mil    "
      18     = "18. DK         "
      21     = "21. < 2 mil    "
      22     = "22. ~ 2 mil    "
      23     = "23. > 2 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 2 mil   "
      112    = "112. ~ 2 mil   "
      113    = "113. > 2 mil   "
      118    = "118. DK        "
      131    = "131. < 8 mil   "
      132    = "132. ~ 8 mil   "
      133    = "133. > 8 mil   "
      138    = "138. DK        "
      231    = "231. < 4 mil   "
      232    = "232. ~ 4 mil   "
      233    = "233. > 4 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 8 mil  "
      2332   = "2332. ~ 8 mil  "
      2333   = "2333. > 8 mil  "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value nt10ap_
      12     = "12. ~ 50 mil   "
      13     = "13. > 50 mil   "
      18     = "18. DK         "
      21     = "21. < 25mil    "
      22     = "22. ~ 25mil    "
      23     = "23. > 25mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 25 mil  "
      112    = "112. ~ 25 mil  "
      113    = "113. > 25 mil  "
      118    = "118. DK        "
      131    = "131. < 100 mil "
      132    = "132. ~ 100 mil "
      133    = "133. > 100 mil "
      138    = "138. DK        "
      231    = "231. < 50 mil  "
      232    = "232. ~ 50 mil  "
      233    = "233. > 50 mil  "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 100 mil"
      2332   = "2332. ~ 100 mil"
      2333   = "2333. > 100 mil"
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value nt10bp_
      12     = "12. ~ 100 mil  "
      13     = "13. > 100 mil  "
      18     = "18. DK         "
      21     = "21. < 50 mil   "
      22     = "22. ~ 50 mil   "
      23     = "23. > 50 mil   "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 50 mil  "
      112    = "112. ~ 50 mil  "
      113    = "113. > 50 mil  "
      118    = "118. DK        "
      131    = "131. < 200 mil "
      132    = "132. ~ 200 mil "
      133    = "133. > 200 mil "
      138    = "138. DK        "
      231    = "231. < 100 mil "
      232    = "232. ~ 100 mil "
      233    = "233. > 100 mil "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 200 mil"
      2332   = "2332. ~ 200 mil"
      2333   = "2333. > 200 mil"
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value nt10c1p_
      12     = "12. ~ 100 mil  "
      13     = "13. > 100 mil  "
      18     = "18. DK         "
      21     = "21. < 50 mil   "
      22     = "22. ~ 50 mil   "
      23     = "23. > 50 mil   "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 50 mil  "
      112    = "112. ~ 50 mil  "
      113    = "113. > 50 mil  "
      118    = "118. DK        "
      131    = "131. < 200 mil "
      132    = "132. ~ 200 mil "
      133    = "133. > 200 mil "
      138    = "138. DK        "
      231    = "231. < 100 mil "
      232    = "232. ~ 100 mil "
      233    = "233. > 100 mil "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 200 mil"
      2332   = "2332. ~ 200 mil"
      2333   = "2333. > 200 mil"
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value nt10c4p_
      12     = "12. ~ 100 mil  "
      13     = "13. > 100 mil  "
      18     = "18. DK         "
      21     = "21. < 50 mil   "
      22     = "22. ~ 50 mil   "
      23     = "23. > 50 mil   "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 50 mil  "
      112    = "112. ~ 50 mil  "
      113    = "113. > 50 mil  "
      118    = "118. DK        "
      131    = "131. < 200 mil "
      132    = "132. ~ 200 mil "
      133    = "133. > 200 mil "
      138    = "138. DK        "
      231    = "231. < 100 mil "
      232    = "232. ~ 100 mil "
      233    = "233. > 100 mil "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 200 mil"
      2332   = "2332. ~ 200 mil"
      2333   = "2333. > 200 mil"
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value nt10h_
      12     = "12. ~ 100 mil  "
      13     = "13. > 100 mil  "
      18     = "18. DK         "
      21     = "21. < 50 mil   "
      22     = "22. ~ 50 mil   "
      23     = "23. > 50 mil   "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 50 mil  "
      112    = "112. ~ 50 mil  "
      113    = "113. > 50 mil  "
      118    = "118. DK        "
      131    = "131. < 200 mil "
      132    = "132. ~ 200 mil "
      133    = "133. > 200 mil "
      138    = "138. DK        "
      231    = "231. < 100 mil "
      232    = "232. ~ 100 mil "
      233    = "233. > 100 mil "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 200 mil"
      2332   = "2332. ~ 200 mil"
      2333   = "2333. > 200 mil"
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut07p_
      12     = "12. ~ 6 mil    "
      13     = "13. > 6 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4mil    "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 10 mil  "
      132    = "132. ~ 10 mil  "
      133    = "133. > 10 mil  "
      138    = "138. DK        "
      231    = "231. < 6 mil   "
      232    = "232. ~ 6 mil   "
      233    = "233. > 6 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 10 mil "
      2332   = "2332. ~ 10 mil "
      2333   = "2333. > 10 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut08p_
      12     = "12. ~ 6 mil    "
      13     = "13. > 6 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4mil    "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 10 mil  "
      132    = "132. ~ 10 mil  "
      133    = "133. > 10 mil  "
      138    = "138. DK        "
      231    = "231. < 6 mil   "
      232    = "232. ~ 6 mil   "
      233    = "233. > 6 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 10 mil "
      2332   = "2332. ~ 10 mil "
      2333   = "2333. > 10 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut09p_
      12     = "12. ~ 6 mil    "
      13     = "13. > 6 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4mil    "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 10 mil  "
      132    = "132. ~ 10 mil  "
      133    = "133. > 10 mil  "
      138    = "138. DK        "
      231    = "231. < 6 mil   "
      232    = "232. ~ 6 mil   "
      233    = "233. > 6 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 10 mil "
      2332   = "2332. ~ 10 mil "
      2333   = "2333. > 10 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut11p_a_
      12     = "12. ~ 50 mil   "
      13     = "13. > 50 mil   "
      18     = "18. DK         "
      21     = "21. < 25mil    "
      22     = "22. ~ 25mil    "
      23     = "23. > 25mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 25 mil  "
      112    = "112. ~ 25 mil  "
      113    = "113. > 25 mil  "
      118    = "118. DK        "
      131    = "131. < 100 mil "
      132    = "132. ~ 100 mil "
      133    = "133. > 100 mil "
      138    = "138. DK        "
      231    = "231. < 50 mil  "
      232    = "232. ~ 50 mil  "
      233    = "233. > 50 mil  "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 100 mil"
      2332   = "2332. ~ 100 mil"
      2333   = "2333. > 100 mil"
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut11p_b_
      12     = "12. ~ 20 mil   "
      13     = "13. > 20 mil   "
      18     = "18. DK         "
      21     = "21. < 10 mil   "
      22     = "22. ~ 10 mil   "
      23     = "23. > 10 mil   "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 10 mil  "
      112    = "112. ~ 10 mil  "
      113    = "113. > 10 mil  "
      118    = "118. DK        "
      131    = "131. < 40 mil  "
      132    = "132. ~ 40 mil  "
      133    = "133. > 40 mil  "
      138    = "138. DK        "
      231    = "231. < 20 mil  "
      232    = "232. ~ 20 mil  "
      233    = "233. > 20 mil  "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 40 mil "
      2332   = "2332. ~ 40 mil "
      2333   = "2333. > 40 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut11p_c_
      12     = "12. ~ 100 mil  "
      13     = "13. > 100 mil  "
      18     = "18. DK         "
      21     = "21. < 50 mil   "
      22     = "22. ~ 50 mil   "
      23     = "23. > 50 mil   "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 50 mil  "
      112    = "112. ~ 50 mil  "
      113    = "113. > 50 mil  "
      118    = "118. DK        "
      131    = "131. < 200 mil "
      132    = "132. ~ 200 mil "
      133    = "133. > 200 mil "
      138    = "138. DK        "
      231    = "231. < 100 mil "
      232    = "232. ~ 100 mil "
      233    = "233. > 100 mil "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 200 mil"
      2332   = "2332. ~ 200 mil"
      2333   = "2333. > 200 mil"
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut11p_d1_
      12     = "12. ~ 8 mil    "
      13     = "13. > 8 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4 mil   "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 15 mil  "
      132    = "132. ~ 15 mil  "
      133    = "133. > 15 mil  "
      138    = "138. DK        "
      231    = "231. < 8 mil   "
      232    = "232. ~ 8 mil   "
      233    = "233. > 8 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 15 mil "
      2332   = "2332. ~ 15 mil "
      2333   = "2333. > 15 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut11p_d2_
      12     = "12. ~ 8 mil    "
      13     = "13. > 8 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4 mil   "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 15 mil  "
      132    = "132. ~ 15 mil  "
      133    = "133. > 15 mil  "
      138    = "138. DK        "
      231    = "231. < 8 mil   "
      232    = "232. ~ 8 mil   "
      233    = "233. > 8 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 15 mil "
      2332   = "2332. ~ 15 mil "
      2333   = "2333. > 15 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut11p_e_
      12     = "12. ~ 10 mil   "
      13     = "13. > 10 mil   "
      18     = "18. DK         "
      21     = "21. < 5 mil    "
      22     = "22. ~ 5 mil    "
      23     = "23. > 5 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 5 mil   "
      112    = "112. ~ 5 mil   "
      113    = "113. > 5 mil   "
      118    = "118. DK        "
      131    = "131. < 25 mil  "
      132    = "132. ~ 25 mil  "
      133    = "133. > 25 mil  "
      138    = "138. DK        "
      231    = "231. < 10 mil  "
      232    = "232. ~ 10 mil  "
      233    = "233. > 10 mil  "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 25 mil "
      2332   = "2332. ~ 25 mil "
      2333   = "2333. > 25 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut11p_e1_
      12     = "12. ~ 10 mil   "
      13     = "13. > 10 mil   "
      18     = "18. DK         "
      21     = "21. < 5 mil    "
      22     = "22. ~ 5 mil    "
      23     = "23. > 5 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 5 mil   "
      112    = "112. ~ 5 mil   "
      113    = "113. > 5 mil   "
      118    = "118. DK        "
      131    = "131. < 25 mil  "
      132    = "132. ~ 25 mil  "
      133    = "133. > 25 mil  "
      138    = "138. DK        "
      231    = "231. < 10 mil  "
      232    = "232. ~ 10 mil  "
      233    = "233. > 10 mil  "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 25 mil "
      2332   = "2332. ~ 25 mil "
      2333   = "2333. > 25 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut11p_f_
      12     = "12. ~ 10 mil   "
      13     = "13. > 10 mil   "
      18     = "18. DK         "
      21     = "21. < 5 mil    "
      22     = "22. ~ 5 mil    "
      23     = "23. > 5 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 5 mil   "
      112    = "112. ~ 5 mil   "
      113    = "113. > 5 mil   "
      118    = "118. DK        "
      131    = "131. < 25 mil  "
      132    = "132. ~ 25 mil  "
      133    = "133. > 25 mil  "
      138    = "138. DK        "
      231    = "231. < 10 mil  "
      232    = "232. ~ 10 mil  "
      233    = "233. > 10 mil  "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 25 mil "
      2332   = "2332. ~ 25 mil "
      2333   = "2333. > 25 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut11p_f1_
      12     = "12. ~ 10 mil   "
      13     = "13. > 10 mil   "
      18     = "18. DK         "
      21     = "21. < 5 mil    "
      22     = "22. ~ 5 mil    "
      23     = "23. > 5 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 5 mil   "
      112    = "112. ~ 5 mil   "
      113    = "113. > 5 mil   "
      118    = "118. DK        "
      131    = "131. < 25 mil  "
      132    = "132. ~ 25 mil  "
      133    = "133. > 25 mil  "
      138    = "138. DK        "
      231    = "231. < 10 mil  "
      232    = "232. ~ 10 mil  "
      233    = "233. > 10 mil  "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 25 mil "
      2332   = "2332. ~ 25 mil "
      2333   = "2333. > 25 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut11p_g_
      12     = "12. ~ 10 mil   "
      13     = "13. > 10 mil   "
      18     = "18. DK         "
      21     = "21. < 5 mil    "
      22     = "22. ~ 5 mil    "
      23     = "23. > 5 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 5 mil   "
      112    = "112. ~ 5 mil   "
      113    = "113. > 5 mil   "
      118    = "118. DK        "
      131    = "131. < 25 mil  "
      132    = "132. ~ 25 mil  "
      133    = "133. > 25 mil  "
      138    = "138. DK        "
      231    = "231. < 10 mil  "
      232    = "232. ~ 10 mil  "
      233    = "233. > 10 mil  "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 25 mil "
      2332   = "2332. ~ 25 mil "
      2333   = "2333. > 25 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut11p_h_
      12     = "12. ~ 8 mil    "
      13     = "13. > 8 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4 mil   "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 15 mil  "
      132    = "132. ~ 15 mil  "
      133    = "133. > 15 mil  "
      138    = "138. DK        "
      231    = "231. < 8 mil   "
      232    = "232. ~ 8 mil   "
      233    = "233. > 8 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 15 mil "
      2332   = "2332. ~ 15 mil "
      2333   = "2333. > 15 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut11p_h1_
      12     = "12. ~ 8 mil    "
      13     = "13. > 8 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4 mil   "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 15 mil  "
      132    = "132. ~ 15 mil  "
      133    = "133. > 15 mil  "
      138    = "138. DK        "
      231    = "231. < 8 mil   "
      232    = "232. ~ 8 mil   "
      233    = "233. > 8 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 15 mil "
      2332   = "2332. ~ 15 mil "
      2333   = "2333. > 15 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut11p_i_
      12     = "12. ~ 8 mil    "
      13     = "13. > 8 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4 mil   "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 15 mil  "
      132    = "132. ~ 15 mil  "
      133    = "133. > 15 mil  "
      138    = "138. DK        "
      231    = "231. < 8 mil   "
      232    = "232. ~ 8 mil   "
      233    = "233. > 8 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 15 mil "
      2332   = "2332. ~ 15 mil "
      2333   = "2333. > 15 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut11p_j_
      12     = "12. ~ 10 mil   "
      13     = "13. > 10 mil   "
      18     = "18. DK         "
      21     = "21. < 5 mil    "
      22     = "22. ~ 5 mil    "
      23     = "23. > 5 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 5 mil   "
      112    = "112. ~ 5 mil   "
      113    = "113. > 5 mil   "
      118    = "118. DK        "
      131    = "131. < 25 mil  "
      132    = "132. ~ 25 mil  "
      133    = "133. > 25 mil  "
      138    = "138. DK        "
      231    = "231. < 10 mil  "
      232    = "232. ~ 10 mil  "
      233    = "233. > 10 mil  "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 25 mil "
      2332   = "2332. ~ 25 mil "
      2333   = "2333. > 25 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value kwn_num_
      1      = "1. Latest      "
      2      = "2. 2nd latest  "
      3      = "3. 3rd latest  "
      4      = "4. 4th latest  "
      5      = "5. 5th latest  "
      6      = "6. 6th latest  "
      7      = "7. 7th latest  "
      8      = "9. 8th latest  "
      9      = "9. 9th latest  "
      10     = "10. 10th latest"
      11     = "11. 11th latest"
   ;
   value pnatype_
      1      = "1. Frustrated  "
      2      = "2. Sad         "
      3      = "3. Enthusiastic"
      4      = "4. Lonely      "
      5      = "5. Content     "
      6      = "6. Worried     "
      7      = "7. Bored       "
      8      = "8. Happy       "
      9      = "9. Angry       "
      10     = "10. Tired      "
      11     = "11. Stressed   "
      12     = "12. Pain       "
   ;
   value tk25a1a_
      12     = "12. ~ 8 mil    "
      13     = "13. > 8 mil    "
      18     = "18. DK         "
      21     = "21. < 2 mil    "
      22     = "22. ~ 2 mil    "
      23     = "23. > 2 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 2 mil   "
      112    = "112. ~ 2 mil   "
      113    = "113. > 2 mil   "
      118    = "118. DK        "
      131    = "131. < 10 mil  "
      132    = "132. ~ 10 mil  "
      133    = "133. > 10 mil  "
      138    = "138. DK        "
      231    = "231. < 8 mil   "
      232    = "232. ~ 8 mil   "
      233    = "233. > 8 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 10 mil "
      2332   = "2332. ~ 10 mil "
      2333   = "2333. > 10 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value tk25a2a_
      12     = "12. ~ 40 mil   "
      13     = "13. > 40 mil   "
      18     = "18. DK         "
      21     = "21. < 12 mil   "
      22     = "22. ~ 12 mil   "
      23     = "23. > 12 mil   "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 12 mil  "
      112    = "112. ~ 12 mil  "
      113    = "113. > 12 mil  "
      118    = "118. DK        "
      131    = "131. < 100 mil "
      132    = "132. ~ 100 mil "
      133    = "133. > 100 mil "
      138    = "138. DK        "
      231    = "231. < 40 mil  "
      232    = "232. ~ 40 mil  "
      233    = "233. > 40 mil  "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 100 mil"
      2332   = "2332. ~ 100 mil"
      2333   = "2333. > 100 mil"
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value tk25a2c_
      12     = "12. ~ 8 mil    "
      13     = "13. > 8 mil    "
      18     = "18. DK         "
      21     = "21. < 2 mil    "
      22     = "22. ~ 2 mil    "
      23     = "23. > 2 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 2 mil   "
      112    = "112. ~ 2 mil   "
      113    = "113. > 2 mil   "
      118    = "118. DK        "
      131    = "131. < 10 mil  "
      132    = "132. ~ 10 mil  "
      133    = "133. > 10 mil  "
      138    = "138. DK        "
      231    = "231. < 8 mil   "
      232    = "232. ~ 8 mil   "
      233    = "233. > 8 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 10 mil "
      2332   = "2332. ~ 10 mil "
      2333   = "2333. > 10 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value tk25b1a_
      12     = "12. ~ 8 mil    "
      13     = "13. > 8 mil    "
      18     = "18. DK         "
      21     = "21. < 2 mil    "
      22     = "22. ~ 2 mil    "
      23     = "23. > 2 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 2 mil   "
      112    = "112. ~ 2 mil   "
      113    = "113. > 2 mil   "
      118    = "118. DK        "
      131    = "131. < 10 mil  "
      132    = "132. ~ 10 mil  "
      133    = "133. > 10 mil  "
      138    = "138. DK        "
      231    = "231. < 8 mil   "
      232    = "232. ~ 8 mil   "
      233    = "233. > 8 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 10 mil "
      2332   = "2332. ~ 10 mil "
      2333   = "2333. > 10 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value tk25b2a_
      12     = "12. ~ 40 mil   "
      13     = "13. > 40 mil   "
      18     = "18. DK         "
      21     = "21. < 12 mil   "
      22     = "22. ~ 12 mil   "
      23     = "23. > 12 mil   "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 12 mil  "
      112    = "112. ~ 12 mil  "
      113    = "113. > 12 mil  "
      118    = "118. DK        "
      131    = "131. < 100 mil "
      132    = "132. ~ 100 mil "
      133    = "133. > 100 mil "
      138    = "138. DK        "
      231    = "231. < 40 mil  "
      232    = "232. ~ 40 mil  "
      233    = "233. > 40 mil  "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 100 mil"
      2332   = "2332. ~ 100 mil"
      2333   = "2333. > 100 mil"
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value tk25b2c_
      12     = "12. ~ 8 mil    "
      13     = "13. > 8 mil    "
      18     = "18. DK         "
      21     = "21. < 2 mil    "
      22     = "22. ~ 2 mil    "
      23     = "23. > 2 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 2 mil   "
      112    = "112. ~ 2 mil   "
      113    = "113. > 2 mil   "
      118    = "118. DK        "
      131    = "131. < 10 mil  "
      132    = "132. ~ 10 mil  "
      133    = "133. > 10 mil  "
      138    = "138. DK        "
      231    = "231. < 8 mil   "
      232    = "232. ~ 8 mil   "
      233    = "233. > 8 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 10 mil "
      2332   = "2332. ~ 10 mil "
      2333   = "2333. > 10 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value tk26a1a_
      12     = "12. ~ 8 mil    "
      13     = "13. > 8 mil    "
      18     = "18. DK         "
      21     = "21. < 2 mil    "
      22     = "22. ~ 2 mil    "
      23     = "23. > 2 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 2 mil   "
      112    = "112. ~ 2 mil   "
      113    = "113. > 2 mil   "
      118    = "118. DK        "
      131    = "131. < 10 mil  "
      132    = "132. ~ 10 mil  "
      133    = "133. > 10 mil  "
      138    = "138. DK        "
      231    = "231. < 8 mil   "
      232    = "232. ~ 8 mil   "
      233    = "233. > 8 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 10 mil "
      2332   = "2332. ~ 10 mil "
      2333   = "2333. > 10 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value tk26a3a_
      12     = "12. ~ 40 mil   "
      13     = "13. > 40 mil   "
      18     = "18. DK         "
      21     = "21. < 12 mil   "
      22     = "22. ~ 12 mil   "
      23     = "23. > 12 mil   "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 12 mil  "
      112    = "112. ~ 12 mil  "
      113    = "113. > 12 mil  "
      118    = "118. DK        "
      131    = "131. < 100 mil "
      132    = "132. ~ 100 mil "
      133    = "133. > 100 mil "
      138    = "138. DK        "
      231    = "231. < 40 mil  "
      232    = "232. ~ 40 mil  "
      233    = "233. > 40 mil  "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 100 mil"
      2332   = "2332. ~ 100 mil"
      2333   = "2333. > 100 mil"
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value tk26b1a_
      12     = "12. ~ 8 mil    "
      13     = "13. > 8 mil    "
      18     = "18. DK         "
      21     = "21. < 2 mil    "
      22     = "22. ~ 2 mil    "
      23     = "23. > 2 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 2 mil   "
      112    = "112. ~ 2 mil   "
      113    = "113. > 2 mil   "
      118    = "118. DK        "
      131    = "131. < 10 mil  "
      132    = "132. ~ 10 mil  "
      133    = "133. > 10 mil  "
      138    = "138. DK        "
      231    = "231. < 8 mil   "
      232    = "232. ~ 8 mil   "
      233    = "233. > 8 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 10 mil "
      2332   = "2332. ~ 10 mil "
      2333   = "2333. > 10 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value tk26b3a_
      12     = "12. ~ 40 mil   "
      13     = "13. > 40 mil   "
      18     = "18. DK         "
      21     = "21. < 12 mil   "
      22     = "22. ~ 12 mil   "
      23     = "23. > 12 mil   "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 12 mil  "
      112    = "112. ~ 12 mil  "
      113    = "113. > 12 mil  "
      118    = "118. DK        "
      131    = "131. < 100 mil "
      132    = "132. ~ 100 mil "
      133    = "133. > 100 mil "
      138    = "138. DK        "
      231    = "231. < 40 mil  "
      232    = "232. ~ 40 mil  "
      233    = "233. > 40 mil  "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 100 mil"
      2332   = "2332. ~ 100 mil"
      2333   = "2333. > 100 mil"
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ar15bp_
      11     = "11. < 40 mil   "
      12     = "12. ~ 40 mil   "
      13     = "13. > 40 mil   "
      18     = "18. DK         "
      21     = "21. < 12 mil   "
      22     = "22. ~ 12 mil   "
      23     = "23. > 12 mil   "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 12 mil  "
      112    = "112. ~ 12 mil  "
      113    = "113. > 12 mil  "
      118    = "118. DK        "
      131    = "131. < 100 mil "
      132    = "132. ~ 100 mil "
      133    = "133. > 100 mil "
      138    = "138. DK        "
      231    = "231. < 40 mil  "
      232    = "232. ~ 40 mil  "
      233    = "233. > 40 mil  "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "< 100 mil      "
      2332   = "~ 100mil       "
      2333   = "> 100 mil      "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value NT07A1_
      12    = "  12. ~ 4 mil"
      13    = "  13. > 4 mil"
      18    = "  18. DK     "
      21    = "  21. < 2 mil"
      22    = "  22. ~ 2 mil"
      23    = "  23. > 2 mil"
      28    = "  28. DK     "
      99    = "  99. Missing"
      111   = " 111. < 2 mil"
      112   = " 112. ~ 2 mil"
      113   = " 113. > 2 mil"
      118   = " 118. DK     "
      131   = " 131. < 8 mil"
      132   = " 132. ~ 8 mil"
      133   = " 133. > 8 mil"
      138   = " 138. DK     "
      231   = " 231. < 4 mil"
      232   = " 232. ~ 4 mil"
      233   = " 233. > 4 mil"
      238   = " 238. DK     "
      999   = " 999. Missing"
      2331  = "2331. < 8 mil"
      2332  = "2332. ~ 8 mil"
      2333  = "2333. > 8 mil"
      2338  = "2338. DK     "
      9999  = "9999. Missing"
   ;
   value NT07A2_
      12    = "  12. ~ 4 mil"
      13    = "  13. > 4 mil"
      18    = "  18. DK     "
      21    = "  21. < 2 mil"
      22    = "  22. ~ 2 mil"
      23    = "  23. > 2 mil"
      28    = "  28. DK     "
      99    = "  99. Missing"
      111   = " 111. < 2 mil"
      112   = " 112. ~ 2 mil"
      113   = " 113. > 2 mil"
      118   = " 118. DK     "
      131   = " 131. < 8 mil"
      132   = " 132. ~ 8 mil"
      133   = " 133. > 8 mil"
      138   = " 138. DK     "
      231   = " 231. < 4 mil"
      232   = " 232. ~ 4 mil"
      233   = " 233. > 4 mil"
      238   = " 238. DK     "
      999   = " 999. Missing"
      2331  = "2331. < 8 mil"
      2332  = "2332. ~ 8 mil"
      2333  = "2333. > 8 mil"
      2338  = "2338. DK     "
      9999  = "9999. Missing"
   ;
   value NT08A2_
      12   = "  12. ~ 4 mil"
      13   = "  13. > 4 mil"
      18   = "  18. DK     "
      21   = "  21. < 2 mil"
      22   = "  22. ~ 2 mil"
      23   = "  23. > 2 mil"
      28   = "  28. DK     "
      99   = "  99. Missing"
      111  = " 111. < 2 mil"
      112  = " 112. ~ 2 mil"
      113  = " 113. > 2 mil"
      118  = " 118. DK     "
      131  = " 131. < 8 mil"
      132  = " 132. ~ 8 mil"
      133  = " 133. > 8 mil"
      138  = " 138. DK     "
      231  = " 231. < 4 mil"
      232  = " 232. ~ 4 mil"
      233  = " 233. > 4 mil"
      238  = " 238. DK     "
      999  = " 999. Missing"
      2331 = "2331. < 8 mil"
      2332 = "2332. ~ 8 mil"
      2333 = "2333. > 8 mil"
      2338 = "2338. DK     "
      9999 = "9999. Missing"
   ;
   value NT08A3_
      12   = "  12. ~ 4 mil"
      13   = "  13. > 4 mil"
      18   = "  18. DK     "
      21   = "  21. < 2 mil"
      22   = "  22. ~ 2 mil"
      23   = "  23. > 2 mil"
      28   = "  28. DK     "
      99   = "  99. Missing"
      111  = " 111. < 2 mil"
      112  = " 112. ~ 2 mil"
      113  = " 113. > 2 mil"
      118  = " 118. DK     "
      131  = " 131. < 8 mil"
      132  = " 132. ~ 8 mil"
      133  = " 133. > 8 mil"
      138  = " 138. DK     "
      231  = " 231. < 4 mil"
      232  = " 232. ~ 4 mil"
      233  = " 233. > 4 mil"
      238  = " 238. DK     "
      999  = " 999. Missing"
      2331 = "2331. < 8 mil"
      2332 = "2332. ~ 8 mil"
      2333 = "2333. > 8 mil"
      2338 = "2338. DK     "
      9999 = "9999. Missing"
   ;
   value hr02p_a_
      12     = "12. ~ 100 mil  "
      13     = "13. > 100 mil  "
      18     = "18. DK         "
      21     = "21. < 50 mil   "
      22     = "22. ~ 50 mil   "
      23     = "23. > 50 mil   "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 50 mil  "
      112    = "112. ~ 50 mil  "
      113    = "113. > 50 mil  "
      118    = "118. DK        "
      131    = "131. < 200 mil "
      132    = "132. ~ 200 mil "
      133    = "133. > 200 mil "
      138    = "138. DK        "
      231    = "231. < 100 mil "
      232    = "232. ~ 100 mil "
      233    = "233. > 100 mil "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 200 mil"
      2332   = "2332. ~ 200 mil"
      2333   = "2333. > 200 mil"
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value hr02p_b_
      12     = "12. ~ 100 mil  "
      13     = "13. > 100 mil  "
      18     = "18. DK         "
      21     = "21. < 50 mil   "
      22     = "22. ~ 50 mil   "
      23     = "23. > 50 mil   "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 50 mil  "
      112    = "112. ~ 50 mil  "
      113    = "113. > 50 mil  "
      118    = "118. DK        "
      131    = "131. < 200 mil "
      132    = "132. ~ 200 mil "
      133    = "133. > 200 mil "
      138    = "138. DK        "
      231    = "231. < 100 mil "
      232    = "232. ~ 100 mil "
      233    = "233. > 100 mil "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 200 mil"
      2332   = "2332. ~ 200 mil"
      2333   = "2333. > 200 mil"
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value hr02p_c_
      12     = "12. ~ 50 mil   "
      13     = "13. > 50 mil   "
      18     = "18. DK         "
      21     = "21. < 25mil    "
      22     = "22. ~ 25mil    "
      23     = "23. > 25mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 25 mil  "
      112    = "112. ~ 25 mil  "
      113    = "113. > 25 mil  "
      118    = "118. DK        "
      131    = "131. < 100 mil "
      132    = "132. ~ 100 mil "
      133    = "133. > 100 mil "
      138    = "138. DK        "
      231    = "231. < 50 mil  "
      232    = "232. ~ 50 mil  "
      233    = "233. > 50 mil  "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 100 mil"
      2332   = "2332. ~ 100 mil"
      2333   = "2333. > 100 mil"
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value hr02p_d1_
      12     = "12. ~ 8 mil    "
      13     = "13. > 8 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4 mil   "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 15 mil  "
      132    = "132. ~ 15 mil  "
      133    = "133. > 15 mil  "
      138    = "138. DK        "
      231    = "231. < 8 mil   "
      232    = "232. ~ 8 mil   "
      233    = "233. > 8 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 15 mil "
      2332   = "2332. ~ 15 mil "
      2333   = "2333. > 15 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value hr02p_d2_
      12     = "12. ~ 8 mil    "
      13     = "13. > 8 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4 mil   "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 15 mil  "
      132    = "132. ~ 15 mil  "
      133    = "133. > 15 mil  "
      138    = "138. DK        "
      231    = "231. < 8 mil   "
      232    = "232. ~ 8 mil   "
      233    = "233. > 8 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 15 mil "
      2332   = "2332. ~ 15 mil "
      2333   = "2333. > 15 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value hr02p_d3_
      12     = "12. ~ 20 mil   "
      13     = "13. > 20 mil   "
      18     = "18. DK         "
      21     = "21. < 10 mil   "
      22     = "22. ~ 10 mil   "
      23     = "23. > 10 mil   "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 10 mil  "
      112    = "112. ~ 10 mil  "
      113    = "113. > 10 mil  "
      118    = "118. DK        "
      131    = "131. < 40 mil  "
      132    = "132. ~ 40 mil  "
      133    = "133. > 40 mil  "
      138    = "138. DK        "
      231    = "231. < 20 mil  "
      232    = "232. ~ 20 mil  "
      233    = "233. > 20 mil  "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 40 mil "
      2332   = "2332. ~ 40 mil "
      2333   = "2333. > 40 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value hr02p_e_
      12     = "12. ~ 10 mil   "
      13     = "13. > 10 mil   "
      18     = "18. DK         "
      21     = "21. < 5 mil    "
      22     = "22. ~ 5 mil    "
      23     = "23. > 5 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 5 mil   "
      112    = "112. ~ 5 mil   "
      113    = "113. > 5 mil   "
      118    = "118. DK        "
      131    = "131. < 50 mil  "
      132    = "132. ~ 50 mil  "
      133    = "133. > 50 mil  "
      138    = "138. DK        "
      231    = "231. < 10 mil  "
      232    = "232. ~ 10 mil  "
      233    = "233. > 10 mil  "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 50 mil "
      2332   = "2332. ~ 50 mil "
      2333   = "2333. > 50 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value hr02p_f_
      12     = "12. ~ 8 mil    "
      13     = "13. > 8 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4 mil   "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 15 mil  "
      132    = "132. ~ 15 mil  "
      133    = "133. > 15 mil  "
      138    = "138. DK        "
      231    = "231. < 8 mil   "
      232    = "232. ~ 8 mil   "
      233    = "233. > 8 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 15 mil "
      2332   = "2332. ~ 15 mil "
      2333   = "2333. > 15 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value hr02p_g_
      12     = "12. ~ 8 mil    "
      13     = "13. > 8 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4 mil   "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 15 mil  "
      132    = "132. ~ 15 mil  "
      133    = "133. > 15 mil  "
      138    = "138. DK        "
      231    = "231. < 8 mil   "
      232    = "232. ~ 8 mil   "
      233    = "233. > 8 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 15 mil "
      2332   = "2332. ~ 15 mil "
      2333   = "2333. > 15 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value hr02p_h_
      12     = "12. ~ 10 mil   "
      13     = "13. > 10 mil   "
      18     = "18. DK         "
      21     = "21. < 5 mil    "
      22     = "22. ~ 5 mil    "
      23     = "23. > 5 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 5 mil   "
      112    = "112. ~ 5 mil   "
      113    = "113. > 5 mil   "
      118    = "118. DK        "
      131    = "131. < 25 mil  "
      132    = "132. ~ 25 mil  "
      133    = "133. > 25 mil  "
      138    = "138. DK        "
      231    = "231. < 10 mil  "
      232    = "232. ~ 10 mil  "
      233    = "233. > 10 mil  "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 25 mil "
      2332   = "2332. ~ 25 mil "
      2333   = "2333. > 25 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value hr02p_j_
      12     = "12. ~ 6 mil    "
      13     = "13. > 6 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4 mil   "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 10 mil  "
      132    = "132. ~ 10 mil  "
      133    = "133. > 10 mil  "
      138    = "138. DK        "
      231    = "231. < 6 mil   "
      232    = "232. ~ 6 mil   "
      233    = "233. > 6 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 10 mil "
      2332   = "2332. ~ 10 mil "
      2333   = "2333. > 10 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value hr02p_k1_
      12     = "12. ~ 6 mil    "
      13     = "13. > 6 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4 mil   "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 10 mil  "
      132    = "132. ~ 10 mil  "
      133    = "133. > 10 mil  "
      138    = "138. DK        "
      231    = "231. < 6 mil   "
      232    = "232. ~ 6 mil   "
      233    = "233. > 6 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 10 mil "
      2332   = "2332. ~ 10 mil "
      2333   = "2333. > 10 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value hr02p_k2_
      12     = "12. ~ 6 mil    "
      13     = "13. > 6 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4 mil   "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 10 mil  "
      132    = "132. ~ 10 mil  "
      133    = "133. > 10 mil  "
      138    = "138. DK        "
      231    = "231. < 6 mil   "
      232    = "232. ~ 6 mil   "
      233    = "233. > 6 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 10 mil "
      2332   = "2332. ~ 10 mil "
      2333   = "2333. > 10 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut07p_
      12     = "12. ~ 6 mil    "
      13     = "13. > 6 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4mil    "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 10 mil  "
      132    = "132. ~ 10 mil  "
      133    = "133. > 10 mil  "
      138    = "138. DK        "
      231    = "231. < 6 mil   "
      232    = "232. ~ 6 mil   "
      233    = "233. > 6 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 10 mil "
      2332   = "2332. ~ 10 mil "
      2333   = "2333. > 10 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut08p_
      12     = "12. ~ 6 mil    "
      13     = "13. > 6 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4mil    "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 10 mil  "
      132    = "132. ~ 10 mil  "
      133    = "133. > 10 mil  "
      138    = "138. DK        "
      231    = "231. < 6 mil   "
      232    = "232. ~ 6 mil   "
      233    = "233. > 6 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 10 mil "
      2332   = "2332. ~ 10 mil "
      2333   = "2333. > 10 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut09p_
      12     = "12. ~ 6 mil    "
      13     = "13. > 6 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4mil    "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 10 mil  "
      132    = "132. ~ 10 mil  "
      133    = "133. > 10 mil  "
      138    = "138. DK        "
      231    = "231. < 6 mil   "
      232    = "232. ~ 6 mil   "
      233    = "233. > 6 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 10 mil "
      2332   = "2332. ~ 10 mil "
      2333   = "2333. > 10 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut11p_a_
      12     = "12. ~ 50 mil   "
      13     = "13. > 50 mil   "
      18     = "18. DK         "
      21     = "21. < 25mil    "
      22     = "22. ~ 25mil    "
      23     = "23. > 25mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 25 mil  "
      112    = "112. ~ 25 mil  "
      113    = "113. > 25 mil  "
      118    = "118. DK        "
      131    = "131. < 100 mil "
      132    = "132. ~ 100 mil "
      133    = "133. > 100 mil "
      138    = "138. DK        "
      231    = "231. < 50 mil  "
      232    = "232. ~ 50 mil  "
      233    = "233. > 50 mil  "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 100 mil"
      2332   = "2332. ~ 100 mil"
      2333   = "2333. > 100 mil"
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut11p_b_
      12     = "12. ~ 20 mil   "
      13     = "13. > 20 mil   "
      18     = "18. DK         "
      21     = "21. < 10 mil   "
      22     = "22. ~ 10 mil   "
      23     = "23. > 10 mil   "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 10 mil  "
      112    = "112. ~ 10 mil  "
      113    = "113. > 10 mil  "
      118    = "118. DK        "
      131    = "131. < 40 mil  "
      132    = "132. ~ 40 mil  "
      133    = "133. > 40 mil  "
      138    = "138. DK        "
      231    = "231. < 20 mil  "
      232    = "232. ~ 20 mil  "
      233    = "233. > 20 mil  "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 40 mil "
      2332   = "2332. ~ 40 mil "
      2333   = "2333. > 40 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut11p_c_
      12     = "12. ~ 100 mil  "
      13     = "13. > 100 mil  "
      18     = "18. DK         "
      21     = "21. < 50 mil   "
      22     = "22. ~ 50 mil   "
      23     = "23. > 50 mil   "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 50 mil  "
      112    = "112. ~ 50 mil  "
      113    = "113. > 50 mil  "
      118    = "118. DK        "
      131    = "131. < 200 mil "
      132    = "132. ~ 200 mil "
      133    = "133. > 200 mil "
      138    = "138. DK        "
      231    = "231. < 100 mil "
      232    = "232. ~ 100 mil "
      233    = "233. > 100 mil "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 200 mil"
      2332   = "2332. ~ 200 mil"
      2333   = "2333. > 200 mil"
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut11p_d1_
      12     = "12. ~ 8 mil    "
      13     = "13. > 8 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4 mil   "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 15 mil  "
      132    = "132. ~ 15 mil  "
      133    = "133. > 15 mil  "
      138    = "138. DK        "
      231    = "231. < 8 mil   "
      232    = "232. ~ 8 mil   "
      233    = "233. > 8 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 15 mil "
      2332   = "2332. ~ 15 mil "
      2333   = "2333. > 15 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut11p_d2_
      12     = "12. ~ 8 mil    "
      13     = "13. > 8 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4 mil   "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 15 mil  "
      132    = "132. ~ 15 mil  "
      133    = "133. > 15 mil  "
      138    = "138. DK        "
      231    = "231. < 8 mil   "
      232    = "232. ~ 8 mil   "
      233    = "233. > 8 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 15 mil "
      2332   = "2332. ~ 15 mil "
      2333   = "2333. > 15 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut11p_e_
      12     = "12. ~ 10 mil   "
      13     = "13. > 10 mil   "
      18     = "18. DK         "
      21     = "21. < 5 mil    "
      22     = "22. ~ 5 mil    "
      23     = "23. > 5 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 5 mil   "
      112    = "112. ~ 5 mil   "
      113    = "113. > 5 mil   "
      118    = "118. DK        "
      131    = "131. < 25 mil  "
      132    = "132. ~ 25 mil  "
      133    = "133. > 25 mil  "
      138    = "138. DK        "
      231    = "231. < 10 mil  "
      232    = "232. ~ 10 mil  "
      233    = "233. > 10 mil  "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 25 mil "
      2332   = "2332. ~ 25 mil "
      2333   = "2333. > 25 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut11p_f_
      12     = "12. ~ 10 mil   "
      13     = "13. > 10 mil   "
      18     = "18. DK         "
      21     = "21. < 5 mil    "
      22     = "22. ~ 5 mil    "
      23     = "23. > 5 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 5 mil   "
      112    = "112. ~ 5 mil   "
      113    = "113. > 5 mil   "
      118    = "118. DK        "
      131    = "131. < 25 mil  "
      132    = "132. ~ 25 mil  "
      133    = "133. > 25 mil  "
      138    = "138. DK        "
      231    = "231. < 10 mil  "
      232    = "232. ~ 10 mil  "
      233    = "233. > 10 mil  "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 25 mil "
      2332   = "2332. ~ 25 mil "
      2333   = "2333. > 25 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut11p_f1_
      12     = "12. ~ 10 mil   "
      13     = "13. > 10 mil   "
      18     = "18. DK         "
      21     = "21. < 5 mil    "
      22     = "22. ~ 5 mil    "
      23     = "23. > 5 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 5 mil   "
      112    = "112. ~ 5 mil   "
      113    = "113. > 5 mil   "
      118    = "118. DK        "
      131    = "131. < 25 mil  "
      132    = "132. ~ 25 mil  "
      133    = "133. > 25 mil  "
      138    = "138. DK        "
      231    = "231. < 10 mil  "
      232    = "232. ~ 10 mil  "
      233    = "233. > 10 mil  "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 25 mil "
      2332   = "2332. ~ 25 mil "
      2333   = "2333. > 25 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut11p_g_
      12     = "12. ~ 10 mil   "
      13     = "13. > 10 mil   "
      18     = "18. DK         "
      21     = "21. < 5 mil    "
      22     = "22. ~ 5 mil    "
      23     = "23. > 5 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 5 mil   "
      112    = "112. ~ 5 mil   "
      113    = "113. > 5 mil   "
      118    = "118. DK        "
      131    = "131. < 25 mil  "
      132    = "132. ~ 25 mil  "
      133    = "133. > 25 mil  "
      138    = "138. DK        "
      231    = "231. < 10 mil  "
      232    = "232. ~ 10 mil  "
      233    = "233. > 10 mil  "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 25 mil "
      2332   = "2332. ~ 25 mil "
      2333   = "2333. > 25 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut11p_h_
      12     = "12. ~ 8 mil    "
      13     = "13. > 8 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4 mil   "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 15 mil  "
      132    = "132. ~ 15 mil  "
      133    = "133. > 15 mil  "
      138    = "138. DK        "
      231    = "231. < 8 mil   "
      232    = "232. ~ 8 mil   "
      233    = "233. > 8 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 15 mil "
      2332   = "2332. ~ 15 mil "
      2333   = "2333. > 15 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut11p_h1_
      12     = "12. ~ 8 mil    "
      13     = "13. > 8 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4 mil   "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 15 mil  "
      132    = "132. ~ 15 mil  "
      133    = "133. > 15 mil  "
      138    = "138. DK        "
      231    = "231. < 8 mil   "
      232    = "232. ~ 8 mil   "
      233    = "233. > 8 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 15 mil "
      2332   = "2332. ~ 15 mil "
      2333   = "2333. > 15 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut11p_i_
      12     = "12. ~ 8 mil    "
      13     = "13. > 8 mil    "
      18     = "18. DK         "
      21     = "21. < 4 mil    "
      22     = "22. ~ 4 mil    "
      23     = "23. > 4 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 4 mil   "
      112    = "112. ~ 4 mil   "
      113    = "113. > 4 mil   "
      118    = "118. DK        "
      131    = "131. < 15 mil  "
      132    = "132. ~ 15 mil  "
      133    = "133. > 15 mil  "
      138    = "138. DK        "
      231    = "231. < 8 mil   "
      232    = "232. ~ 8 mil   "
      233    = "233. > 8 mil   "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 15 mil "
      2332   = "2332. ~ 15 mil "
      2333   = "2333. > 15 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value ut11p_j_
      12     = "12. ~ 10 mil   "
      13     = "13. > 10 mil   "
      18     = "18. DK         "
      21     = "21. < 5 mil    "
      22     = "22. ~ 5 mil    "
      23     = "23. > 5 mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 5 mil   "
      112    = "112. ~ 5 mil   "
      113    = "113. > 5 mil   "
      118    = "118. DK        "
      131    = "131. < 25 mil  "
      132    = "132. ~ 25 mil  "
      133    = "133. > 25 mil  "
      138    = "138. DK        "
      231    = "231. < 10 mil  "
      232    = "232. ~ 10 mil  "
      233    = "233. > 10 mil  "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 25 mil "
      2332   = "2332. ~ 25 mil "
      2333   = "2333. > 25 mil "
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value nt07a_
      12    = "12:12. ~ 4 mil"
      13    = "13:13. > 4 mil"
      18    = "18:18. DK     "
      21    = "21:21. < 2 mil"
      22    = "22:22. ~ 2 mil"
      23    = "23:23. > 2 mil"
      28    = "28:28. DK     "
      99    = "99:99. Missing"
      111   = "111:111. < 2 mil"
      112   = "112:112. ~ 2 mil"
      113   = "113:113. > 2 mil"
      118   = "118:118. DK     "
      131   = "131:131. < 8 mil"
      132   = "132:132. ~ 8 mil"
      133   = "133:133. > 8 mil"
      138   = "138:138. DK     "
      231   = "231:231. < 4 mil"
      232   = "232:232. ~ 4 mil"
      233   = "233:233. > 4 mil"
      238   = "238:238. DK     "
      999   = "999:999. Missing"
      2331  = "2331. < 8 mil"
      2332  = "2332. ~ 8 mil"
      2333  = "2333. > 8 mil"
      2338  = "2338. DK     "
      9999  = "9999. Missing"
   ;
   value nt08a_
      11 = "11:<6 mil"
      12 = "12:>= 6mil"
      13 = "13:>6mil"
      18 = "18:Don't know"
      21 = "21:<4 mil"
      22 = "22:>= 4 mil"
      23 = "23:>4mil"
      28 = "28:Don't know"
      99 = "99:Missing"
      111 = "111:<4 mil"
      112 = "112:>=4 mil"
      113 = "113:>4 mil"
      118 = "1Don't know"
      131 = "131:< 10 mil"
      132 = "132:>= 10 mil"
      133 = "133:>10 mil"
      138 = "138:Don't know"
      231 = "231:<6 mil"
      232 = "232:>= 6mil"
      233 = "233:>6mil"
      238 = "238:Don't know"
      999 = "999:MIssing"
      2331 = "2331:< 10 mil"
      2332 = "2332:>= 10 mil"
      2333 = "2333:> 10 mil"
      2338 = "2338:Don't know"
      9999 = "9999:Missing"
   ;
   value nt09a_
      12   = "12:12. ~ 4 mil"
      13   = "13:13. > 4 mil"
      18   = "18:18. DK     "
      21   = "21:21. < 2 mil"
      22   = "22:22. ~ 2 mil"
      23   = "23:23. > 2 mil"
      28   = "28:28. DK     "
      99   = "99:99. Missing"
      111  = "111:111. < 2 mil"
      112  = "112:112. ~ 2 mil"
      113  = "113:113. > 2 mil"
      118  = "118:118. DK     "
      131  = "131:131. < 8 mil"
      132  = "132:132. ~ 8 mil"
      133  = "133:133. > 8 mil"
      138  = "138:138. DK     "
      231  = "231:231. < 4 mil"
      232  = "232:232. ~ 4 mil"
      233  = "233:233. > 4 mil"
      238  = "238:238. DK     "
      999  = "999:999. Missing"
      2331 = "2331. < 8 mil"
      2332 = "2332. ~ 8 mil"
      2333 = "2333. > 8 mil"
      2338 = "2338. DK     "
      9999 = "9999. Missing"
   ;
   value NT09C_
      11 = "11:< 6mil"
      12 = "12:>= 6mil"
      13 = "13:> 6mil"
      18 = "18:Don't know"
      21 = "21:< 4mil"
      22 = "22:>= 4mil"
      23 = "23:> 4mil"
      28 = "28:Don't know"
      99 = "99:Missing"
      111 = "111:< 4mil"
      112 = "112:>= 4mil"
      113 = "113:> 4mil"
      118 = "1Don't know"
      131 = "131:< 10 mil"
      132 = "132:>= 10 mil"
      133 = "133:> 10 mil"
      138 = "138:Don't know"
      231 = "231:< 6mil"
      232 = "232:>= 6mil"
      233 = "233:>6mil"
      238 = "238:Don't know"
      999 = "999:MIssing"
      2331 = "2331:<10mil"
      2332 = "2332:>= 10mil"
      2333 = "2333:> 10mil"
      2338 = "2338:Don't know"
      9999 = "9999:Missing"
   ;
   value NT09E_
      11 = "11:<6 million"
      12 = "12:>=6 mil"
      13 = "13:>6 mil"
      18 = "18:Don't know"
      21 = "21:<4 mil"
      22 = "22:>= 4mil"
      23 = "23:>4 mil"
      28 = "28:Don't know"
      99 = "99:Missing"
      111 = "111:<4 mil"
      112 = "112:>= 4mil"
      113 = "113:>4 mil"
      118 = "118:Don't know"
      131 = "131:< 10 mil"
      132 = "132:>= 10 mil"
      133 = "133:>10 mil"
      138 = "138:Don't know"
      231 = "231:<6 mil"
      232 = "232:>= 6mil"
      233 = "233:>6mil"
      238 = "238:Don't know"
      999 = "999:Missing"
      2331 = "2331:<10 mil"
      2332 = "2332:>= 10mil"
      2333 = "2333:>10 mil"
      2338 = "2338:Don't know"
      9999 = "9999:Missing"
   ;
   value NT09G_
      11 = "11:<6 million"
      12 = "12:>=6 mil"
      13 = "13:>6 mil"
      18 = "18:Don't know"
      21 = "21:<4 mil"
      22 = "22:>= 4mil"
      23 = "23:>4 mil"
      28 = "28:Don't know"
      99 = "99:Missing"
      111 = "111:<4 mil"
      112 = "112:>= 4mil"
      113 = "113:>4 mil"
      118 = "1Don't know"
      131 = "131:< 10 mil"
      132 = "132:>= 10 mil"
      133 = "133:>10 mil"
      138 = "138:Don't know"
      231 = "231:<6 mil"
      232 = "232:>= 6mil"
      233 = "233:>6mil"
      238 = "238:Don't know"
      999 = "999:Missing"
      2331 = "2331:<10 mil"
      2332 = "2332:>= 10mil"
      2333 = "2333:>10 mil"
      2338 = "2338:Don't know"
      9999 = "9999:Missing"
   ;
   value NT10AP_
      12     = "12. ~ 50 mil   "
      13     = "13. > 50 mil   "
      18     = "18. DK         "
      21     = "21. < 25mil    "
      22     = "22. ~ 25mil    "
      23     = "23. > 25mil    "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 25 mil  "
      112    = "112. ~ 25 mil  "
      113    = "113. > 25 mil  "
      118    = "118. DK        "
      131    = "131. < 100 mil "
      132    = "132. ~ 100 mil "
      133    = "133. > 100 mil "
      138    = "138. DK        "
      231    = "231. < 50 mil  "
      232    = "232. ~ 50 mil  "
      233    = "233. > 50 mil  "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 100 mil"
      2332   = "2332. ~ 100 mil"
      2333   = "2333. > 100 mil"
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value NT10Bp_
      12     = "12. ~ 100 mil  "
      13     = "13. > 100 mil  "
      18     = "18. DK         "
      21     = "21. < 50 mil   "
      22     = "22. ~ 50 mil   "
      23     = "23. > 50 mil   "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 50 mil  "
      112    = "112. ~ 50 mil  "
      113    = "113. > 50 mil  "
      118    = "118. DK        "
      131    = "131. < 200 mil "
      132    = "132. ~ 200 mil "
      133    = "133. > 200 mil "
      138    = "138. DK        "
      231    = "231. < 100 mil "
      232    = "232. ~ 100 mil "
      233    = "233. > 100 mil "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 200 mil"
      2332   = "2332. ~ 200 mil"
      2333   = "2333. > 200 mil"
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value NT10C1P_
      12     = "12. ~ 100 mil  "
      13     = "13. > 100 mil  "
      18     = "18. DK         "
      21     = "21. < 50 mil   "
      22     = "22. ~ 50 mil   "
      23     = "23. > 50 mil   "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 50 mil  "
      112    = "112. ~ 50 mil  "
      113    = "113. > 50 mil  "
      118    = "118. DK        "
      131    = "131. < 200 mil "
      132    = "132. ~ 200 mil "
      133    = "133. > 200 mil "
      138    = "138. DK        "
      231    = "231. < 100 mil "
      232    = "232. ~ 100 mil "
      233    = "233. > 100 mil "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 200 mil"
      2332   = "2332. ~ 200 mil"
      2333   = "2333. > 200 mil"
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value NT10C4P_
      12     = "12. ~ 100 mil  "
      13     = "13. > 100 mil  "
      18     = "18. DK         "
      21     = "21. < 50 mil   "
      22     = "22. ~ 50 mil   "
      23     = "23. > 50 mil   "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 50 mil  "
      112    = "112. ~ 50 mil  "
      113    = "113. > 50 mil  "
      118    = "118. DK        "
      131    = "131. < 200 mil "
      132    = "132. ~ 200 mil "
      133    = "133. > 200 mil "
      138    = "138. DK        "
      231    = "231. < 100 mil "
      232    = "232. ~ 100 mil "
      233    = "233. > 100 mil "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 200 mil"
      2332   = "2332. ~ 200 mil"
      2333   = "2333. > 200 mil"
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;
   value nt10hp_
      12     = "12. ~ 100 mil  "
      13     = "13. > 100 mil  "
      18     = "18. DK         "
      21     = "21. < 50 mil   "
      22     = "22. ~ 50 mil   "
      23     = "23. > 50 mil   "
      28     = "28. DK         "
      99     = "99. Missing    "
      111    = "111. < 50 mil  "
      112    = "112. ~ 50 mil  "
      113    = "113. > 50 mil  "
      118    = "118. DK        "
      131    = "131. < 200 mil "
      132    = "132. ~ 200 mil "
      133    = "133. > 200 mil "
      138    = "138. DK        "
      231    = "231. < 100 mil "
      232    = "232. ~ 100 mil "
      233    = "233. > 100 mil "
      238    = "238. DK        "
      999    = "999. Missing   "
      2331   = "2331. < 200 mil"
      2332   = "2332. ~ 200 mil"
      2333   = "2333. > 200 mil"
      2338   = "2338. DK       "
      9999   = "9999. Missing  "
   ;      
run;

